//******************** (C) COPYRIGHT 2022 SmartLogic*******************************
// FileName           : adi_adrv9025.h
// Author             : Boheng Lin bhlin919@126.com
// Date First Issued  : 2023-09-08 02:37:50 PM
// Last Modified      : 
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************

#ifndef ADI_ADRV9025_LIB_H_
#define ADI_ADRV9025_LIB_H_

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include "../../api/inc/ucp_api_rfic.h"

#ifdef __cplusplus
extern "C" {
#endif

extern void adrv9025_setup_platform(void *adiInit, void *adiPostMcsStru);
extern void ucp_api_adrv9025_Reset(void);
extern int32_t adrv9025_init(uint64_t txLo, uint64_t rxLo, uint16_t initAtt, uint16_t initGain, 
                             uint64_t auxLo, uint16_t enOrx,
                             ucp_rfic_calPara_t calPara);
extern int32_t ad9025_MGC_Cfg(uint8_t en);
extern int32_t ad9025_Gain_Set(double gain_db);
extern double ad9025_Gain_Get(void);
extern int32_t ad9025_Att_Set(uint8_t att_db);
extern uint8_t ad9025_Att_Get(void);

extern int32_t adrv9025_tone (bool set);
extern uint32_t adrv9026_getLockStatus (void);
extern int16_t adrv9026_getTemperature (void);
extern void ad9025_rssi(void);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef ADI_ADRV9025_LIB_H */
