/**
* \file initdata.h
* \brief Contains extern declarations for adrv9025 data structures initializations
*
* ADRV9025 API Version: 6.4.0.14
*
*/

/**
* Copyright 2015 - 2018 Analog Devices Inc.
* Released under the adrv9025 API license, for more information
* see the "LICENSE.txt" file in this zip file.
*/
#ifndef INITDATA_H_
#define INITDATA_H_

#include "adi_adrv9025.h"
#include "adi_adrv9025_utilities.h"

#ifdef __cplusplus
extern "C" {
#endif

    extern adi_adrv9025_ApiVersion_t    initStructApiVersion;
    extern adi_adrv9025_ArmVersion_t    initStructArmVersion;
    extern adi_adrv9025_StreamVersion_t initStructStreamVersion;
    extern adi_adrv9025_Init_t          deviceInitInst_122_88M_4_9152G;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_122_88M_4_9152G;
    extern adi_adrv9025_Init_t          deviceInitInst_61_44M_4_9152G_FDD2ANT;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_61_44M_4_9152G_FDD2ANT;
    extern adi_adrv9025_Init_t          deviceInitInst_61_44M_4_9152G_FDD4ANT;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_61_44M_4_9152G_FDD4ANT;
    extern adi_adrv9025_Init_t          deviceInitInst_245_76M_9_8304G;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_245_76M_9_8304G;
    extern adi_adrv9025_Init_t          deviceInitInst_122_88M_9_8304G;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_122_88M_9_8304G;
    extern adi_adrv9025_Init_t          deviceInitInst_122_88M_9_8304G_ORX;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_122_88M_9_8304G_ORX;
	extern adi_adrv9025_Init_t          deviceInitInst_240M;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_240M;
    extern adi_adrv9025_Init_t          deviceInitInst_122_88M_8_11008G;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_122_88M_8_11008G;
	extern adi_adrv9025_Init_t          deviceInitInst_122_88M_4_9152G_FDD2ANT;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_122_88M_4_9152G_FDD2ANT;
    extern adi_adrv9025_Init_t          deviceInitInst_245_76M_9_8304G_FDD1ANT;
    extern adi_adrv9025_PostMcsInit_t   devicePostMcsInitInst_245_76M_9_8304G_FDD1ANT;
    
#ifdef __cplusplus
}
#endif

#endif /* #ifndef INITDATA_H_ */