//******************** (C) COPYRIGHT 2022 SmartLogic*******************************
// FileName           : ucp_api_transceiver.c
// Author             : Boheng Lin bhlin919@126.com
// Date First Issued  : 2023-03-04 02:37:50 PM
// Last Modified      : 
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************

#include <stdint.h>
#include <stdbool.h>
#include "adi_ad9528Lib.h"
#include "adi_adrv9025Lib.h"

int32_t UCP_API_TRANSCEIVER_Reset(void)
{
	ucp_api_adrv9025_Reset();
	return 0;
}

int32_t UCP_API_TRANSCEIVER_Init(void *adiInit, void *adiPostMcsStru, uint64_t txLo, uint64_t rxLo, uint16_t initAtt, 
                                     uint16_t initGain, uint64_t auxLo, uint16_t enOrx, 
                                     ucp_rfic_calPara_t calPara)
{
    adrv9025_setup_platform(adiInit, adiPostMcsStru);
    adrv9025_init(txLo, rxLo, initAtt, initGain, auxLo, enOrx, calPara);
	
	return 0;
}

int32_t UCP_API_TRANSCEIVER_MGC_Cfg(uint8_t en)
{
	return ad9025_MGC_Cfg(en);
}

int32_t UCP_API_TRANSCEIVER_Gain_Set(double gain_db)
{
	return ad9025_Gain_Set(gain_db);
}

double UCP_API_TRANSCEIVER_Gain_Get(void)
{
	return ad9025_Gain_Get();
}

int32_t UCP_API_TRANSCEIVER_Att_Set(uint8_t att_db)
{
	return ad9025_Att_Set(att_db);
}

uint8_t UCP_API_TRANSCEIVER_Att_Get(void)
{
	return ad9025_Att_Get();
}

