//******************** (C) COPYRIGHT 2022 SmartLogic*******************************
// FileName           : ucp_api_transceiver.h
// Author             : Boheng Lin bhlin919@126.com
// Date First Issued  : 2023-03-04 17:39:00 PM
// Last Modified      : 
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************

#ifndef UCP_API_TRANSCEIVER_H_
#define UCP_API_TRANSCEIVER_H_

#include <stdio.h>
#include <stdlib.h>
#include "ucp_api_rfic.h"

#ifdef __cplusplus
extern "C" {
#endif

extern int32_t UCP_API_TRANSCEIVER_Reset(void);
extern int32_t UCP_API_TRANSCEIVER_Init(void *adiInit, void *adiPostMcsStru, uint64_t txLo, uint64_t rxLo, uint16_t initAtt, 
                                     uint16_t initGain, uint64_t auxLo, uint16_t enOrx, 
                                     ucp_rfic_calPara_t calPara);
extern int32_t UCP_API_TRANSCEIVER_MGC_Cfg(uint8_t en);
extern int32_t UCP_API_TRANSCEIVER_Gain_Set(double gain_db);
extern double UCP_API_TRANSCEIVER_Gain_Get(void);
extern int32_t UCP_API_TRANSCEIVER_Att_Set(uint8_t att_db);
extern uint8_t UCP_API_TRANSCEIVER_Att_Get(void);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef UCP_API_TRANSCEIVER_H_ */
