//******************** (C) COPYRIGHT 2022 SmartLogic*******************************
// FileName           : ucp_jesd_initdata.c
// Author             : Boheng Lin bhlin919@126.com
// Date First Issued  : 2023-07-11 18:21:00 PM
// Last Modified      : 
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************

#include <stdint.h>
#include <stdbool.h>
#include "ucp_api_jesd.h"

ucp_jesd_Init_t ucpJesdInitInstNr = 
{
	{ // common
		122880, // devClock_kHz;    
	    0,      // enableJesd204C;   
	    1       // jesdSubClass;
	},
	{ // framer
		1,      // enable;
		122880, // sampleClock_kHz;		
		8,      // jesd204M              	
		32,     // jesd204K            	
		4,      // jesd204F              	
		16,     // jesd204Np             	
		0,      // jesd204E             	
		1,      // scramble             	
		15,     // serializerLanesEnabled
		0       // syncbOutSelect 		
	},
	{ // deframer
    { // deframer[0]
		1,      // enable
		122880, // sampleClock_kHz;
		8,      // jesd204M                	
		32,     // jesd204K               	
		4,      // jesd204F                	
		16,     // jesd204Np                	
		0,      // jesd204E                	
		1,      // scramble                 	
		15,     // deserializerLanesEnabled 	
		0       // syncbOutSelect  
    },
	{ // deframer[1]
		0,      // enable
		122880, // sampleClock_kHz;
		0,      // jesd204M                	
		0,      // jesd204K               	
		0,      // jesd204F                	
		0,      // jesd204Np                	
		0,      // jesd204E                	
		0,      // scramble                 	
		0,      // deserializerLanesEnabled 	
		1       // syncbOutSelect  
    }	
	}
};

ucp_jesd_Init_t ucpJesdInitInstNr_bandwidth200M = 
{
	{ // common
		122880, // devClock_kHz;    
	    0,      // enableJesd204C;   
	    1       // jesdSubClass;
	},
	{ // framer
		1,      // enable;
		245760, // sampleClock_kHz;
		8,      // jesd204M              	
		32,     // jesd204K            	
		4,      // jesd204F              	
		16,     // jesd204Np             	
		0,      // jesd204E             	
		1,      // scramble             	
		15,     // serializerLanesEnabled
		0       // syncbOutSelect 		
	},
	{ // deframer
    { // deframer[0]
		1,      // enable
		245760, // sampleClock_kHz;
		8,      // jesd204M                	
		32,     // jesd204K               	
		4,      // jesd204F                	
		16,     // jesd204Np                	
		0,      // jesd204E                	
		1,      // scramble                 	
		15,     // deserializerLanesEnabled 	
		0       // syncbOutSelect  
    },
	{ // deframer[1]
		0,      // enable
		245760, // sampleClock_kHz;
		0,      // jesd204M                	
		0,      // jesd204K               	
		0,      // jesd204F                	
		0,      // jesd204Np                	
		0,      // jesd204E                	
		0,      // scramble                 	
		0,      // deserializerLanesEnabled 	
		1       // syncbOutSelect  
    }	
	}
};

ucp_jesd_Init_t ucpJesdInitInstLte2Ant = 
{
	{ // common
		122880, // devClock_kHz;    
	    0,      // enableJesd204C;   
	    1       // jesdSubClass;
	},
	{ // framer
		1,      // enable;
		61440,  // sampleClock_kHz;
		4,      // jesd204M              	
		32,     // jesd204K            	
		8,      // jesd204F              	
		16,     // jesd204Np             	
		0,      // jesd204E             	
		1,      // scramble             	
		1,      // serializerLanesEnabled
		0       // syncbOutSelect 		
	},
	{ // deframer
    { // deframer[0]
		1,      // enable
		61440,  // sampleClock_kHz;
		4,      // jesd204M                	
		32,     // jesd204K               	
		8,      // jesd204F                	
		16,     // jesd204Np                	
		0,      // jesd204E                	
		1,      // scramble                 	
		1,      // deserializerLanesEnabled 	
		0       // syncbOutSelect  
    },
	{ // deframer[1]
		0,      // enable
		61440,  // sampleClock_kHz;
		0,      // jesd204M                	
		0,      // jesd204K               	
		0,      // jesd204F                	
		0,      // jesd204Np                	
		0,      // jesd204E                	
		0,      // scramble                 	
		0,      // deserializerLanesEnabled 	
		1       // syncbOutSelect  
    }	
	}
};

ucp_jesd_Init_t ucpJesdInitInstLte4Ant = 
{
	{ // common
		122880, // devClock_kHz;    
	    0,      // enableJesd204C;   
	    1       // jesdSubClass;
	},
	{ // framer
		1,      // enable;
		61440,  // sampleClock_kHz;
		8,      // jesd204M              	
		32,     // jesd204K            	
		8,      // jesd204F              	
		16,     // jesd204Np             	
		0,      // jesd204E             	
		1,      // scramble             	
		3,      // serializerLanesEnabled
		0       // syncbOutSelect 		
	},
	{ // deframer
    { // deframer[0]
		1,      // enable
		61440,  // sampleClock_kHz;
		8,      // jesd204M                	
		32,     // jesd204K               	
		8,      // jesd204F                	
		16,     // jesd204Np                	
		0,      // jesd204E                	
		1,      // scramble                 	
		3,      // deserializerLanesEnabled 	
		0       // syncbOutSelect  
    },
	{ // deframer[1]
		0,      // enable
		61440,  // sampleClock_kHz;
		0,      // jesd204M                	
		0,      // jesd204K               	
		0,      // jesd204F                	
		0,      // jesd204Np                	
		0,      // jesd204E                	
		0,      // scramble                 	
		0,      // deserializerLanesEnabled 	
		1       // syncbOutSelect  
    }	
	}
};


ucp_jesd_Init_t ucpJesdInitInstNr_orx = 
{
	{ // common
		122880, // devClock_kHz;    
	    0,      // enableJesd204C;   
	    1       // jesdSubClass;
	},
	{ // framer
		1,      // enable;
		122880, // sampleClock_kHz;
		8,      // jesd204M              	
		32,     // jesd204K            	
		4,      // jesd204F              	
		16,     // jesd204Np             	
		0,      // jesd204E             	
		1,      // scramble             	
		15,      // serializerLanesEnabled
		0       // syncbOutSelect 		
	},
	{ // deframer
    { // deframer[0]
		1,      // enable
		122880, // sampleClock_kHz;
		8,      // jesd204M                	
		32,     // jesd204K               	
		8,      // jesd204F                	
		16,     // jesd204Np                	
		0,      // jesd204E                	
		1,      // scramble                 	
		3,      // deserializerLanesEnabled 	
		0       // syncbOutSelect  
    },
	{ // deframer[1]
		1,       // enable
		245760, // sampleClock_kHz;
		2,       // jesd204M                	
		32,      // jesd204K               	
		4,       // jesd204F                	
		16,      // jesd204Np                	
		0,       // jesd204E                	
		1,       // scramble                 	
		4,       // deserializerLanesEnabled 	
		1        // syncbOutSelect  
    }	
	}
};

ucp_jesd_Init_t ucpJesdInitInstNrFdd2Ant = 
{
	{ // common
		122880, // devClock_kHz;    
	    0,      // enableJesd204C;   
	    1       // jesdSubClass;
	},
	{ // framer
		1,      // enable;
		122880, // sampleClock_kHz;		
		4,      // jesd204M              	
		32,     // jesd204K            	
		4,      // jesd204F              	
		16,     // jesd204Np             	
		0,      // jesd204E             	
		1,      // scramble             	
		3,      // serializerLanesEnabled
		0       // syncbOutSelect 		
	},
	{ // deframer
    { // deframer[0]
		1,      // enable
		122880, // sampleClock_kHz;
		4,      // jesd204M                	
		32,     // jesd204K               	
		4,      // jesd204F                	
		16,     // jesd204Np                	
		0,      // jesd204E                	
		1,      // scramble                 	
		3,      // deserializerLanesEnabled 	
		0       // syncbOutSelect  
    },
	{ // deframer[1]
		0,      // enable
		122880, // sampleClock_kHz;
		0,      // jesd204M                	
		0,      // jesd204K               	
		0,      // jesd204F                	
		0,      // jesd204Np                	
		0,      // jesd204E                	
		0,      // scramble                 	
		0,      // deserializerLanesEnabled 	
		1       // syncbOutSelect  
    }	
	}
};

ucp_jesd_Init_t ucpJesdInitInstNr204C = 
{
	{ // common
		122880, // devClock_kHz;    
	    1,      // enableJesd204C;   
	    1       // jesdSubClass;
	},
	{ // framer
		1,      // enable;
		245760, // sampleClock_kHz;		
		8,      // jesd204M              	
		64,     // jesd204K            	
		4,      // jesd204F              	
		16,     // jesd204Np             	
		1,      // jesd204E             	
		1,      // scramble             	
		15,     // serializerLanesEnabled
		0       // syncbOutSelect 		
	},
	{ // deframer
    { // deframer[0]
		1,      // enable
		245760, // sampleClock_kHz;
		8,      // jesd204M                	
		64,     // jesd204K               	
		4,      // jesd204F                	
		16,     // jesd204Np                	
		1,      // jesd204E                	
		1,      // scramble                 	
		15,      // deserializerLanesEnabled 	
		0       // syncbOutSelect  
    },
	{ // deframer[1]
		0,      // enable
		245760, // sampleClock_kHz;
		0,      // jesd204M                	
		0,      // jesd204K               	
		0,      // jesd204F                	
		0,      // jesd204Np                	
		0,      // jesd204E                	
		0,      // scramble                 	
		0,      // deserializerLanesEnabled 	
		1       // syncbOutSelect  
    }	
	}
};

ucp_jesd_Init_t ucpJesdInitInstNrBw200MFdd1Ant = 
{
	{ // common
		122880, // devClock_kHz;    
	    0,      // enableJesd204C;   
	    1       // jesdSubClass;
	},
	{ // framer
		1,      // enable;
		245760, // sampleClock_kHz;
		2,      // jesd204M              	
		32,     // jesd204K            	
		4,      // jesd204F              	
		16,     // jesd204Np             	
		0,      // jesd204E             	
		1,      // scramble             	
		1,     // serializerLanesEnabled
		0       // syncbOutSelect 		
	},
	{ // deframer
    { // deframer[0]
		1,      // enable
		245760, // sampleClock_kHz;
		2,      // jesd204M                	
		32,     // jesd204K               	
		4,      // jesd204F                	
		16,     // jesd204Np                	
		0,      // jesd204E                	
		1,      // scramble                 	
		1,     // deserializerLanesEnabled 	
		0       // syncbOutSelect  
    },
	{ // deframer[1]
		0,      // enable
		245760, // sampleClock_kHz;
		0,      // jesd204M                	
		0,      // jesd204K               	
		0,      // jesd204F                	
		0,      // jesd204Np                	
		0,      // jesd204E                	
		0,      // scramble                 	
		0,      // deserializerLanesEnabled 	
		1       // syncbOutSelect  
    }	
	}
};


