//******************** (C) COPYRIGHT 2019 SmartLogic*******************************
// FileName           : csu.h
// Author             : chenwl, weilu.chen@smartlogictech.com
// Date First Issued  : 2021-11-23 02:49:13 PM
// Last Modified      : 2021-11-23 08:11:05 AM
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************
#ifndef __CSU_H__
#define __CSU_H__


#define APC_CSU_BASE          0x00400000 //SPU config
#define APC0_CSU_BASE         0x04A90000
#define APC1_CSU_BASE         0x04AE0000
#define APC2_CSU_BASE         0x04B30000
#define APC3_CSU_BASE         0x04B80000
#define ECSRFM_CSU_BASE       0x08610000
#define PETRFM_CSU_BASE       0x08F50000
#define AP_CSU_BASE           0x04258000
#define RFC_CSU_BASE          0x04DE0000
#define JS_CSU_BASE           0x05F60000
#define JECS_CSU_BASE         0x08470000


#define APC_CSU_ALLPENDEVENTMASK0                 (APC_CSU_BASE+0x000*4)
#define APC_CSU_ALLPENDEVENTMASK1                 (APC_CSU_BASE+0x001*4)
#define APC_CSU_EVENTMASKL                        (APC_CSU_BASE+0x002*4)
#define APC_CSU_EVENTMASKH                        (APC_CSU_BASE+0x003*4)
#define APC_CSU_INTMASKL                          (APC_CSU_BASE+0x004*4)
#define APC_CSU_INTMASKH                          (APC_CSU_BASE+0x005*4)
#define APC_CSU_TAGMASK                           (APC_CSU_BASE+0x007*4)
#define APC_CSU_DMATYPE                           (APC_CSU_BASE+0x008*4)
#define APC_CSU_ARMCMDRECV                        (APC_CSU_BASE+0x00A*4)
#define APC_CSU_ALLPENDEVENT0                     (APC_CSU_BASE+0x00C*4)
#define APC_CSU_ALLPENDEVENT1                     (APC_CSU_BASE+0x00D*4)
#define APC_CSU_EM_BS_SMSEL_PREDATANUM            (APC_CSU_BASE+0x010*4)
#define APC_CSU_CACHEINFO_EM_BS_SPURWCACHE_SMSEL_PDNUM (APC_CSU_BASE+0x010*4)
#define APC_CSU_ALMOSTFULLSENDTHRED               (APC_CSU_BASE+0x011*4)
#define APC_CSU_FINDDMATAG                        (APC_CSU_BASE+0x014*4)
#define APC_CSU_CMDFIFO0_CMD                      (APC_CSU_BASE+0x018*4)
#define APC_CSU_CMDFIFO1_CMD                      (APC_CSU_BASE+0x019*4)
#define APC_CSU_CMDFIFO2_CMD                      (APC_CSU_BASE+0x01A*4)
#define APC_CSU_CMDFIFO3_CMD                      (APC_CSU_BASE+0x01B*4)
#define APC_CSU_CMDFIFO0_NUM                      (APC_CSU_BASE+0x01C*4)
#define APC_CSU_CMDFIFO1_NUM                      (APC_CSU_BASE+0x01D*4)
#define APC_CSU_CMDFIFO2_NUM                      (APC_CSU_BASE+0x01E*4)
#define APC_CSU_CMDFIFO3_NUM                      (APC_CSU_BASE+0x01F*4)
#define APC_CSU_PRICMDVALID0                      (APC_CSU_BASE+0x020*4)
#define APC_CSU_PRICMDVALID1                      (APC_CSU_BASE+0x021*4)
#define APC_CSU_PRICMDVALID2                      (APC_CSU_BASE+0x022*4)
#define APC_CSU_PRICMDVALID3                      (APC_CSU_BASE+0x023*4)
#define APC_CSU_CMDECODATAL32BIT0                 (APC_CSU_BASE+0x024*4)
#define APC_CSU_CMDECODATAL32BIT1                 (APC_CSU_BASE+0x025*4)
#define APC_CSU_CMDECODATAL32BIT2                 (APC_CSU_BASE+0x026*4)
#define APC_CSU_CMDECODATAL32BIT3                 (APC_CSU_BASE+0x027*4)
#define APC_CSU_CMDHIGHDATA                       (APC_CSU_BASE+0x028*4)
#define APC_CSU_CMDFIFO0                          (APC_CSU_BASE+0x02C*4)
#define APC_CSU_CMDFIFO1                          (APC_CSU_BASE+0x02D*4)
#define APC_CSU_CMDFIFO2                          (APC_CSU_BASE+0x02E*4)
#define APC_CSU_CMDFIFO3                          (APC_CSU_BASE+0x02F*4)
#define APC_CSU_READYLISTNUM                      (APC_CSU_BASE+0x030*4)
#define APC_CSU_CMDFIFO0_TAGNUM                   (APC_CSU_BASE+0x034*4)
#define APC_CSU_CMDFIFO1_TAGNUM                   (APC_CSU_BASE+0x035*4)
#define APC_CSU_CMDFIFO2_TAGNUM                   (APC_CSU_BASE+0x036*4)
#define APC_CSU_CMDFIFO3_TAGNUM                   (APC_CSU_BASE+0x037*4)
#define APC_CSU_DMASTATUS                         (APC_CSU_BASE+0x038*4)
#define APC_CSU_CMDSTALL_LISTSTALL                (APC_CSU_BASE+0x039*4)
#define APC_CSU_QOUSTATUS                         (APC_CSU_BASE+0x03A*4)
#define APC_CSU_EVENTINTCLEAR                     (APC_CSU_BASE+0x03C*4)
#define APC_CSU_MAILBOX_PRIDATAREG0               (APC_CSU_BASE+0x100*4)
#define APC_CSU_MAILBOX_PRIDATAREG1               (APC_CSU_BASE+0x101*4)
#define APC_CSU_MAILBOX_PRIDATAREG2               (APC_CSU_BASE+0x102*4)
#define APC_CSU_MAILBOX_PRIDATAREG3               (APC_CSU_BASE+0x103*4)
#define APC_CSU_MAILBOX_PRIDATAREG4               (APC_CSU_BASE+0x104*4)
#define APC_CSU_MAILBOX_PRIDATAREG5               (APC_CSU_BASE+0x105*4)
#define APC_CSU_MAILBOX_PRIDATAREG6               (APC_CSU_BASE+0x106*4)
#define APC_CSU_MAILBOX_PRIDATAREG7               (APC_CSU_BASE+0x107*4)
#define APC_CSU_MAILBOX_PRIDATAREG8               (APC_CSU_BASE+0x108*4)
#define APC_CSU_MAILBOX_PRIDATAREG9               (APC_CSU_BASE+0x109*4)
#define APC_CSU_MAILBOX_PRIDATAREG10              (APC_CSU_BASE+0x10A*4)
#define APC_CSU_MAILBOX_PRIDATAREG11              (APC_CSU_BASE+0x10B*4)
#define APC_CSU_MAILBOX_PRIDATAREG12              (APC_CSU_BASE+0x10C*4)
#define APC_CSU_MAILBOX_PRIDATAREG13              (APC_CSU_BASE+0x10D*4)
#define APC_CSU_MAILBOX_PRIDATAREG14              (APC_CSU_BASE+0x10E*4)
#define APC_CSU_MAILBOX_PRIDATAREG15              (APC_CSU_BASE+0x10F*4)
#define APC_CSU_MAILBOX_BASENUM                   (APC_CSU_BASE+0x120*4)
#define APC_CSU_MAILBOX_BASECNT                   (APC_CSU_BASE+0x121*4)
#define APC_CSU_MAILBOX_VALIDREG                  (APC_CSU_BASE+0x122*4)
#define APC_CSU_MAILBOX_INTMASK0                  (APC_CSU_BASE+0x124*4)
#define APC_CSU_MAILBOX_INTMASK1                  (APC_CSU_BASE+0x125*4)
#define APC_CSU_MAILBOX_INTMASK2                  (APC_CSU_BASE+0x126*4)
#define APC_CSU_MAILBOX_INTMASK3                  (APC_CSU_BASE+0x127*4)
#define APC_CSU_MAILBOX_EVENTMASK0                (APC_CSU_BASE+0x130*4)
#define APC_CSU_MAILBOX_EVENTMASK1                (APC_CSU_BASE+0x131*4)
#define APC_CSU_MAILBOX_CNTREG0                   (APC_CSU_BASE+0x180*4)
#define APC_CSU_MAILBOX_CNTREG1                   (APC_CSU_BASE+0x181*4)
#define APC_CSU_MAILBOX_CNTREG2                   (APC_CSU_BASE+0x182*4)
#define APC_CSU_MAILBOX_CNTREG3                   (APC_CSU_BASE+0x183*4)
#define APC_CSU_MAILBOX_CNTREG4                   (APC_CSU_BASE+0x184*4)
#define APC_CSU_MAILBOX_CNTREG5                   (APC_CSU_BASE+0x185*4)
#define APC_CSU_MAILBOX_CNTREG6                   (APC_CSU_BASE+0x186*4)
#define APC_CSU_MAILBOX_CNTREG7                   (APC_CSU_BASE+0x187*4)
#define APC_CSU_MAILBOX_CNTREG8                   (APC_CSU_BASE+0x188*4)
#define APC_CSU_MAILBOX_CNTREG9                   (APC_CSU_BASE+0x189*4)
#define APC_CSU_MAILBOX_CNTREG10                  (APC_CSU_BASE+0x18A*4)
#define APC_CSU_MAILBOX_CNTREG11                  (APC_CSU_BASE+0x18B*4)
#define APC_CSU_MAILBOX_CNTREG12                  (APC_CSU_BASE+0x18C*4)
#define APC_CSU_MAILBOX_CNTREG13                  (APC_CSU_BASE+0x18D*4)
#define APC_CSU_MAILBOX_CNTREG14                  (APC_CSU_BASE+0x18E*4)
#define APC_CSU_MAILBOX_CNTREG15                  (APC_CSU_BASE+0x18F*4)
#define APC_CSU_DMAADDRL0                         (APC_CSU_BASE+0x200*4)
#define APC_CSU_DMAADDRH0                         (APC_CSU_BASE+0x201*4)
#define APC_CSU_DMAYSTEPL0                        (APC_CSU_BASE+0x202*4)
#define APC_CSU_DMAYSTEPH0                        (APC_CSU_BASE+0x203*4)
#define APC_CSU_DMAZSTEPL0                        (APC_CSU_BASE+0x204*4)
#define APC_CSU_DMAZSTEPH0                        (APC_CSU_BASE+0x205*4)
#define APC_CSU_DMAYNUMXNUM0                      (APC_CSU_BASE+0x206*4)
#define APC_CSU_DMASIZEGRANALLNUM0                (APC_CSU_BASE+0x207*4)
#define APC_CSU_DMAADDRL1                         (APC_CSU_BASE+0x208*4)
#define APC_CSU_DMAADDRH1                         (APC_CSU_BASE+0x209*4)
#define APC_CSU_DMAYSTEPL1                        (APC_CSU_BASE+0x20A*4)
#define APC_CSU_DMAYSTEPH1                        (APC_CSU_BASE+0x20B*4)
#define APC_CSU_DMAZSTEPL1                        (APC_CSU_BASE+0x20C*4)
#define APC_CSU_DMAZSTEPH1                        (APC_CSU_BASE+0x20D*4)
#define APC_CSU_DMAYNUMXNUM1                      (APC_CSU_BASE+0x20E*4)
#define APC_CSU_DMASIZEGRANALLNUM1                (APC_CSU_BASE+0x20F*4)
#define APC_CSU_DMAADDRL2                         (APC_CSU_BASE+0x210*4)
#define APC_CSU_DMAADDRH2                         (APC_CSU_BASE+0x211*4)
#define APC_CSU_DMAYSTEPL2                        (APC_CSU_BASE+0x212*4)
#define APC_CSU_DMAYSTEPH2                        (APC_CSU_BASE+0x213*4)
#define APC_CSU_DMAZSTEPL2                        (APC_CSU_BASE+0x214*4)
#define APC_CSU_DMAZSTEPH2                        (APC_CSU_BASE+0x215*4)
#define APC_CSU_DMAYNUMXNUM2                      (APC_CSU_BASE+0x216*4)
#define APC_CSU_DMASIZEGRANALLNUM2                (APC_CSU_BASE+0x217*4)
#define APC_CSU_DMAADDRL3                         (APC_CSU_BASE+0x218*4)
#define APC_CSU_DMAADDRH3                         (APC_CSU_BASE+0x219*4)
#define APC_CSU_DMAYSTEPL3                        (APC_CSU_BASE+0x21A*4)
#define APC_CSU_DMAYSTEPH3                        (APC_CSU_BASE+0x21B*4)
#define APC_CSU_DMAZSTEPL3                        (APC_CSU_BASE+0x21C*4)
#define APC_CSU_DMAZSTEPH3                        (APC_CSU_BASE+0x21D*4)
#define APC_CSU_DMAYNUMXNUM3                      (APC_CSU_BASE+0x21E*4)
#define APC_CSU_DMASIZEGRANALLNUM3                (APC_CSU_BASE+0x21F*4)
#define APC_CSU_DMAADDRL4                         (APC_CSU_BASE+0x220*4)
#define APC_CSU_DMAADDRH4                         (APC_CSU_BASE+0x221*4)
#define APC_CSU_DMAYSTEPL4                        (APC_CSU_BASE+0x222*4)
#define APC_CSU_DMAYSTEPH4                        (APC_CSU_BASE+0x223*4)
#define APC_CSU_DMAZSTEPL4                        (APC_CSU_BASE+0x224*4)
#define APC_CSU_DMAZSTEPH4                        (APC_CSU_BASE+0x225*4)
#define APC_CSU_DMAYNUMXNUM4                      (APC_CSU_BASE+0x226*4)
#define APC_CSU_DMASIZEGRANALLNUM4                (APC_CSU_BASE+0x227*4)
#define APC_CSU_DMAADDRL5                         (APC_CSU_BASE+0x228*4)
#define APC_CSU_DMAADDRH5                         (APC_CSU_BASE+0x229*4)
#define APC_CSU_DMAYSTEPL5                        (APC_CSU_BASE+0x22A*4)
#define APC_CSU_DMAYSTEPH5                        (APC_CSU_BASE+0x22B*4)
#define APC_CSU_DMAZSTEPL5                        (APC_CSU_BASE+0x22C*4)
#define APC_CSU_DMAZSTEPH5                        (APC_CSU_BASE+0x22D*4)
#define APC_CSU_DMAYNUMXNUM5                      (APC_CSU_BASE+0x22E*4)
#define APC_CSU_DMASIZEGRANALLNUM5                (APC_CSU_BASE+0x22F*4)
#define APC_CSU_DMAADDRL6                         (APC_CSU_BASE+0x230*4)
#define APC_CSU_DMAADDRH6                         (APC_CSU_BASE+0x231*4)
#define APC_CSU_DMAYSTEPL6                        (APC_CSU_BASE+0x232*4)
#define APC_CSU_DMAYSTEPH6                        (APC_CSU_BASE+0x233*4)
#define APC_CSU_DMAZSTEPL6                        (APC_CSU_BASE+0x234*4)
#define APC_CSU_DMAZSTEPH6                        (APC_CSU_BASE+0x235*4)
#define APC_CSU_DMAYNUMXNUM6                      (APC_CSU_BASE+0x236*4)
#define APC_CSU_DMASIZEGRANALLNUM6                (APC_CSU_BASE+0x237*4)
#define APC_CSU_DMAADDRL7                         (APC_CSU_BASE+0x238*4)
#define APC_CSU_DMAADDRH7                         (APC_CSU_BASE+0x239*4)
#define APC_CSU_DMAYSTEPL7                        (APC_CSU_BASE+0x23A*4)
#define APC_CSU_DMAYSTEPH7                        (APC_CSU_BASE+0x23B*4)
#define APC_CSU_DMAZSTEPL7                        (APC_CSU_BASE+0x23C*4)
#define APC_CSU_DMAZSTEPH7                        (APC_CSU_BASE+0x23D*4)
#define APC_CSU_DMAYNUMXNUM7                      (APC_CSU_BASE+0x23E*4)
#define APC_CSU_DMASIZEGRANALLNUM7                (APC_CSU_BASE+0x23F*4)
#define APC_CSU_DMAADDRL8                         (APC_CSU_BASE+0x240*4)
#define APC_CSU_DMAADDRH8                         (APC_CSU_BASE+0x241*4)
#define APC_CSU_DMAYSTEPL8                        (APC_CSU_BASE+0x242*4)
#define APC_CSU_DMAYSTEPH8                        (APC_CSU_BASE+0x243*4)
#define APC_CSU_DMAZSTEPL8                        (APC_CSU_BASE+0x244*4)
#define APC_CSU_DMAZSTEPH8                        (APC_CSU_BASE+0x245*4)
#define APC_CSU_DMAYNUMXNUM8                      (APC_CSU_BASE+0x246*4)
#define APC_CSU_DMASIZEGRANALLNUM8                (APC_CSU_BASE+0x247*4)
#define APC_CSU_DMAADDRL9                         (APC_CSU_BASE+0x248*4)
#define APC_CSU_DMAADDRH9                         (APC_CSU_BASE+0x249*4)
#define APC_CSU_DMAYSTEPL9                        (APC_CSU_BASE+0x24A*4)
#define APC_CSU_DMAYSTEPH9                        (APC_CSU_BASE+0x24B*4)
#define APC_CSU_DMAZSTEPL9                        (APC_CSU_BASE+0x24C*4)
#define APC_CSU_DMAZSTEPH9                        (APC_CSU_BASE+0x24D*4)
#define APC_CSU_DMAYNUMXNUM9                      (APC_CSU_BASE+0x24E*4)
#define APC_CSU_DMASIZEGRANALLNUM9                (APC_CSU_BASE+0x24F*4)
#define APC_CSU_DMAADDRL10                        (APC_CSU_BASE+0x250*4)
#define APC_CSU_DMAADDRH10                        (APC_CSU_BASE+0x251*4)
#define APC_CSU_DMAYSTEPL10                       (APC_CSU_BASE+0x252*4)
#define APC_CSU_DMAYSTEPH10                       (APC_CSU_BASE+0x253*4)
#define APC_CSU_DMAZSTEPL10                       (APC_CSU_BASE+0x254*4)
#define APC_CSU_DMAZSTEPH10                       (APC_CSU_BASE+0x255*4)
#define APC_CSU_DMAYNUMXNUM10                     (APC_CSU_BASE+0x256*4)
#define APC_CSU_DMASIZEGRANALLNUM10               (APC_CSU_BASE+0x257*4)
#define APC_CSU_DMAADDRL11                        (APC_CSU_BASE+0x258*4)
#define APC_CSU_DMAADDRH11                        (APC_CSU_BASE+0x259*4)
#define APC_CSU_DMAYSTEPL11                       (APC_CSU_BASE+0x25A*4)
#define APC_CSU_DMAYSTEPH11                       (APC_CSU_BASE+0x25B*4)
#define APC_CSU_DMAZSTEPL11                       (APC_CSU_BASE+0x25C*4)
#define APC_CSU_DMAZSTEPH11                       (APC_CSU_BASE+0x25D*4)
#define APC_CSU_DMAYNUMXNUM11                     (APC_CSU_BASE+0x25E*4)
#define APC_CSU_DMASIZEGRANALLNUM11               (APC_CSU_BASE+0x25F*4)
#define APC_CSU_DMAADDRL12                        (APC_CSU_BASE+0x260*4)
#define APC_CSU_DMAADDRH12                        (APC_CSU_BASE+0x261*4)
#define APC_CSU_DMAYSTEPL12                       (APC_CSU_BASE+0x262*4)
#define APC_CSU_DMAYSTEPH12                       (APC_CSU_BASE+0x263*4)
#define APC_CSU_DMAZSTEPL12                       (APC_CSU_BASE+0x264*4)
#define APC_CSU_DMAZSTEPH12                       (APC_CSU_BASE+0x265*4)
#define APC_CSU_DMAYNUMXNUM12                     (APC_CSU_BASE+0x266*4)
#define APC_CSU_DMASIZEGRANALLNUM12               (APC_CSU_BASE+0x267*4)
#define APC_CSU_DMAADDRL13                        (APC_CSU_BASE+0x268*4)
#define APC_CSU_DMAADDRH13                        (APC_CSU_BASE+0x269*4)
#define APC_CSU_DMAYSTEPL13                       (APC_CSU_BASE+0x26A*4)
#define APC_CSU_DMAYSTEPH13                       (APC_CSU_BASE+0x26B*4)
#define APC_CSU_DMAZSTEPL13                       (APC_CSU_BASE+0x26C*4)
#define APC_CSU_DMAZSTEPH13                       (APC_CSU_BASE+0x26D*4)
#define APC_CSU_DMAYNUMXNUM13                     (APC_CSU_BASE+0x26E*4)
#define APC_CSU_DMASIZEGRANALLNUM13               (APC_CSU_BASE+0x26F*4)
#define APC_CSU_DMAADDRL14                        (APC_CSU_BASE+0x270*4)
#define APC_CSU_DMAADDRH14                        (APC_CSU_BASE+0x271*4)
#define APC_CSU_DMAYSTEPL14                       (APC_CSU_BASE+0x272*4)
#define APC_CSU_DMAYSTEPH14                       (APC_CSU_BASE+0x273*4)
#define APC_CSU_DMAZSTEPL14                       (APC_CSU_BASE+0x274*4)
#define APC_CSU_DMAZSTEPH14                       (APC_CSU_BASE+0x275*4)
#define APC_CSU_DMAYNUMXNUM14                     (APC_CSU_BASE+0x276*4)
#define APC_CSU_DMASIZEGRANALLNUM14               (APC_CSU_BASE+0x277*4)
#define APC_CSU_DMAADDRL15                        (APC_CSU_BASE+0x278*4)
#define APC_CSU_DMAADDRH15                        (APC_CSU_BASE+0x279*4)
#define APC_CSU_DMAYSTEPL15                       (APC_CSU_BASE+0x27A*4)
#define APC_CSU_DMAYSTEPH15                       (APC_CSU_BASE+0x27B*4)
#define APC_CSU_DMAZSTEPL15                       (APC_CSU_BASE+0x27C*4)
#define APC_CSU_DMAZSTEPH15                       (APC_CSU_BASE+0x27D*4)
#define APC_CSU_DMAYNUMXNUM15                     (APC_CSU_BASE+0x27E*4)
#define APC_CSU_DMASIZEGRANALLNUM15               (APC_CSU_BASE+0x27F*4)
#define APC_CSU_QOUCMDNUM_QOUCMDPOS               (APC_CSU_BASE+0x300*4)
#define APC_CSU_QOUCMDADDR                        (APC_CSU_BASE+0x301*4)
#define APC_CSU_QOUCMDDATA                        (APC_CSU_BASE+0x302*4)
#define APC_CSU_QOUSTATUSPOPDATA                  (APC_CSU_BASE+0x303*4)
#define APC_CSU_QOUCMPDATA0                       (APC_CSU_BASE+0x304*4)
#define APC_CSU_QOUCMPDATA1                       (APC_CSU_BASE+0x305*4)
#define APC_CSU_QOUCMPDATA2                       (APC_CSU_BASE+0x306*4)
#define APC_CSU_QOUCMPDATA3                       (APC_CSU_BASE+0x307*4)
#define APC_CSU_SPUID                             (APC_CSU_BASE+0x30B*4)
#define APC_CSU_PRICMDDATA_L32BIT0                (APC_CSU_BASE+0x310*4)
#define APC_CSU_PRICMDDATA_H14BIT0                (APC_CSU_BASE+0x311*4)
#define APC_CSU_PRICMDDATA_L32BIT1                (APC_CSU_BASE+0x312*4)
#define APC_CSU_PRICMDDATA_H14BIT1                (APC_CSU_BASE+0x313*4)
#define APC_CSU_PRICMDDATA_L32BIT2                (APC_CSU_BASE+0x314*4)
#define APC_CSU_PRICMDDATA_H14BIT2                (APC_CSU_BASE+0x315*4)
#define APC_CSU_PRICMDDATA_L32BIT3                (APC_CSU_BASE+0x316*4)
#define APC_CSU_PRICMDDATA_H14BIT3                (APC_CSU_BASE+0x317*4)
#define APC_CSU_SORTDATA_NUM                      (APC_CSU_BASE+0x380*4)
#define APC_CSU_SORTDATA_DATA0                    (APC_CSU_BASE+0x3C0*4)
#define APC_CSU_SORTDATA_DATA1                    (APC_CSU_BASE+0x3C1*4)
#define APC_CSU_SORTDATA_DATA2                    (APC_CSU_BASE+0x3C2*4)
#define APC_CSU_SORTDATA_DATA3                    (APC_CSU_BASE+0x3C3*4)
#define APC_CSU_SORTDATA_DATA4                    (APC_CSU_BASE+0x3C4*4)
#define APC_CSU_SORTDATA_DATA5                    (APC_CSU_BASE+0x3C5*4)
#define APC_CSU_SORTDATA_DATA6                    (APC_CSU_BASE+0x3C6*4)
#define APC_CSU_SORTDATA_DATA7                    (APC_CSU_BASE+0x3C7*4)
#define APC_CSU_SORTDATA_DATA8                    (APC_CSU_BASE+0x3C8*4)
#define APC_CSU_SORTDATA_DATA9                    (APC_CSU_BASE+0x3C9*4)
#define APC_CSU_SORTDATA_DATA10                   (APC_CSU_BASE+0x3CA*4)
#define APC_CSU_SORTDATA_DATA11                   (APC_CSU_BASE+0x3CB*4)
#define APC_CSU_SORTDATA_DATA12                   (APC_CSU_BASE+0x3CC*4)
#define APC_CSU_SORTDATA_DATA13                   (APC_CSU_BASE+0x3CD*4)
#define APC_CSU_SORTDATA_DATA14                   (APC_CSU_BASE+0x3CE*4)
#define APC_CSU_SORTDATA_DATA15                   (APC_CSU_BASE+0x3CF*4)
#define APC_CSU_SORTDATA_DATA16                   (APC_CSU_BASE+0x3D0*4)
#define APC_CSU_SORTDATA_DATA17                   (APC_CSU_BASE+0x3D1*4)
#define APC_CSU_SORTDATA_DATA18                   (APC_CSU_BASE+0x3D2*4)
#define APC_CSU_SORTDATA_DATA19                   (APC_CSU_BASE+0x3D3*4)
#define APC_CSU_SORTDATA_DATA20                   (APC_CSU_BASE+0x3D4*4)
#define APC_CSU_SORTDATA_DATA21                   (APC_CSU_BASE+0x3D5*4)
#define APC_CSU_SORTDATA_DATA22                   (APC_CSU_BASE+0x3D6*4)
#define APC_CSU_SORTDATA_DATA23                   (APC_CSU_BASE+0x3D7*4)
#define APC_CSU_SORTDATA_DATA24                   (APC_CSU_BASE+0x3D8*4)
#define APC_CSU_SORTDATA_DATA25                   (APC_CSU_BASE+0x3D9*4)
#define APC_CSU_SORTDATA_DATA26                   (APC_CSU_BASE+0x3DA*4)
#define APC_CSU_SORTDATA_DATA27                   (APC_CSU_BASE+0x3DB*4)
#define APC_CSU_SORTDATA_DATA28                   (APC_CSU_BASE+0x3DC*4)
#define APC_CSU_SORTDATA_DATA29                   (APC_CSU_BASE+0x3DD*4)
#define APC_CSU_SORTDATA_DATA30                   (APC_CSU_BASE+0x3DE*4)
#define APC_CSU_SORTDATA_DATA31                   (APC_CSU_BASE+0x3DF*4)
#define APC_CSU_SORTDATA_ID0                      (APC_CSU_BASE+0x3E0*4)
#define APC_CSU_SORTDATA_ID1                      (APC_CSU_BASE+0x3E1*4)
#define APC_CSU_SORTDATA_ID2                      (APC_CSU_BASE+0x3E2*4)
#define APC_CSU_SORTDATA_ID3                      (APC_CSU_BASE+0x3E3*4)
#define APC_CSU_SORTDATA_ID4                      (APC_CSU_BASE+0x3E4*4)
#define APC_CSU_SORTDATA_ID5                      (APC_CSU_BASE+0x3E5*4)
#define APC_CSU_SORTDATA_ID6                      (APC_CSU_BASE+0x3E6*4)
#define APC_CSU_SORTDATA_ID7                      (APC_CSU_BASE+0x3E7*4)
#define APC_CSU_SORTDATA_ID8                      (APC_CSU_BASE+0x3E8*4)
#define APC_CSU_SORTDATA_ID9                      (APC_CSU_BASE+0x3E9*4)
#define APC_CSU_SORTDATA_ID10                     (APC_CSU_BASE+0x3EA*4)
#define APC_CSU_SORTDATA_ID11                     (APC_CSU_BASE+0x3EB*4)
#define APC_CSU_SORTDATA_ID12                     (APC_CSU_BASE+0x3EC*4)
#define APC_CSU_SORTDATA_ID13                     (APC_CSU_BASE+0x3ED*4)
#define APC_CSU_SORTDATA_ID14                     (APC_CSU_BASE+0x3EE*4)
#define APC_CSU_SORTDATA_ID15                     (APC_CSU_BASE+0x3EF*4)
#define APC_CSU_SORTDATA_ID16                     (APC_CSU_BASE+0x3F0*4)
#define APC_CSU_SORTDATA_ID17                     (APC_CSU_BASE+0x3F1*4)
#define APC_CSU_SORTDATA_ID18                     (APC_CSU_BASE+0x3F2*4)
#define APC_CSU_SORTDATA_ID19                     (APC_CSU_BASE+0x3F3*4)
#define APC_CSU_SORTDATA_ID20                     (APC_CSU_BASE+0x3F4*4)
#define APC_CSU_SORTDATA_ID21                     (APC_CSU_BASE+0x3F5*4)
#define APC_CSU_SORTDATA_ID22                     (APC_CSU_BASE+0x3F6*4)
#define APC_CSU_SORTDATA_ID23                     (APC_CSU_BASE+0x3F7*4)
#define APC_CSU_SORTDATA_ID24                     (APC_CSU_BASE+0x3F8*4)
#define APC_CSU_SORTDATA_ID25                     (APC_CSU_BASE+0x3F9*4)
#define APC_CSU_SORTDATA_ID26                     (APC_CSU_BASE+0x3FA*4)
#define APC_CSU_SORTDATA_ID27                     (APC_CSU_BASE+0x3FB*4)
#define APC_CSU_SORTDATA_ID28                     (APC_CSU_BASE+0x3FC*4)
#define APC_CSU_SORTDATA_ID29                     (APC_CSU_BASE+0x3FD*4)
#define APC_CSU_SORTDATA_ID30                     (APC_CSU_BASE+0x3FE*4)
#define APC_CSU_SORTDATA_ID31                     (APC_CSU_BASE+0x3FF*4)


#define APC0_CSU_STARTSPU0                        (APC0_CSU_BASE+0x000*4)
#define APC0_CSU_ALLPENDEVENTMASK                 (APC0_CSU_BASE+0x000*4)
#define APC0_CSU_STARTSPU1                        (APC0_CSU_BASE+0x001*4)
#define APC0_CSU_EVENTMASK                        (APC0_CSU_BASE+0x002*4)
#define APC0_CSU_INTMASK                          (APC0_CSU_BASE+0x004*4)
#define APC0_CSU_ELEVELMASK                       (APC0_CSU_BASE+0x005*4)
#define APC0_CSU_TAGMASK0                         (APC0_CSU_BASE+0x006*4)
#define APC0_CSU_TAGMASK1                         (APC0_CSU_BASE+0x007*4)
#define APC0_CSU_TAGMASK2                         (APC0_CSU_BASE+0x008*4)
#define APC0_CSU_TAGMASK3                         (APC0_CSU_BASE+0x009*4)
#define APC0_CSU_ARMCMDRECV                       (APC0_CSU_BASE+0x00A*4)
#define APC0_CSU_FETCHMODE_CACHEMODE              (APC0_CSU_BASE+0x00B*4)
#define APC0_CSU_ALLPENDEVENT0                    (APC0_CSU_BASE+0x00C*4)
#define APC0_CSU_ALLPENDEVENT1                    (APC0_CSU_BASE+0x00D*4)
#define APC0_CSU_EM_BS_SMSEL_PREDATANUM           (APC0_CSU_BASE+0x010*4)
#define APC0_CSU_CACHEINFO_EM_BS_SPURWCACHE_SMSEL_PDNUM (APC0_CSU_BASE+0x010*4)
#define APC0_CSU_ALMOSTFULLSENDTHRED              (APC0_CSU_BASE+0x011*4)
#define APC0_CSU_FINDDMATAG                       (APC0_CSU_BASE+0x014*4)
#define APC0_CSU_CMDFIFO0_CMD                     (APC0_CSU_BASE+0x018*4)
#define APC0_CSU_CMDFIFO1_CMD                     (APC0_CSU_BASE+0x019*4)
#define APC0_CSU_CMDFIFO2_CMD                     (APC0_CSU_BASE+0x01A*4)
#define APC0_CSU_CMDFIFO3_CMD                     (APC0_CSU_BASE+0x01B*4)
#define APC0_CSU_CMDFIFO0_NUM                     (APC0_CSU_BASE+0x01C*4)
#define APC0_CSU_CMDFIFO1_NUM                     (APC0_CSU_BASE+0x01D*4)
#define APC0_CSU_CMDFIFO2_NUM                     (APC0_CSU_BASE+0x01E*4)
#define APC0_CSU_CMDFIFO3_NUM                     (APC0_CSU_BASE+0x01F*4)
#define APC0_CSU_PRICMDVALID0                     (APC0_CSU_BASE+0x020*4)
#define APC0_CSU_PRICMDVALID1                     (APC0_CSU_BASE+0x021*4)
#define APC0_CSU_PRICMDVALID2                     (APC0_CSU_BASE+0x022*4)
#define APC0_CSU_PRICMDVALID3                     (APC0_CSU_BASE+0x023*4)
#define APC0_CSU_CMDECODATAL32BIT0                (APC0_CSU_BASE+0x024*4)
#define APC0_CSU_CMDECODATAL32BIT1                (APC0_CSU_BASE+0x025*4)
#define APC0_CSU_CMDECODATAL32BIT2                (APC0_CSU_BASE+0x026*4)
#define APC0_CSU_CMDECODATAL32BIT3                (APC0_CSU_BASE+0x027*4)
#define APC0_CSU_CMDHIGHDATA                      (APC0_CSU_BASE+0x028*4)
#define APC0_CSU_CMDFIFO0                         (APC0_CSU_BASE+0x02C*4)
#define APC0_CSU_CMDFIFO1                         (APC0_CSU_BASE+0x02D*4)
#define APC0_CSU_CMDFIFO2                         (APC0_CSU_BASE+0x02E*4)
#define APC0_CSU_CMDFIFO3                         (APC0_CSU_BASE+0x02F*4)
#define APC0_CSU_READYLISTNUM                     (APC0_CSU_BASE+0x030*4)
#define APC0_CSU_CMDFIFO0_TAGNUM                  (APC0_CSU_BASE+0x034*4)
#define APC0_CSU_CMDFIFO1_TAGNUM                  (APC0_CSU_BASE+0x035*4)
#define APC0_CSU_CMDFIFO2_TAGNUM                  (APC0_CSU_BASE+0x036*4)
#define APC0_CSU_CMDFIFO3_TAGNUM                  (APC0_CSU_BASE+0x037*4)
#define APC0_CSU_DMASTATUS                        (APC0_CSU_BASE+0x038*4)
#define APC0_CSU_CMDSTALL_LISTSTALL               (APC0_CSU_BASE+0x039*4)
#define APC0_CSU_QOUSTATUS                        (APC0_CSU_BASE+0x03A*4)
#define APC0_CSU_EVENTINTCLEAR                    (APC0_CSU_BASE+0x03C*4)
#define APC0_CSU_MAILBOX_PRIDATAREG0              (APC0_CSU_BASE+0x100*4)
#define APC0_CSU_MAILBOX_PRIDATAREG1              (APC0_CSU_BASE+0x101*4)
#define APC0_CSU_MAILBOX_PRIDATAREG2              (APC0_CSU_BASE+0x102*4)
#define APC0_CSU_MAILBOX_PRIDATAREG3              (APC0_CSU_BASE+0x103*4)
#define APC0_CSU_MAILBOX_PRIDATAREG4              (APC0_CSU_BASE+0x104*4)
#define APC0_CSU_MAILBOX_PRIDATAREG5              (APC0_CSU_BASE+0x105*4)
#define APC0_CSU_MAILBOX_PRIDATAREG6              (APC0_CSU_BASE+0x106*4)
#define APC0_CSU_MAILBOX_PRIDATAREG7              (APC0_CSU_BASE+0x107*4)
#define APC0_CSU_MAILBOX_PRIDATAREG8              (APC0_CSU_BASE+0x108*4)
#define APC0_CSU_MAILBOX_PRIDATAREG9              (APC0_CSU_BASE+0x109*4)
#define APC0_CSU_MAILBOX_PRIDATAREG10             (APC0_CSU_BASE+0x10A*4)
#define APC0_CSU_MAILBOX_PRIDATAREG11             (APC0_CSU_BASE+0x10B*4)
#define APC0_CSU_MAILBOX_PRIDATAREG12             (APC0_CSU_BASE+0x10C*4)
#define APC0_CSU_MAILBOX_PRIDATAREG13             (APC0_CSU_BASE+0x10D*4)
#define APC0_CSU_MAILBOX_PRIDATAREG14             (APC0_CSU_BASE+0x10E*4)
#define APC0_CSU_MAILBOX_PRIDATAREG15             (APC0_CSU_BASE+0x10F*4)
#define APC0_CSU_MAILBOX_BASENUM                  (APC0_CSU_BASE+0x120*4)
#define APC0_CSU_MAILBOX_BASECNT                  (APC0_CSU_BASE+0x121*4)
#define APC0_CSU_MAILBOX_VALIDREG                 (APC0_CSU_BASE+0x122*4)
#define APC0_CSU_MAILBOX_INTMASK0                 (APC0_CSU_BASE+0x124*4)
#define APC0_CSU_MAILBOX_INTMASK1                 (APC0_CSU_BASE+0x125*4)
#define APC0_CSU_MAILBOX_INTMASK2                 (APC0_CSU_BASE+0x126*4)
#define APC0_CSU_MAILBOX_INTMASK3                 (APC0_CSU_BASE+0x127*4)
#define APC0_CSU_MAILBOX_EVENTMASK0               (APC0_CSU_BASE+0x130*4)
#define APC0_CSU_MAILBOX_EVENTMASK1               (APC0_CSU_BASE+0x131*4)
#define APC0_CSU_MAILBOX_CNTREG0                  (APC0_CSU_BASE+0x180*4)
#define APC0_CSU_MAILBOX_CNTREG1                  (APC0_CSU_BASE+0x181*4)
#define APC0_CSU_MAILBOX_CNTREG2                  (APC0_CSU_BASE+0x182*4)
#define APC0_CSU_MAILBOX_CNTREG3                  (APC0_CSU_BASE+0x183*4)
#define APC0_CSU_MAILBOX_CNTREG4                  (APC0_CSU_BASE+0x184*4)
#define APC0_CSU_MAILBOX_CNTREG5                  (APC0_CSU_BASE+0x185*4)
#define APC0_CSU_MAILBOX_CNTREG6                  (APC0_CSU_BASE+0x186*4)
#define APC0_CSU_MAILBOX_CNTREG7                  (APC0_CSU_BASE+0x187*4)
#define APC0_CSU_MAILBOX_CNTREG8                  (APC0_CSU_BASE+0x188*4)
#define APC0_CSU_MAILBOX_CNTREG9                  (APC0_CSU_BASE+0x189*4)
#define APC0_CSU_MAILBOX_CNTREG10                 (APC0_CSU_BASE+0x18A*4)
#define APC0_CSU_MAILBOX_CNTREG11                 (APC0_CSU_BASE+0x18B*4)
#define APC0_CSU_MAILBOX_CNTREG12                 (APC0_CSU_BASE+0x18C*4)
#define APC0_CSU_MAILBOX_CNTREG13                 (APC0_CSU_BASE+0x18D*4)
#define APC0_CSU_MAILBOX_CNTREG14                 (APC0_CSU_BASE+0x18E*4)
#define APC0_CSU_MAILBOX_CNTREG15                 (APC0_CSU_BASE+0x18F*4)
#define APC0_CSU_DMAADDRL0                        (APC0_CSU_BASE+0x200*4)
#define APC0_CSU_DMAADDRH0                        (APC0_CSU_BASE+0x201*4)
#define APC0_CSU_DMAYSTEPL0                       (APC0_CSU_BASE+0x202*4)
#define APC0_CSU_DMAYSTEPH0                       (APC0_CSU_BASE+0x203*4)
#define APC0_CSU_DMAZSTEPL0                       (APC0_CSU_BASE+0x204*4)
#define APC0_CSU_DMAZSTEPH0                       (APC0_CSU_BASE+0x205*4)
#define APC0_CSU_DMAYNUMXNUM0                     (APC0_CSU_BASE+0x206*4)
#define APC0_CSU_DMASIZEGRANALLNUM0               (APC0_CSU_BASE+0x207*4)
#define APC0_CSU_DMAADDRL1                        (APC0_CSU_BASE+0x208*4)
#define APC0_CSU_DMAADDRH1                        (APC0_CSU_BASE+0x209*4)
#define APC0_CSU_DMAYSTEPL1                       (APC0_CSU_BASE+0x20A*4)
#define APC0_CSU_DMAYSTEPH1                       (APC0_CSU_BASE+0x20B*4)
#define APC0_CSU_DMAZSTEPL1                       (APC0_CSU_BASE+0x20C*4)
#define APC0_CSU_DMAZSTEPH1                       (APC0_CSU_BASE+0x20D*4)
#define APC0_CSU_DMAYNUMXNUM1                     (APC0_CSU_BASE+0x20E*4)
#define APC0_CSU_DMASIZEGRANALLNUM1               (APC0_CSU_BASE+0x20F*4)
#define APC0_CSU_DMAADDRL2                        (APC0_CSU_BASE+0x210*4)
#define APC0_CSU_DMAADDRH2                        (APC0_CSU_BASE+0x211*4)
#define APC0_CSU_DMAYSTEPL2                       (APC0_CSU_BASE+0x212*4)
#define APC0_CSU_DMAYSTEPH2                       (APC0_CSU_BASE+0x213*4)
#define APC0_CSU_DMAZSTEPL2                       (APC0_CSU_BASE+0x214*4)
#define APC0_CSU_DMAZSTEPH2                       (APC0_CSU_BASE+0x215*4)
#define APC0_CSU_DMAYNUMXNUM2                     (APC0_CSU_BASE+0x216*4)
#define APC0_CSU_DMASIZEGRANALLNUM2               (APC0_CSU_BASE+0x217*4)
#define APC0_CSU_DMAADDRL3                        (APC0_CSU_BASE+0x218*4)
#define APC0_CSU_DMAADDRH3                        (APC0_CSU_BASE+0x219*4)
#define APC0_CSU_DMAYSTEPL3                       (APC0_CSU_BASE+0x21A*4)
#define APC0_CSU_DMAYSTEPH3                       (APC0_CSU_BASE+0x21B*4)
#define APC0_CSU_DMAZSTEPL3                       (APC0_CSU_BASE+0x21C*4)
#define APC0_CSU_DMAZSTEPH3                       (APC0_CSU_BASE+0x21D*4)
#define APC0_CSU_DMAYNUMXNUM3                     (APC0_CSU_BASE+0x21E*4)
#define APC0_CSU_DMASIZEGRANALLNUM3               (APC0_CSU_BASE+0x21F*4)
#define APC0_CSU_DMAADDRL4                        (APC0_CSU_BASE+0x220*4)
#define APC0_CSU_DMAADDRH4                        (APC0_CSU_BASE+0x221*4)
#define APC0_CSU_DMAYSTEPL4                       (APC0_CSU_BASE+0x222*4)
#define APC0_CSU_DMAYSTEPH4                       (APC0_CSU_BASE+0x223*4)
#define APC0_CSU_DMAZSTEPL4                       (APC0_CSU_BASE+0x224*4)
#define APC0_CSU_DMAZSTEPH4                       (APC0_CSU_BASE+0x225*4)
#define APC0_CSU_DMAYNUMXNUM4                     (APC0_CSU_BASE+0x226*4)
#define APC0_CSU_DMASIZEGRANALLNUM4               (APC0_CSU_BASE+0x227*4)
#define APC0_CSU_DMAADDRL5                        (APC0_CSU_BASE+0x228*4)
#define APC0_CSU_DMAADDRH5                        (APC0_CSU_BASE+0x229*4)
#define APC0_CSU_DMAYSTEPL5                       (APC0_CSU_BASE+0x22A*4)
#define APC0_CSU_DMAYSTEPH5                       (APC0_CSU_BASE+0x22B*4)
#define APC0_CSU_DMAZSTEPL5                       (APC0_CSU_BASE+0x22C*4)
#define APC0_CSU_DMAZSTEPH5                       (APC0_CSU_BASE+0x22D*4)
#define APC0_CSU_DMAYNUMXNUM5                     (APC0_CSU_BASE+0x22E*4)
#define APC0_CSU_DMASIZEGRANALLNUM5               (APC0_CSU_BASE+0x22F*4)
#define APC0_CSU_DMAADDRL6                        (APC0_CSU_BASE+0x230*4)
#define APC0_CSU_DMAADDRH6                        (APC0_CSU_BASE+0x231*4)
#define APC0_CSU_DMAYSTEPL6                       (APC0_CSU_BASE+0x232*4)
#define APC0_CSU_DMAYSTEPH6                       (APC0_CSU_BASE+0x233*4)
#define APC0_CSU_DMAZSTEPL6                       (APC0_CSU_BASE+0x234*4)
#define APC0_CSU_DMAZSTEPH6                       (APC0_CSU_BASE+0x235*4)
#define APC0_CSU_DMAYNUMXNUM6                     (APC0_CSU_BASE+0x236*4)
#define APC0_CSU_DMASIZEGRANALLNUM6               (APC0_CSU_BASE+0x237*4)
#define APC0_CSU_DMAADDRL7                        (APC0_CSU_BASE+0x238*4)
#define APC0_CSU_DMAADDRH7                        (APC0_CSU_BASE+0x239*4)
#define APC0_CSU_DMAYSTEPL7                       (APC0_CSU_BASE+0x23A*4)
#define APC0_CSU_DMAYSTEPH7                       (APC0_CSU_BASE+0x23B*4)
#define APC0_CSU_DMAZSTEPL7                       (APC0_CSU_BASE+0x23C*4)
#define APC0_CSU_DMAZSTEPH7                       (APC0_CSU_BASE+0x23D*4)
#define APC0_CSU_DMAYNUMXNUM7                     (APC0_CSU_BASE+0x23E*4)
#define APC0_CSU_DMASIZEGRANALLNUM7               (APC0_CSU_BASE+0x23F*4)
#define APC0_CSU_DMAADDRL8                        (APC0_CSU_BASE+0x240*4)
#define APC0_CSU_DMAADDRH8                        (APC0_CSU_BASE+0x241*4)
#define APC0_CSU_DMAYSTEPL8                       (APC0_CSU_BASE+0x242*4)
#define APC0_CSU_DMAYSTEPH8                       (APC0_CSU_BASE+0x243*4)
#define APC0_CSU_DMAZSTEPL8                       (APC0_CSU_BASE+0x244*4)
#define APC0_CSU_DMAZSTEPH8                       (APC0_CSU_BASE+0x245*4)
#define APC0_CSU_DMAYNUMXNUM8                     (APC0_CSU_BASE+0x246*4)
#define APC0_CSU_DMASIZEGRANALLNUM8               (APC0_CSU_BASE+0x247*4)
#define APC0_CSU_DMAADDRL9                        (APC0_CSU_BASE+0x248*4)
#define APC0_CSU_DMAADDRH9                        (APC0_CSU_BASE+0x249*4)
#define APC0_CSU_DMAYSTEPL9                       (APC0_CSU_BASE+0x24A*4)
#define APC0_CSU_DMAYSTEPH9                       (APC0_CSU_BASE+0x24B*4)
#define APC0_CSU_DMAZSTEPL9                       (APC0_CSU_BASE+0x24C*4)
#define APC0_CSU_DMAZSTEPH9                       (APC0_CSU_BASE+0x24D*4)
#define APC0_CSU_DMAYNUMXNUM9                     (APC0_CSU_BASE+0x24E*4)
#define APC0_CSU_DMASIZEGRANALLNUM9               (APC0_CSU_BASE+0x24F*4)
#define APC0_CSU_DMAADDRL10                       (APC0_CSU_BASE+0x250*4)
#define APC0_CSU_DMAADDRH10                       (APC0_CSU_BASE+0x251*4)
#define APC0_CSU_DMAYSTEPL10                      (APC0_CSU_BASE+0x252*4)
#define APC0_CSU_DMAYSTEPH10                      (APC0_CSU_BASE+0x253*4)
#define APC0_CSU_DMAZSTEPL10                      (APC0_CSU_BASE+0x254*4)
#define APC0_CSU_DMAZSTEPH10                      (APC0_CSU_BASE+0x255*4)
#define APC0_CSU_DMAYNUMXNUM10                    (APC0_CSU_BASE+0x256*4)
#define APC0_CSU_DMASIZEGRANALLNUM10              (APC0_CSU_BASE+0x257*4)
#define APC0_CSU_DMAADDRL11                       (APC0_CSU_BASE+0x258*4)
#define APC0_CSU_DMAADDRH11                       (APC0_CSU_BASE+0x259*4)
#define APC0_CSU_DMAYSTEPL11                      (APC0_CSU_BASE+0x25A*4)
#define APC0_CSU_DMAYSTEPH11                      (APC0_CSU_BASE+0x25B*4)
#define APC0_CSU_DMAZSTEPL11                      (APC0_CSU_BASE+0x25C*4)
#define APC0_CSU_DMAZSTEPH11                      (APC0_CSU_BASE+0x25D*4)
#define APC0_CSU_DMAYNUMXNUM11                    (APC0_CSU_BASE+0x25E*4)
#define APC0_CSU_DMASIZEGRANALLNUM11              (APC0_CSU_BASE+0x25F*4)
#define APC0_CSU_DMAADDRL12                       (APC0_CSU_BASE+0x260*4)
#define APC0_CSU_DMAADDRH12                       (APC0_CSU_BASE+0x261*4)
#define APC0_CSU_DMAYSTEPL12                      (APC0_CSU_BASE+0x262*4)
#define APC0_CSU_DMAYSTEPH12                      (APC0_CSU_BASE+0x263*4)
#define APC0_CSU_DMAZSTEPL12                      (APC0_CSU_BASE+0x264*4)
#define APC0_CSU_DMAZSTEPH12                      (APC0_CSU_BASE+0x265*4)
#define APC0_CSU_DMAYNUMXNUM12                    (APC0_CSU_BASE+0x266*4)
#define APC0_CSU_DMASIZEGRANALLNUM12              (APC0_CSU_BASE+0x267*4)
#define APC0_CSU_DMAADDRL13                       (APC0_CSU_BASE+0x268*4)
#define APC0_CSU_DMAADDRH13                       (APC0_CSU_BASE+0x269*4)
#define APC0_CSU_DMAYSTEPL13                      (APC0_CSU_BASE+0x26A*4)
#define APC0_CSU_DMAYSTEPH13                      (APC0_CSU_BASE+0x26B*4)
#define APC0_CSU_DMAZSTEPL13                      (APC0_CSU_BASE+0x26C*4)
#define APC0_CSU_DMAZSTEPH13                      (APC0_CSU_BASE+0x26D*4)
#define APC0_CSU_DMAYNUMXNUM13                    (APC0_CSU_BASE+0x26E*4)
#define APC0_CSU_DMASIZEGRANALLNUM13              (APC0_CSU_BASE+0x26F*4)
#define APC0_CSU_DMAADDRL14                       (APC0_CSU_BASE+0x270*4)
#define APC0_CSU_DMAADDRH14                       (APC0_CSU_BASE+0x271*4)
#define APC0_CSU_DMAYSTEPL14                      (APC0_CSU_BASE+0x272*4)
#define APC0_CSU_DMAYSTEPH14                      (APC0_CSU_BASE+0x273*4)
#define APC0_CSU_DMAZSTEPL14                      (APC0_CSU_BASE+0x274*4)
#define APC0_CSU_DMAZSTEPH14                      (APC0_CSU_BASE+0x275*4)
#define APC0_CSU_DMAYNUMXNUM14                    (APC0_CSU_BASE+0x276*4)
#define APC0_CSU_DMASIZEGRANALLNUM14              (APC0_CSU_BASE+0x277*4)
#define APC0_CSU_DMAADDRL15                       (APC0_CSU_BASE+0x278*4)
#define APC0_CSU_DMAADDRH15                       (APC0_CSU_BASE+0x279*4)
#define APC0_CSU_DMAYSTEPL15                      (APC0_CSU_BASE+0x27A*4)
#define APC0_CSU_DMAYSTEPH15                      (APC0_CSU_BASE+0x27B*4)
#define APC0_CSU_DMAZSTEPL15                      (APC0_CSU_BASE+0x27C*4)
#define APC0_CSU_DMAZSTEPH15                      (APC0_CSU_BASE+0x27D*4)
#define APC0_CSU_DMAYNUMXNUM15                    (APC0_CSU_BASE+0x27E*4)
#define APC0_CSU_DMASIZEGRANALLNUM15              (APC0_CSU_BASE+0x27F*4)
#define APC0_CSU_QOUCMDNUM_QOUCMDPOS              (APC0_CSU_BASE+0x300*4)
#define APC0_CSU_QOUCMDADDR                       (APC0_CSU_BASE+0x301*4)
#define APC0_CSU_QOUCMDDATA                       (APC0_CSU_BASE+0x302*4)
#define APC0_CSU_QOUSTATUSPOPDATA                 (APC0_CSU_BASE+0x303*4)
#define APC0_CSU_QOUCMPDATA0                      (APC0_CSU_BASE+0x304*4)
#define APC0_CSU_QOUCMPDATA1                      (APC0_CSU_BASE+0x305*4)
#define APC0_CSU_QOUCMPDATA2                      (APC0_CSU_BASE+0x306*4)
#define APC0_CSU_QOUCMPDATA3                      (APC0_CSU_BASE+0x307*4)
#define APC0_CSU_SPUID                            (APC0_CSU_BASE+0x30B*4)
#define APC0_CSU_PRICMDDATA_L32BIT0               (APC0_CSU_BASE+0x310*4)
#define APC0_CSU_PRICMDDATA_H14BIT0               (APC0_CSU_BASE+0x311*4)
#define APC0_CSU_PRICMDDATA_L32BIT1               (APC0_CSU_BASE+0x312*4)
#define APC0_CSU_PRICMDDATA_H14BIT1               (APC0_CSU_BASE+0x313*4)
#define APC0_CSU_PRICMDDATA_L32BIT2               (APC0_CSU_BASE+0x314*4)
#define APC0_CSU_PRICMDDATA_H14BIT2               (APC0_CSU_BASE+0x315*4)
#define APC0_CSU_PRICMDDATA_L32BIT3               (APC0_CSU_BASE+0x316*4)
#define APC0_CSU_PRICMDDATA_H14BIT3               (APC0_CSU_BASE+0x317*4)
#define APC0_CSU_SORTDATA_NUM                     (APC0_CSU_BASE+0x380*4)
#define APC0_CSU_SORTDATA_DATA0                   (APC0_CSU_BASE+0x3C0*4)
#define APC0_CSU_SORTDATA_DATA1                   (APC0_CSU_BASE+0x3C1*4)
#define APC0_CSU_SORTDATA_DATA2                   (APC0_CSU_BASE+0x3C2*4)
#define APC0_CSU_SORTDATA_DATA3                   (APC0_CSU_BASE+0x3C3*4)
#define APC0_CSU_SORTDATA_DATA4                   (APC0_CSU_BASE+0x3C4*4)
#define APC0_CSU_SORTDATA_DATA5                   (APC0_CSU_BASE+0x3C5*4)
#define APC0_CSU_SORTDATA_DATA6                   (APC0_CSU_BASE+0x3C6*4)
#define APC0_CSU_SORTDATA_DATA7                   (APC0_CSU_BASE+0x3C7*4)
#define APC0_CSU_SORTDATA_DATA8                   (APC0_CSU_BASE+0x3C8*4)
#define APC0_CSU_SORTDATA_DATA9                   (APC0_CSU_BASE+0x3C9*4)
#define APC0_CSU_SORTDATA_DATA10                  (APC0_CSU_BASE+0x3CA*4)
#define APC0_CSU_SORTDATA_DATA11                  (APC0_CSU_BASE+0x3CB*4)
#define APC0_CSU_SORTDATA_DATA12                  (APC0_CSU_BASE+0x3CC*4)
#define APC0_CSU_SORTDATA_DATA13                  (APC0_CSU_BASE+0x3CD*4)
#define APC0_CSU_SORTDATA_DATA14                  (APC0_CSU_BASE+0x3CE*4)
#define APC0_CSU_SORTDATA_DATA15                  (APC0_CSU_BASE+0x3CF*4)
#define APC0_CSU_SORTDATA_DATA16                  (APC0_CSU_BASE+0x3D0*4)
#define APC0_CSU_SORTDATA_DATA17                  (APC0_CSU_BASE+0x3D1*4)
#define APC0_CSU_SORTDATA_DATA18                  (APC0_CSU_BASE+0x3D2*4)
#define APC0_CSU_SORTDATA_DATA19                  (APC0_CSU_BASE+0x3D3*4)
#define APC0_CSU_SORTDATA_DATA20                  (APC0_CSU_BASE+0x3D4*4)
#define APC0_CSU_SORTDATA_DATA21                  (APC0_CSU_BASE+0x3D5*4)
#define APC0_CSU_SORTDATA_DATA22                  (APC0_CSU_BASE+0x3D6*4)
#define APC0_CSU_SORTDATA_DATA23                  (APC0_CSU_BASE+0x3D7*4)
#define APC0_CSU_SORTDATA_DATA24                  (APC0_CSU_BASE+0x3D8*4)
#define APC0_CSU_SORTDATA_DATA25                  (APC0_CSU_BASE+0x3D9*4)
#define APC0_CSU_SORTDATA_DATA26                  (APC0_CSU_BASE+0x3DA*4)
#define APC0_CSU_SORTDATA_DATA27                  (APC0_CSU_BASE+0x3DB*4)
#define APC0_CSU_SORTDATA_DATA28                  (APC0_CSU_BASE+0x3DC*4)
#define APC0_CSU_SORTDATA_DATA29                  (APC0_CSU_BASE+0x3DD*4)
#define APC0_CSU_SORTDATA_DATA30                  (APC0_CSU_BASE+0x3DE*4)
#define APC0_CSU_SORTDATA_DATA31                  (APC0_CSU_BASE+0x3DF*4)
#define APC0_CSU_SORTDATA_ID0                     (APC0_CSU_BASE+0x3E0*4)
#define APC0_CSU_SORTDATA_ID1                     (APC0_CSU_BASE+0x3E1*4)
#define APC0_CSU_SORTDATA_ID2                     (APC0_CSU_BASE+0x3E2*4)
#define APC0_CSU_SORTDATA_ID3                     (APC0_CSU_BASE+0x3E3*4)
#define APC0_CSU_SORTDATA_ID4                     (APC0_CSU_BASE+0x3E4*4)
#define APC0_CSU_SORTDATA_ID5                     (APC0_CSU_BASE+0x3E5*4)
#define APC0_CSU_SORTDATA_ID6                     (APC0_CSU_BASE+0x3E6*4)
#define APC0_CSU_SORTDATA_ID7                     (APC0_CSU_BASE+0x3E7*4)
#define APC0_CSU_SORTDATA_ID8                     (APC0_CSU_BASE+0x3E8*4)
#define APC0_CSU_SORTDATA_ID9                     (APC0_CSU_BASE+0x3E9*4)
#define APC0_CSU_SORTDATA_ID10                    (APC0_CSU_BASE+0x3EA*4)
#define APC0_CSU_SORTDATA_ID11                    (APC0_CSU_BASE+0x3EB*4)
#define APC0_CSU_SORTDATA_ID12                    (APC0_CSU_BASE+0x3EC*4)
#define APC0_CSU_SORTDATA_ID13                    (APC0_CSU_BASE+0x3ED*4)
#define APC0_CSU_SORTDATA_ID14                    (APC0_CSU_BASE+0x3EE*4)
#define APC0_CSU_SORTDATA_ID15                    (APC0_CSU_BASE+0x3EF*4)
#define APC0_CSU_SORTDATA_ID16                    (APC0_CSU_BASE+0x3F0*4)
#define APC0_CSU_SORTDATA_ID17                    (APC0_CSU_BASE+0x3F1*4)
#define APC0_CSU_SORTDATA_ID18                    (APC0_CSU_BASE+0x3F2*4)
#define APC0_CSU_SORTDATA_ID19                    (APC0_CSU_BASE+0x3F3*4)
#define APC0_CSU_SORTDATA_ID20                    (APC0_CSU_BASE+0x3F4*4)
#define APC0_CSU_SORTDATA_ID21                    (APC0_CSU_BASE+0x3F5*4)
#define APC0_CSU_SORTDATA_ID22                    (APC0_CSU_BASE+0x3F6*4)
#define APC0_CSU_SORTDATA_ID23                    (APC0_CSU_BASE+0x3F7*4)
#define APC0_CSU_SORTDATA_ID24                    (APC0_CSU_BASE+0x3F8*4)
#define APC0_CSU_SORTDATA_ID25                    (APC0_CSU_BASE+0x3F9*4)
#define APC0_CSU_SORTDATA_ID26                    (APC0_CSU_BASE+0x3FA*4)
#define APC0_CSU_SORTDATA_ID27                    (APC0_CSU_BASE+0x3FB*4)
#define APC0_CSU_SORTDATA_ID28                    (APC0_CSU_BASE+0x3FC*4)
#define APC0_CSU_SORTDATA_ID29                    (APC0_CSU_BASE+0x3FD*4)
#define APC0_CSU_SORTDATA_ID30                    (APC0_CSU_BASE+0x3FE*4)
#define APC0_CSU_SORTDATA_ID31                    (APC0_CSU_BASE+0x3FF*4)


#define APC1_CSU_STARTSPU0                        (APC1_CSU_BASE+0x000*4)
#define APC1_CSU_ALLPENDEVENTMASK                 (APC1_CSU_BASE+0x000*4)
#define APC1_CSU_STARTSPU1                        (APC1_CSU_BASE+0x001*4)
#define APC1_CSU_EVENTMASK                        (APC1_CSU_BASE+0x002*4)
#define APC1_CSU_INTMASK                          (APC1_CSU_BASE+0x004*4)
#define APC1_CSU_ELEVELMASK                       (APC1_CSU_BASE+0x005*4)
#define APC1_CSU_TAGMASK0                         (APC1_CSU_BASE+0x006*4)
#define APC1_CSU_TAGMASK1                         (APC1_CSU_BASE+0x007*4)
#define APC1_CSU_TAGMASK2                         (APC1_CSU_BASE+0x008*4)
#define APC1_CSU_TAGMASK3                         (APC1_CSU_BASE+0x009*4)
#define APC1_CSU_ARMCMDRECV                       (APC1_CSU_BASE+0x00A*4)
#define APC1_CSU_FETCHMODE_CACHEMODE              (APC1_CSU_BASE+0x00B*4)
#define APC1_CSU_ALLPENDEVENT0                    (APC1_CSU_BASE+0x00C*4)
#define APC1_CSU_ALLPENDEVENT1                    (APC1_CSU_BASE+0x00D*4)
#define APC1_CSU_EM_BS_SMSEL_PREDATANUM           (APC1_CSU_BASE+0x010*4)
#define APC1_CSU_CACHEINFO_EM_BS_SPURWCACHE_SMSEL_PDNUM (APC1_CSU_BASE+0x010*4)
#define APC1_CSU_ALMOSTFULLSENDTHRED              (APC1_CSU_BASE+0x011*4)
#define APC1_CSU_FINDDMATAG                       (APC1_CSU_BASE+0x014*4)
#define APC1_CSU_CMDFIFO0_CMD                     (APC1_CSU_BASE+0x018*4)
#define APC1_CSU_CMDFIFO1_CMD                     (APC1_CSU_BASE+0x019*4)
#define APC1_CSU_CMDFIFO2_CMD                     (APC1_CSU_BASE+0x01A*4)
#define APC1_CSU_CMDFIFO3_CMD                     (APC1_CSU_BASE+0x01B*4)
#define APC1_CSU_CMDFIFO0_NUM                     (APC1_CSU_BASE+0x01C*4)
#define APC1_CSU_CMDFIFO1_NUM                     (APC1_CSU_BASE+0x01D*4)
#define APC1_CSU_CMDFIFO2_NUM                     (APC1_CSU_BASE+0x01E*4)
#define APC1_CSU_CMDFIFO3_NUM                     (APC1_CSU_BASE+0x01F*4)
#define APC1_CSU_PRICMDVALID0                     (APC1_CSU_BASE+0x020*4)
#define APC1_CSU_PRICMDVALID1                     (APC1_CSU_BASE+0x021*4)
#define APC1_CSU_PRICMDVALID2                     (APC1_CSU_BASE+0x022*4)
#define APC1_CSU_PRICMDVALID3                     (APC1_CSU_BASE+0x023*4)
#define APC1_CSU_CMDECODATAL32BIT0                (APC1_CSU_BASE+0x024*4)
#define APC1_CSU_CMDECODATAL32BIT1                (APC1_CSU_BASE+0x025*4)
#define APC1_CSU_CMDECODATAL32BIT2                (APC1_CSU_BASE+0x026*4)
#define APC1_CSU_CMDECODATAL32BIT3                (APC1_CSU_BASE+0x027*4)
#define APC1_CSU_CMDHIGHDATA                      (APC1_CSU_BASE+0x028*4)
#define APC1_CSU_CMDFIFO0                         (APC1_CSU_BASE+0x02C*4)
#define APC1_CSU_CMDFIFO1                         (APC1_CSU_BASE+0x02D*4)
#define APC1_CSU_CMDFIFO2                         (APC1_CSU_BASE+0x02E*4)
#define APC1_CSU_CMDFIFO3                         (APC1_CSU_BASE+0x02F*4)
#define APC1_CSU_READYLISTNUM                     (APC1_CSU_BASE+0x030*4)
#define APC1_CSU_CMDFIFO0_TAGNUM                  (APC1_CSU_BASE+0x034*4)
#define APC1_CSU_CMDFIFO1_TAGNUM                  (APC1_CSU_BASE+0x035*4)
#define APC1_CSU_CMDFIFO2_TAGNUM                  (APC1_CSU_BASE+0x036*4)
#define APC1_CSU_CMDFIFO3_TAGNUM                  (APC1_CSU_BASE+0x037*4)
#define APC1_CSU_DMASTATUS                        (APC1_CSU_BASE+0x038*4)
#define APC1_CSU_CMDSTALL_LISTSTALL               (APC1_CSU_BASE+0x039*4)
#define APC1_CSU_QOUSTATUS                        (APC1_CSU_BASE+0x03A*4)
#define APC1_CSU_EVENTINTCLEAR                    (APC1_CSU_BASE+0x03C*4)
#define APC1_CSU_MAILBOX_PRIDATAREG0              (APC1_CSU_BASE+0x100*4)
#define APC1_CSU_MAILBOX_PRIDATAREG1              (APC1_CSU_BASE+0x101*4)
#define APC1_CSU_MAILBOX_PRIDATAREG2              (APC1_CSU_BASE+0x102*4)
#define APC1_CSU_MAILBOX_PRIDATAREG3              (APC1_CSU_BASE+0x103*4)
#define APC1_CSU_MAILBOX_PRIDATAREG4              (APC1_CSU_BASE+0x104*4)
#define APC1_CSU_MAILBOX_PRIDATAREG5              (APC1_CSU_BASE+0x105*4)
#define APC1_CSU_MAILBOX_PRIDATAREG6              (APC1_CSU_BASE+0x106*4)
#define APC1_CSU_MAILBOX_PRIDATAREG7              (APC1_CSU_BASE+0x107*4)
#define APC1_CSU_MAILBOX_PRIDATAREG8              (APC1_CSU_BASE+0x108*4)
#define APC1_CSU_MAILBOX_PRIDATAREG9              (APC1_CSU_BASE+0x109*4)
#define APC1_CSU_MAILBOX_PRIDATAREG10             (APC1_CSU_BASE+0x10A*4)
#define APC1_CSU_MAILBOX_PRIDATAREG11             (APC1_CSU_BASE+0x10B*4)
#define APC1_CSU_MAILBOX_PRIDATAREG12             (APC1_CSU_BASE+0x10C*4)
#define APC1_CSU_MAILBOX_PRIDATAREG13             (APC1_CSU_BASE+0x10D*4)
#define APC1_CSU_MAILBOX_PRIDATAREG14             (APC1_CSU_BASE+0x10E*4)
#define APC1_CSU_MAILBOX_PRIDATAREG15             (APC1_CSU_BASE+0x10F*4)
#define APC1_CSU_MAILBOX_BASENUM                  (APC1_CSU_BASE+0x120*4)
#define APC1_CSU_MAILBOX_BASECNT                  (APC1_CSU_BASE+0x121*4)
#define APC1_CSU_MAILBOX_VALIDREG                 (APC1_CSU_BASE+0x122*4)
#define APC1_CSU_MAILBOX_INTMASK0                 (APC1_CSU_BASE+0x124*4)
#define APC1_CSU_MAILBOX_INTMASK1                 (APC1_CSU_BASE+0x125*4)
#define APC1_CSU_MAILBOX_INTMASK2                 (APC1_CSU_BASE+0x126*4)
#define APC1_CSU_MAILBOX_INTMASK3                 (APC1_CSU_BASE+0x127*4)
#define APC1_CSU_MAILBOX_EVENTMASK0               (APC1_CSU_BASE+0x130*4)
#define APC1_CSU_MAILBOX_EVENTMASK1               (APC1_CSU_BASE+0x131*4)
#define APC1_CSU_MAILBOX_CNTREG0                  (APC1_CSU_BASE+0x180*4)
#define APC1_CSU_MAILBOX_CNTREG1                  (APC1_CSU_BASE+0x181*4)
#define APC1_CSU_MAILBOX_CNTREG2                  (APC1_CSU_BASE+0x182*4)
#define APC1_CSU_MAILBOX_CNTREG3                  (APC1_CSU_BASE+0x183*4)
#define APC1_CSU_MAILBOX_CNTREG4                  (APC1_CSU_BASE+0x184*4)
#define APC1_CSU_MAILBOX_CNTREG5                  (APC1_CSU_BASE+0x185*4)
#define APC1_CSU_MAILBOX_CNTREG6                  (APC1_CSU_BASE+0x186*4)
#define APC1_CSU_MAILBOX_CNTREG7                  (APC1_CSU_BASE+0x187*4)
#define APC1_CSU_MAILBOX_CNTREG8                  (APC1_CSU_BASE+0x188*4)
#define APC1_CSU_MAILBOX_CNTREG9                  (APC1_CSU_BASE+0x189*4)
#define APC1_CSU_MAILBOX_CNTREG10                 (APC1_CSU_BASE+0x18A*4)
#define APC1_CSU_MAILBOX_CNTREG11                 (APC1_CSU_BASE+0x18B*4)
#define APC1_CSU_MAILBOX_CNTREG12                 (APC1_CSU_BASE+0x18C*4)
#define APC1_CSU_MAILBOX_CNTREG13                 (APC1_CSU_BASE+0x18D*4)
#define APC1_CSU_MAILBOX_CNTREG14                 (APC1_CSU_BASE+0x18E*4)
#define APC1_CSU_MAILBOX_CNTREG15                 (APC1_CSU_BASE+0x18F*4)
#define APC1_CSU_DMAADDRL0                        (APC1_CSU_BASE+0x200*4)
#define APC1_CSU_DMAADDRH0                        (APC1_CSU_BASE+0x201*4)
#define APC1_CSU_DMAYSTEPL0                       (APC1_CSU_BASE+0x202*4)
#define APC1_CSU_DMAYSTEPH0                       (APC1_CSU_BASE+0x203*4)
#define APC1_CSU_DMAZSTEPL0                       (APC1_CSU_BASE+0x204*4)
#define APC1_CSU_DMAZSTEPH0                       (APC1_CSU_BASE+0x205*4)
#define APC1_CSU_DMAYNUMXNUM0                     (APC1_CSU_BASE+0x206*4)
#define APC1_CSU_DMASIZEGRANALLNUM0               (APC1_CSU_BASE+0x207*4)
#define APC1_CSU_DMAADDRL1                        (APC1_CSU_BASE+0x208*4)
#define APC1_CSU_DMAADDRH1                        (APC1_CSU_BASE+0x209*4)
#define APC1_CSU_DMAYSTEPL1                       (APC1_CSU_BASE+0x20A*4)
#define APC1_CSU_DMAYSTEPH1                       (APC1_CSU_BASE+0x20B*4)
#define APC1_CSU_DMAZSTEPL1                       (APC1_CSU_BASE+0x20C*4)
#define APC1_CSU_DMAZSTEPH1                       (APC1_CSU_BASE+0x20D*4)
#define APC1_CSU_DMAYNUMXNUM1                     (APC1_CSU_BASE+0x20E*4)
#define APC1_CSU_DMASIZEGRANALLNUM1               (APC1_CSU_BASE+0x20F*4)
#define APC1_CSU_DMAADDRL2                        (APC1_CSU_BASE+0x210*4)
#define APC1_CSU_DMAADDRH2                        (APC1_CSU_BASE+0x211*4)
#define APC1_CSU_DMAYSTEPL2                       (APC1_CSU_BASE+0x212*4)
#define APC1_CSU_DMAYSTEPH2                       (APC1_CSU_BASE+0x213*4)
#define APC1_CSU_DMAZSTEPL2                       (APC1_CSU_BASE+0x214*4)
#define APC1_CSU_DMAZSTEPH2                       (APC1_CSU_BASE+0x215*4)
#define APC1_CSU_DMAYNUMXNUM2                     (APC1_CSU_BASE+0x216*4)
#define APC1_CSU_DMASIZEGRANALLNUM2               (APC1_CSU_BASE+0x217*4)
#define APC1_CSU_DMAADDRL3                        (APC1_CSU_BASE+0x218*4)
#define APC1_CSU_DMAADDRH3                        (APC1_CSU_BASE+0x219*4)
#define APC1_CSU_DMAYSTEPL3                       (APC1_CSU_BASE+0x21A*4)
#define APC1_CSU_DMAYSTEPH3                       (APC1_CSU_BASE+0x21B*4)
#define APC1_CSU_DMAZSTEPL3                       (APC1_CSU_BASE+0x21C*4)
#define APC1_CSU_DMAZSTEPH3                       (APC1_CSU_BASE+0x21D*4)
#define APC1_CSU_DMAYNUMXNUM3                     (APC1_CSU_BASE+0x21E*4)
#define APC1_CSU_DMASIZEGRANALLNUM3               (APC1_CSU_BASE+0x21F*4)
#define APC1_CSU_DMAADDRL4                        (APC1_CSU_BASE+0x220*4)
#define APC1_CSU_DMAADDRH4                        (APC1_CSU_BASE+0x221*4)
#define APC1_CSU_DMAYSTEPL4                       (APC1_CSU_BASE+0x222*4)
#define APC1_CSU_DMAYSTEPH4                       (APC1_CSU_BASE+0x223*4)
#define APC1_CSU_DMAZSTEPL4                       (APC1_CSU_BASE+0x224*4)
#define APC1_CSU_DMAZSTEPH4                       (APC1_CSU_BASE+0x225*4)
#define APC1_CSU_DMAYNUMXNUM4                     (APC1_CSU_BASE+0x226*4)
#define APC1_CSU_DMASIZEGRANALLNUM4               (APC1_CSU_BASE+0x227*4)
#define APC1_CSU_DMAADDRL5                        (APC1_CSU_BASE+0x228*4)
#define APC1_CSU_DMAADDRH5                        (APC1_CSU_BASE+0x229*4)
#define APC1_CSU_DMAYSTEPL5                       (APC1_CSU_BASE+0x22A*4)
#define APC1_CSU_DMAYSTEPH5                       (APC1_CSU_BASE+0x22B*4)
#define APC1_CSU_DMAZSTEPL5                       (APC1_CSU_BASE+0x22C*4)
#define APC1_CSU_DMAZSTEPH5                       (APC1_CSU_BASE+0x22D*4)
#define APC1_CSU_DMAYNUMXNUM5                     (APC1_CSU_BASE+0x22E*4)
#define APC1_CSU_DMASIZEGRANALLNUM5               (APC1_CSU_BASE+0x22F*4)
#define APC1_CSU_DMAADDRL6                        (APC1_CSU_BASE+0x230*4)
#define APC1_CSU_DMAADDRH6                        (APC1_CSU_BASE+0x231*4)
#define APC1_CSU_DMAYSTEPL6                       (APC1_CSU_BASE+0x232*4)
#define APC1_CSU_DMAYSTEPH6                       (APC1_CSU_BASE+0x233*4)
#define APC1_CSU_DMAZSTEPL6                       (APC1_CSU_BASE+0x234*4)
#define APC1_CSU_DMAZSTEPH6                       (APC1_CSU_BASE+0x235*4)
#define APC1_CSU_DMAYNUMXNUM6                     (APC1_CSU_BASE+0x236*4)
#define APC1_CSU_DMASIZEGRANALLNUM6               (APC1_CSU_BASE+0x237*4)
#define APC1_CSU_DMAADDRL7                        (APC1_CSU_BASE+0x238*4)
#define APC1_CSU_DMAADDRH7                        (APC1_CSU_BASE+0x239*4)
#define APC1_CSU_DMAYSTEPL7                       (APC1_CSU_BASE+0x23A*4)
#define APC1_CSU_DMAYSTEPH7                       (APC1_CSU_BASE+0x23B*4)
#define APC1_CSU_DMAZSTEPL7                       (APC1_CSU_BASE+0x23C*4)
#define APC1_CSU_DMAZSTEPH7                       (APC1_CSU_BASE+0x23D*4)
#define APC1_CSU_DMAYNUMXNUM7                     (APC1_CSU_BASE+0x23E*4)
#define APC1_CSU_DMASIZEGRANALLNUM7               (APC1_CSU_BASE+0x23F*4)
#define APC1_CSU_DMAADDRL8                        (APC1_CSU_BASE+0x240*4)
#define APC1_CSU_DMAADDRH8                        (APC1_CSU_BASE+0x241*4)
#define APC1_CSU_DMAYSTEPL8                       (APC1_CSU_BASE+0x242*4)
#define APC1_CSU_DMAYSTEPH8                       (APC1_CSU_BASE+0x243*4)
#define APC1_CSU_DMAZSTEPL8                       (APC1_CSU_BASE+0x244*4)
#define APC1_CSU_DMAZSTEPH8                       (APC1_CSU_BASE+0x245*4)
#define APC1_CSU_DMAYNUMXNUM8                     (APC1_CSU_BASE+0x246*4)
#define APC1_CSU_DMASIZEGRANALLNUM8               (APC1_CSU_BASE+0x247*4)
#define APC1_CSU_DMAADDRL9                        (APC1_CSU_BASE+0x248*4)
#define APC1_CSU_DMAADDRH9                        (APC1_CSU_BASE+0x249*4)
#define APC1_CSU_DMAYSTEPL9                       (APC1_CSU_BASE+0x24A*4)
#define APC1_CSU_DMAYSTEPH9                       (APC1_CSU_BASE+0x24B*4)
#define APC1_CSU_DMAZSTEPL9                       (APC1_CSU_BASE+0x24C*4)
#define APC1_CSU_DMAZSTEPH9                       (APC1_CSU_BASE+0x24D*4)
#define APC1_CSU_DMAYNUMXNUM9                     (APC1_CSU_BASE+0x24E*4)
#define APC1_CSU_DMASIZEGRANALLNUM9               (APC1_CSU_BASE+0x24F*4)
#define APC1_CSU_DMAADDRL10                       (APC1_CSU_BASE+0x250*4)
#define APC1_CSU_DMAADDRH10                       (APC1_CSU_BASE+0x251*4)
#define APC1_CSU_DMAYSTEPL10                      (APC1_CSU_BASE+0x252*4)
#define APC1_CSU_DMAYSTEPH10                      (APC1_CSU_BASE+0x253*4)
#define APC1_CSU_DMAZSTEPL10                      (APC1_CSU_BASE+0x254*4)
#define APC1_CSU_DMAZSTEPH10                      (APC1_CSU_BASE+0x255*4)
#define APC1_CSU_DMAYNUMXNUM10                    (APC1_CSU_BASE+0x256*4)
#define APC1_CSU_DMASIZEGRANALLNUM10              (APC1_CSU_BASE+0x257*4)
#define APC1_CSU_DMAADDRL11                       (APC1_CSU_BASE+0x258*4)
#define APC1_CSU_DMAADDRH11                       (APC1_CSU_BASE+0x259*4)
#define APC1_CSU_DMAYSTEPL11                      (APC1_CSU_BASE+0x25A*4)
#define APC1_CSU_DMAYSTEPH11                      (APC1_CSU_BASE+0x25B*4)
#define APC1_CSU_DMAZSTEPL11                      (APC1_CSU_BASE+0x25C*4)
#define APC1_CSU_DMAZSTEPH11                      (APC1_CSU_BASE+0x25D*4)
#define APC1_CSU_DMAYNUMXNUM11                    (APC1_CSU_BASE+0x25E*4)
#define APC1_CSU_DMASIZEGRANALLNUM11              (APC1_CSU_BASE+0x25F*4)
#define APC1_CSU_DMAADDRL12                       (APC1_CSU_BASE+0x260*4)
#define APC1_CSU_DMAADDRH12                       (APC1_CSU_BASE+0x261*4)
#define APC1_CSU_DMAYSTEPL12                      (APC1_CSU_BASE+0x262*4)
#define APC1_CSU_DMAYSTEPH12                      (APC1_CSU_BASE+0x263*4)
#define APC1_CSU_DMAZSTEPL12                      (APC1_CSU_BASE+0x264*4)
#define APC1_CSU_DMAZSTEPH12                      (APC1_CSU_BASE+0x265*4)
#define APC1_CSU_DMAYNUMXNUM12                    (APC1_CSU_BASE+0x266*4)
#define APC1_CSU_DMASIZEGRANALLNUM12              (APC1_CSU_BASE+0x267*4)
#define APC1_CSU_DMAADDRL13                       (APC1_CSU_BASE+0x268*4)
#define APC1_CSU_DMAADDRH13                       (APC1_CSU_BASE+0x269*4)
#define APC1_CSU_DMAYSTEPL13                      (APC1_CSU_BASE+0x26A*4)
#define APC1_CSU_DMAYSTEPH13                      (APC1_CSU_BASE+0x26B*4)
#define APC1_CSU_DMAZSTEPL13                      (APC1_CSU_BASE+0x26C*4)
#define APC1_CSU_DMAZSTEPH13                      (APC1_CSU_BASE+0x26D*4)
#define APC1_CSU_DMAYNUMXNUM13                    (APC1_CSU_BASE+0x26E*4)
#define APC1_CSU_DMASIZEGRANALLNUM13              (APC1_CSU_BASE+0x26F*4)
#define APC1_CSU_DMAADDRL14                       (APC1_CSU_BASE+0x270*4)
#define APC1_CSU_DMAADDRH14                       (APC1_CSU_BASE+0x271*4)
#define APC1_CSU_DMAYSTEPL14                      (APC1_CSU_BASE+0x272*4)
#define APC1_CSU_DMAYSTEPH14                      (APC1_CSU_BASE+0x273*4)
#define APC1_CSU_DMAZSTEPL14                      (APC1_CSU_BASE+0x274*4)
#define APC1_CSU_DMAZSTEPH14                      (APC1_CSU_BASE+0x275*4)
#define APC1_CSU_DMAYNUMXNUM14                    (APC1_CSU_BASE+0x276*4)
#define APC1_CSU_DMASIZEGRANALLNUM14              (APC1_CSU_BASE+0x277*4)
#define APC1_CSU_DMAADDRL15                       (APC1_CSU_BASE+0x278*4)
#define APC1_CSU_DMAADDRH15                       (APC1_CSU_BASE+0x279*4)
#define APC1_CSU_DMAYSTEPL15                      (APC1_CSU_BASE+0x27A*4)
#define APC1_CSU_DMAYSTEPH15                      (APC1_CSU_BASE+0x27B*4)
#define APC1_CSU_DMAZSTEPL15                      (APC1_CSU_BASE+0x27C*4)
#define APC1_CSU_DMAZSTEPH15                      (APC1_CSU_BASE+0x27D*4)
#define APC1_CSU_DMAYNUMXNUM15                    (APC1_CSU_BASE+0x27E*4)
#define APC1_CSU_DMASIZEGRANALLNUM15              (APC1_CSU_BASE+0x27F*4)
#define APC1_CSU_QOUCMDNUM_QOUCMDPOS              (APC1_CSU_BASE+0x300*4)
#define APC1_CSU_QOUCMDADDR                       (APC1_CSU_BASE+0x301*4)
#define APC1_CSU_QOUCMDDATA                       (APC1_CSU_BASE+0x302*4)
#define APC1_CSU_QOUSTATUSPOPDATA                 (APC1_CSU_BASE+0x303*4)
#define APC1_CSU_QOUCMPDATA0                      (APC1_CSU_BASE+0x304*4)
#define APC1_CSU_QOUCMPDATA1                      (APC1_CSU_BASE+0x305*4)
#define APC1_CSU_QOUCMPDATA2                      (APC1_CSU_BASE+0x306*4)
#define APC1_CSU_QOUCMPDATA3                      (APC1_CSU_BASE+0x307*4)
#define APC1_CSU_SPUID                            (APC1_CSU_BASE+0x30B*4)
#define APC1_CSU_PRICMDDATA_L32BIT0               (APC1_CSU_BASE+0x310*4)
#define APC1_CSU_PRICMDDATA_H14BIT0               (APC1_CSU_BASE+0x311*4)
#define APC1_CSU_PRICMDDATA_L32BIT1               (APC1_CSU_BASE+0x312*4)
#define APC1_CSU_PRICMDDATA_H14BIT1               (APC1_CSU_BASE+0x313*4)
#define APC1_CSU_PRICMDDATA_L32BIT2               (APC1_CSU_BASE+0x314*4)
#define APC1_CSU_PRICMDDATA_H14BIT2               (APC1_CSU_BASE+0x315*4)
#define APC1_CSU_PRICMDDATA_L32BIT3               (APC1_CSU_BASE+0x316*4)
#define APC1_CSU_PRICMDDATA_H14BIT3               (APC1_CSU_BASE+0x317*4)
#define APC1_CSU_SORTDATA_NUM                     (APC1_CSU_BASE+0x380*4)
#define APC1_CSU_SORTDATA_DATA0                   (APC1_CSU_BASE+0x3C0*4)
#define APC1_CSU_SORTDATA_DATA1                   (APC1_CSU_BASE+0x3C1*4)
#define APC1_CSU_SORTDATA_DATA2                   (APC1_CSU_BASE+0x3C2*4)
#define APC1_CSU_SORTDATA_DATA3                   (APC1_CSU_BASE+0x3C3*4)
#define APC1_CSU_SORTDATA_DATA4                   (APC1_CSU_BASE+0x3C4*4)
#define APC1_CSU_SORTDATA_DATA5                   (APC1_CSU_BASE+0x3C5*4)
#define APC1_CSU_SORTDATA_DATA6                   (APC1_CSU_BASE+0x3C6*4)
#define APC1_CSU_SORTDATA_DATA7                   (APC1_CSU_BASE+0x3C7*4)
#define APC1_CSU_SORTDATA_DATA8                   (APC1_CSU_BASE+0x3C8*4)
#define APC1_CSU_SORTDATA_DATA9                   (APC1_CSU_BASE+0x3C9*4)
#define APC1_CSU_SORTDATA_DATA10                  (APC1_CSU_BASE+0x3CA*4)
#define APC1_CSU_SORTDATA_DATA11                  (APC1_CSU_BASE+0x3CB*4)
#define APC1_CSU_SORTDATA_DATA12                  (APC1_CSU_BASE+0x3CC*4)
#define APC1_CSU_SORTDATA_DATA13                  (APC1_CSU_BASE+0x3CD*4)
#define APC1_CSU_SORTDATA_DATA14                  (APC1_CSU_BASE+0x3CE*4)
#define APC1_CSU_SORTDATA_DATA15                  (APC1_CSU_BASE+0x3CF*4)
#define APC1_CSU_SORTDATA_DATA16                  (APC1_CSU_BASE+0x3D0*4)
#define APC1_CSU_SORTDATA_DATA17                  (APC1_CSU_BASE+0x3D1*4)
#define APC1_CSU_SORTDATA_DATA18                  (APC1_CSU_BASE+0x3D2*4)
#define APC1_CSU_SORTDATA_DATA19                  (APC1_CSU_BASE+0x3D3*4)
#define APC1_CSU_SORTDATA_DATA20                  (APC1_CSU_BASE+0x3D4*4)
#define APC1_CSU_SORTDATA_DATA21                  (APC1_CSU_BASE+0x3D5*4)
#define APC1_CSU_SORTDATA_DATA22                  (APC1_CSU_BASE+0x3D6*4)
#define APC1_CSU_SORTDATA_DATA23                  (APC1_CSU_BASE+0x3D7*4)
#define APC1_CSU_SORTDATA_DATA24                  (APC1_CSU_BASE+0x3D8*4)
#define APC1_CSU_SORTDATA_DATA25                  (APC1_CSU_BASE+0x3D9*4)
#define APC1_CSU_SORTDATA_DATA26                  (APC1_CSU_BASE+0x3DA*4)
#define APC1_CSU_SORTDATA_DATA27                  (APC1_CSU_BASE+0x3DB*4)
#define APC1_CSU_SORTDATA_DATA28                  (APC1_CSU_BASE+0x3DC*4)
#define APC1_CSU_SORTDATA_DATA29                  (APC1_CSU_BASE+0x3DD*4)
#define APC1_CSU_SORTDATA_DATA30                  (APC1_CSU_BASE+0x3DE*4)
#define APC1_CSU_SORTDATA_DATA31                  (APC1_CSU_BASE+0x3DF*4)
#define APC1_CSU_SORTDATA_ID0                     (APC1_CSU_BASE+0x3E0*4)
#define APC1_CSU_SORTDATA_ID1                     (APC1_CSU_BASE+0x3E1*4)
#define APC1_CSU_SORTDATA_ID2                     (APC1_CSU_BASE+0x3E2*4)
#define APC1_CSU_SORTDATA_ID3                     (APC1_CSU_BASE+0x3E3*4)
#define APC1_CSU_SORTDATA_ID4                     (APC1_CSU_BASE+0x3E4*4)
#define APC1_CSU_SORTDATA_ID5                     (APC1_CSU_BASE+0x3E5*4)
#define APC1_CSU_SORTDATA_ID6                     (APC1_CSU_BASE+0x3E6*4)
#define APC1_CSU_SORTDATA_ID7                     (APC1_CSU_BASE+0x3E7*4)
#define APC1_CSU_SORTDATA_ID8                     (APC1_CSU_BASE+0x3E8*4)
#define APC1_CSU_SORTDATA_ID9                     (APC1_CSU_BASE+0x3E9*4)
#define APC1_CSU_SORTDATA_ID10                    (APC1_CSU_BASE+0x3EA*4)
#define APC1_CSU_SORTDATA_ID11                    (APC1_CSU_BASE+0x3EB*4)
#define APC1_CSU_SORTDATA_ID12                    (APC1_CSU_BASE+0x3EC*4)
#define APC1_CSU_SORTDATA_ID13                    (APC1_CSU_BASE+0x3ED*4)
#define APC1_CSU_SORTDATA_ID14                    (APC1_CSU_BASE+0x3EE*4)
#define APC1_CSU_SORTDATA_ID15                    (APC1_CSU_BASE+0x3EF*4)
#define APC1_CSU_SORTDATA_ID16                    (APC1_CSU_BASE+0x3F0*4)
#define APC1_CSU_SORTDATA_ID17                    (APC1_CSU_BASE+0x3F1*4)
#define APC1_CSU_SORTDATA_ID18                    (APC1_CSU_BASE+0x3F2*4)
#define APC1_CSU_SORTDATA_ID19                    (APC1_CSU_BASE+0x3F3*4)
#define APC1_CSU_SORTDATA_ID20                    (APC1_CSU_BASE+0x3F4*4)
#define APC1_CSU_SORTDATA_ID21                    (APC1_CSU_BASE+0x3F5*4)
#define APC1_CSU_SORTDATA_ID22                    (APC1_CSU_BASE+0x3F6*4)
#define APC1_CSU_SORTDATA_ID23                    (APC1_CSU_BASE+0x3F7*4)
#define APC1_CSU_SORTDATA_ID24                    (APC1_CSU_BASE+0x3F8*4)
#define APC1_CSU_SORTDATA_ID25                    (APC1_CSU_BASE+0x3F9*4)
#define APC1_CSU_SORTDATA_ID26                    (APC1_CSU_BASE+0x3FA*4)
#define APC1_CSU_SORTDATA_ID27                    (APC1_CSU_BASE+0x3FB*4)
#define APC1_CSU_SORTDATA_ID28                    (APC1_CSU_BASE+0x3FC*4)
#define APC1_CSU_SORTDATA_ID29                    (APC1_CSU_BASE+0x3FD*4)
#define APC1_CSU_SORTDATA_ID30                    (APC1_CSU_BASE+0x3FE*4)
#define APC1_CSU_SORTDATA_ID31                    (APC1_CSU_BASE+0x3FF*4)


#define APC2_CSU_STARTSPU0                        (APC2_CSU_BASE+0x000*4)
#define APC2_CSU_ALLPENDEVENTMASK                 (APC2_CSU_BASE+0x000*4)
#define APC2_CSU_STARTSPU1                        (APC2_CSU_BASE+0x001*4)
#define APC2_CSU_EVENTMASK                        (APC2_CSU_BASE+0x002*4)
#define APC2_CSU_INTMASK                          (APC2_CSU_BASE+0x004*4)
#define APC2_CSU_ELEVELMASK                       (APC2_CSU_BASE+0x005*4)
#define APC2_CSU_TAGMASK0                         (APC2_CSU_BASE+0x006*4)
#define APC2_CSU_TAGMASK1                         (APC2_CSU_BASE+0x007*4)
#define APC2_CSU_TAGMASK2                         (APC2_CSU_BASE+0x008*4)
#define APC2_CSU_TAGMASK3                         (APC2_CSU_BASE+0x009*4)
#define APC2_CSU_ARMCMDRECV                       (APC2_CSU_BASE+0x00A*4)
#define APC2_CSU_FETCHMODE_CACHEMODE              (APC2_CSU_BASE+0x00B*4)
#define APC2_CSU_ALLPENDEVENT0                    (APC2_CSU_BASE+0x00C*4)
#define APC2_CSU_ALLPENDEVENT1                    (APC2_CSU_BASE+0x00D*4)
#define APC2_CSU_EM_BS_SMSEL_PREDATANUM           (APC2_CSU_BASE+0x010*4)
#define APC2_CSU_CACHEINFO_EM_BS_SPURWCACHE_SMSEL_PDNUM (APC2_CSU_BASE+0x010*4)
#define APC2_CSU_ALMOSTFULLSENDTHRED              (APC2_CSU_BASE+0x011*4)
#define APC2_CSU_FINDDMATAG                       (APC2_CSU_BASE+0x014*4)
#define APC2_CSU_CMDFIFO0_CMD                     (APC2_CSU_BASE+0x018*4)
#define APC2_CSU_CMDFIFO1_CMD                     (APC2_CSU_BASE+0x019*4)
#define APC2_CSU_CMDFIFO2_CMD                     (APC2_CSU_BASE+0x01A*4)
#define APC2_CSU_CMDFIFO3_CMD                     (APC2_CSU_BASE+0x01B*4)
#define APC2_CSU_CMDFIFO0_NUM                     (APC2_CSU_BASE+0x01C*4)
#define APC2_CSU_CMDFIFO1_NUM                     (APC2_CSU_BASE+0x01D*4)
#define APC2_CSU_CMDFIFO2_NUM                     (APC2_CSU_BASE+0x01E*4)
#define APC2_CSU_CMDFIFO3_NUM                     (APC2_CSU_BASE+0x01F*4)
#define APC2_CSU_PRICMDVALID0                     (APC2_CSU_BASE+0x020*4)
#define APC2_CSU_PRICMDVALID1                     (APC2_CSU_BASE+0x021*4)
#define APC2_CSU_PRICMDVALID2                     (APC2_CSU_BASE+0x022*4)
#define APC2_CSU_PRICMDVALID3                     (APC2_CSU_BASE+0x023*4)
#define APC2_CSU_CMDECODATAL32BIT0                (APC2_CSU_BASE+0x024*4)
#define APC2_CSU_CMDECODATAL32BIT1                (APC2_CSU_BASE+0x025*4)
#define APC2_CSU_CMDECODATAL32BIT2                (APC2_CSU_BASE+0x026*4)
#define APC2_CSU_CMDECODATAL32BIT3                (APC2_CSU_BASE+0x027*4)
#define APC2_CSU_CMDHIGHDATA                      (APC2_CSU_BASE+0x028*4)
#define APC2_CSU_CMDFIFO0                         (APC2_CSU_BASE+0x02C*4)
#define APC2_CSU_CMDFIFO1                         (APC2_CSU_BASE+0x02D*4)
#define APC2_CSU_CMDFIFO2                         (APC2_CSU_BASE+0x02E*4)
#define APC2_CSU_CMDFIFO3                         (APC2_CSU_BASE+0x02F*4)
#define APC2_CSU_READYLISTNUM                     (APC2_CSU_BASE+0x030*4)
#define APC2_CSU_CMDFIFO0_TAGNUM                  (APC2_CSU_BASE+0x034*4)
#define APC2_CSU_CMDFIFO1_TAGNUM                  (APC2_CSU_BASE+0x035*4)
#define APC2_CSU_CMDFIFO2_TAGNUM                  (APC2_CSU_BASE+0x036*4)
#define APC2_CSU_CMDFIFO3_TAGNUM                  (APC2_CSU_BASE+0x037*4)
#define APC2_CSU_DMASTATUS                        (APC2_CSU_BASE+0x038*4)
#define APC2_CSU_CMDSTALL_LISTSTALL               (APC2_CSU_BASE+0x039*4)
#define APC2_CSU_QOUSTATUS                        (APC2_CSU_BASE+0x03A*4)
#define APC2_CSU_EVENTINTCLEAR                    (APC2_CSU_BASE+0x03C*4)
#define APC2_CSU_MAILBOX_PRIDATAREG0              (APC2_CSU_BASE+0x100*4)
#define APC2_CSU_MAILBOX_PRIDATAREG1              (APC2_CSU_BASE+0x101*4)
#define APC2_CSU_MAILBOX_PRIDATAREG2              (APC2_CSU_BASE+0x102*4)
#define APC2_CSU_MAILBOX_PRIDATAREG3              (APC2_CSU_BASE+0x103*4)
#define APC2_CSU_MAILBOX_PRIDATAREG4              (APC2_CSU_BASE+0x104*4)
#define APC2_CSU_MAILBOX_PRIDATAREG5              (APC2_CSU_BASE+0x105*4)
#define APC2_CSU_MAILBOX_PRIDATAREG6              (APC2_CSU_BASE+0x106*4)
#define APC2_CSU_MAILBOX_PRIDATAREG7              (APC2_CSU_BASE+0x107*4)
#define APC2_CSU_MAILBOX_PRIDATAREG8              (APC2_CSU_BASE+0x108*4)
#define APC2_CSU_MAILBOX_PRIDATAREG9              (APC2_CSU_BASE+0x109*4)
#define APC2_CSU_MAILBOX_PRIDATAREG10             (APC2_CSU_BASE+0x10A*4)
#define APC2_CSU_MAILBOX_PRIDATAREG11             (APC2_CSU_BASE+0x10B*4)
#define APC2_CSU_MAILBOX_PRIDATAREG12             (APC2_CSU_BASE+0x10C*4)
#define APC2_CSU_MAILBOX_PRIDATAREG13             (APC2_CSU_BASE+0x10D*4)
#define APC2_CSU_MAILBOX_PRIDATAREG14             (APC2_CSU_BASE+0x10E*4)
#define APC2_CSU_MAILBOX_PRIDATAREG15             (APC2_CSU_BASE+0x10F*4)
#define APC2_CSU_MAILBOX_BASENUM                  (APC2_CSU_BASE+0x120*4)
#define APC2_CSU_MAILBOX_BASECNT                  (APC2_CSU_BASE+0x121*4)
#define APC2_CSU_MAILBOX_VALIDREG                 (APC2_CSU_BASE+0x122*4)
#define APC2_CSU_MAILBOX_INTMASK0                 (APC2_CSU_BASE+0x124*4)
#define APC2_CSU_MAILBOX_INTMASK1                 (APC2_CSU_BASE+0x125*4)
#define APC2_CSU_MAILBOX_INTMASK2                 (APC2_CSU_BASE+0x126*4)
#define APC2_CSU_MAILBOX_INTMASK3                 (APC2_CSU_BASE+0x127*4)
#define APC2_CSU_MAILBOX_EVENTMASK0               (APC2_CSU_BASE+0x130*4)
#define APC2_CSU_MAILBOX_EVENTMASK1               (APC2_CSU_BASE+0x131*4)
#define APC2_CSU_MAILBOX_CNTREG0                  (APC2_CSU_BASE+0x180*4)
#define APC2_CSU_MAILBOX_CNTREG1                  (APC2_CSU_BASE+0x181*4)
#define APC2_CSU_MAILBOX_CNTREG2                  (APC2_CSU_BASE+0x182*4)
#define APC2_CSU_MAILBOX_CNTREG3                  (APC2_CSU_BASE+0x183*4)
#define APC2_CSU_MAILBOX_CNTREG4                  (APC2_CSU_BASE+0x184*4)
#define APC2_CSU_MAILBOX_CNTREG5                  (APC2_CSU_BASE+0x185*4)
#define APC2_CSU_MAILBOX_CNTREG6                  (APC2_CSU_BASE+0x186*4)
#define APC2_CSU_MAILBOX_CNTREG7                  (APC2_CSU_BASE+0x187*4)
#define APC2_CSU_MAILBOX_CNTREG8                  (APC2_CSU_BASE+0x188*4)
#define APC2_CSU_MAILBOX_CNTREG9                  (APC2_CSU_BASE+0x189*4)
#define APC2_CSU_MAILBOX_CNTREG10                 (APC2_CSU_BASE+0x18A*4)
#define APC2_CSU_MAILBOX_CNTREG11                 (APC2_CSU_BASE+0x18B*4)
#define APC2_CSU_MAILBOX_CNTREG12                 (APC2_CSU_BASE+0x18C*4)
#define APC2_CSU_MAILBOX_CNTREG13                 (APC2_CSU_BASE+0x18D*4)
#define APC2_CSU_MAILBOX_CNTREG14                 (APC2_CSU_BASE+0x18E*4)
#define APC2_CSU_MAILBOX_CNTREG15                 (APC2_CSU_BASE+0x18F*4)
#define APC2_CSU_DMAADDRL0                        (APC2_CSU_BASE+0x200*4)
#define APC2_CSU_DMAADDRH0                        (APC2_CSU_BASE+0x201*4)
#define APC2_CSU_DMAYSTEPL0                       (APC2_CSU_BASE+0x202*4)
#define APC2_CSU_DMAYSTEPH0                       (APC2_CSU_BASE+0x203*4)
#define APC2_CSU_DMAZSTEPL0                       (APC2_CSU_BASE+0x204*4)
#define APC2_CSU_DMAZSTEPH0                       (APC2_CSU_BASE+0x205*4)
#define APC2_CSU_DMAYNUMXNUM0                     (APC2_CSU_BASE+0x206*4)
#define APC2_CSU_DMASIZEGRANALLNUM0               (APC2_CSU_BASE+0x207*4)
#define APC2_CSU_DMAADDRL1                        (APC2_CSU_BASE+0x208*4)
#define APC2_CSU_DMAADDRH1                        (APC2_CSU_BASE+0x209*4)
#define APC2_CSU_DMAYSTEPL1                       (APC2_CSU_BASE+0x20A*4)
#define APC2_CSU_DMAYSTEPH1                       (APC2_CSU_BASE+0x20B*4)
#define APC2_CSU_DMAZSTEPL1                       (APC2_CSU_BASE+0x20C*4)
#define APC2_CSU_DMAZSTEPH1                       (APC2_CSU_BASE+0x20D*4)
#define APC2_CSU_DMAYNUMXNUM1                     (APC2_CSU_BASE+0x20E*4)
#define APC2_CSU_DMASIZEGRANALLNUM1               (APC2_CSU_BASE+0x20F*4)
#define APC2_CSU_DMAADDRL2                        (APC2_CSU_BASE+0x210*4)
#define APC2_CSU_DMAADDRH2                        (APC2_CSU_BASE+0x211*4)
#define APC2_CSU_DMAYSTEPL2                       (APC2_CSU_BASE+0x212*4)
#define APC2_CSU_DMAYSTEPH2                       (APC2_CSU_BASE+0x213*4)
#define APC2_CSU_DMAZSTEPL2                       (APC2_CSU_BASE+0x214*4)
#define APC2_CSU_DMAZSTEPH2                       (APC2_CSU_BASE+0x215*4)
#define APC2_CSU_DMAYNUMXNUM2                     (APC2_CSU_BASE+0x216*4)
#define APC2_CSU_DMASIZEGRANALLNUM2               (APC2_CSU_BASE+0x217*4)
#define APC2_CSU_DMAADDRL3                        (APC2_CSU_BASE+0x218*4)
#define APC2_CSU_DMAADDRH3                        (APC2_CSU_BASE+0x219*4)
#define APC2_CSU_DMAYSTEPL3                       (APC2_CSU_BASE+0x21A*4)
#define APC2_CSU_DMAYSTEPH3                       (APC2_CSU_BASE+0x21B*4)
#define APC2_CSU_DMAZSTEPL3                       (APC2_CSU_BASE+0x21C*4)
#define APC2_CSU_DMAZSTEPH3                       (APC2_CSU_BASE+0x21D*4)
#define APC2_CSU_DMAYNUMXNUM3                     (APC2_CSU_BASE+0x21E*4)
#define APC2_CSU_DMASIZEGRANALLNUM3               (APC2_CSU_BASE+0x21F*4)
#define APC2_CSU_DMAADDRL4                        (APC2_CSU_BASE+0x220*4)
#define APC2_CSU_DMAADDRH4                        (APC2_CSU_BASE+0x221*4)
#define APC2_CSU_DMAYSTEPL4                       (APC2_CSU_BASE+0x222*4)
#define APC2_CSU_DMAYSTEPH4                       (APC2_CSU_BASE+0x223*4)
#define APC2_CSU_DMAZSTEPL4                       (APC2_CSU_BASE+0x224*4)
#define APC2_CSU_DMAZSTEPH4                       (APC2_CSU_BASE+0x225*4)
#define APC2_CSU_DMAYNUMXNUM4                     (APC2_CSU_BASE+0x226*4)
#define APC2_CSU_DMASIZEGRANALLNUM4               (APC2_CSU_BASE+0x227*4)
#define APC2_CSU_DMAADDRL5                        (APC2_CSU_BASE+0x228*4)
#define APC2_CSU_DMAADDRH5                        (APC2_CSU_BASE+0x229*4)
#define APC2_CSU_DMAYSTEPL5                       (APC2_CSU_BASE+0x22A*4)
#define APC2_CSU_DMAYSTEPH5                       (APC2_CSU_BASE+0x22B*4)
#define APC2_CSU_DMAZSTEPL5                       (APC2_CSU_BASE+0x22C*4)
#define APC2_CSU_DMAZSTEPH5                       (APC2_CSU_BASE+0x22D*4)
#define APC2_CSU_DMAYNUMXNUM5                     (APC2_CSU_BASE+0x22E*4)
#define APC2_CSU_DMASIZEGRANALLNUM5               (APC2_CSU_BASE+0x22F*4)
#define APC2_CSU_DMAADDRL6                        (APC2_CSU_BASE+0x230*4)
#define APC2_CSU_DMAADDRH6                        (APC2_CSU_BASE+0x231*4)
#define APC2_CSU_DMAYSTEPL6                       (APC2_CSU_BASE+0x232*4)
#define APC2_CSU_DMAYSTEPH6                       (APC2_CSU_BASE+0x233*4)
#define APC2_CSU_DMAZSTEPL6                       (APC2_CSU_BASE+0x234*4)
#define APC2_CSU_DMAZSTEPH6                       (APC2_CSU_BASE+0x235*4)
#define APC2_CSU_DMAYNUMXNUM6                     (APC2_CSU_BASE+0x236*4)
#define APC2_CSU_DMASIZEGRANALLNUM6               (APC2_CSU_BASE+0x237*4)
#define APC2_CSU_DMAADDRL7                        (APC2_CSU_BASE+0x238*4)
#define APC2_CSU_DMAADDRH7                        (APC2_CSU_BASE+0x239*4)
#define APC2_CSU_DMAYSTEPL7                       (APC2_CSU_BASE+0x23A*4)
#define APC2_CSU_DMAYSTEPH7                       (APC2_CSU_BASE+0x23B*4)
#define APC2_CSU_DMAZSTEPL7                       (APC2_CSU_BASE+0x23C*4)
#define APC2_CSU_DMAZSTEPH7                       (APC2_CSU_BASE+0x23D*4)
#define APC2_CSU_DMAYNUMXNUM7                     (APC2_CSU_BASE+0x23E*4)
#define APC2_CSU_DMASIZEGRANALLNUM7               (APC2_CSU_BASE+0x23F*4)
#define APC2_CSU_DMAADDRL8                        (APC2_CSU_BASE+0x240*4)
#define APC2_CSU_DMAADDRH8                        (APC2_CSU_BASE+0x241*4)
#define APC2_CSU_DMAYSTEPL8                       (APC2_CSU_BASE+0x242*4)
#define APC2_CSU_DMAYSTEPH8                       (APC2_CSU_BASE+0x243*4)
#define APC2_CSU_DMAZSTEPL8                       (APC2_CSU_BASE+0x244*4)
#define APC2_CSU_DMAZSTEPH8                       (APC2_CSU_BASE+0x245*4)
#define APC2_CSU_DMAYNUMXNUM8                     (APC2_CSU_BASE+0x246*4)
#define APC2_CSU_DMASIZEGRANALLNUM8               (APC2_CSU_BASE+0x247*4)
#define APC2_CSU_DMAADDRL9                        (APC2_CSU_BASE+0x248*4)
#define APC2_CSU_DMAADDRH9                        (APC2_CSU_BASE+0x249*4)
#define APC2_CSU_DMAYSTEPL9                       (APC2_CSU_BASE+0x24A*4)
#define APC2_CSU_DMAYSTEPH9                       (APC2_CSU_BASE+0x24B*4)
#define APC2_CSU_DMAZSTEPL9                       (APC2_CSU_BASE+0x24C*4)
#define APC2_CSU_DMAZSTEPH9                       (APC2_CSU_BASE+0x24D*4)
#define APC2_CSU_DMAYNUMXNUM9                     (APC2_CSU_BASE+0x24E*4)
#define APC2_CSU_DMASIZEGRANALLNUM9               (APC2_CSU_BASE+0x24F*4)
#define APC2_CSU_DMAADDRL10                       (APC2_CSU_BASE+0x250*4)
#define APC2_CSU_DMAADDRH10                       (APC2_CSU_BASE+0x251*4)
#define APC2_CSU_DMAYSTEPL10                      (APC2_CSU_BASE+0x252*4)
#define APC2_CSU_DMAYSTEPH10                      (APC2_CSU_BASE+0x253*4)
#define APC2_CSU_DMAZSTEPL10                      (APC2_CSU_BASE+0x254*4)
#define APC2_CSU_DMAZSTEPH10                      (APC2_CSU_BASE+0x255*4)
#define APC2_CSU_DMAYNUMXNUM10                    (APC2_CSU_BASE+0x256*4)
#define APC2_CSU_DMASIZEGRANALLNUM10              (APC2_CSU_BASE+0x257*4)
#define APC2_CSU_DMAADDRL11                       (APC2_CSU_BASE+0x258*4)
#define APC2_CSU_DMAADDRH11                       (APC2_CSU_BASE+0x259*4)
#define APC2_CSU_DMAYSTEPL11                      (APC2_CSU_BASE+0x25A*4)
#define APC2_CSU_DMAYSTEPH11                      (APC2_CSU_BASE+0x25B*4)
#define APC2_CSU_DMAZSTEPL11                      (APC2_CSU_BASE+0x25C*4)
#define APC2_CSU_DMAZSTEPH11                      (APC2_CSU_BASE+0x25D*4)
#define APC2_CSU_DMAYNUMXNUM11                    (APC2_CSU_BASE+0x25E*4)
#define APC2_CSU_DMASIZEGRANALLNUM11              (APC2_CSU_BASE+0x25F*4)
#define APC2_CSU_DMAADDRL12                       (APC2_CSU_BASE+0x260*4)
#define APC2_CSU_DMAADDRH12                       (APC2_CSU_BASE+0x261*4)
#define APC2_CSU_DMAYSTEPL12                      (APC2_CSU_BASE+0x262*4)
#define APC2_CSU_DMAYSTEPH12                      (APC2_CSU_BASE+0x263*4)
#define APC2_CSU_DMAZSTEPL12                      (APC2_CSU_BASE+0x264*4)
#define APC2_CSU_DMAZSTEPH12                      (APC2_CSU_BASE+0x265*4)
#define APC2_CSU_DMAYNUMXNUM12                    (APC2_CSU_BASE+0x266*4)
#define APC2_CSU_DMASIZEGRANALLNUM12              (APC2_CSU_BASE+0x267*4)
#define APC2_CSU_DMAADDRL13                       (APC2_CSU_BASE+0x268*4)
#define APC2_CSU_DMAADDRH13                       (APC2_CSU_BASE+0x269*4)
#define APC2_CSU_DMAYSTEPL13                      (APC2_CSU_BASE+0x26A*4)
#define APC2_CSU_DMAYSTEPH13                      (APC2_CSU_BASE+0x26B*4)
#define APC2_CSU_DMAZSTEPL13                      (APC2_CSU_BASE+0x26C*4)
#define APC2_CSU_DMAZSTEPH13                      (APC2_CSU_BASE+0x26D*4)
#define APC2_CSU_DMAYNUMXNUM13                    (APC2_CSU_BASE+0x26E*4)
#define APC2_CSU_DMASIZEGRANALLNUM13              (APC2_CSU_BASE+0x26F*4)
#define APC2_CSU_DMAADDRL14                       (APC2_CSU_BASE+0x270*4)
#define APC2_CSU_DMAADDRH14                       (APC2_CSU_BASE+0x271*4)
#define APC2_CSU_DMAYSTEPL14                      (APC2_CSU_BASE+0x272*4)
#define APC2_CSU_DMAYSTEPH14                      (APC2_CSU_BASE+0x273*4)
#define APC2_CSU_DMAZSTEPL14                      (APC2_CSU_BASE+0x274*4)
#define APC2_CSU_DMAZSTEPH14                      (APC2_CSU_BASE+0x275*4)
#define APC2_CSU_DMAYNUMXNUM14                    (APC2_CSU_BASE+0x276*4)
#define APC2_CSU_DMASIZEGRANALLNUM14              (APC2_CSU_BASE+0x277*4)
#define APC2_CSU_DMAADDRL15                       (APC2_CSU_BASE+0x278*4)
#define APC2_CSU_DMAADDRH15                       (APC2_CSU_BASE+0x279*4)
#define APC2_CSU_DMAYSTEPL15                      (APC2_CSU_BASE+0x27A*4)
#define APC2_CSU_DMAYSTEPH15                      (APC2_CSU_BASE+0x27B*4)
#define APC2_CSU_DMAZSTEPL15                      (APC2_CSU_BASE+0x27C*4)
#define APC2_CSU_DMAZSTEPH15                      (APC2_CSU_BASE+0x27D*4)
#define APC2_CSU_DMAYNUMXNUM15                    (APC2_CSU_BASE+0x27E*4)
#define APC2_CSU_DMASIZEGRANALLNUM15              (APC2_CSU_BASE+0x27F*4)
#define APC2_CSU_QOUCMDNUM_QOUCMDPOS              (APC2_CSU_BASE+0x300*4)
#define APC2_CSU_QOUCMDADDR                       (APC2_CSU_BASE+0x301*4)
#define APC2_CSU_QOUCMDDATA                       (APC2_CSU_BASE+0x302*4)
#define APC2_CSU_QOUSTATUSPOPDATA                 (APC2_CSU_BASE+0x303*4)
#define APC2_CSU_QOUCMPDATA0                      (APC2_CSU_BASE+0x304*4)
#define APC2_CSU_QOUCMPDATA1                      (APC2_CSU_BASE+0x305*4)
#define APC2_CSU_QOUCMPDATA2                      (APC2_CSU_BASE+0x306*4)
#define APC2_CSU_QOUCMPDATA3                      (APC2_CSU_BASE+0x307*4)
#define APC2_CSU_SPUID                            (APC2_CSU_BASE+0x30B*4)
#define APC2_CSU_PRICMDDATA_L32BIT0               (APC2_CSU_BASE+0x310*4)
#define APC2_CSU_PRICMDDATA_H14BIT0               (APC2_CSU_BASE+0x311*4)
#define APC2_CSU_PRICMDDATA_L32BIT1               (APC2_CSU_BASE+0x312*4)
#define APC2_CSU_PRICMDDATA_H14BIT1               (APC2_CSU_BASE+0x313*4)
#define APC2_CSU_PRICMDDATA_L32BIT2               (APC2_CSU_BASE+0x314*4)
#define APC2_CSU_PRICMDDATA_H14BIT2               (APC2_CSU_BASE+0x315*4)
#define APC2_CSU_PRICMDDATA_L32BIT3               (APC2_CSU_BASE+0x316*4)
#define APC2_CSU_PRICMDDATA_H14BIT3               (APC2_CSU_BASE+0x317*4)
#define APC2_CSU_SORTDATA_NUM                     (APC2_CSU_BASE+0x380*4)
#define APC2_CSU_SORTDATA_DATA0                   (APC2_CSU_BASE+0x3C0*4)
#define APC2_CSU_SORTDATA_DATA1                   (APC2_CSU_BASE+0x3C1*4)
#define APC2_CSU_SORTDATA_DATA2                   (APC2_CSU_BASE+0x3C2*4)
#define APC2_CSU_SORTDATA_DATA3                   (APC2_CSU_BASE+0x3C3*4)
#define APC2_CSU_SORTDATA_DATA4                   (APC2_CSU_BASE+0x3C4*4)
#define APC2_CSU_SORTDATA_DATA5                   (APC2_CSU_BASE+0x3C5*4)
#define APC2_CSU_SORTDATA_DATA6                   (APC2_CSU_BASE+0x3C6*4)
#define APC2_CSU_SORTDATA_DATA7                   (APC2_CSU_BASE+0x3C7*4)
#define APC2_CSU_SORTDATA_DATA8                   (APC2_CSU_BASE+0x3C8*4)
#define APC2_CSU_SORTDATA_DATA9                   (APC2_CSU_BASE+0x3C9*4)
#define APC2_CSU_SORTDATA_DATA10                  (APC2_CSU_BASE+0x3CA*4)
#define APC2_CSU_SORTDATA_DATA11                  (APC2_CSU_BASE+0x3CB*4)
#define APC2_CSU_SORTDATA_DATA12                  (APC2_CSU_BASE+0x3CC*4)
#define APC2_CSU_SORTDATA_DATA13                  (APC2_CSU_BASE+0x3CD*4)
#define APC2_CSU_SORTDATA_DATA14                  (APC2_CSU_BASE+0x3CE*4)
#define APC2_CSU_SORTDATA_DATA15                  (APC2_CSU_BASE+0x3CF*4)
#define APC2_CSU_SORTDATA_DATA16                  (APC2_CSU_BASE+0x3D0*4)
#define APC2_CSU_SORTDATA_DATA17                  (APC2_CSU_BASE+0x3D1*4)
#define APC2_CSU_SORTDATA_DATA18                  (APC2_CSU_BASE+0x3D2*4)
#define APC2_CSU_SORTDATA_DATA19                  (APC2_CSU_BASE+0x3D3*4)
#define APC2_CSU_SORTDATA_DATA20                  (APC2_CSU_BASE+0x3D4*4)
#define APC2_CSU_SORTDATA_DATA21                  (APC2_CSU_BASE+0x3D5*4)
#define APC2_CSU_SORTDATA_DATA22                  (APC2_CSU_BASE+0x3D6*4)
#define APC2_CSU_SORTDATA_DATA23                  (APC2_CSU_BASE+0x3D7*4)
#define APC2_CSU_SORTDATA_DATA24                  (APC2_CSU_BASE+0x3D8*4)
#define APC2_CSU_SORTDATA_DATA25                  (APC2_CSU_BASE+0x3D9*4)
#define APC2_CSU_SORTDATA_DATA26                  (APC2_CSU_BASE+0x3DA*4)
#define APC2_CSU_SORTDATA_DATA27                  (APC2_CSU_BASE+0x3DB*4)
#define APC2_CSU_SORTDATA_DATA28                  (APC2_CSU_BASE+0x3DC*4)
#define APC2_CSU_SORTDATA_DATA29                  (APC2_CSU_BASE+0x3DD*4)
#define APC2_CSU_SORTDATA_DATA30                  (APC2_CSU_BASE+0x3DE*4)
#define APC2_CSU_SORTDATA_DATA31                  (APC2_CSU_BASE+0x3DF*4)
#define APC2_CSU_SORTDATA_ID0                     (APC2_CSU_BASE+0x3E0*4)
#define APC2_CSU_SORTDATA_ID1                     (APC2_CSU_BASE+0x3E1*4)
#define APC2_CSU_SORTDATA_ID2                     (APC2_CSU_BASE+0x3E2*4)
#define APC2_CSU_SORTDATA_ID3                     (APC2_CSU_BASE+0x3E3*4)
#define APC2_CSU_SORTDATA_ID4                     (APC2_CSU_BASE+0x3E4*4)
#define APC2_CSU_SORTDATA_ID5                     (APC2_CSU_BASE+0x3E5*4)
#define APC2_CSU_SORTDATA_ID6                     (APC2_CSU_BASE+0x3E6*4)
#define APC2_CSU_SORTDATA_ID7                     (APC2_CSU_BASE+0x3E7*4)
#define APC2_CSU_SORTDATA_ID8                     (APC2_CSU_BASE+0x3E8*4)
#define APC2_CSU_SORTDATA_ID9                     (APC2_CSU_BASE+0x3E9*4)
#define APC2_CSU_SORTDATA_ID10                    (APC2_CSU_BASE+0x3EA*4)
#define APC2_CSU_SORTDATA_ID11                    (APC2_CSU_BASE+0x3EB*4)
#define APC2_CSU_SORTDATA_ID12                    (APC2_CSU_BASE+0x3EC*4)
#define APC2_CSU_SORTDATA_ID13                    (APC2_CSU_BASE+0x3ED*4)
#define APC2_CSU_SORTDATA_ID14                    (APC2_CSU_BASE+0x3EE*4)
#define APC2_CSU_SORTDATA_ID15                    (APC2_CSU_BASE+0x3EF*4)
#define APC2_CSU_SORTDATA_ID16                    (APC2_CSU_BASE+0x3F0*4)
#define APC2_CSU_SORTDATA_ID17                    (APC2_CSU_BASE+0x3F1*4)
#define APC2_CSU_SORTDATA_ID18                    (APC2_CSU_BASE+0x3F2*4)
#define APC2_CSU_SORTDATA_ID19                    (APC2_CSU_BASE+0x3F3*4)
#define APC2_CSU_SORTDATA_ID20                    (APC2_CSU_BASE+0x3F4*4)
#define APC2_CSU_SORTDATA_ID21                    (APC2_CSU_BASE+0x3F5*4)
#define APC2_CSU_SORTDATA_ID22                    (APC2_CSU_BASE+0x3F6*4)
#define APC2_CSU_SORTDATA_ID23                    (APC2_CSU_BASE+0x3F7*4)
#define APC2_CSU_SORTDATA_ID24                    (APC2_CSU_BASE+0x3F8*4)
#define APC2_CSU_SORTDATA_ID25                    (APC2_CSU_BASE+0x3F9*4)
#define APC2_CSU_SORTDATA_ID26                    (APC2_CSU_BASE+0x3FA*4)
#define APC2_CSU_SORTDATA_ID27                    (APC2_CSU_BASE+0x3FB*4)
#define APC2_CSU_SORTDATA_ID28                    (APC2_CSU_BASE+0x3FC*4)
#define APC2_CSU_SORTDATA_ID29                    (APC2_CSU_BASE+0x3FD*4)
#define APC2_CSU_SORTDATA_ID30                    (APC2_CSU_BASE+0x3FE*4)
#define APC2_CSU_SORTDATA_ID31                    (APC2_CSU_BASE+0x3FF*4)


#define APC3_CSU_STARTSPU0                        (APC3_CSU_BASE+0x000*4)
#define APC3_CSU_ALLPENDEVENTMASK                 (APC3_CSU_BASE+0x000*4)
#define APC3_CSU_STARTSPU1                        (APC3_CSU_BASE+0x001*4)
#define APC3_CSU_EVENTMASK                        (APC3_CSU_BASE+0x002*4)
#define APC3_CSU_INTMASK                          (APC3_CSU_BASE+0x004*4)
#define APC3_CSU_ELEVELMASK                       (APC3_CSU_BASE+0x005*4)
#define APC3_CSU_TAGMASK0                         (APC3_CSU_BASE+0x006*4)
#define APC3_CSU_TAGMASK1                         (APC3_CSU_BASE+0x007*4)
#define APC3_CSU_TAGMASK2                         (APC3_CSU_BASE+0x008*4)
#define APC3_CSU_TAGMASK3                         (APC3_CSU_BASE+0x009*4)
#define APC3_CSU_ARMCMDRECV                       (APC3_CSU_BASE+0x00A*4)
#define APC3_CSU_FETCHMODE_CACHEMODE              (APC3_CSU_BASE+0x00B*4)
#define APC3_CSU_ALLPENDEVENT0                    (APC3_CSU_BASE+0x00C*4)
#define APC3_CSU_ALLPENDEVENT1                    (APC3_CSU_BASE+0x00D*4)
#define APC3_CSU_EM_BS_SMSEL_PREDATANUM           (APC3_CSU_BASE+0x010*4)
#define APC3_CSU_CACHEINFO_EM_BS_SPURWCACHE_SMSEL_PDNUM (APC3_CSU_BASE+0x010*4)
#define APC3_CSU_FINDDMATAG                       (APC3_CSU_BASE+0x014*4)
#define APC3_CSU_CMDFIFO0_CMD                     (APC3_CSU_BASE+0x018*4)
#define APC3_CSU_CMDFIFO1_CMD                     (APC3_CSU_BASE+0x019*4)
#define APC3_CSU_CMDFIFO2_CMD                     (APC3_CSU_BASE+0x01A*4)
#define APC3_CSU_CMDFIFO3_CMD                     (APC3_CSU_BASE+0x01B*4)
#define APC3_CSU_CMDFIFO0_NUM                     (APC3_CSU_BASE+0x01C*4)
#define APC3_CSU_CMDFIFO1_NUM                     (APC3_CSU_BASE+0x01D*4)
#define APC3_CSU_CMDFIFO2_NUM                     (APC3_CSU_BASE+0x01E*4)
#define APC3_CSU_CMDFIFO3_NUM                     (APC3_CSU_BASE+0x01F*4)
#define APC3_CSU_PRICMDVALID0                     (APC3_CSU_BASE+0x020*4)
#define APC3_CSU_PRICMDVALID1                     (APC3_CSU_BASE+0x021*4)
#define APC3_CSU_PRICMDVALID2                     (APC3_CSU_BASE+0x022*4)
#define APC3_CSU_PRICMDVALID3                     (APC3_CSU_BASE+0x023*4)
#define APC3_CSU_CMDECODATAL32BIT0                (APC3_CSU_BASE+0x024*4)
#define APC3_CSU_CMDECODATAL32BIT1                (APC3_CSU_BASE+0x025*4)
#define APC3_CSU_CMDECODATAL32BIT2                (APC3_CSU_BASE+0x026*4)
#define APC3_CSU_CMDECODATAL32BIT3                (APC3_CSU_BASE+0x027*4)
#define APC3_CSU_CMDHIGHDATA                      (APC3_CSU_BASE+0x028*4)
#define APC3_CSU_CMDFIFO0                         (APC3_CSU_BASE+0x02C*4)
#define APC3_CSU_CMDFIFO1                         (APC3_CSU_BASE+0x02D*4)
#define APC3_CSU_CMDFIFO2                         (APC3_CSU_BASE+0x02E*4)
#define APC3_CSU_CMDFIFO3                         (APC3_CSU_BASE+0x02F*4)
#define APC3_CSU_READYLISTNUM                     (APC3_CSU_BASE+0x030*4)
#define APC3_CSU_CMDFIFO0_TAGNUM                  (APC3_CSU_BASE+0x034*4)
#define APC3_CSU_CMDFIFO1_TAGNUM                  (APC3_CSU_BASE+0x035*4)
#define APC3_CSU_CMDFIFO2_TAGNUM                  (APC3_CSU_BASE+0x036*4)
#define APC3_CSU_CMDFIFO3_TAGNUM                  (APC3_CSU_BASE+0x037*4)
#define APC3_CSU_DMASTATUS                        (APC3_CSU_BASE+0x038*4)
#define APC3_CSU_CMDSTALL_LISTSTALL               (APC3_CSU_BASE+0x039*4)
#define APC3_CSU_QOUSTATUS                        (APC3_CSU_BASE+0x03A*4)
#define APC3_CSU_EVENTINTCLEAR                    (APC3_CSU_BASE+0x03C*4)
#define APC3_CSU_MAILBOX_PRIDATAREG0              (APC3_CSU_BASE+0x100*4)
#define APC3_CSU_MAILBOX_PRIDATAREG1              (APC3_CSU_BASE+0x101*4)
#define APC3_CSU_MAILBOX_PRIDATAREG2              (APC3_CSU_BASE+0x102*4)
#define APC3_CSU_MAILBOX_PRIDATAREG3              (APC3_CSU_BASE+0x103*4)
#define APC3_CSU_MAILBOX_PRIDATAREG4              (APC3_CSU_BASE+0x104*4)
#define APC3_CSU_MAILBOX_PRIDATAREG5              (APC3_CSU_BASE+0x105*4)
#define APC3_CSU_MAILBOX_PRIDATAREG6              (APC3_CSU_BASE+0x106*4)
#define APC3_CSU_MAILBOX_PRIDATAREG7              (APC3_CSU_BASE+0x107*4)
#define APC3_CSU_MAILBOX_PRIDATAREG8              (APC3_CSU_BASE+0x108*4)
#define APC3_CSU_MAILBOX_PRIDATAREG9              (APC3_CSU_BASE+0x109*4)
#define APC3_CSU_MAILBOX_PRIDATAREG10             (APC3_CSU_BASE+0x10A*4)
#define APC3_CSU_MAILBOX_PRIDATAREG11             (APC3_CSU_BASE+0x10B*4)
#define APC3_CSU_MAILBOX_PRIDATAREG12             (APC3_CSU_BASE+0x10C*4)
#define APC3_CSU_MAILBOX_PRIDATAREG13             (APC3_CSU_BASE+0x10D*4)
#define APC3_CSU_MAILBOX_PRIDATAREG14             (APC3_CSU_BASE+0x10E*4)
#define APC3_CSU_MAILBOX_PRIDATAREG15             (APC3_CSU_BASE+0x10F*4)
#define APC3_CSU_MAILBOX_BASENUM                  (APC3_CSU_BASE+0x120*4)
#define APC3_CSU_MAILBOX_BASECNT                  (APC3_CSU_BASE+0x121*4)
#define APC3_CSU_MAILBOX_VALIDREG                 (APC3_CSU_BASE+0x122*4)
#define APC3_CSU_MAILBOX_INTMASK0                 (APC3_CSU_BASE+0x124*4)
#define APC3_CSU_MAILBOX_INTMASK1                 (APC3_CSU_BASE+0x125*4)
#define APC3_CSU_MAILBOX_INTMASK2                 (APC3_CSU_BASE+0x126*4)
#define APC3_CSU_MAILBOX_INTMASK3                 (APC3_CSU_BASE+0x127*4)
#define APC3_CSU_MAILBOX_EVENTMASK0               (APC3_CSU_BASE+0x130*4)
#define APC3_CSU_MAILBOX_EVENTMASK1               (APC3_CSU_BASE+0x131*4)
#define APC3_CSU_MAILBOX_CNTREG0                  (APC3_CSU_BASE+0x180*4)
#define APC3_CSU_MAILBOX_CNTREG1                  (APC3_CSU_BASE+0x181*4)
#define APC3_CSU_MAILBOX_CNTREG2                  (APC3_CSU_BASE+0x182*4)
#define APC3_CSU_MAILBOX_CNTREG3                  (APC3_CSU_BASE+0x183*4)
#define APC3_CSU_MAILBOX_CNTREG4                  (APC3_CSU_BASE+0x184*4)
#define APC3_CSU_MAILBOX_CNTREG5                  (APC3_CSU_BASE+0x185*4)
#define APC3_CSU_MAILBOX_CNTREG6                  (APC3_CSU_BASE+0x186*4)
#define APC3_CSU_MAILBOX_CNTREG7                  (APC3_CSU_BASE+0x187*4)
#define APC3_CSU_MAILBOX_CNTREG8                  (APC3_CSU_BASE+0x188*4)
#define APC3_CSU_MAILBOX_CNTREG9                  (APC3_CSU_BASE+0x189*4)
#define APC3_CSU_MAILBOX_CNTREG10                 (APC3_CSU_BASE+0x18A*4)
#define APC3_CSU_MAILBOX_CNTREG11                 (APC3_CSU_BASE+0x18B*4)
#define APC3_CSU_MAILBOX_CNTREG12                 (APC3_CSU_BASE+0x18C*4)
#define APC3_CSU_MAILBOX_CNTREG13                 (APC3_CSU_BASE+0x18D*4)
#define APC3_CSU_MAILBOX_CNTREG14                 (APC3_CSU_BASE+0x18E*4)
#define APC3_CSU_MAILBOX_CNTREG15                 (APC3_CSU_BASE+0x18F*4)
#define APC3_CSU_DMAADDRL0                        (APC3_CSU_BASE+0x200*4)
#define APC3_CSU_DMAADDRH0                        (APC3_CSU_BASE+0x201*4)
#define APC3_CSU_DMAYSTEPL0                       (APC3_CSU_BASE+0x202*4)
#define APC3_CSU_DMAYSTEPH0                       (APC3_CSU_BASE+0x203*4)
#define APC3_CSU_DMAZSTEPL0                       (APC3_CSU_BASE+0x204*4)
#define APC3_CSU_DMAZSTEPH0                       (APC3_CSU_BASE+0x205*4)
#define APC3_CSU_DMAYNUMXNUM0                     (APC3_CSU_BASE+0x206*4)
#define APC3_CSU_DMASIZEGRANALLNUM0               (APC3_CSU_BASE+0x207*4)
#define APC3_CSU_DMAADDRL1                        (APC3_CSU_BASE+0x208*4)
#define APC3_CSU_DMAADDRH1                        (APC3_CSU_BASE+0x209*4)
#define APC3_CSU_DMAYSTEPL1                       (APC3_CSU_BASE+0x20A*4)
#define APC3_CSU_DMAYSTEPH1                       (APC3_CSU_BASE+0x20B*4)
#define APC3_CSU_DMAZSTEPL1                       (APC3_CSU_BASE+0x20C*4)
#define APC3_CSU_DMAZSTEPH1                       (APC3_CSU_BASE+0x20D*4)
#define APC3_CSU_DMAYNUMXNUM1                     (APC3_CSU_BASE+0x20E*4)
#define APC3_CSU_DMASIZEGRANALLNUM1               (APC3_CSU_BASE+0x20F*4)
#define APC3_CSU_DMAADDRL2                        (APC3_CSU_BASE+0x210*4)
#define APC3_CSU_DMAADDRH2                        (APC3_CSU_BASE+0x211*4)
#define APC3_CSU_DMAYSTEPL2                       (APC3_CSU_BASE+0x212*4)
#define APC3_CSU_DMAYSTEPH2                       (APC3_CSU_BASE+0x213*4)
#define APC3_CSU_DMAZSTEPL2                       (APC3_CSU_BASE+0x214*4)
#define APC3_CSU_DMAZSTEPH2                       (APC3_CSU_BASE+0x215*4)
#define APC3_CSU_DMAYNUMXNUM2                     (APC3_CSU_BASE+0x216*4)
#define APC3_CSU_DMASIZEGRANALLNUM2               (APC3_CSU_BASE+0x217*4)
#define APC3_CSU_DMAADDRL3                        (APC3_CSU_BASE+0x218*4)
#define APC3_CSU_DMAADDRH3                        (APC3_CSU_BASE+0x219*4)
#define APC3_CSU_DMAYSTEPL3                       (APC3_CSU_BASE+0x21A*4)
#define APC3_CSU_DMAYSTEPH3                       (APC3_CSU_BASE+0x21B*4)
#define APC3_CSU_DMAZSTEPL3                       (APC3_CSU_BASE+0x21C*4)
#define APC3_CSU_DMAZSTEPH3                       (APC3_CSU_BASE+0x21D*4)
#define APC3_CSU_DMAYNUMXNUM3                     (APC3_CSU_BASE+0x21E*4)
#define APC3_CSU_DMASIZEGRANALLNUM3               (APC3_CSU_BASE+0x21F*4)
#define APC3_CSU_DMAADDRL4                        (APC3_CSU_BASE+0x220*4)
#define APC3_CSU_DMAADDRH4                        (APC3_CSU_BASE+0x221*4)
#define APC3_CSU_DMAYSTEPL4                       (APC3_CSU_BASE+0x222*4)
#define APC3_CSU_DMAYSTEPH4                       (APC3_CSU_BASE+0x223*4)
#define APC3_CSU_DMAZSTEPL4                       (APC3_CSU_BASE+0x224*4)
#define APC3_CSU_DMAZSTEPH4                       (APC3_CSU_BASE+0x225*4)
#define APC3_CSU_DMAYNUMXNUM4                     (APC3_CSU_BASE+0x226*4)
#define APC3_CSU_DMASIZEGRANALLNUM4               (APC3_CSU_BASE+0x227*4)
#define APC3_CSU_DMAADDRL5                        (APC3_CSU_BASE+0x228*4)
#define APC3_CSU_DMAADDRH5                        (APC3_CSU_BASE+0x229*4)
#define APC3_CSU_DMAYSTEPL5                       (APC3_CSU_BASE+0x22A*4)
#define APC3_CSU_DMAYSTEPH5                       (APC3_CSU_BASE+0x22B*4)
#define APC3_CSU_DMAZSTEPL5                       (APC3_CSU_BASE+0x22C*4)
#define APC3_CSU_DMAZSTEPH5                       (APC3_CSU_BASE+0x22D*4)
#define APC3_CSU_DMAYNUMXNUM5                     (APC3_CSU_BASE+0x22E*4)
#define APC3_CSU_DMASIZEGRANALLNUM5               (APC3_CSU_BASE+0x22F*4)
#define APC3_CSU_DMAADDRL6                        (APC3_CSU_BASE+0x230*4)
#define APC3_CSU_DMAADDRH6                        (APC3_CSU_BASE+0x231*4)
#define APC3_CSU_DMAYSTEPL6                       (APC3_CSU_BASE+0x232*4)
#define APC3_CSU_DMAYSTEPH6                       (APC3_CSU_BASE+0x233*4)
#define APC3_CSU_DMAZSTEPL6                       (APC3_CSU_BASE+0x234*4)
#define APC3_CSU_DMAZSTEPH6                       (APC3_CSU_BASE+0x235*4)
#define APC3_CSU_DMAYNUMXNUM6                     (APC3_CSU_BASE+0x236*4)
#define APC3_CSU_DMASIZEGRANALLNUM6               (APC3_CSU_BASE+0x237*4)
#define APC3_CSU_DMAADDRL7                        (APC3_CSU_BASE+0x238*4)
#define APC3_CSU_DMAADDRH7                        (APC3_CSU_BASE+0x239*4)
#define APC3_CSU_DMAYSTEPL7                       (APC3_CSU_BASE+0x23A*4)
#define APC3_CSU_DMAYSTEPH7                       (APC3_CSU_BASE+0x23B*4)
#define APC3_CSU_DMAZSTEPL7                       (APC3_CSU_BASE+0x23C*4)
#define APC3_CSU_DMAZSTEPH7                       (APC3_CSU_BASE+0x23D*4)
#define APC3_CSU_DMAYNUMXNUM7                     (APC3_CSU_BASE+0x23E*4)
#define APC3_CSU_DMASIZEGRANALLNUM7               (APC3_CSU_BASE+0x23F*4)
#define APC3_CSU_DMAADDRL8                        (APC3_CSU_BASE+0x240*4)
#define APC3_CSU_DMAADDRH8                        (APC3_CSU_BASE+0x241*4)
#define APC3_CSU_DMAYSTEPL8                       (APC3_CSU_BASE+0x242*4)
#define APC3_CSU_DMAYSTEPH8                       (APC3_CSU_BASE+0x243*4)
#define APC3_CSU_DMAZSTEPL8                       (APC3_CSU_BASE+0x244*4)
#define APC3_CSU_DMAZSTEPH8                       (APC3_CSU_BASE+0x245*4)
#define APC3_CSU_DMAYNUMXNUM8                     (APC3_CSU_BASE+0x246*4)
#define APC3_CSU_DMASIZEGRANALLNUM8               (APC3_CSU_BASE+0x247*4)
#define APC3_CSU_DMAADDRL9                        (APC3_CSU_BASE+0x248*4)
#define APC3_CSU_DMAADDRH9                        (APC3_CSU_BASE+0x249*4)
#define APC3_CSU_DMAYSTEPL9                       (APC3_CSU_BASE+0x24A*4)
#define APC3_CSU_DMAYSTEPH9                       (APC3_CSU_BASE+0x24B*4)
#define APC3_CSU_DMAZSTEPL9                       (APC3_CSU_BASE+0x24C*4)
#define APC3_CSU_DMAZSTEPH9                       (APC3_CSU_BASE+0x24D*4)
#define APC3_CSU_DMAYNUMXNUM9                     (APC3_CSU_BASE+0x24E*4)
#define APC3_CSU_DMASIZEGRANALLNUM9               (APC3_CSU_BASE+0x24F*4)
#define APC3_CSU_DMAADDRL10                       (APC3_CSU_BASE+0x250*4)
#define APC3_CSU_DMAADDRH10                       (APC3_CSU_BASE+0x251*4)
#define APC3_CSU_DMAYSTEPL10                      (APC3_CSU_BASE+0x252*4)
#define APC3_CSU_DMAYSTEPH10                      (APC3_CSU_BASE+0x253*4)
#define APC3_CSU_DMAZSTEPL10                      (APC3_CSU_BASE+0x254*4)
#define APC3_CSU_DMAZSTEPH10                      (APC3_CSU_BASE+0x255*4)
#define APC3_CSU_DMAYNUMXNUM10                    (APC3_CSU_BASE+0x256*4)
#define APC3_CSU_DMASIZEGRANALLNUM10              (APC3_CSU_BASE+0x257*4)
#define APC3_CSU_DMAADDRL11                       (APC3_CSU_BASE+0x258*4)
#define APC3_CSU_DMAADDRH11                       (APC3_CSU_BASE+0x259*4)
#define APC3_CSU_DMAYSTEPL11                      (APC3_CSU_BASE+0x25A*4)
#define APC3_CSU_DMAYSTEPH11                      (APC3_CSU_BASE+0x25B*4)
#define APC3_CSU_DMAZSTEPL11                      (APC3_CSU_BASE+0x25C*4)
#define APC3_CSU_DMAZSTEPH11                      (APC3_CSU_BASE+0x25D*4)
#define APC3_CSU_DMAYNUMXNUM11                    (APC3_CSU_BASE+0x25E*4)
#define APC3_CSU_DMASIZEGRANALLNUM11              (APC3_CSU_BASE+0x25F*4)
#define APC3_CSU_DMAADDRL12                       (APC3_CSU_BASE+0x260*4)
#define APC3_CSU_DMAADDRH12                       (APC3_CSU_BASE+0x261*4)
#define APC3_CSU_DMAYSTEPL12                      (APC3_CSU_BASE+0x262*4)
#define APC3_CSU_DMAYSTEPH12                      (APC3_CSU_BASE+0x263*4)
#define APC3_CSU_DMAZSTEPL12                      (APC3_CSU_BASE+0x264*4)
#define APC3_CSU_DMAZSTEPH12                      (APC3_CSU_BASE+0x265*4)
#define APC3_CSU_DMAYNUMXNUM12                    (APC3_CSU_BASE+0x266*4)
#define APC3_CSU_DMASIZEGRANALLNUM12              (APC3_CSU_BASE+0x267*4)
#define APC3_CSU_DMAADDRL13                       (APC3_CSU_BASE+0x268*4)
#define APC3_CSU_DMAADDRH13                       (APC3_CSU_BASE+0x269*4)
#define APC3_CSU_DMAYSTEPL13                      (APC3_CSU_BASE+0x26A*4)
#define APC3_CSU_DMAYSTEPH13                      (APC3_CSU_BASE+0x26B*4)
#define APC3_CSU_DMAZSTEPL13                      (APC3_CSU_BASE+0x26C*4)
#define APC3_CSU_DMAZSTEPH13                      (APC3_CSU_BASE+0x26D*4)
#define APC3_CSU_DMAYNUMXNUM13                    (APC3_CSU_BASE+0x26E*4)
#define APC3_CSU_DMASIZEGRANALLNUM13              (APC3_CSU_BASE+0x26F*4)
#define APC3_CSU_DMAADDRL14                       (APC3_CSU_BASE+0x270*4)
#define APC3_CSU_DMAADDRH14                       (APC3_CSU_BASE+0x271*4)
#define APC3_CSU_DMAYSTEPL14                      (APC3_CSU_BASE+0x272*4)
#define APC3_CSU_DMAYSTEPH14                      (APC3_CSU_BASE+0x273*4)
#define APC3_CSU_DMAZSTEPL14                      (APC3_CSU_BASE+0x274*4)
#define APC3_CSU_DMAZSTEPH14                      (APC3_CSU_BASE+0x275*4)
#define APC3_CSU_DMAYNUMXNUM14                    (APC3_CSU_BASE+0x276*4)
#define APC3_CSU_DMASIZEGRANALLNUM14              (APC3_CSU_BASE+0x277*4)
#define APC3_CSU_DMAADDRL15                       (APC3_CSU_BASE+0x278*4)
#define APC3_CSU_DMAADDRH15                       (APC3_CSU_BASE+0x279*4)
#define APC3_CSU_DMAYSTEPL15                      (APC3_CSU_BASE+0x27A*4)
#define APC3_CSU_DMAYSTEPH15                      (APC3_CSU_BASE+0x27B*4)
#define APC3_CSU_DMAZSTEPL15                      (APC3_CSU_BASE+0x27C*4)
#define APC3_CSU_DMAZSTEPH15                      (APC3_CSU_BASE+0x27D*4)
#define APC3_CSU_DMAYNUMXNUM15                    (APC3_CSU_BASE+0x27E*4)
#define APC3_CSU_DMASIZEGRANALLNUM15              (APC3_CSU_BASE+0x27F*4)
#define APC3_CSU_QOUCMDNUM_QOUCMDPOS              (APC3_CSU_BASE+0x300*4)
#define APC3_CSU_QOUCMDADDR                       (APC3_CSU_BASE+0x301*4)
#define APC3_CSU_QOUCMDDATA                       (APC3_CSU_BASE+0x302*4)
#define APC3_CSU_QOUSTATUSPOPDATA                 (APC3_CSU_BASE+0x303*4)
#define APC3_CSU_QOUCMPDATA0                      (APC3_CSU_BASE+0x304*4)
#define APC3_CSU_QOUCMPDATA1                      (APC3_CSU_BASE+0x305*4)
#define APC3_CSU_QOUCMPDATA2                      (APC3_CSU_BASE+0x306*4)
#define APC3_CSU_QOUCMPDATA3                      (APC3_CSU_BASE+0x307*4)
#define APC3_CSU_SPUID                            (APC3_CSU_BASE+0x30B*4)
#define APC3_CSU_PRICMDDATA_L32BIT0               (APC3_CSU_BASE+0x310*4)
#define APC3_CSU_PRICMDDATA_H14BIT0               (APC3_CSU_BASE+0x311*4)
#define APC3_CSU_PRICMDDATA_L32BIT1               (APC3_CSU_BASE+0x312*4)
#define APC3_CSU_PRICMDDATA_H14BIT1               (APC3_CSU_BASE+0x313*4)
#define APC3_CSU_PRICMDDATA_L32BIT2               (APC3_CSU_BASE+0x314*4)
#define APC3_CSU_PRICMDDATA_H14BIT2               (APC3_CSU_BASE+0x315*4)
#define APC3_CSU_PRICMDDATA_L32BIT3               (APC3_CSU_BASE+0x316*4)
#define APC3_CSU_PRICMDDATA_H14BIT3               (APC3_CSU_BASE+0x317*4)
#define APC3_CSU_SORTDATA_NUM                     (APC3_CSU_BASE+0x380*4)
#define APC3_CSU_SORTDATA_DATA0                   (APC3_CSU_BASE+0x3C0*4)
#define APC3_CSU_SORTDATA_DATA1                   (APC3_CSU_BASE+0x3C1*4)
#define APC3_CSU_SORTDATA_DATA2                   (APC3_CSU_BASE+0x3C2*4)
#define APC3_CSU_SORTDATA_DATA3                   (APC3_CSU_BASE+0x3C3*4)
#define APC3_CSU_SORTDATA_DATA4                   (APC3_CSU_BASE+0x3C4*4)
#define APC3_CSU_SORTDATA_DATA5                   (APC3_CSU_BASE+0x3C5*4)
#define APC3_CSU_SORTDATA_DATA6                   (APC3_CSU_BASE+0x3C6*4)
#define APC3_CSU_SORTDATA_DATA7                   (APC3_CSU_BASE+0x3C7*4)
#define APC3_CSU_SORTDATA_DATA8                   (APC3_CSU_BASE+0x3C8*4)
#define APC3_CSU_SORTDATA_DATA9                   (APC3_CSU_BASE+0x3C9*4)
#define APC3_CSU_SORTDATA_DATA10                  (APC3_CSU_BASE+0x3CA*4)
#define APC3_CSU_SORTDATA_DATA11                  (APC3_CSU_BASE+0x3CB*4)
#define APC3_CSU_SORTDATA_DATA12                  (APC3_CSU_BASE+0x3CC*4)
#define APC3_CSU_SORTDATA_DATA13                  (APC3_CSU_BASE+0x3CD*4)
#define APC3_CSU_SORTDATA_DATA14                  (APC3_CSU_BASE+0x3CE*4)
#define APC3_CSU_SORTDATA_DATA15                  (APC3_CSU_BASE+0x3CF*4)
#define APC3_CSU_SORTDATA_DATA16                  (APC3_CSU_BASE+0x3D0*4)
#define APC3_CSU_SORTDATA_DATA17                  (APC3_CSU_BASE+0x3D1*4)
#define APC3_CSU_SORTDATA_DATA18                  (APC3_CSU_BASE+0x3D2*4)
#define APC3_CSU_SORTDATA_DATA19                  (APC3_CSU_BASE+0x3D3*4)
#define APC3_CSU_SORTDATA_DATA20                  (APC3_CSU_BASE+0x3D4*4)
#define APC3_CSU_SORTDATA_DATA21                  (APC3_CSU_BASE+0x3D5*4)
#define APC3_CSU_SORTDATA_DATA22                  (APC3_CSU_BASE+0x3D6*4)
#define APC3_CSU_SORTDATA_DATA23                  (APC3_CSU_BASE+0x3D7*4)
#define APC3_CSU_SORTDATA_DATA24                  (APC3_CSU_BASE+0x3D8*4)
#define APC3_CSU_SORTDATA_DATA25                  (APC3_CSU_BASE+0x3D9*4)
#define APC3_CSU_SORTDATA_DATA26                  (APC3_CSU_BASE+0x3DA*4)
#define APC3_CSU_SORTDATA_DATA27                  (APC3_CSU_BASE+0x3DB*4)
#define APC3_CSU_SORTDATA_DATA28                  (APC3_CSU_BASE+0x3DC*4)
#define APC3_CSU_SORTDATA_DATA29                  (APC3_CSU_BASE+0x3DD*4)
#define APC3_CSU_SORTDATA_DATA30                  (APC3_CSU_BASE+0x3DE*4)
#define APC3_CSU_SORTDATA_DATA31                  (APC3_CSU_BASE+0x3DF*4)
#define APC3_CSU_SORTDATA_ID0                     (APC3_CSU_BASE+0x3E0*4)
#define APC3_CSU_SORTDATA_ID1                     (APC3_CSU_BASE+0x3E1*4)
#define APC3_CSU_SORTDATA_ID2                     (APC3_CSU_BASE+0x3E2*4)
#define APC3_CSU_SORTDATA_ID3                     (APC3_CSU_BASE+0x3E3*4)
#define APC3_CSU_SORTDATA_ID4                     (APC3_CSU_BASE+0x3E4*4)
#define APC3_CSU_SORTDATA_ID5                     (APC3_CSU_BASE+0x3E5*4)
#define APC3_CSU_SORTDATA_ID6                     (APC3_CSU_BASE+0x3E6*4)
#define APC3_CSU_SORTDATA_ID7                     (APC3_CSU_BASE+0x3E7*4)
#define APC3_CSU_SORTDATA_ID8                     (APC3_CSU_BASE+0x3E8*4)
#define APC3_CSU_SORTDATA_ID9                     (APC3_CSU_BASE+0x3E9*4)
#define APC3_CSU_SORTDATA_ID10                    (APC3_CSU_BASE+0x3EA*4)
#define APC3_CSU_SORTDATA_ID11                    (APC3_CSU_BASE+0x3EB*4)
#define APC3_CSU_SORTDATA_ID12                    (APC3_CSU_BASE+0x3EC*4)
#define APC3_CSU_SORTDATA_ID13                    (APC3_CSU_BASE+0x3ED*4)
#define APC3_CSU_SORTDATA_ID14                    (APC3_CSU_BASE+0x3EE*4)
#define APC3_CSU_SORTDATA_ID15                    (APC3_CSU_BASE+0x3EF*4)
#define APC3_CSU_SORTDATA_ID16                    (APC3_CSU_BASE+0x3F0*4)
#define APC3_CSU_SORTDATA_ID17                    (APC3_CSU_BASE+0x3F1*4)
#define APC3_CSU_SORTDATA_ID18                    (APC3_CSU_BASE+0x3F2*4)
#define APC3_CSU_SORTDATA_ID19                    (APC3_CSU_BASE+0x3F3*4)
#define APC3_CSU_SORTDATA_ID20                    (APC3_CSU_BASE+0x3F4*4)
#define APC3_CSU_SORTDATA_ID21                    (APC3_CSU_BASE+0x3F5*4)
#define APC3_CSU_SORTDATA_ID22                    (APC3_CSU_BASE+0x3F6*4)
#define APC3_CSU_SORTDATA_ID23                    (APC3_CSU_BASE+0x3F7*4)
#define APC3_CSU_SORTDATA_ID24                    (APC3_CSU_BASE+0x3F8*4)
#define APC3_CSU_SORTDATA_ID25                    (APC3_CSU_BASE+0x3F9*4)
#define APC3_CSU_SORTDATA_ID26                    (APC3_CSU_BASE+0x3FA*4)
#define APC3_CSU_SORTDATA_ID27                    (APC3_CSU_BASE+0x3FB*4)
#define APC3_CSU_SORTDATA_ID28                    (APC3_CSU_BASE+0x3FC*4)
#define APC3_CSU_SORTDATA_ID29                    (APC3_CSU_BASE+0x3FD*4)
#define APC3_CSU_SORTDATA_ID30                    (APC3_CSU_BASE+0x3FE*4)
#define APC3_CSU_SORTDATA_ID31                    (APC3_CSU_BASE+0x3FF*4)


#define ECSRFM_CSU_STARTSPU0                        (ECSRFM_CSU_BASE+0x000*4)
#define ECSRFM_CSU_ALLPENDEVENTMASK                 (ECSRFM_CSU_BASE+0x000*4)
#define ECSRFM_CSU_STARTSPU1                        (ECSRFM_CSU_BASE+0x001*4)
#define ECSRFM_CSU_EVENTMASK                        (ECSRFM_CSU_BASE+0x002*4)
#define ECSRFM_CSU_INTMASK                          (ECSRFM_CSU_BASE+0x004*4)
#define ECSRFM_CSU_ELEVELMASK                       (ECSRFM_CSU_BASE+0x005*4)
#define ECSRFM_CSU_TAGMASK0                         (ECSRFM_CSU_BASE+0x006*4)
#define ECSRFM_CSU_TAGMASK1                         (ECSRFM_CSU_BASE+0x007*4)
#define ECSRFM_CSU_TAGMASK2                         (ECSRFM_CSU_BASE+0x008*4)
#define ECSRFM_CSU_TAGMASK3                         (ECSRFM_CSU_BASE+0x009*4)
#define ECSRFM_CSU_ARMCMDRECV                       (ECSRFM_CSU_BASE+0x00A*4)
#define ECSRFM_CSU_FETCHMODE_CACHEMODE              (ECSRFM_CSU_BASE+0x00B*4)
#define ECSRFM_CSU_ALLPENDEVENT0                    (ECSRFM_CSU_BASE+0x00C*4)
#define ECSRFM_CSU_ALLPENDEVENT1                    (ECSRFM_CSU_BASE+0x00D*4)
#define ECSRFM_CSU_EM_BS_SMSEL_PREDATANUM           (ECSRFM_CSU_BASE+0x010*4)
#define ECSRFM_CSU_CACHEINFO_EM_BS_SPURWCACHE_SMSEL_PDNUM (ECSRFM_CSU_BASE+0x010*4)
#define ECSRFM_CSU_ALMOSTFULLSENDTHRED              (ECSRFM_CSU_BASE+0x011*4)
#define ECSRFM_CSU_FINDDMATAG                       (ECSRFM_CSU_BASE+0x014*4)
#define ECSRFM_CSU_CMDFIFO0_CMD                     (ECSRFM_CSU_BASE+0x018*4)
#define ECSRFM_CSU_CMDFIFO1_CMD                     (ECSRFM_CSU_BASE+0x019*4)
#define ECSRFM_CSU_CMDFIFO2_CMD                     (ECSRFM_CSU_BASE+0x01A*4)
#define ECSRFM_CSU_CMDFIFO3_CMD                     (ECSRFM_CSU_BASE+0x01B*4)
#define ECSRFM_CSU_CMDFIFO0_NUM                     (ECSRFM_CSU_BASE+0x01C*4)
#define ECSRFM_CSU_CMDFIFO1_NUM                     (ECSRFM_CSU_BASE+0x01D*4)
#define ECSRFM_CSU_CMDFIFO2_NUM                     (ECSRFM_CSU_BASE+0x01E*4)
#define ECSRFM_CSU_CMDFIFO3_NUM                     (ECSRFM_CSU_BASE+0x01F*4)
#define ECSRFM_CSU_PRICMDVALID0                     (ECSRFM_CSU_BASE+0x020*4)
#define ECSRFM_CSU_PRICMDVALID1                     (ECSRFM_CSU_BASE+0x021*4)
#define ECSRFM_CSU_PRICMDVALID2                     (ECSRFM_CSU_BASE+0x022*4)
#define ECSRFM_CSU_PRICMDVALID3                     (ECSRFM_CSU_BASE+0x023*4)
#define ECSRFM_CSU_CMDECODATAL32BIT0                (ECSRFM_CSU_BASE+0x024*4)
#define ECSRFM_CSU_CMDECODATAL32BIT1                (ECSRFM_CSU_BASE+0x025*4)
#define ECSRFM_CSU_CMDECODATAL32BIT2                (ECSRFM_CSU_BASE+0x026*4)
#define ECSRFM_CSU_CMDECODATAL32BIT3                (ECSRFM_CSU_BASE+0x027*4)
#define ECSRFM_CSU_CMDHIGHDATA                      (ECSRFM_CSU_BASE+0x028*4)
#define ECSRFM_CSU_CMDFIFO0                         (ECSRFM_CSU_BASE+0x02C*4)
#define ECSRFM_CSU_CMDFIFO1                         (ECSRFM_CSU_BASE+0x02D*4)
#define ECSRFM_CSU_CMDFIFO2                         (ECSRFM_CSU_BASE+0x02E*4)
#define ECSRFM_CSU_CMDFIFO3                         (ECSRFM_CSU_BASE+0x02F*4)
#define ECSRFM_CSU_READYLISTNUM                     (ECSRFM_CSU_BASE+0x030*4)
#define ECSRFM_CSU_CMDFIFO0_TAGNUM                  (ECSRFM_CSU_BASE+0x034*4)
#define ECSRFM_CSU_CMDFIFO1_TAGNUM                  (ECSRFM_CSU_BASE+0x035*4)
#define ECSRFM_CSU_CMDFIFO2_TAGNUM                  (ECSRFM_CSU_BASE+0x036*4)
#define ECSRFM_CSU_CMDFIFO3_TAGNUM                  (ECSRFM_CSU_BASE+0x037*4)
#define ECSRFM_CSU_DMASTATUS                        (ECSRFM_CSU_BASE+0x038*4)
#define ECSRFM_CSU_CMDSTALL_LISTSTALL               (ECSRFM_CSU_BASE+0x039*4)
#define ECSRFM_CSU_QOUSTATUS                        (ECSRFM_CSU_BASE+0x03A*4)
#define ECSRFM_CSU_EVENTINTCLEAR                    (ECSRFM_CSU_BASE+0x03C*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG0              (ECSRFM_CSU_BASE+0x100*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG1              (ECSRFM_CSU_BASE+0x101*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG2              (ECSRFM_CSU_BASE+0x102*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG3              (ECSRFM_CSU_BASE+0x103*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG4              (ECSRFM_CSU_BASE+0x104*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG5              (ECSRFM_CSU_BASE+0x105*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG6              (ECSRFM_CSU_BASE+0x106*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG7              (ECSRFM_CSU_BASE+0x107*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG8              (ECSRFM_CSU_BASE+0x108*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG9              (ECSRFM_CSU_BASE+0x109*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG10             (ECSRFM_CSU_BASE+0x10A*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG11             (ECSRFM_CSU_BASE+0x10B*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG12             (ECSRFM_CSU_BASE+0x10C*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG13             (ECSRFM_CSU_BASE+0x10D*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG14             (ECSRFM_CSU_BASE+0x10E*4)
#define ECSRFM_CSU_MAILBOX_PRIDATAREG15             (ECSRFM_CSU_BASE+0x10F*4)
#define ECSRFM_CSU_MAILBOX_BASENUM                  (ECSRFM_CSU_BASE+0x120*4)
#define ECSRFM_CSU_MAILBOX_BASECNT                  (ECSRFM_CSU_BASE+0x121*4)
#define ECSRFM_CSU_MAILBOX_VALIDREG                 (ECSRFM_CSU_BASE+0x122*4)
#define ECSRFM_CSU_MAILBOX_INTMASK0                 (ECSRFM_CSU_BASE+0x124*4)
#define ECSRFM_CSU_MAILBOX_INTMASK1                 (ECSRFM_CSU_BASE+0x125*4)
#define ECSRFM_CSU_MAILBOX_INTMASK2                 (ECSRFM_CSU_BASE+0x126*4)
#define ECSRFM_CSU_MAILBOX_INTMASK3                 (ECSRFM_CSU_BASE+0x127*4)
#define ECSRFM_CSU_MAILBOX_EVENTMASK0               (ECSRFM_CSU_BASE+0x130*4)
#define ECSRFM_CSU_MAILBOX_EVENTMASK1               (ECSRFM_CSU_BASE+0x131*4)
#define ECSRFM_CSU_MAILBOX_CNTREG0                  (ECSRFM_CSU_BASE+0x180*4)
#define ECSRFM_CSU_MAILBOX_CNTREG1                  (ECSRFM_CSU_BASE+0x181*4)
#define ECSRFM_CSU_MAILBOX_CNTREG2                  (ECSRFM_CSU_BASE+0x182*4)
#define ECSRFM_CSU_MAILBOX_CNTREG3                  (ECSRFM_CSU_BASE+0x183*4)
#define ECSRFM_CSU_MAILBOX_CNTREG4                  (ECSRFM_CSU_BASE+0x184*4)
#define ECSRFM_CSU_MAILBOX_CNTREG5                  (ECSRFM_CSU_BASE+0x185*4)
#define ECSRFM_CSU_MAILBOX_CNTREG6                  (ECSRFM_CSU_BASE+0x186*4)
#define ECSRFM_CSU_MAILBOX_CNTREG7                  (ECSRFM_CSU_BASE+0x187*4)
#define ECSRFM_CSU_MAILBOX_CNTREG8                  (ECSRFM_CSU_BASE+0x188*4)
#define ECSRFM_CSU_MAILBOX_CNTREG9                  (ECSRFM_CSU_BASE+0x189*4)
#define ECSRFM_CSU_MAILBOX_CNTREG10                 (ECSRFM_CSU_BASE+0x18A*4)
#define ECSRFM_CSU_MAILBOX_CNTREG11                 (ECSRFM_CSU_BASE+0x18B*4)
#define ECSRFM_CSU_MAILBOX_CNTREG12                 (ECSRFM_CSU_BASE+0x18C*4)
#define ECSRFM_CSU_MAILBOX_CNTREG13                 (ECSRFM_CSU_BASE+0x18D*4)
#define ECSRFM_CSU_MAILBOX_CNTREG14                 (ECSRFM_CSU_BASE+0x18E*4)
#define ECSRFM_CSU_MAILBOX_CNTREG15                 (ECSRFM_CSU_BASE+0x18F*4)
#define ECSRFM_CSU_DMAADDRL0                        (ECSRFM_CSU_BASE+0x200*4)
#define ECSRFM_CSU_DMAADDRH0                        (ECSRFM_CSU_BASE+0x201*4)
#define ECSRFM_CSU_DMAYSTEPL0                       (ECSRFM_CSU_BASE+0x202*4)
#define ECSRFM_CSU_DMAYSTEPH0                       (ECSRFM_CSU_BASE+0x203*4)
#define ECSRFM_CSU_DMAZSTEPL0                       (ECSRFM_CSU_BASE+0x204*4)
#define ECSRFM_CSU_DMAZSTEPH0                       (ECSRFM_CSU_BASE+0x205*4)
#define ECSRFM_CSU_DMAYNUMXNUM0                     (ECSRFM_CSU_BASE+0x206*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM0               (ECSRFM_CSU_BASE+0x207*4)
#define ECSRFM_CSU_DMAADDRL1                        (ECSRFM_CSU_BASE+0x208*4)
#define ECSRFM_CSU_DMAADDRH1                        (ECSRFM_CSU_BASE+0x209*4)
#define ECSRFM_CSU_DMAYSTEPL1                       (ECSRFM_CSU_BASE+0x20A*4)
#define ECSRFM_CSU_DMAYSTEPH1                       (ECSRFM_CSU_BASE+0x20B*4)
#define ECSRFM_CSU_DMAZSTEPL1                       (ECSRFM_CSU_BASE+0x20C*4)
#define ECSRFM_CSU_DMAZSTEPH1                       (ECSRFM_CSU_BASE+0x20D*4)
#define ECSRFM_CSU_DMAYNUMXNUM1                     (ECSRFM_CSU_BASE+0x20E*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM1               (ECSRFM_CSU_BASE+0x20F*4)
#define ECSRFM_CSU_DMAADDRL2                        (ECSRFM_CSU_BASE+0x210*4)
#define ECSRFM_CSU_DMAADDRH2                        (ECSRFM_CSU_BASE+0x211*4)
#define ECSRFM_CSU_DMAYSTEPL2                       (ECSRFM_CSU_BASE+0x212*4)
#define ECSRFM_CSU_DMAYSTEPH2                       (ECSRFM_CSU_BASE+0x213*4)
#define ECSRFM_CSU_DMAZSTEPL2                       (ECSRFM_CSU_BASE+0x214*4)
#define ECSRFM_CSU_DMAZSTEPH2                       (ECSRFM_CSU_BASE+0x215*4)
#define ECSRFM_CSU_DMAYNUMXNUM2                     (ECSRFM_CSU_BASE+0x216*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM2               (ECSRFM_CSU_BASE+0x217*4)
#define ECSRFM_CSU_DMAADDRL3                        (ECSRFM_CSU_BASE+0x218*4)
#define ECSRFM_CSU_DMAADDRH3                        (ECSRFM_CSU_BASE+0x219*4)
#define ECSRFM_CSU_DMAYSTEPL3                       (ECSRFM_CSU_BASE+0x21A*4)
#define ECSRFM_CSU_DMAYSTEPH3                       (ECSRFM_CSU_BASE+0x21B*4)
#define ECSRFM_CSU_DMAZSTEPL3                       (ECSRFM_CSU_BASE+0x21C*4)
#define ECSRFM_CSU_DMAZSTEPH3                       (ECSRFM_CSU_BASE+0x21D*4)
#define ECSRFM_CSU_DMAYNUMXNUM3                     (ECSRFM_CSU_BASE+0x21E*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM3               (ECSRFM_CSU_BASE+0x21F*4)
#define ECSRFM_CSU_DMAADDRL4                        (ECSRFM_CSU_BASE+0x220*4)
#define ECSRFM_CSU_DMAADDRH4                        (ECSRFM_CSU_BASE+0x221*4)
#define ECSRFM_CSU_DMAYSTEPL4                       (ECSRFM_CSU_BASE+0x222*4)
#define ECSRFM_CSU_DMAYSTEPH4                       (ECSRFM_CSU_BASE+0x223*4)
#define ECSRFM_CSU_DMAZSTEPL4                       (ECSRFM_CSU_BASE+0x224*4)
#define ECSRFM_CSU_DMAZSTEPH4                       (ECSRFM_CSU_BASE+0x225*4)
#define ECSRFM_CSU_DMAYNUMXNUM4                     (ECSRFM_CSU_BASE+0x226*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM4               (ECSRFM_CSU_BASE+0x227*4)
#define ECSRFM_CSU_DMAADDRL5                        (ECSRFM_CSU_BASE+0x228*4)
#define ECSRFM_CSU_DMAADDRH5                        (ECSRFM_CSU_BASE+0x229*4)
#define ECSRFM_CSU_DMAYSTEPL5                       (ECSRFM_CSU_BASE+0x22A*4)
#define ECSRFM_CSU_DMAYSTEPH5                       (ECSRFM_CSU_BASE+0x22B*4)
#define ECSRFM_CSU_DMAZSTEPL5                       (ECSRFM_CSU_BASE+0x22C*4)
#define ECSRFM_CSU_DMAZSTEPH5                       (ECSRFM_CSU_BASE+0x22D*4)
#define ECSRFM_CSU_DMAYNUMXNUM5                     (ECSRFM_CSU_BASE+0x22E*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM5               (ECSRFM_CSU_BASE+0x22F*4)
#define ECSRFM_CSU_DMAADDRL6                        (ECSRFM_CSU_BASE+0x230*4)
#define ECSRFM_CSU_DMAADDRH6                        (ECSRFM_CSU_BASE+0x231*4)
#define ECSRFM_CSU_DMAYSTEPL6                       (ECSRFM_CSU_BASE+0x232*4)
#define ECSRFM_CSU_DMAYSTEPH6                       (ECSRFM_CSU_BASE+0x233*4)
#define ECSRFM_CSU_DMAZSTEPL6                       (ECSRFM_CSU_BASE+0x234*4)
#define ECSRFM_CSU_DMAZSTEPH6                       (ECSRFM_CSU_BASE+0x235*4)
#define ECSRFM_CSU_DMAYNUMXNUM6                     (ECSRFM_CSU_BASE+0x236*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM6               (ECSRFM_CSU_BASE+0x237*4)
#define ECSRFM_CSU_DMAADDRL7                        (ECSRFM_CSU_BASE+0x238*4)
#define ECSRFM_CSU_DMAADDRH7                        (ECSRFM_CSU_BASE+0x239*4)
#define ECSRFM_CSU_DMAYSTEPL7                       (ECSRFM_CSU_BASE+0x23A*4)
#define ECSRFM_CSU_DMAYSTEPH7                       (ECSRFM_CSU_BASE+0x23B*4)
#define ECSRFM_CSU_DMAZSTEPL7                       (ECSRFM_CSU_BASE+0x23C*4)
#define ECSRFM_CSU_DMAZSTEPH7                       (ECSRFM_CSU_BASE+0x23D*4)
#define ECSRFM_CSU_DMAYNUMXNUM7                     (ECSRFM_CSU_BASE+0x23E*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM7               (ECSRFM_CSU_BASE+0x23F*4)
#define ECSRFM_CSU_DMAADDRL8                        (ECSRFM_CSU_BASE+0x240*4)
#define ECSRFM_CSU_DMAADDRH8                        (ECSRFM_CSU_BASE+0x241*4)
#define ECSRFM_CSU_DMAYSTEPL8                       (ECSRFM_CSU_BASE+0x242*4)
#define ECSRFM_CSU_DMAYSTEPH8                       (ECSRFM_CSU_BASE+0x243*4)
#define ECSRFM_CSU_DMAZSTEPL8                       (ECSRFM_CSU_BASE+0x244*4)
#define ECSRFM_CSU_DMAZSTEPH8                       (ECSRFM_CSU_BASE+0x245*4)
#define ECSRFM_CSU_DMAYNUMXNUM8                     (ECSRFM_CSU_BASE+0x246*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM8               (ECSRFM_CSU_BASE+0x247*4)
#define ECSRFM_CSU_DMAADDRL9                        (ECSRFM_CSU_BASE+0x248*4)
#define ECSRFM_CSU_DMAADDRH9                        (ECSRFM_CSU_BASE+0x249*4)
#define ECSRFM_CSU_DMAYSTEPL9                       (ECSRFM_CSU_BASE+0x24A*4)
#define ECSRFM_CSU_DMAYSTEPH9                       (ECSRFM_CSU_BASE+0x24B*4)
#define ECSRFM_CSU_DMAZSTEPL9                       (ECSRFM_CSU_BASE+0x24C*4)
#define ECSRFM_CSU_DMAZSTEPH9                       (ECSRFM_CSU_BASE+0x24D*4)
#define ECSRFM_CSU_DMAYNUMXNUM9                     (ECSRFM_CSU_BASE+0x24E*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM9               (ECSRFM_CSU_BASE+0x24F*4)
#define ECSRFM_CSU_DMAADDRL10                       (ECSRFM_CSU_BASE+0x250*4)
#define ECSRFM_CSU_DMAADDRH10                       (ECSRFM_CSU_BASE+0x251*4)
#define ECSRFM_CSU_DMAYSTEPL10                      (ECSRFM_CSU_BASE+0x252*4)
#define ECSRFM_CSU_DMAYSTEPH10                      (ECSRFM_CSU_BASE+0x253*4)
#define ECSRFM_CSU_DMAZSTEPL10                      (ECSRFM_CSU_BASE+0x254*4)
#define ECSRFM_CSU_DMAZSTEPH10                      (ECSRFM_CSU_BASE+0x255*4)
#define ECSRFM_CSU_DMAYNUMXNUM10                    (ECSRFM_CSU_BASE+0x256*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM10              (ECSRFM_CSU_BASE+0x257*4)
#define ECSRFM_CSU_DMAADDRL11                       (ECSRFM_CSU_BASE+0x258*4)
#define ECSRFM_CSU_DMAADDRH11                       (ECSRFM_CSU_BASE+0x259*4)
#define ECSRFM_CSU_DMAYSTEPL11                      (ECSRFM_CSU_BASE+0x25A*4)
#define ECSRFM_CSU_DMAYSTEPH11                      (ECSRFM_CSU_BASE+0x25B*4)
#define ECSRFM_CSU_DMAZSTEPL11                      (ECSRFM_CSU_BASE+0x25C*4)
#define ECSRFM_CSU_DMAZSTEPH11                      (ECSRFM_CSU_BASE+0x25D*4)
#define ECSRFM_CSU_DMAYNUMXNUM11                    (ECSRFM_CSU_BASE+0x25E*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM11              (ECSRFM_CSU_BASE+0x25F*4)
#define ECSRFM_CSU_DMAADDRL12                       (ECSRFM_CSU_BASE+0x260*4)
#define ECSRFM_CSU_DMAADDRH12                       (ECSRFM_CSU_BASE+0x261*4)
#define ECSRFM_CSU_DMAYSTEPL12                      (ECSRFM_CSU_BASE+0x262*4)
#define ECSRFM_CSU_DMAYSTEPH12                      (ECSRFM_CSU_BASE+0x263*4)
#define ECSRFM_CSU_DMAZSTEPL12                      (ECSRFM_CSU_BASE+0x264*4)
#define ECSRFM_CSU_DMAZSTEPH12                      (ECSRFM_CSU_BASE+0x265*4)
#define ECSRFM_CSU_DMAYNUMXNUM12                    (ECSRFM_CSU_BASE+0x266*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM12              (ECSRFM_CSU_BASE+0x267*4)
#define ECSRFM_CSU_DMAADDRL13                       (ECSRFM_CSU_BASE+0x268*4)
#define ECSRFM_CSU_DMAADDRH13                       (ECSRFM_CSU_BASE+0x269*4)
#define ECSRFM_CSU_DMAYSTEPL13                      (ECSRFM_CSU_BASE+0x26A*4)
#define ECSRFM_CSU_DMAYSTEPH13                      (ECSRFM_CSU_BASE+0x26B*4)
#define ECSRFM_CSU_DMAZSTEPL13                      (ECSRFM_CSU_BASE+0x26C*4)
#define ECSRFM_CSU_DMAZSTEPH13                      (ECSRFM_CSU_BASE+0x26D*4)
#define ECSRFM_CSU_DMAYNUMXNUM13                    (ECSRFM_CSU_BASE+0x26E*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM13              (ECSRFM_CSU_BASE+0x26F*4)
#define ECSRFM_CSU_DMAADDRL14                       (ECSRFM_CSU_BASE+0x270*4)
#define ECSRFM_CSU_DMAADDRH14                       (ECSRFM_CSU_BASE+0x271*4)
#define ECSRFM_CSU_DMAYSTEPL14                      (ECSRFM_CSU_BASE+0x272*4)
#define ECSRFM_CSU_DMAYSTEPH14                      (ECSRFM_CSU_BASE+0x273*4)
#define ECSRFM_CSU_DMAZSTEPL14                      (ECSRFM_CSU_BASE+0x274*4)
#define ECSRFM_CSU_DMAZSTEPH14                      (ECSRFM_CSU_BASE+0x275*4)
#define ECSRFM_CSU_DMAYNUMXNUM14                    (ECSRFM_CSU_BASE+0x276*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM14              (ECSRFM_CSU_BASE+0x277*4)
#define ECSRFM_CSU_DMAADDRL15                       (ECSRFM_CSU_BASE+0x278*4)
#define ECSRFM_CSU_DMAADDRH15                       (ECSRFM_CSU_BASE+0x279*4)
#define ECSRFM_CSU_DMAYSTEPL15                      (ECSRFM_CSU_BASE+0x27A*4)
#define ECSRFM_CSU_DMAYSTEPH15                      (ECSRFM_CSU_BASE+0x27B*4)
#define ECSRFM_CSU_DMAZSTEPL15                      (ECSRFM_CSU_BASE+0x27C*4)
#define ECSRFM_CSU_DMAZSTEPH15                      (ECSRFM_CSU_BASE+0x27D*4)
#define ECSRFM_CSU_DMAYNUMXNUM15                    (ECSRFM_CSU_BASE+0x27E*4)
#define ECSRFM_CSU_DMASIZEGRANALLNUM15              (ECSRFM_CSU_BASE+0x27F*4)
#define ECSRFM_CSU_QOUCMDNUM_QOUCMDPOS              (ECSRFM_CSU_BASE+0x300*4)
#define ECSRFM_CSU_QOUCMDADDR                       (ECSRFM_CSU_BASE+0x301*4)
#define ECSRFM_CSU_QOUCMDDATA                       (ECSRFM_CSU_BASE+0x302*4)
#define ECSRFM_CSU_QOUSTATUSPOPDATA                 (ECSRFM_CSU_BASE+0x303*4)
#define ECSRFM_CSU_QOUCMPDATA0                      (ECSRFM_CSU_BASE+0x304*4)
#define ECSRFM_CSU_QOUCMPDATA1                      (ECSRFM_CSU_BASE+0x305*4)
#define ECSRFM_CSU_QOUCMPDATA2                      (ECSRFM_CSU_BASE+0x306*4)
#define ECSRFM_CSU_QOUCMPDATA3                      (ECSRFM_CSU_BASE+0x307*4)
#define ECSRFM_CSU_SPUID                            (ECSRFM_CSU_BASE+0x30B*4)
#define ECSRFM_CSU_PRICMDDATA_L32BIT0               (ECSRFM_CSU_BASE+0x310*4)
#define ECSRFM_CSU_PRICMDDATA_H14BIT0               (ECSRFM_CSU_BASE+0x311*4)
#define ECSRFM_CSU_PRICMDDATA_L32BIT1               (ECSRFM_CSU_BASE+0x312*4)
#define ECSRFM_CSU_PRICMDDATA_H14BIT1               (ECSRFM_CSU_BASE+0x313*4)
#define ECSRFM_CSU_PRICMDDATA_L32BIT2               (ECSRFM_CSU_BASE+0x314*4)
#define ECSRFM_CSU_PRICMDDATA_H14BIT2               (ECSRFM_CSU_BASE+0x315*4)
#define ECSRFM_CSU_PRICMDDATA_L32BIT3               (ECSRFM_CSU_BASE+0x316*4)
#define ECSRFM_CSU_PRICMDDATA_H14BIT3               (ECSRFM_CSU_BASE+0x317*4)
#define ECSRFM_CSU_SORTDATA_NUM                     (ECSRFM_CSU_BASE+0x380*4)
#define ECSRFM_CSU_SORTDATA_DATA0                   (ECSRFM_CSU_BASE+0x3C0*4)
#define ECSRFM_CSU_SORTDATA_DATA1                   (ECSRFM_CSU_BASE+0x3C1*4)
#define ECSRFM_CSU_SORTDATA_DATA2                   (ECSRFM_CSU_BASE+0x3C2*4)
#define ECSRFM_CSU_SORTDATA_DATA3                   (ECSRFM_CSU_BASE+0x3C3*4)
#define ECSRFM_CSU_SORTDATA_DATA4                   (ECSRFM_CSU_BASE+0x3C4*4)
#define ECSRFM_CSU_SORTDATA_DATA5                   (ECSRFM_CSU_BASE+0x3C5*4)
#define ECSRFM_CSU_SORTDATA_DATA6                   (ECSRFM_CSU_BASE+0x3C6*4)
#define ECSRFM_CSU_SORTDATA_DATA7                   (ECSRFM_CSU_BASE+0x3C7*4)
#define ECSRFM_CSU_SORTDATA_DATA8                   (ECSRFM_CSU_BASE+0x3C8*4)
#define ECSRFM_CSU_SORTDATA_DATA9                   (ECSRFM_CSU_BASE+0x3C9*4)
#define ECSRFM_CSU_SORTDATA_DATA10                  (ECSRFM_CSU_BASE+0x3CA*4)
#define ECSRFM_CSU_SORTDATA_DATA11                  (ECSRFM_CSU_BASE+0x3CB*4)
#define ECSRFM_CSU_SORTDATA_DATA12                  (ECSRFM_CSU_BASE+0x3CC*4)
#define ECSRFM_CSU_SORTDATA_DATA13                  (ECSRFM_CSU_BASE+0x3CD*4)
#define ECSRFM_CSU_SORTDATA_DATA14                  (ECSRFM_CSU_BASE+0x3CE*4)
#define ECSRFM_CSU_SORTDATA_DATA15                  (ECSRFM_CSU_BASE+0x3CF*4)
#define ECSRFM_CSU_SORTDATA_DATA16                  (ECSRFM_CSU_BASE+0x3D0*4)
#define ECSRFM_CSU_SORTDATA_DATA17                  (ECSRFM_CSU_BASE+0x3D1*4)
#define ECSRFM_CSU_SORTDATA_DATA18                  (ECSRFM_CSU_BASE+0x3D2*4)
#define ECSRFM_CSU_SORTDATA_DATA19                  (ECSRFM_CSU_BASE+0x3D3*4)
#define ECSRFM_CSU_SORTDATA_DATA20                  (ECSRFM_CSU_BASE+0x3D4*4)
#define ECSRFM_CSU_SORTDATA_DATA21                  (ECSRFM_CSU_BASE+0x3D5*4)
#define ECSRFM_CSU_SORTDATA_DATA22                  (ECSRFM_CSU_BASE+0x3D6*4)
#define ECSRFM_CSU_SORTDATA_DATA23                  (ECSRFM_CSU_BASE+0x3D7*4)
#define ECSRFM_CSU_SORTDATA_DATA24                  (ECSRFM_CSU_BASE+0x3D8*4)
#define ECSRFM_CSU_SORTDATA_DATA25                  (ECSRFM_CSU_BASE+0x3D9*4)
#define ECSRFM_CSU_SORTDATA_DATA26                  (ECSRFM_CSU_BASE+0x3DA*4)
#define ECSRFM_CSU_SORTDATA_DATA27                  (ECSRFM_CSU_BASE+0x3DB*4)
#define ECSRFM_CSU_SORTDATA_DATA28                  (ECSRFM_CSU_BASE+0x3DC*4)
#define ECSRFM_CSU_SORTDATA_DATA29                  (ECSRFM_CSU_BASE+0x3DD*4)
#define ECSRFM_CSU_SORTDATA_DATA30                  (ECSRFM_CSU_BASE+0x3DE*4)
#define ECSRFM_CSU_SORTDATA_DATA31                  (ECSRFM_CSU_BASE+0x3DF*4)
#define ECSRFM_CSU_SORTDATA_ID0                     (ECSRFM_CSU_BASE+0x3E0*4)
#define ECSRFM_CSU_SORTDATA_ID1                     (ECSRFM_CSU_BASE+0x3E1*4)
#define ECSRFM_CSU_SORTDATA_ID2                     (ECSRFM_CSU_BASE+0x3E2*4)
#define ECSRFM_CSU_SORTDATA_ID3                     (ECSRFM_CSU_BASE+0x3E3*4)
#define ECSRFM_CSU_SORTDATA_ID4                     (ECSRFM_CSU_BASE+0x3E4*4)
#define ECSRFM_CSU_SORTDATA_ID5                     (ECSRFM_CSU_BASE+0x3E5*4)
#define ECSRFM_CSU_SORTDATA_ID6                     (ECSRFM_CSU_BASE+0x3E6*4)
#define ECSRFM_CSU_SORTDATA_ID7                     (ECSRFM_CSU_BASE+0x3E7*4)
#define ECSRFM_CSU_SORTDATA_ID8                     (ECSRFM_CSU_BASE+0x3E8*4)
#define ECSRFM_CSU_SORTDATA_ID9                     (ECSRFM_CSU_BASE+0x3E9*4)
#define ECSRFM_CSU_SORTDATA_ID10                    (ECSRFM_CSU_BASE+0x3EA*4)
#define ECSRFM_CSU_SORTDATA_ID11                    (ECSRFM_CSU_BASE+0x3EB*4)
#define ECSRFM_CSU_SORTDATA_ID12                    (ECSRFM_CSU_BASE+0x3EC*4)
#define ECSRFM_CSU_SORTDATA_ID13                    (ECSRFM_CSU_BASE+0x3ED*4)
#define ECSRFM_CSU_SORTDATA_ID14                    (ECSRFM_CSU_BASE+0x3EE*4)
#define ECSRFM_CSU_SORTDATA_ID15                    (ECSRFM_CSU_BASE+0x3EF*4)
#define ECSRFM_CSU_SORTDATA_ID16                    (ECSRFM_CSU_BASE+0x3F0*4)
#define ECSRFM_CSU_SORTDATA_ID17                    (ECSRFM_CSU_BASE+0x3F1*4)
#define ECSRFM_CSU_SORTDATA_ID18                    (ECSRFM_CSU_BASE+0x3F2*4)
#define ECSRFM_CSU_SORTDATA_ID19                    (ECSRFM_CSU_BASE+0x3F3*4)
#define ECSRFM_CSU_SORTDATA_ID20                    (ECSRFM_CSU_BASE+0x3F4*4)
#define ECSRFM_CSU_SORTDATA_ID21                    (ECSRFM_CSU_BASE+0x3F5*4)
#define ECSRFM_CSU_SORTDATA_ID22                    (ECSRFM_CSU_BASE+0x3F6*4)
#define ECSRFM_CSU_SORTDATA_ID23                    (ECSRFM_CSU_BASE+0x3F7*4)
#define ECSRFM_CSU_SORTDATA_ID24                    (ECSRFM_CSU_BASE+0x3F8*4)
#define ECSRFM_CSU_SORTDATA_ID25                    (ECSRFM_CSU_BASE+0x3F9*4)
#define ECSRFM_CSU_SORTDATA_ID26                    (ECSRFM_CSU_BASE+0x3FA*4)
#define ECSRFM_CSU_SORTDATA_ID27                    (ECSRFM_CSU_BASE+0x3FB*4)
#define ECSRFM_CSU_SORTDATA_ID28                    (ECSRFM_CSU_BASE+0x3FC*4)
#define ECSRFM_CSU_SORTDATA_ID29                    (ECSRFM_CSU_BASE+0x3FD*4)
#define ECSRFM_CSU_SORTDATA_ID30                    (ECSRFM_CSU_BASE+0x3FE*4)
#define ECSRFM_CSU_SORTDATA_ID31                    (ECSRFM_CSU_BASE+0x3FF*4)


#define PETRFM_CSU_STARTSPU0                        (PETRFM_CSU_BASE+0x000*4)
#define PETRFM_CSU_ALLPENDEVENTMASK                 (PETRFM_CSU_BASE+0x000*4)
#define PETRFM_CSU_STARTSPU1                        (PETRFM_CSU_BASE+0x001*4)
#define PETRFM_CSU_EVENTMASK                        (PETRFM_CSU_BASE+0x002*4)
#define PETRFM_CSU_INTMASK                          (PETRFM_CSU_BASE+0x004*4)
#define PETRFM_CSU_ELEVELMASK                       (PETRFM_CSU_BASE+0x005*4)
#define PETRFM_CSU_TAGMASK0                         (PETRFM_CSU_BASE+0x006*4)
#define PETRFM_CSU_TAGMASK1                         (PETRFM_CSU_BASE+0x007*4)
#define PETRFM_CSU_TAGMASK2                         (PETRFM_CSU_BASE+0x008*4)
#define PETRFM_CSU_TAGMASK3                         (PETRFM_CSU_BASE+0x009*4)
#define PETRFM_CSU_ARMCMDRECV                       (PETRFM_CSU_BASE+0x00A*4)
#define PETRFM_CSU_FETCHMODE_CACHEMODE              (PETRFM_CSU_BASE+0x00B*4)
#define PETRFM_CSU_ALLPENDEVENT0                    (PETRFM_CSU_BASE+0x00C*4)
#define PETRFM_CSU_ALLPENDEVENT1                    (PETRFM_CSU_BASE+0x00D*4)
#define PETRFM_CSU_EM_BS_SMSEL_PREDATANUM           (PETRFM_CSU_BASE+0x010*4)
#define PETRFM_CSU_CACHEINFO_EM_BS_SPURWCACHE_SMSEL_PDNUM (PETRFM_CSU_BASE+0x010*4)
#define PETRFM_CSU_ALMOSTFULLSENDTHRED              (PETRFM_CSU_BASE+0x011*4)
#define PETRFM_CSU_FINDDMATAG                       (PETRFM_CSU_BASE+0x014*4)
#define PETRFM_CSU_CMDFIFO0_CMD                     (PETRFM_CSU_BASE+0x018*4)
#define PETRFM_CSU_CMDFIFO1_CMD                     (PETRFM_CSU_BASE+0x019*4)
#define PETRFM_CSU_CMDFIFO0_NUM                     (PETRFM_CSU_BASE+0x01C*4)
#define PETRFM_CSU_CMDFIFO1_NUM                     (PETRFM_CSU_BASE+0x01D*4)
#define PETRFM_CSU_PRICMDVALID0                     (PETRFM_CSU_BASE+0x020*4)
#define PETRFM_CSU_PRICMDVALID1                     (PETRFM_CSU_BASE+0x021*4)
#define PETRFM_CSU_CMDECODATAL32BIT0                (PETRFM_CSU_BASE+0x024*4)
#define PETRFM_CSU_CMDECODATAL32BIT1                (PETRFM_CSU_BASE+0x025*4)
#define PETRFM_CSU_CMDHIGHDATA                      (PETRFM_CSU_BASE+0x028*4)
#define PETRFM_CSU_CMDFIFO0                         (PETRFM_CSU_BASE+0x02C*4)
#define PETRFM_CSU_CMDFIFO1                         (PETRFM_CSU_BASE+0x02D*4)
#define PETRFM_CSU_READYLISTNUM                     (PETRFM_CSU_BASE+0x030*4)
#define PETRFM_CSU_CMDFIFO0_TAGNUM                  (PETRFM_CSU_BASE+0x034*4)
#define PETRFM_CSU_CMDFIFO1_TAGNUM                  (PETRFM_CSU_BASE+0x035*4)
#define PETRFM_CSU_DMASTATUS                        (PETRFM_CSU_BASE+0x038*4)
#define PETRFM_CSU_CMDSTALL_LISTSTALL               (PETRFM_CSU_BASE+0x039*4)
#define PETRFM_CSU_QOUSTATUS                        (PETRFM_CSU_BASE+0x03A*4)
#define PETRFM_CSU_EVENTINTCLEAR                    (PETRFM_CSU_BASE+0x03C*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG0              (PETRFM_CSU_BASE+0x100*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG1              (PETRFM_CSU_BASE+0x101*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG2              (PETRFM_CSU_BASE+0x102*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG3              (PETRFM_CSU_BASE+0x103*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG4              (PETRFM_CSU_BASE+0x104*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG5              (PETRFM_CSU_BASE+0x105*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG6              (PETRFM_CSU_BASE+0x106*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG7              (PETRFM_CSU_BASE+0x107*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG8              (PETRFM_CSU_BASE+0x108*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG9              (PETRFM_CSU_BASE+0x109*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG10             (PETRFM_CSU_BASE+0x10A*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG11             (PETRFM_CSU_BASE+0x10B*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG12             (PETRFM_CSU_BASE+0x10C*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG13             (PETRFM_CSU_BASE+0x10D*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG14             (PETRFM_CSU_BASE+0x10E*4)
#define PETRFM_CSU_MAILBOX_PRIDATAREG15             (PETRFM_CSU_BASE+0x10F*4)
#define PETRFM_CSU_MAILBOX_BASENUM                  (PETRFM_CSU_BASE+0x120*4)
#define PETRFM_CSU_MAILBOX_BASECNT                  (PETRFM_CSU_BASE+0x121*4)
#define PETRFM_CSU_MAILBOX_VALIDREG                 (PETRFM_CSU_BASE+0x122*4)
#define PETRFM_CSU_MAILBOX_INTMASK0                 (PETRFM_CSU_BASE+0x124*4)
#define PETRFM_CSU_MAILBOX_INTMASK1                 (PETRFM_CSU_BASE+0x125*4)
#define PETRFM_CSU_MAILBOX_INTMASK2                 (PETRFM_CSU_BASE+0x126*4)
#define PETRFM_CSU_MAILBOX_INTMASK3                 (PETRFM_CSU_BASE+0x127*4)
#define PETRFM_CSU_MAILBOX_EVENTMASK0               (PETRFM_CSU_BASE+0x130*4)
#define PETRFM_CSU_MAILBOX_EVENTMASK1               (PETRFM_CSU_BASE+0x131*4)
#define PETRFM_CSU_MAILBOX_CNTREG0                  (PETRFM_CSU_BASE+0x180*4)
#define PETRFM_CSU_MAILBOX_CNTREG1                  (PETRFM_CSU_BASE+0x181*4)
#define PETRFM_CSU_MAILBOX_CNTREG2                  (PETRFM_CSU_BASE+0x182*4)
#define PETRFM_CSU_MAILBOX_CNTREG3                  (PETRFM_CSU_BASE+0x183*4)
#define PETRFM_CSU_MAILBOX_CNTREG4                  (PETRFM_CSU_BASE+0x184*4)
#define PETRFM_CSU_MAILBOX_CNTREG5                  (PETRFM_CSU_BASE+0x185*4)
#define PETRFM_CSU_MAILBOX_CNTREG6                  (PETRFM_CSU_BASE+0x186*4)
#define PETRFM_CSU_MAILBOX_CNTREG7                  (PETRFM_CSU_BASE+0x187*4)
#define PETRFM_CSU_MAILBOX_CNTREG8                  (PETRFM_CSU_BASE+0x188*4)
#define PETRFM_CSU_MAILBOX_CNTREG9                  (PETRFM_CSU_BASE+0x189*4)
#define PETRFM_CSU_MAILBOX_CNTREG10                 (PETRFM_CSU_BASE+0x18A*4)
#define PETRFM_CSU_MAILBOX_CNTREG11                 (PETRFM_CSU_BASE+0x18B*4)
#define PETRFM_CSU_MAILBOX_CNTREG12                 (PETRFM_CSU_BASE+0x18C*4)
#define PETRFM_CSU_MAILBOX_CNTREG13                 (PETRFM_CSU_BASE+0x18D*4)
#define PETRFM_CSU_MAILBOX_CNTREG14                 (PETRFM_CSU_BASE+0x18E*4)
#define PETRFM_CSU_MAILBOX_CNTREG15                 (PETRFM_CSU_BASE+0x18F*4)
#define PETRFM_CSU_DMAADDRL0                        (PETRFM_CSU_BASE+0x200*4)
#define PETRFM_CSU_DMAADDRH0                        (PETRFM_CSU_BASE+0x201*4)
#define PETRFM_CSU_DMAYSTEPL0                       (PETRFM_CSU_BASE+0x202*4)
#define PETRFM_CSU_DMAYSTEPH0                       (PETRFM_CSU_BASE+0x203*4)
#define PETRFM_CSU_DMAZSTEPL0                       (PETRFM_CSU_BASE+0x204*4)
#define PETRFM_CSU_DMAZSTEPH0                       (PETRFM_CSU_BASE+0x205*4)
#define PETRFM_CSU_DMAYNUMXNUM0                     (PETRFM_CSU_BASE+0x206*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM0               (PETRFM_CSU_BASE+0x207*4)
#define PETRFM_CSU_DMAADDRL1                        (PETRFM_CSU_BASE+0x208*4)
#define PETRFM_CSU_DMAADDRH1                        (PETRFM_CSU_BASE+0x209*4)
#define PETRFM_CSU_DMAYSTEPL1                       (PETRFM_CSU_BASE+0x20A*4)
#define PETRFM_CSU_DMAYSTEPH1                       (PETRFM_CSU_BASE+0x20B*4)
#define PETRFM_CSU_DMAZSTEPL1                       (PETRFM_CSU_BASE+0x20C*4)
#define PETRFM_CSU_DMAZSTEPH1                       (PETRFM_CSU_BASE+0x20D*4)
#define PETRFM_CSU_DMAYNUMXNUM1                     (PETRFM_CSU_BASE+0x20E*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM1               (PETRFM_CSU_BASE+0x20F*4)
#define PETRFM_CSU_DMAADDRL2                        (PETRFM_CSU_BASE+0x210*4)
#define PETRFM_CSU_DMAADDRH2                        (PETRFM_CSU_BASE+0x211*4)
#define PETRFM_CSU_DMAYSTEPL2                       (PETRFM_CSU_BASE+0x212*4)
#define PETRFM_CSU_DMAYSTEPH2                       (PETRFM_CSU_BASE+0x213*4)
#define PETRFM_CSU_DMAZSTEPL2                       (PETRFM_CSU_BASE+0x214*4)
#define PETRFM_CSU_DMAZSTEPH2                       (PETRFM_CSU_BASE+0x215*4)
#define PETRFM_CSU_DMAYNUMXNUM2                     (PETRFM_CSU_BASE+0x216*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM2               (PETRFM_CSU_BASE+0x217*4)
#define PETRFM_CSU_DMAADDRL3                        (PETRFM_CSU_BASE+0x218*4)
#define PETRFM_CSU_DMAADDRH3                        (PETRFM_CSU_BASE+0x219*4)
#define PETRFM_CSU_DMAYSTEPL3                       (PETRFM_CSU_BASE+0x21A*4)
#define PETRFM_CSU_DMAYSTEPH3                       (PETRFM_CSU_BASE+0x21B*4)
#define PETRFM_CSU_DMAZSTEPL3                       (PETRFM_CSU_BASE+0x21C*4)
#define PETRFM_CSU_DMAZSTEPH3                       (PETRFM_CSU_BASE+0x21D*4)
#define PETRFM_CSU_DMAYNUMXNUM3                     (PETRFM_CSU_BASE+0x21E*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM3               (PETRFM_CSU_BASE+0x21F*4)
#define PETRFM_CSU_DMAADDRL4                        (PETRFM_CSU_BASE+0x220*4)
#define PETRFM_CSU_DMAADDRH4                        (PETRFM_CSU_BASE+0x221*4)
#define PETRFM_CSU_DMAYSTEPL4                       (PETRFM_CSU_BASE+0x222*4)
#define PETRFM_CSU_DMAYSTEPH4                       (PETRFM_CSU_BASE+0x223*4)
#define PETRFM_CSU_DMAZSTEPL4                       (PETRFM_CSU_BASE+0x224*4)
#define PETRFM_CSU_DMAZSTEPH4                       (PETRFM_CSU_BASE+0x225*4)
#define PETRFM_CSU_DMAYNUMXNUM4                     (PETRFM_CSU_BASE+0x226*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM4               (PETRFM_CSU_BASE+0x227*4)
#define PETRFM_CSU_DMAADDRL5                        (PETRFM_CSU_BASE+0x228*4)
#define PETRFM_CSU_DMAADDRH5                        (PETRFM_CSU_BASE+0x229*4)
#define PETRFM_CSU_DMAYSTEPL5                       (PETRFM_CSU_BASE+0x22A*4)
#define PETRFM_CSU_DMAYSTEPH5                       (PETRFM_CSU_BASE+0x22B*4)
#define PETRFM_CSU_DMAZSTEPL5                       (PETRFM_CSU_BASE+0x22C*4)
#define PETRFM_CSU_DMAZSTEPH5                       (PETRFM_CSU_BASE+0x22D*4)
#define PETRFM_CSU_DMAYNUMXNUM5                     (PETRFM_CSU_BASE+0x22E*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM5               (PETRFM_CSU_BASE+0x22F*4)
#define PETRFM_CSU_DMAADDRL6                        (PETRFM_CSU_BASE+0x230*4)
#define PETRFM_CSU_DMAADDRH6                        (PETRFM_CSU_BASE+0x231*4)
#define PETRFM_CSU_DMAYSTEPL6                       (PETRFM_CSU_BASE+0x232*4)
#define PETRFM_CSU_DMAYSTEPH6                       (PETRFM_CSU_BASE+0x233*4)
#define PETRFM_CSU_DMAZSTEPL6                       (PETRFM_CSU_BASE+0x234*4)
#define PETRFM_CSU_DMAZSTEPH6                       (PETRFM_CSU_BASE+0x235*4)
#define PETRFM_CSU_DMAYNUMXNUM6                     (PETRFM_CSU_BASE+0x236*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM6               (PETRFM_CSU_BASE+0x237*4)
#define PETRFM_CSU_DMAADDRL7                        (PETRFM_CSU_BASE+0x238*4)
#define PETRFM_CSU_DMAADDRH7                        (PETRFM_CSU_BASE+0x239*4)
#define PETRFM_CSU_DMAYSTEPL7                       (PETRFM_CSU_BASE+0x23A*4)
#define PETRFM_CSU_DMAYSTEPH7                       (PETRFM_CSU_BASE+0x23B*4)
#define PETRFM_CSU_DMAZSTEPL7                       (PETRFM_CSU_BASE+0x23C*4)
#define PETRFM_CSU_DMAZSTEPH7                       (PETRFM_CSU_BASE+0x23D*4)
#define PETRFM_CSU_DMAYNUMXNUM7                     (PETRFM_CSU_BASE+0x23E*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM7               (PETRFM_CSU_BASE+0x23F*4)
#define PETRFM_CSU_DMAADDRL8                        (PETRFM_CSU_BASE+0x240*4)
#define PETRFM_CSU_DMAADDRH8                        (PETRFM_CSU_BASE+0x241*4)
#define PETRFM_CSU_DMAYSTEPL8                       (PETRFM_CSU_BASE+0x242*4)
#define PETRFM_CSU_DMAYSTEPH8                       (PETRFM_CSU_BASE+0x243*4)
#define PETRFM_CSU_DMAZSTEPL8                       (PETRFM_CSU_BASE+0x244*4)
#define PETRFM_CSU_DMAZSTEPH8                       (PETRFM_CSU_BASE+0x245*4)
#define PETRFM_CSU_DMAYNUMXNUM8                     (PETRFM_CSU_BASE+0x246*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM8               (PETRFM_CSU_BASE+0x247*4)
#define PETRFM_CSU_DMAADDRL9                        (PETRFM_CSU_BASE+0x248*4)
#define PETRFM_CSU_DMAADDRH9                        (PETRFM_CSU_BASE+0x249*4)
#define PETRFM_CSU_DMAYSTEPL9                       (PETRFM_CSU_BASE+0x24A*4)
#define PETRFM_CSU_DMAYSTEPH9                       (PETRFM_CSU_BASE+0x24B*4)
#define PETRFM_CSU_DMAZSTEPL9                       (PETRFM_CSU_BASE+0x24C*4)
#define PETRFM_CSU_DMAZSTEPH9                       (PETRFM_CSU_BASE+0x24D*4)
#define PETRFM_CSU_DMAYNUMXNUM9                     (PETRFM_CSU_BASE+0x24E*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM9               (PETRFM_CSU_BASE+0x24F*4)
#define PETRFM_CSU_DMAADDRL10                       (PETRFM_CSU_BASE+0x250*4)
#define PETRFM_CSU_DMAADDRH10                       (PETRFM_CSU_BASE+0x251*4)
#define PETRFM_CSU_DMAYSTEPL10                      (PETRFM_CSU_BASE+0x252*4)
#define PETRFM_CSU_DMAYSTEPH10                      (PETRFM_CSU_BASE+0x253*4)
#define PETRFM_CSU_DMAZSTEPL10                      (PETRFM_CSU_BASE+0x254*4)
#define PETRFM_CSU_DMAZSTEPH10                      (PETRFM_CSU_BASE+0x255*4)
#define PETRFM_CSU_DMAYNUMXNUM10                    (PETRFM_CSU_BASE+0x256*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM10              (PETRFM_CSU_BASE+0x257*4)
#define PETRFM_CSU_DMAADDRL11                       (PETRFM_CSU_BASE+0x258*4)
#define PETRFM_CSU_DMAADDRH11                       (PETRFM_CSU_BASE+0x259*4)
#define PETRFM_CSU_DMAYSTEPL11                      (PETRFM_CSU_BASE+0x25A*4)
#define PETRFM_CSU_DMAYSTEPH11                      (PETRFM_CSU_BASE+0x25B*4)
#define PETRFM_CSU_DMAZSTEPL11                      (PETRFM_CSU_BASE+0x25C*4)
#define PETRFM_CSU_DMAZSTEPH11                      (PETRFM_CSU_BASE+0x25D*4)
#define PETRFM_CSU_DMAYNUMXNUM11                    (PETRFM_CSU_BASE+0x25E*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM11              (PETRFM_CSU_BASE+0x25F*4)
#define PETRFM_CSU_DMAADDRL12                       (PETRFM_CSU_BASE+0x260*4)
#define PETRFM_CSU_DMAADDRH12                       (PETRFM_CSU_BASE+0x261*4)
#define PETRFM_CSU_DMAYSTEPL12                      (PETRFM_CSU_BASE+0x262*4)
#define PETRFM_CSU_DMAYSTEPH12                      (PETRFM_CSU_BASE+0x263*4)
#define PETRFM_CSU_DMAZSTEPL12                      (PETRFM_CSU_BASE+0x264*4)
#define PETRFM_CSU_DMAZSTEPH12                      (PETRFM_CSU_BASE+0x265*4)
#define PETRFM_CSU_DMAYNUMXNUM12                    (PETRFM_CSU_BASE+0x266*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM12              (PETRFM_CSU_BASE+0x267*4)
#define PETRFM_CSU_DMAADDRL13                       (PETRFM_CSU_BASE+0x268*4)
#define PETRFM_CSU_DMAADDRH13                       (PETRFM_CSU_BASE+0x269*4)
#define PETRFM_CSU_DMAYSTEPL13                      (PETRFM_CSU_BASE+0x26A*4)
#define PETRFM_CSU_DMAYSTEPH13                      (PETRFM_CSU_BASE+0x26B*4)
#define PETRFM_CSU_DMAZSTEPL13                      (PETRFM_CSU_BASE+0x26C*4)
#define PETRFM_CSU_DMAZSTEPH13                      (PETRFM_CSU_BASE+0x26D*4)
#define PETRFM_CSU_DMAYNUMXNUM13                    (PETRFM_CSU_BASE+0x26E*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM13              (PETRFM_CSU_BASE+0x26F*4)
#define PETRFM_CSU_DMAADDRL14                       (PETRFM_CSU_BASE+0x270*4)
#define PETRFM_CSU_DMAADDRH14                       (PETRFM_CSU_BASE+0x271*4)
#define PETRFM_CSU_DMAYSTEPL14                      (PETRFM_CSU_BASE+0x272*4)
#define PETRFM_CSU_DMAYSTEPH14                      (PETRFM_CSU_BASE+0x273*4)
#define PETRFM_CSU_DMAZSTEPL14                      (PETRFM_CSU_BASE+0x274*4)
#define PETRFM_CSU_DMAZSTEPH14                      (PETRFM_CSU_BASE+0x275*4)
#define PETRFM_CSU_DMAYNUMXNUM14                    (PETRFM_CSU_BASE+0x276*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM14              (PETRFM_CSU_BASE+0x277*4)
#define PETRFM_CSU_DMAADDRL15                       (PETRFM_CSU_BASE+0x278*4)
#define PETRFM_CSU_DMAADDRH15                       (PETRFM_CSU_BASE+0x279*4)
#define PETRFM_CSU_DMAYSTEPL15                      (PETRFM_CSU_BASE+0x27A*4)
#define PETRFM_CSU_DMAYSTEPH15                      (PETRFM_CSU_BASE+0x27B*4)
#define PETRFM_CSU_DMAZSTEPL15                      (PETRFM_CSU_BASE+0x27C*4)
#define PETRFM_CSU_DMAZSTEPH15                      (PETRFM_CSU_BASE+0x27D*4)
#define PETRFM_CSU_DMAYNUMXNUM15                    (PETRFM_CSU_BASE+0x27E*4)
#define PETRFM_CSU_DMASIZEGRANALLNUM15              (PETRFM_CSU_BASE+0x27F*4)
#define PETRFM_CSU_QOUCMDNUM_QOUCMDPOS              (PETRFM_CSU_BASE+0x300*4)
#define PETRFM_CSU_QOUCMDADDR                       (PETRFM_CSU_BASE+0x301*4)
#define PETRFM_CSU_QOUCMDDATA                       (PETRFM_CSU_BASE+0x302*4)
#define PETRFM_CSU_QOUSTATUSPOPDATA                 (PETRFM_CSU_BASE+0x303*4)
#define PETRFM_CSU_QOUCMPDATA0                      (PETRFM_CSU_BASE+0x304*4)
#define PETRFM_CSU_QOUCMPDATA1                      (PETRFM_CSU_BASE+0x305*4)
#define PETRFM_CSU_QOUCMPDATA2                      (PETRFM_CSU_BASE+0x306*4)
#define PETRFM_CSU_QOUCMPDATA3                      (PETRFM_CSU_BASE+0x307*4)
#define PETRFM_CSU_SPUID                            (PETRFM_CSU_BASE+0x30B*4)
#define PETRFM_CSU_PRICMDDATA_L32BIT0               (PETRFM_CSU_BASE+0x310*4)
#define PETRFM_CSU_PRICMDDATA_H14BIT0               (PETRFM_CSU_BASE+0x311*4)
#define PETRFM_CSU_PRICMDDATA_L32BIT1               (PETRFM_CSU_BASE+0x312*4)
#define PETRFM_CSU_PRICMDDATA_H14BIT1               (PETRFM_CSU_BASE+0x313*4)
#define PETRFM_CSU_PRICMDDATA_L32BIT2               (PETRFM_CSU_BASE+0x314*4)
#define PETRFM_CSU_PRICMDDATA_H14BIT2               (PETRFM_CSU_BASE+0x315*4)
#define PETRFM_CSU_PRICMDDATA_L32BIT3               (PETRFM_CSU_BASE+0x316*4)
#define PETRFM_CSU_PRICMDDATA_H14BIT3               (PETRFM_CSU_BASE+0x317*4)
#define PETRFM_CSU_SORTDATA_NUM                     (PETRFM_CSU_BASE+0x380*4)
#define PETRFM_CSU_SORTDATA_DATA0                   (PETRFM_CSU_BASE+0x3C0*4)
#define PETRFM_CSU_SORTDATA_DATA1                   (PETRFM_CSU_BASE+0x3C1*4)
#define PETRFM_CSU_SORTDATA_DATA2                   (PETRFM_CSU_BASE+0x3C2*4)
#define PETRFM_CSU_SORTDATA_DATA3                   (PETRFM_CSU_BASE+0x3C3*4)
#define PETRFM_CSU_SORTDATA_DATA4                   (PETRFM_CSU_BASE+0x3C4*4)
#define PETRFM_CSU_SORTDATA_DATA5                   (PETRFM_CSU_BASE+0x3C5*4)
#define PETRFM_CSU_SORTDATA_DATA6                   (PETRFM_CSU_BASE+0x3C6*4)
#define PETRFM_CSU_SORTDATA_DATA7                   (PETRFM_CSU_BASE+0x3C7*4)
#define PETRFM_CSU_SORTDATA_DATA8                   (PETRFM_CSU_BASE+0x3C8*4)
#define PETRFM_CSU_SORTDATA_DATA9                   (PETRFM_CSU_BASE+0x3C9*4)
#define PETRFM_CSU_SORTDATA_DATA10                  (PETRFM_CSU_BASE+0x3CA*4)
#define PETRFM_CSU_SORTDATA_DATA11                  (PETRFM_CSU_BASE+0x3CB*4)
#define PETRFM_CSU_SORTDATA_DATA12                  (PETRFM_CSU_BASE+0x3CC*4)
#define PETRFM_CSU_SORTDATA_DATA13                  (PETRFM_CSU_BASE+0x3CD*4)
#define PETRFM_CSU_SORTDATA_DATA14                  (PETRFM_CSU_BASE+0x3CE*4)
#define PETRFM_CSU_SORTDATA_DATA15                  (PETRFM_CSU_BASE+0x3CF*4)
#define PETRFM_CSU_SORTDATA_DATA16                  (PETRFM_CSU_BASE+0x3D0*4)
#define PETRFM_CSU_SORTDATA_DATA17                  (PETRFM_CSU_BASE+0x3D1*4)
#define PETRFM_CSU_SORTDATA_DATA18                  (PETRFM_CSU_BASE+0x3D2*4)
#define PETRFM_CSU_SORTDATA_DATA19                  (PETRFM_CSU_BASE+0x3D3*4)
#define PETRFM_CSU_SORTDATA_DATA20                  (PETRFM_CSU_BASE+0x3D4*4)
#define PETRFM_CSU_SORTDATA_DATA21                  (PETRFM_CSU_BASE+0x3D5*4)
#define PETRFM_CSU_SORTDATA_DATA22                  (PETRFM_CSU_BASE+0x3D6*4)
#define PETRFM_CSU_SORTDATA_DATA23                  (PETRFM_CSU_BASE+0x3D7*4)
#define PETRFM_CSU_SORTDATA_DATA24                  (PETRFM_CSU_BASE+0x3D8*4)
#define PETRFM_CSU_SORTDATA_DATA25                  (PETRFM_CSU_BASE+0x3D9*4)
#define PETRFM_CSU_SORTDATA_DATA26                  (PETRFM_CSU_BASE+0x3DA*4)
#define PETRFM_CSU_SORTDATA_DATA27                  (PETRFM_CSU_BASE+0x3DB*4)
#define PETRFM_CSU_SORTDATA_DATA28                  (PETRFM_CSU_BASE+0x3DC*4)
#define PETRFM_CSU_SORTDATA_DATA29                  (PETRFM_CSU_BASE+0x3DD*4)
#define PETRFM_CSU_SORTDATA_DATA30                  (PETRFM_CSU_BASE+0x3DE*4)
#define PETRFM_CSU_SORTDATA_DATA31                  (PETRFM_CSU_BASE+0x3DF*4)
#define PETRFM_CSU_SORTDATA_ID0                     (PETRFM_CSU_BASE+0x3E0*4)
#define PETRFM_CSU_SORTDATA_ID1                     (PETRFM_CSU_BASE+0x3E1*4)
#define PETRFM_CSU_SORTDATA_ID2                     (PETRFM_CSU_BASE+0x3E2*4)
#define PETRFM_CSU_SORTDATA_ID3                     (PETRFM_CSU_BASE+0x3E3*4)
#define PETRFM_CSU_SORTDATA_ID4                     (PETRFM_CSU_BASE+0x3E4*4)
#define PETRFM_CSU_SORTDATA_ID5                     (PETRFM_CSU_BASE+0x3E5*4)
#define PETRFM_CSU_SORTDATA_ID6                     (PETRFM_CSU_BASE+0x3E6*4)
#define PETRFM_CSU_SORTDATA_ID7                     (PETRFM_CSU_BASE+0x3E7*4)
#define PETRFM_CSU_SORTDATA_ID8                     (PETRFM_CSU_BASE+0x3E8*4)
#define PETRFM_CSU_SORTDATA_ID9                     (PETRFM_CSU_BASE+0x3E9*4)
#define PETRFM_CSU_SORTDATA_ID10                    (PETRFM_CSU_BASE+0x3EA*4)
#define PETRFM_CSU_SORTDATA_ID11                    (PETRFM_CSU_BASE+0x3EB*4)
#define PETRFM_CSU_SORTDATA_ID12                    (PETRFM_CSU_BASE+0x3EC*4)
#define PETRFM_CSU_SORTDATA_ID13                    (PETRFM_CSU_BASE+0x3ED*4)
#define PETRFM_CSU_SORTDATA_ID14                    (PETRFM_CSU_BASE+0x3EE*4)
#define PETRFM_CSU_SORTDATA_ID15                    (PETRFM_CSU_BASE+0x3EF*4)
#define PETRFM_CSU_SORTDATA_ID16                    (PETRFM_CSU_BASE+0x3F0*4)
#define PETRFM_CSU_SORTDATA_ID17                    (PETRFM_CSU_BASE+0x3F1*4)
#define PETRFM_CSU_SORTDATA_ID18                    (PETRFM_CSU_BASE+0x3F2*4)
#define PETRFM_CSU_SORTDATA_ID19                    (PETRFM_CSU_BASE+0x3F3*4)
#define PETRFM_CSU_SORTDATA_ID20                    (PETRFM_CSU_BASE+0x3F4*4)
#define PETRFM_CSU_SORTDATA_ID21                    (PETRFM_CSU_BASE+0x3F5*4)
#define PETRFM_CSU_SORTDATA_ID22                    (PETRFM_CSU_BASE+0x3F6*4)
#define PETRFM_CSU_SORTDATA_ID23                    (PETRFM_CSU_BASE+0x3F7*4)
#define PETRFM_CSU_SORTDATA_ID24                    (PETRFM_CSU_BASE+0x3F8*4)
#define PETRFM_CSU_SORTDATA_ID25                    (PETRFM_CSU_BASE+0x3F9*4)
#define PETRFM_CSU_SORTDATA_ID26                    (PETRFM_CSU_BASE+0x3FA*4)
#define PETRFM_CSU_SORTDATA_ID27                    (PETRFM_CSU_BASE+0x3FB*4)
#define PETRFM_CSU_SORTDATA_ID28                    (PETRFM_CSU_BASE+0x3FC*4)
#define PETRFM_CSU_SORTDATA_ID29                    (PETRFM_CSU_BASE+0x3FD*4)
#define PETRFM_CSU_SORTDATA_ID30                    (PETRFM_CSU_BASE+0x3FE*4)
#define PETRFM_CSU_SORTDATA_ID31                    (PETRFM_CSU_BASE+0x3FF*4)


#define AP_CSU_ALLPENDEVENTMASK                 (AP_CSU_BASE+0x000*4)
#define AP_CSU_EVENTMASK                        (AP_CSU_BASE+0x002*4)
#define AP_CSU_INTMASK                          (AP_CSU_BASE+0x004*4)
#define AP_CSU_ELEVELMASK                       (AP_CSU_BASE+0x005*4)
#define AP_CSU_TAGMASK0                         (AP_CSU_BASE+0x006*4)
#define AP_CSU_TAGMASK1                         (AP_CSU_BASE+0x007*4)
#define AP_CSU_TAGMASK2                         (AP_CSU_BASE+0x008*4)
#define AP_CSU_TAGMASK3                         (AP_CSU_BASE+0x009*4)
#define AP_CSU_ARMCMDRECV                       (AP_CSU_BASE+0x00A*4)
#define AP_CSU_FETCHMODE_CACHEMODE              (AP_CSU_BASE+0x00B*4)
#define AP_CSU_ALLPENDEVENT0                    (AP_CSU_BASE+0x00C*4)
#define AP_CSU_ALLPENDEVENT1                    (AP_CSU_BASE+0x00D*4)
#define AP_CSU_EM_BS_SMSEL_PREDATANUM           (AP_CSU_BASE+0x010*4)
#define AP_CSU_CACHEINFO_EM_BS_SPURWCACHE_SMSEL_PDNUM (AP_CSU_BASE+0x010*4)
#define AP_CSU_FINDDMATAG                       (AP_CSU_BASE+0x014*4)
#define AP_CSU_CMDFIFO0_CMD                     (AP_CSU_BASE+0x018*4)
#define AP_CSU_CMDFIFO1_CMD                     (AP_CSU_BASE+0x019*4)
#define AP_CSU_CMDFIFO2_CMD                     (AP_CSU_BASE+0x01A*4)
#define AP_CSU_CMDFIFO3_CMD                     (AP_CSU_BASE+0x01B*4)
#define AP_CSU_CMDFIFO0_NUM                     (AP_CSU_BASE+0x01C*4)
#define AP_CSU_CMDFIFO1_NUM                     (AP_CSU_BASE+0x01D*4)
#define AP_CSU_CMDFIFO2_NUM                     (AP_CSU_BASE+0x01E*4)
#define AP_CSU_CMDFIFO3_NUM                     (AP_CSU_BASE+0x01F*4)
#define AP_CSU_PRICMDVALID0                     (AP_CSU_BASE+0x020*4)
#define AP_CSU_PRICMDVALID1                     (AP_CSU_BASE+0x021*4)
#define AP_CSU_CMDECODATAL32BIT0                (AP_CSU_BASE+0x024*4)
#define AP_CSU_CMDECODATAL32BIT1                (AP_CSU_BASE+0x025*4)
#define AP_CSU_CMDHIGHDATA                      (AP_CSU_BASE+0x028*4)
#define AP_CSU_CMDFIFO0                         (AP_CSU_BASE+0x02C*4)
#define AP_CSU_CMDFIFO1                         (AP_CSU_BASE+0x02D*4)
#define AP_CSU_CMDFIFO2                         (AP_CSU_BASE+0x02E*4)
#define AP_CSU_CMDFIFO3                         (AP_CSU_BASE+0x02F*4)
#define AP_CSU_READYLISTNUM                     (AP_CSU_BASE+0x030*4)
#define AP_CSU_CMDFIFO0_TAGNUM                  (AP_CSU_BASE+0x034*4)
#define AP_CSU_CMDFIFO1_TAGNUM                  (AP_CSU_BASE+0x035*4)
#define AP_CSU_CMDFIFO2_TAGNUM                  (AP_CSU_BASE+0x036*4)
#define AP_CSU_CMDFIFO3_TAGNUM                  (AP_CSU_BASE+0x037*4)
#define AP_CSU_DMASTATUS                        (AP_CSU_BASE+0x038*4)
#define AP_CSU_CMDSTALL_LISTSTALL               (AP_CSU_BASE+0x039*4)
#define AP_CSU_QOUSTATUS                        (AP_CSU_BASE+0x03A*4)
#define AP_CSU_EVENTINTCLEAR                    (AP_CSU_BASE+0x03C*4)
#define AP_CSU_DMAADDRL0                        (AP_CSU_BASE+0x200*4)
#define AP_CSU_DMAADDRH0                        (AP_CSU_BASE+0x201*4)
#define AP_CSU_DMAYSTEPL0                       (AP_CSU_BASE+0x202*4)
#define AP_CSU_DMAYSTEPH0                       (AP_CSU_BASE+0x203*4)
#define AP_CSU_DMAZSTEPL0                       (AP_CSU_BASE+0x204*4)
#define AP_CSU_DMAZSTEPH0                       (AP_CSU_BASE+0x205*4)
#define AP_CSU_DMAYNUMXNUM0                     (AP_CSU_BASE+0x206*4)
#define AP_CSU_DMASIZEGRANALLNUM0               (AP_CSU_BASE+0x207*4)
#define AP_CSU_DMAADDRL1                        (AP_CSU_BASE+0x208*4)
#define AP_CSU_DMAADDRH1                        (AP_CSU_BASE+0x209*4)
#define AP_CSU_DMAYSTEPL1                       (AP_CSU_BASE+0x20A*4)
#define AP_CSU_DMAYSTEPH1                       (AP_CSU_BASE+0x20B*4)
#define AP_CSU_DMAZSTEPL1                       (AP_CSU_BASE+0x20C*4)
#define AP_CSU_DMAZSTEPH1                       (AP_CSU_BASE+0x20D*4)
#define AP_CSU_DMAYNUMXNUM1                     (AP_CSU_BASE+0x20E*4)
#define AP_CSU_DMASIZEGRANALLNUM1               (AP_CSU_BASE+0x20F*4)
#define AP_CSU_DMAADDRL2                        (AP_CSU_BASE+0x210*4)
#define AP_CSU_DMAADDRH2                        (AP_CSU_BASE+0x211*4)
#define AP_CSU_DMAYSTEPL2                       (AP_CSU_BASE+0x212*4)
#define AP_CSU_DMAYSTEPH2                       (AP_CSU_BASE+0x213*4)
#define AP_CSU_DMAZSTEPL2                       (AP_CSU_BASE+0x214*4)
#define AP_CSU_DMAZSTEPH2                       (AP_CSU_BASE+0x215*4)
#define AP_CSU_DMAYNUMXNUM2                     (AP_CSU_BASE+0x216*4)
#define AP_CSU_DMASIZEGRANALLNUM2               (AP_CSU_BASE+0x217*4)
#define AP_CSU_DMAADDRL3                        (AP_CSU_BASE+0x218*4)
#define AP_CSU_DMAADDRH3                        (AP_CSU_BASE+0x219*4)
#define AP_CSU_DMAYSTEPL3                       (AP_CSU_BASE+0x21A*4)
#define AP_CSU_DMAYSTEPH3                       (AP_CSU_BASE+0x21B*4)
#define AP_CSU_DMAZSTEPL3                       (AP_CSU_BASE+0x21C*4)
#define AP_CSU_DMAZSTEPH3                       (AP_CSU_BASE+0x21D*4)
#define AP_CSU_DMAYNUMXNUM3                     (AP_CSU_BASE+0x21E*4)
#define AP_CSU_DMASIZEGRANALLNUM3               (AP_CSU_BASE+0x21F*4)
#define AP_CSU_DMAADDRL4                        (AP_CSU_BASE+0x220*4)
#define AP_CSU_DMAADDRH4                        (AP_CSU_BASE+0x221*4)
#define AP_CSU_DMAYSTEPL4                       (AP_CSU_BASE+0x222*4)
#define AP_CSU_DMAYSTEPH4                       (AP_CSU_BASE+0x223*4)
#define AP_CSU_DMAZSTEPL4                       (AP_CSU_BASE+0x224*4)
#define AP_CSU_DMAZSTEPH4                       (AP_CSU_BASE+0x225*4)
#define AP_CSU_DMAYNUMXNUM4                     (AP_CSU_BASE+0x226*4)
#define AP_CSU_DMASIZEGRANALLNUM4               (AP_CSU_BASE+0x227*4)
#define AP_CSU_DMAADDRL5                        (AP_CSU_BASE+0x228*4)
#define AP_CSU_DMAADDRH5                        (AP_CSU_BASE+0x229*4)
#define AP_CSU_DMAYSTEPL5                       (AP_CSU_BASE+0x22A*4)
#define AP_CSU_DMAYSTEPH5                       (AP_CSU_BASE+0x22B*4)
#define AP_CSU_DMAZSTEPL5                       (AP_CSU_BASE+0x22C*4)
#define AP_CSU_DMAZSTEPH5                       (AP_CSU_BASE+0x22D*4)
#define AP_CSU_DMAYNUMXNUM5                     (AP_CSU_BASE+0x22E*4)
#define AP_CSU_DMASIZEGRANALLNUM5               (AP_CSU_BASE+0x22F*4)
#define AP_CSU_DMAADDRL6                        (AP_CSU_BASE+0x230*4)
#define AP_CSU_DMAADDRH6                        (AP_CSU_BASE+0x231*4)
#define AP_CSU_DMAYSTEPL6                       (AP_CSU_BASE+0x232*4)
#define AP_CSU_DMAYSTEPH6                       (AP_CSU_BASE+0x233*4)
#define AP_CSU_DMAZSTEPL6                       (AP_CSU_BASE+0x234*4)
#define AP_CSU_DMAZSTEPH6                       (AP_CSU_BASE+0x235*4)
#define AP_CSU_DMAYNUMXNUM6                     (AP_CSU_BASE+0x236*4)
#define AP_CSU_DMASIZEGRANALLNUM6               (AP_CSU_BASE+0x237*4)
#define AP_CSU_DMAADDRL7                        (AP_CSU_BASE+0x238*4)
#define AP_CSU_DMAADDRH7                        (AP_CSU_BASE+0x239*4)
#define AP_CSU_DMAYSTEPL7                       (AP_CSU_BASE+0x23A*4)
#define AP_CSU_DMAYSTEPH7                       (AP_CSU_BASE+0x23B*4)
#define AP_CSU_DMAZSTEPL7                       (AP_CSU_BASE+0x23C*4)
#define AP_CSU_DMAZSTEPH7                       (AP_CSU_BASE+0x23D*4)
#define AP_CSU_DMAYNUMXNUM7                     (AP_CSU_BASE+0x23E*4)
#define AP_CSU_DMASIZEGRANALLNUM7               (AP_CSU_BASE+0x23F*4)
#define AP_CSU_DMAADDRL8                        (AP_CSU_BASE+0x240*4)
#define AP_CSU_DMAADDRH8                        (AP_CSU_BASE+0x241*4)
#define AP_CSU_DMAYSTEPL8                       (AP_CSU_BASE+0x242*4)
#define AP_CSU_DMAYSTEPH8                       (AP_CSU_BASE+0x243*4)
#define AP_CSU_DMAZSTEPL8                       (AP_CSU_BASE+0x244*4)
#define AP_CSU_DMAZSTEPH8                       (AP_CSU_BASE+0x245*4)
#define AP_CSU_DMAYNUMXNUM8                     (AP_CSU_BASE+0x246*4)
#define AP_CSU_DMASIZEGRANALLNUM8               (AP_CSU_BASE+0x247*4)
#define AP_CSU_DMAADDRL9                        (AP_CSU_BASE+0x248*4)
#define AP_CSU_DMAADDRH9                        (AP_CSU_BASE+0x249*4)
#define AP_CSU_DMAYSTEPL9                       (AP_CSU_BASE+0x24A*4)
#define AP_CSU_DMAYSTEPH9                       (AP_CSU_BASE+0x24B*4)
#define AP_CSU_DMAZSTEPL9                       (AP_CSU_BASE+0x24C*4)
#define AP_CSU_DMAZSTEPH9                       (AP_CSU_BASE+0x24D*4)
#define AP_CSU_DMAYNUMXNUM9                     (AP_CSU_BASE+0x24E*4)
#define AP_CSU_DMASIZEGRANALLNUM9               (AP_CSU_BASE+0x24F*4)
#define AP_CSU_DMAADDRL10                       (AP_CSU_BASE+0x250*4)
#define AP_CSU_DMAADDRH10                       (AP_CSU_BASE+0x251*4)
#define AP_CSU_DMAYSTEPL10                      (AP_CSU_BASE+0x252*4)
#define AP_CSU_DMAYSTEPH10                      (AP_CSU_BASE+0x253*4)
#define AP_CSU_DMAZSTEPL10                      (AP_CSU_BASE+0x254*4)
#define AP_CSU_DMAZSTEPH10                      (AP_CSU_BASE+0x255*4)
#define AP_CSU_DMAYNUMXNUM10                    (AP_CSU_BASE+0x256*4)
#define AP_CSU_DMASIZEGRANALLNUM10              (AP_CSU_BASE+0x257*4)
#define AP_CSU_DMAADDRL11                       (AP_CSU_BASE+0x258*4)
#define AP_CSU_DMAADDRH11                       (AP_CSU_BASE+0x259*4)
#define AP_CSU_DMAYSTEPL11                      (AP_CSU_BASE+0x25A*4)
#define AP_CSU_DMAYSTEPH11                      (AP_CSU_BASE+0x25B*4)
#define AP_CSU_DMAZSTEPL11                      (AP_CSU_BASE+0x25C*4)
#define AP_CSU_DMAZSTEPH11                      (AP_CSU_BASE+0x25D*4)
#define AP_CSU_DMAYNUMXNUM11                    (AP_CSU_BASE+0x25E*4)
#define AP_CSU_DMASIZEGRANALLNUM11              (AP_CSU_BASE+0x25F*4)
#define AP_CSU_DMAADDRL12                       (AP_CSU_BASE+0x260*4)
#define AP_CSU_DMAADDRH12                       (AP_CSU_BASE+0x261*4)
#define AP_CSU_DMAYSTEPL12                      (AP_CSU_BASE+0x262*4)
#define AP_CSU_DMAYSTEPH12                      (AP_CSU_BASE+0x263*4)
#define AP_CSU_DMAZSTEPL12                      (AP_CSU_BASE+0x264*4)
#define AP_CSU_DMAZSTEPH12                      (AP_CSU_BASE+0x265*4)
#define AP_CSU_DMAYNUMXNUM12                    (AP_CSU_BASE+0x266*4)
#define AP_CSU_DMASIZEGRANALLNUM12              (AP_CSU_BASE+0x267*4)
#define AP_CSU_DMAADDRL13                       (AP_CSU_BASE+0x268*4)
#define AP_CSU_DMAADDRH13                       (AP_CSU_BASE+0x269*4)
#define AP_CSU_DMAYSTEPL13                      (AP_CSU_BASE+0x26A*4)
#define AP_CSU_DMAYSTEPH13                      (AP_CSU_BASE+0x26B*4)
#define AP_CSU_DMAZSTEPL13                      (AP_CSU_BASE+0x26C*4)
#define AP_CSU_DMAZSTEPH13                      (AP_CSU_BASE+0x26D*4)
#define AP_CSU_DMAYNUMXNUM13                    (AP_CSU_BASE+0x26E*4)
#define AP_CSU_DMASIZEGRANALLNUM13              (AP_CSU_BASE+0x26F*4)
#define AP_CSU_DMAADDRL14                       (AP_CSU_BASE+0x270*4)
#define AP_CSU_DMAADDRH14                       (AP_CSU_BASE+0x271*4)
#define AP_CSU_DMAYSTEPL14                      (AP_CSU_BASE+0x272*4)
#define AP_CSU_DMAYSTEPH14                      (AP_CSU_BASE+0x273*4)
#define AP_CSU_DMAZSTEPL14                      (AP_CSU_BASE+0x274*4)
#define AP_CSU_DMAZSTEPH14                      (AP_CSU_BASE+0x275*4)
#define AP_CSU_DMAYNUMXNUM14                    (AP_CSU_BASE+0x276*4)
#define AP_CSU_DMASIZEGRANALLNUM14              (AP_CSU_BASE+0x277*4)
#define AP_CSU_DMAADDRL15                       (AP_CSU_BASE+0x278*4)
#define AP_CSU_DMAADDRH15                       (AP_CSU_BASE+0x279*4)
#define AP_CSU_DMAYSTEPL15                      (AP_CSU_BASE+0x27A*4)
#define AP_CSU_DMAYSTEPH15                      (AP_CSU_BASE+0x27B*4)
#define AP_CSU_DMAZSTEPL15                      (AP_CSU_BASE+0x27C*4)
#define AP_CSU_DMAZSTEPH15                      (AP_CSU_BASE+0x27D*4)
#define AP_CSU_DMAYNUMXNUM15                    (AP_CSU_BASE+0x27E*4)
#define AP_CSU_DMASIZEGRANALLNUM15              (AP_CSU_BASE+0x27F*4)
#define AP_CSU_QOUCMDNUM_QOUCMDPOS              (AP_CSU_BASE+0x300*4)
#define AP_CSU_QOUCMDADDR                       (AP_CSU_BASE+0x301*4)
#define AP_CSU_QOUCMDDATA                       (AP_CSU_BASE+0x302*4)
#define AP_CSU_QOUSTATUSPOPDATA                 (AP_CSU_BASE+0x303*4)
#define AP_CSU_QOUCMPDATA0                      (AP_CSU_BASE+0x304*4)
#define AP_CSU_QOUCMPDATA1                      (AP_CSU_BASE+0x305*4)
#define AP_CSU_QOUCMPDATA2                      (AP_CSU_BASE+0x306*4)
#define AP_CSU_QOUCMPDATA3                      (AP_CSU_BASE+0x307*4)
#define AP_CSU_PRICMDDATA_L32BIT0               (AP_CSU_BASE+0x310*4)
#define AP_CSU_PRICMDDATA_H14BIT0               (AP_CSU_BASE+0x311*4)
#define AP_CSU_PRICMDDATA_L32BIT1               (AP_CSU_BASE+0x312*4)
#define AP_CSU_PRICMDDATA_H14BIT1               (AP_CSU_BASE+0x313*4)
#define AP_CSU_PRICMDDATA_L32BIT2               (AP_CSU_BASE+0x314*4)
#define AP_CSU_PRICMDDATA_H14BIT2               (AP_CSU_BASE+0x315*4)
#define AP_CSU_PRICMDDATA_L32BIT3               (AP_CSU_BASE+0x316*4)
#define AP_CSU_PRICMDDATA_H14BIT3               (AP_CSU_BASE+0x317*4)
#define AP_CSU_SORTDATA_NUM                     (AP_CSU_BASE+0x380*4)
#define AP_CSU_SORTDATA_DATA0                   (AP_CSU_BASE+0x3C0*4)
#define AP_CSU_SORTDATA_DATA1                   (AP_CSU_BASE+0x3C1*4)
#define AP_CSU_SORTDATA_DATA2                   (AP_CSU_BASE+0x3C2*4)
#define AP_CSU_SORTDATA_DATA3                   (AP_CSU_BASE+0x3C3*4)
#define AP_CSU_SORTDATA_DATA4                   (AP_CSU_BASE+0x3C4*4)
#define AP_CSU_SORTDATA_DATA5                   (AP_CSU_BASE+0x3C5*4)
#define AP_CSU_SORTDATA_DATA6                   (AP_CSU_BASE+0x3C6*4)
#define AP_CSU_SORTDATA_DATA7                   (AP_CSU_BASE+0x3C7*4)
#define AP_CSU_SORTDATA_DATA8                   (AP_CSU_BASE+0x3C8*4)
#define AP_CSU_SORTDATA_DATA9                   (AP_CSU_BASE+0x3C9*4)
#define AP_CSU_SORTDATA_DATA10                  (AP_CSU_BASE+0x3CA*4)
#define AP_CSU_SORTDATA_DATA11                  (AP_CSU_BASE+0x3CB*4)
#define AP_CSU_SORTDATA_DATA12                  (AP_CSU_BASE+0x3CC*4)
#define AP_CSU_SORTDATA_DATA13                  (AP_CSU_BASE+0x3CD*4)
#define AP_CSU_SORTDATA_DATA14                  (AP_CSU_BASE+0x3CE*4)
#define AP_CSU_SORTDATA_DATA15                  (AP_CSU_BASE+0x3CF*4)
#define AP_CSU_SORTDATA_DATA16                  (AP_CSU_BASE+0x3D0*4)
#define AP_CSU_SORTDATA_DATA17                  (AP_CSU_BASE+0x3D1*4)
#define AP_CSU_SORTDATA_DATA18                  (AP_CSU_BASE+0x3D2*4)
#define AP_CSU_SORTDATA_DATA19                  (AP_CSU_BASE+0x3D3*4)
#define AP_CSU_SORTDATA_DATA20                  (AP_CSU_BASE+0x3D4*4)
#define AP_CSU_SORTDATA_DATA21                  (AP_CSU_BASE+0x3D5*4)
#define AP_CSU_SORTDATA_DATA22                  (AP_CSU_BASE+0x3D6*4)
#define AP_CSU_SORTDATA_DATA23                  (AP_CSU_BASE+0x3D7*4)
#define AP_CSU_SORTDATA_DATA24                  (AP_CSU_BASE+0x3D8*4)
#define AP_CSU_SORTDATA_DATA25                  (AP_CSU_BASE+0x3D9*4)
#define AP_CSU_SORTDATA_DATA26                  (AP_CSU_BASE+0x3DA*4)
#define AP_CSU_SORTDATA_DATA27                  (AP_CSU_BASE+0x3DB*4)
#define AP_CSU_SORTDATA_DATA28                  (AP_CSU_BASE+0x3DC*4)
#define AP_CSU_SORTDATA_DATA29                  (AP_CSU_BASE+0x3DD*4)
#define AP_CSU_SORTDATA_DATA30                  (AP_CSU_BASE+0x3DE*4)
#define AP_CSU_SORTDATA_DATA31                  (AP_CSU_BASE+0x3DF*4)
#define AP_CSU_SORTDATA_ID0                     (AP_CSU_BASE+0x3E0*4)
#define AP_CSU_SORTDATA_ID1                     (AP_CSU_BASE+0x3E1*4)
#define AP_CSU_SORTDATA_ID2                     (AP_CSU_BASE+0x3E2*4)
#define AP_CSU_SORTDATA_ID3                     (AP_CSU_BASE+0x3E3*4)
#define AP_CSU_SORTDATA_ID4                     (AP_CSU_BASE+0x3E4*4)
#define AP_CSU_SORTDATA_ID5                     (AP_CSU_BASE+0x3E5*4)
#define AP_CSU_SORTDATA_ID6                     (AP_CSU_BASE+0x3E6*4)
#define AP_CSU_SORTDATA_ID7                     (AP_CSU_BASE+0x3E7*4)
#define AP_CSU_SORTDATA_ID8                     (AP_CSU_BASE+0x3E8*4)
#define AP_CSU_SORTDATA_ID9                     (AP_CSU_BASE+0x3E9*4)
#define AP_CSU_SORTDATA_ID10                    (AP_CSU_BASE+0x3EA*4)
#define AP_CSU_SORTDATA_ID11                    (AP_CSU_BASE+0x3EB*4)
#define AP_CSU_SORTDATA_ID12                    (AP_CSU_BASE+0x3EC*4)
#define AP_CSU_SORTDATA_ID13                    (AP_CSU_BASE+0x3ED*4)
#define AP_CSU_SORTDATA_ID14                    (AP_CSU_BASE+0x3EE*4)
#define AP_CSU_SORTDATA_ID15                    (AP_CSU_BASE+0x3EF*4)
#define AP_CSU_SORTDATA_ID16                    (AP_CSU_BASE+0x3F0*4)
#define AP_CSU_SORTDATA_ID17                    (AP_CSU_BASE+0x3F1*4)
#define AP_CSU_SORTDATA_ID18                    (AP_CSU_BASE+0x3F2*4)
#define AP_CSU_SORTDATA_ID19                    (AP_CSU_BASE+0x3F3*4)
#define AP_CSU_SORTDATA_ID20                    (AP_CSU_BASE+0x3F4*4)
#define AP_CSU_SORTDATA_ID21                    (AP_CSU_BASE+0x3F5*4)
#define AP_CSU_SORTDATA_ID22                    (AP_CSU_BASE+0x3F6*4)
#define AP_CSU_SORTDATA_ID23                    (AP_CSU_BASE+0x3F7*4)
#define AP_CSU_SORTDATA_ID24                    (AP_CSU_BASE+0x3F8*4)
#define AP_CSU_SORTDATA_ID25                    (AP_CSU_BASE+0x3F9*4)
#define AP_CSU_SORTDATA_ID26                    (AP_CSU_BASE+0x3FA*4)
#define AP_CSU_SORTDATA_ID27                    (AP_CSU_BASE+0x3FB*4)
#define AP_CSU_SORTDATA_ID28                    (AP_CSU_BASE+0x3FC*4)
#define AP_CSU_SORTDATA_ID29                    (AP_CSU_BASE+0x3FD*4)
#define AP_CSU_SORTDATA_ID30                    (AP_CSU_BASE+0x3FE*4)
#define AP_CSU_SORTDATA_ID31                    (AP_CSU_BASE+0x3FF*4)


#define RFC_CSU_ALLPENDEVENTMASK                  (RFC_CSU_BASE+0x000*4)
#define RFC_CSU_EVENTMASK                         (RFC_CSU_BASE+0x002*4)
#define RFC_CSU_LATCHALFULL                       (RFC_CSU_BASE+0x003*4)
#define RFC_CSU_INTMASK                           (RFC_CSU_BASE+0x004*4)
#define RFC_CSU_ELEVELMASK                        (RFC_CSU_BASE+0x005*4)
#define RFC_CSU_TAGMASK0                          (RFC_CSU_BASE+0x006*4)
#define RFC_CSU_TAGMASK1                          (RFC_CSU_BASE+0x007*4)
#define RFC_CSU_TAGMASK2                          (RFC_CSU_BASE+0x008*4)
#define RFC_CSU_TAGMASK3                          (RFC_CSU_BASE+0x009*4)
#define RFC_CSU_ARMCMDRECV                        (RFC_CSU_BASE+0x00A*4)
#define RFC_CSU_ALLPENDEVENT0                     (RFC_CSU_BASE+0x00C*4)
#define RFC_CSU_ALLPENDEVENT1                     (RFC_CSU_BASE+0x00D*4)
#define RFC_CSU_EM_BS_SMSEL_PREDATANUM            (RFC_CSU_BASE+0x010*4)
#define RFC_CSU_ALMOSTFULLSENDTHRED               (RFC_CSU_BASE+0x011*4)
#define RFC_CSU_RFCTXSET                          (RFC_CSU_BASE+0x012*4)
#define RFC_CSU_RFCRXSET                          (RFC_CSU_BASE+0x013*4)
#define RFC_CSU_FINDDMATAG                        (RFC_CSU_BASE+0x014*4)
#define RFC_CSU_CMDFIFO0_CMD                      (RFC_CSU_BASE+0x018*4)
#define RFC_CSU_CMDFIFO1_CMD                      (RFC_CSU_BASE+0x019*4)
#define RFC_CSU_CMDFIFO0_NUM                      (RFC_CSU_BASE+0x01C*4)
#define RFC_CSU_CMDFIFO1_NUM                      (RFC_CSU_BASE+0x01D*4)
#define RFC_CSU_PRICMDVALID0                      (RFC_CSU_BASE+0x020*4)
#define RFC_CSU_PRICMDVALID1                      (RFC_CSU_BASE+0x021*4)
#define RFC_CSU_CMDECODATAL32BIT0                 (RFC_CSU_BASE+0x024*4)
#define RFC_CSU_CMDECODATAL32BIT1                 (RFC_CSU_BASE+0x025*4)
#define RFC_CSU_CMDHIGHDATA                       (RFC_CSU_BASE+0x028*4)
#define RFC_CSU_CMDFIFO0                          (RFC_CSU_BASE+0x02C*4)
#define RFC_CSU_CMDFIFO1                          (RFC_CSU_BASE+0x02D*4)
#define RFC_CSU_READYLISTNUM                      (RFC_CSU_BASE+0x030*4)
#define RFC_CSU_CMDFIFO0_TAGNUM                   (RFC_CSU_BASE+0x034*4)
#define RFC_CSU_CMDFIFO1_TAGNUM                   (RFC_CSU_BASE+0x035*4)
#define RFC_CSU_DMASTATUS                         (RFC_CSU_BASE+0x038*4)
#define RFC_CSU_CMDSTALL_LISTSTALL                (RFC_CSU_BASE+0x039*4)
#define RFC_CSU_QOUSTATUS                         (RFC_CSU_BASE+0x03A*4)
#define RFC_CSU_EVENTINTCLEAR                     (RFC_CSU_BASE+0x03C*4)
#define RFC_CSU_DMAADDRL0                         (RFC_CSU_BASE+0x200*4)
#define RFC_CSU_DMAADDRH0                         (RFC_CSU_BASE+0x201*4)
#define RFC_CSU_DMAYSTEPL0                        (RFC_CSU_BASE+0x202*4)
#define RFC_CSU_DMAYSTEPH0                        (RFC_CSU_BASE+0x203*4)
#define RFC_CSU_DMAZSTEPL0                        (RFC_CSU_BASE+0x204*4)
#define RFC_CSU_DMAZSTEPH0                        (RFC_CSU_BASE+0x205*4)
#define RFC_CSU_DMAYNUMXNUM0                      (RFC_CSU_BASE+0x206*4)
#define RFC_CSU_DMASIZEGRANALLNUM0                (RFC_CSU_BASE+0x207*4)
#define RFC_CSU_DMAADDRL1                         (RFC_CSU_BASE+0x208*4)
#define RFC_CSU_DMAADDRH1                         (RFC_CSU_BASE+0x209*4)
#define RFC_CSU_DMAYSTEPL1                        (RFC_CSU_BASE+0x20A*4)
#define RFC_CSU_DMAYSTEPH1                        (RFC_CSU_BASE+0x20B*4)
#define RFC_CSU_DMAZSTEPL1                        (RFC_CSU_BASE+0x20C*4)
#define RFC_CSU_DMAZSTEPH1                        (RFC_CSU_BASE+0x20D*4)
#define RFC_CSU_DMAYNUMXNUM1                      (RFC_CSU_BASE+0x20E*4)
#define RFC_CSU_DMASIZEGRANALLNUM1                (RFC_CSU_BASE+0x20F*4)
#define RFC_CSU_DMAADDRL2                         (RFC_CSU_BASE+0x210*4)
#define RFC_CSU_DMAADDRH2                         (RFC_CSU_BASE+0x211*4)
#define RFC_CSU_DMAYSTEPL2                        (RFC_CSU_BASE+0x212*4)
#define RFC_CSU_DMAYSTEPH2                        (RFC_CSU_BASE+0x213*4)
#define RFC_CSU_DMAZSTEPL2                        (RFC_CSU_BASE+0x214*4)
#define RFC_CSU_DMAZSTEPH2                        (RFC_CSU_BASE+0x215*4)
#define RFC_CSU_DMAYNUMXNUM2                      (RFC_CSU_BASE+0x216*4)
#define RFC_CSU_DMASIZEGRANALLNUM2                (RFC_CSU_BASE+0x217*4)
#define RFC_CSU_DMAADDRL3                         (RFC_CSU_BASE+0x218*4)
#define RFC_CSU_DMAADDRH3                         (RFC_CSU_BASE+0x219*4)
#define RFC_CSU_DMAYSTEPL3                        (RFC_CSU_BASE+0x21A*4)
#define RFC_CSU_DMAYSTEPH3                        (RFC_CSU_BASE+0x21B*4)
#define RFC_CSU_DMAZSTEPL3                        (RFC_CSU_BASE+0x21C*4)
#define RFC_CSU_DMAZSTEPH3                        (RFC_CSU_BASE+0x21D*4)
#define RFC_CSU_DMAYNUMXNUM3                      (RFC_CSU_BASE+0x21E*4)
#define RFC_CSU_DMASIZEGRANALLNUM3                (RFC_CSU_BASE+0x21F*4)
#define RFC_CSU_DMAADDRL4                         (RFC_CSU_BASE+0x220*4)
#define RFC_CSU_DMAADDRH4                         (RFC_CSU_BASE+0x221*4)
#define RFC_CSU_DMAYSTEPL4                        (RFC_CSU_BASE+0x222*4)
#define RFC_CSU_DMAYSTEPH4                        (RFC_CSU_BASE+0x223*4)
#define RFC_CSU_DMAZSTEPL4                        (RFC_CSU_BASE+0x224*4)
#define RFC_CSU_DMAZSTEPH4                        (RFC_CSU_BASE+0x225*4)
#define RFC_CSU_DMAYNUMXNUM4                      (RFC_CSU_BASE+0x226*4)
#define RFC_CSU_DMASIZEGRANALLNUM4                (RFC_CSU_BASE+0x227*4)
#define RFC_CSU_DMAADDRL5                         (RFC_CSU_BASE+0x228*4)
#define RFC_CSU_DMAADDRH5                         (RFC_CSU_BASE+0x229*4)
#define RFC_CSU_DMAYSTEPL5                        (RFC_CSU_BASE+0x22A*4)
#define RFC_CSU_DMAYSTEPH5                        (RFC_CSU_BASE+0x22B*4)
#define RFC_CSU_DMAZSTEPL5                        (RFC_CSU_BASE+0x22C*4)
#define RFC_CSU_DMAZSTEPH5                        (RFC_CSU_BASE+0x22D*4)
#define RFC_CSU_DMAYNUMXNUM5                      (RFC_CSU_BASE+0x22E*4)
#define RFC_CSU_DMASIZEGRANALLNUM5                (RFC_CSU_BASE+0x22F*4)
#define RFC_CSU_DMAADDRL6                         (RFC_CSU_BASE+0x230*4)
#define RFC_CSU_DMAADDRH6                         (RFC_CSU_BASE+0x231*4)
#define RFC_CSU_DMAYSTEPL6                        (RFC_CSU_BASE+0x232*4)
#define RFC_CSU_DMAYSTEPH6                        (RFC_CSU_BASE+0x233*4)
#define RFC_CSU_DMAZSTEPL6                        (RFC_CSU_BASE+0x234*4)
#define RFC_CSU_DMAZSTEPH6                        (RFC_CSU_BASE+0x235*4)
#define RFC_CSU_DMAYNUMXNUM6                      (RFC_CSU_BASE+0x236*4)
#define RFC_CSU_DMASIZEGRANALLNUM6                (RFC_CSU_BASE+0x237*4)
#define RFC_CSU_DMAADDRL7                         (RFC_CSU_BASE+0x238*4)
#define RFC_CSU_DMAADDRH7                         (RFC_CSU_BASE+0x239*4)
#define RFC_CSU_DMAYSTEPL7                        (RFC_CSU_BASE+0x23A*4)
#define RFC_CSU_DMAYSTEPH7                        (RFC_CSU_BASE+0x23B*4)
#define RFC_CSU_DMAZSTEPL7                        (RFC_CSU_BASE+0x23C*4)
#define RFC_CSU_DMAZSTEPH7                        (RFC_CSU_BASE+0x23D*4)
#define RFC_CSU_DMAYNUMXNUM7                      (RFC_CSU_BASE+0x23E*4)
#define RFC_CSU_DMASIZEGRANALLNUM7                (RFC_CSU_BASE+0x23F*4)
#define RFC_CSU_DMAADDRL8                         (RFC_CSU_BASE+0x240*4)
#define RFC_CSU_DMAADDRH8                         (RFC_CSU_BASE+0x241*4)
#define RFC_CSU_DMAYSTEPL8                        (RFC_CSU_BASE+0x242*4)
#define RFC_CSU_DMAYSTEPH8                        (RFC_CSU_BASE+0x243*4)
#define RFC_CSU_DMAZSTEPL8                        (RFC_CSU_BASE+0x244*4)
#define RFC_CSU_DMAZSTEPH8                        (RFC_CSU_BASE+0x245*4)
#define RFC_CSU_DMAYNUMXNUM8                      (RFC_CSU_BASE+0x246*4)
#define RFC_CSU_DMASIZEGRANALLNUM8                (RFC_CSU_BASE+0x247*4)
#define RFC_CSU_DMAADDRL9                         (RFC_CSU_BASE+0x248*4)
#define RFC_CSU_DMAADDRH9                         (RFC_CSU_BASE+0x249*4)
#define RFC_CSU_DMAYSTEPL9                        (RFC_CSU_BASE+0x24A*4)
#define RFC_CSU_DMAYSTEPH9                        (RFC_CSU_BASE+0x24B*4)
#define RFC_CSU_DMAZSTEPL9                        (RFC_CSU_BASE+0x24C*4)
#define RFC_CSU_DMAZSTEPH9                        (RFC_CSU_BASE+0x24D*4)
#define RFC_CSU_DMAYNUMXNUM9                      (RFC_CSU_BASE+0x24E*4)
#define RFC_CSU_DMASIZEGRANALLNUM9                (RFC_CSU_BASE+0x24F*4)
#define RFC_CSU_DMAADDRL10                        (RFC_CSU_BASE+0x250*4)
#define RFC_CSU_DMAADDRH10                        (RFC_CSU_BASE+0x251*4)
#define RFC_CSU_DMAYSTEPL10                       (RFC_CSU_BASE+0x252*4)
#define RFC_CSU_DMAYSTEPH10                       (RFC_CSU_BASE+0x253*4)
#define RFC_CSU_DMAZSTEPL10                       (RFC_CSU_BASE+0x254*4)
#define RFC_CSU_DMAZSTEPH10                       (RFC_CSU_BASE+0x255*4)
#define RFC_CSU_DMAYNUMXNUM10                     (RFC_CSU_BASE+0x256*4)
#define RFC_CSU_DMASIZEGRANALLNUM10               (RFC_CSU_BASE+0x257*4)
#define RFC_CSU_DMAADDRL11                        (RFC_CSU_BASE+0x258*4)
#define RFC_CSU_DMAADDRH11                        (RFC_CSU_BASE+0x259*4)
#define RFC_CSU_DMAYSTEPL11                       (RFC_CSU_BASE+0x25A*4)
#define RFC_CSU_DMAYSTEPH11                       (RFC_CSU_BASE+0x25B*4)
#define RFC_CSU_DMAZSTEPL11                       (RFC_CSU_BASE+0x25C*4)
#define RFC_CSU_DMAZSTEPH11                       (RFC_CSU_BASE+0x25D*4)
#define RFC_CSU_DMAYNUMXNUM11                     (RFC_CSU_BASE+0x25E*4)
#define RFC_CSU_DMASIZEGRANALLNUM11               (RFC_CSU_BASE+0x25F*4)
#define RFC_CSU_DMAADDRL12                        (RFC_CSU_BASE+0x260*4)
#define RFC_CSU_DMAADDRH12                        (RFC_CSU_BASE+0x261*4)
#define RFC_CSU_DMAYSTEPL12                       (RFC_CSU_BASE+0x262*4)
#define RFC_CSU_DMAYSTEPH12                       (RFC_CSU_BASE+0x263*4)
#define RFC_CSU_DMAZSTEPL12                       (RFC_CSU_BASE+0x264*4)
#define RFC_CSU_DMAZSTEPH12                       (RFC_CSU_BASE+0x265*4)
#define RFC_CSU_DMAYNUMXNUM12                     (RFC_CSU_BASE+0x266*4)
#define RFC_CSU_DMASIZEGRANALLNUM12               (RFC_CSU_BASE+0x267*4)
#define RFC_CSU_DMAADDRL13                        (RFC_CSU_BASE+0x268*4)
#define RFC_CSU_DMAADDRH13                        (RFC_CSU_BASE+0x269*4)
#define RFC_CSU_DMAYSTEPL13                       (RFC_CSU_BASE+0x26A*4)
#define RFC_CSU_DMAYSTEPH13                       (RFC_CSU_BASE+0x26B*4)
#define RFC_CSU_DMAZSTEPL13                       (RFC_CSU_BASE+0x26C*4)
#define RFC_CSU_DMAZSTEPH13                       (RFC_CSU_BASE+0x26D*4)
#define RFC_CSU_DMAYNUMXNUM13                     (RFC_CSU_BASE+0x26E*4)
#define RFC_CSU_DMASIZEGRANALLNUM13               (RFC_CSU_BASE+0x26F*4)
#define RFC_CSU_DMAADDRL14                        (RFC_CSU_BASE+0x270*4)
#define RFC_CSU_DMAADDRH14                        (RFC_CSU_BASE+0x271*4)
#define RFC_CSU_DMAYSTEPL14                       (RFC_CSU_BASE+0x272*4)
#define RFC_CSU_DMAYSTEPH14                       (RFC_CSU_BASE+0x273*4)
#define RFC_CSU_DMAZSTEPL14                       (RFC_CSU_BASE+0x274*4)
#define RFC_CSU_DMAZSTEPH14                       (RFC_CSU_BASE+0x275*4)
#define RFC_CSU_DMAYNUMXNUM14                     (RFC_CSU_BASE+0x276*4)
#define RFC_CSU_DMASIZEGRANALLNUM14               (RFC_CSU_BASE+0x277*4)
#define RFC_CSU_DMAADDRL15                        (RFC_CSU_BASE+0x278*4)
#define RFC_CSU_DMAADDRH15                        (RFC_CSU_BASE+0x279*4)
#define RFC_CSU_DMAYSTEPL15                       (RFC_CSU_BASE+0x27A*4)
#define RFC_CSU_DMAYSTEPH15                       (RFC_CSU_BASE+0x27B*4)
#define RFC_CSU_DMAZSTEPL15                       (RFC_CSU_BASE+0x27C*4)
#define RFC_CSU_DMAZSTEPH15                       (RFC_CSU_BASE+0x27D*4)
#define RFC_CSU_DMAYNUMXNUM15                     (RFC_CSU_BASE+0x27E*4)
#define RFC_CSU_DMASIZEGRANALLNUM15               (RFC_CSU_BASE+0x27F*4)
#define RFC_CSU_QOUCMDNUM_QOUCMDPOS               (RFC_CSU_BASE+0x300*4)
#define RFC_CSU_QOUCMDADDR                        (RFC_CSU_BASE+0x301*4)
#define RFC_CSU_QOUCMDDATA                        (RFC_CSU_BASE+0x302*4)
#define RFC_CSU_QOUSTATUSPOPDATA                  (RFC_CSU_BASE+0x303*4)
#define RFC_CSU_QOUCMPDATA0                       (RFC_CSU_BASE+0x304*4)
#define RFC_CSU_QOUCMPDATA1                       (RFC_CSU_BASE+0x305*4)
#define RFC_CSU_QOUCMPDATA2                       (RFC_CSU_BASE+0x306*4)
#define RFC_CSU_PRICMDDATA_L32BIT0                (RFC_CSU_BASE+0x310*4)
#define RFC_CSU_PRICMDDATA_H14BIT0                (RFC_CSU_BASE+0x311*4)
#define RFC_CSU_PRICMDDATA_L32BIT1                (RFC_CSU_BASE+0x312*4)
#define RFC_CSU_PRICMDDATA_H14BIT1                (RFC_CSU_BASE+0x313*4)
#define RFC_CSU_PRICMDDATA_L32BIT2                (RFC_CSU_BASE+0x314*4)
#define RFC_CSU_PRICMDDATA_H14BIT2                (RFC_CSU_BASE+0x315*4)
#define RFC_CSU_SORTDATA_NUM                      (RFC_CSU_BASE+0x380*4)
#define RFC_CSU_SORTDATA_DATA0                    (RFC_CSU_BASE+0x3C0*4)
#define RFC_CSU_SORTDATA_DATA1                    (RFC_CSU_BASE+0x3C1*4)
#define RFC_CSU_SORTDATA_DATA2                    (RFC_CSU_BASE+0x3C2*4)
#define RFC_CSU_SORTDATA_DATA3                    (RFC_CSU_BASE+0x3C3*4)
#define RFC_CSU_SORTDATA_DATA4                    (RFC_CSU_BASE+0x3C4*4)
#define RFC_CSU_SORTDATA_DATA5                    (RFC_CSU_BASE+0x3C5*4)
#define RFC_CSU_SORTDATA_DATA6                    (RFC_CSU_BASE+0x3C6*4)
#define RFC_CSU_SORTDATA_DATA7                    (RFC_CSU_BASE+0x3C7*4)
#define RFC_CSU_SORTDATA_DATA8                    (RFC_CSU_BASE+0x3C8*4)
#define RFC_CSU_SORTDATA_DATA9                    (RFC_CSU_BASE+0x3C9*4)
#define RFC_CSU_SORTDATA_DATA10                   (RFC_CSU_BASE+0x3CA*4)
#define RFC_CSU_SORTDATA_DATA11                   (RFC_CSU_BASE+0x3CB*4)
#define RFC_CSU_SORTDATA_DATA12                   (RFC_CSU_BASE+0x3CC*4)
#define RFC_CSU_SORTDATA_DATA13                   (RFC_CSU_BASE+0x3CD*4)
#define RFC_CSU_SORTDATA_DATA14                   (RFC_CSU_BASE+0x3CE*4)
#define RFC_CSU_SORTDATA_DATA15                   (RFC_CSU_BASE+0x3CF*4)
#define RFC_CSU_SORTDATA_DATA16                   (RFC_CSU_BASE+0x3D0*4)
#define RFC_CSU_SORTDATA_DATA17                   (RFC_CSU_BASE+0x3D1*4)
#define RFC_CSU_SORTDATA_DATA18                   (RFC_CSU_BASE+0x3D2*4)
#define RFC_CSU_SORTDATA_DATA19                   (RFC_CSU_BASE+0x3D3*4)
#define RFC_CSU_SORTDATA_DATA20                   (RFC_CSU_BASE+0x3D4*4)
#define RFC_CSU_SORTDATA_DATA21                   (RFC_CSU_BASE+0x3D5*4)
#define RFC_CSU_SORTDATA_DATA22                   (RFC_CSU_BASE+0x3D6*4)
#define RFC_CSU_SORTDATA_DATA23                   (RFC_CSU_BASE+0x3D7*4)
#define RFC_CSU_SORTDATA_DATA24                   (RFC_CSU_BASE+0x3D8*4)
#define RFC_CSU_SORTDATA_DATA25                   (RFC_CSU_BASE+0x3D9*4)
#define RFC_CSU_SORTDATA_DATA26                   (RFC_CSU_BASE+0x3DA*4)
#define RFC_CSU_SORTDATA_DATA27                   (RFC_CSU_BASE+0x3DB*4)
#define RFC_CSU_SORTDATA_DATA28                   (RFC_CSU_BASE+0x3DC*4)
#define RFC_CSU_SORTDATA_DATA29                   (RFC_CSU_BASE+0x3DD*4)
#define RFC_CSU_SORTDATA_DATA30                   (RFC_CSU_BASE+0x3DE*4)
#define RFC_CSU_SORTDATA_DATA31                   (RFC_CSU_BASE+0x3DF*4)
#define RFC_CSU_SORTDATA_ID0                      (RFC_CSU_BASE+0x3E0*4)
#define RFC_CSU_SORTDATA_ID1                      (RFC_CSU_BASE+0x3E1*4)
#define RFC_CSU_SORTDATA_ID2                      (RFC_CSU_BASE+0x3E2*4)
#define RFC_CSU_SORTDATA_ID3                      (RFC_CSU_BASE+0x3E3*4)
#define RFC_CSU_SORTDATA_ID4                      (RFC_CSU_BASE+0x3E4*4)
#define RFC_CSU_SORTDATA_ID5                      (RFC_CSU_BASE+0x3E5*4)
#define RFC_CSU_SORTDATA_ID6                      (RFC_CSU_BASE+0x3E6*4)
#define RFC_CSU_SORTDATA_ID7                      (RFC_CSU_BASE+0x3E7*4)
#define RFC_CSU_SORTDATA_ID8                      (RFC_CSU_BASE+0x3E8*4)
#define RFC_CSU_SORTDATA_ID9                      (RFC_CSU_BASE+0x3E9*4)
#define RFC_CSU_SORTDATA_ID10                     (RFC_CSU_BASE+0x3EA*4)
#define RFC_CSU_SORTDATA_ID11                     (RFC_CSU_BASE+0x3EB*4)
#define RFC_CSU_SORTDATA_ID12                     (RFC_CSU_BASE+0x3EC*4)
#define RFC_CSU_SORTDATA_ID13                     (RFC_CSU_BASE+0x3ED*4)
#define RFC_CSU_SORTDATA_ID14                     (RFC_CSU_BASE+0x3EE*4)
#define RFC_CSU_SORTDATA_ID15                     (RFC_CSU_BASE+0x3EF*4)
#define RFC_CSU_SORTDATA_ID16                     (RFC_CSU_BASE+0x3F0*4)
#define RFC_CSU_SORTDATA_ID17                     (RFC_CSU_BASE+0x3F1*4)
#define RFC_CSU_SORTDATA_ID18                     (RFC_CSU_BASE+0x3F2*4)
#define RFC_CSU_SORTDATA_ID19                     (RFC_CSU_BASE+0x3F3*4)
#define RFC_CSU_SORTDATA_ID20                     (RFC_CSU_BASE+0x3F4*4)
#define RFC_CSU_SORTDATA_ID21                     (RFC_CSU_BASE+0x3F5*4)
#define RFC_CSU_SORTDATA_ID22                     (RFC_CSU_BASE+0x3F6*4)
#define RFC_CSU_SORTDATA_ID23                     (RFC_CSU_BASE+0x3F7*4)
#define RFC_CSU_SORTDATA_ID24                     (RFC_CSU_BASE+0x3F8*4)
#define RFC_CSU_SORTDATA_ID25                     (RFC_CSU_BASE+0x3F9*4)
#define RFC_CSU_SORTDATA_ID26                     (RFC_CSU_BASE+0x3FA*4)
#define RFC_CSU_SORTDATA_ID27                     (RFC_CSU_BASE+0x3FB*4)
#define RFC_CSU_SORTDATA_ID28                     (RFC_CSU_BASE+0x3FC*4)
#define RFC_CSU_SORTDATA_ID29                     (RFC_CSU_BASE+0x3FD*4)
#define RFC_CSU_SORTDATA_ID30                     (RFC_CSU_BASE+0x3FE*4)
#define RFC_CSU_SORTDATA_ID31                     (RFC_CSU_BASE+0x3FF*4)


#define JS_CSU_ALLPENDEVENTMASK                   (JS_CSU_BASE+0x000*4)
#define JS_CSU_EVENTMASK                          (JS_CSU_BASE+0x002*4)
#define JS_CSU_LATCHALFULL                        (JS_CSU_BASE+0x003*4)
#define JS_CSU_INTMASK                            (JS_CSU_BASE+0x004*4)
#define JS_CSU_ELEVELMASK                         (JS_CSU_BASE+0x005*4)
#define JS_CSU_TAGMASK0                           (JS_CSU_BASE+0x006*4)
#define JS_CSU_TAGMASK1                           (JS_CSU_BASE+0x007*4)
#define JS_CSU_TAGMASK2                           (JS_CSU_BASE+0x008*4)
#define JS_CSU_TAGMASK3                           (JS_CSU_BASE+0x009*4)
#define JS_CSU_ARMCMDRECV                         (JS_CSU_BASE+0x00A*4)
#define JS_CSU_ALLPENDEVENT0                      (JS_CSU_BASE+0x00C*4)
#define JS_CSU_ALLPENDEVENT1                      (JS_CSU_BASE+0x00D*4)
#define JS_CSU_EM_BS_SMSEL_PREDATANUM             (JS_CSU_BASE+0x010*4)
#define JS_CSU_ALMOSTFULLSENDTHRED                (JS_CSU_BASE+0x011*4)
#define JS_CSU_JESDTXSET                          (JS_CSU_BASE+0x012*4)
#define JS_CSU_JESDRX0SET                         (JS_CSU_BASE+0x013*4)
#define JS_CSU_FINDDMATAG                         (JS_CSU_BASE+0x014*4)
#define JS_CSU_JESDTX1SET                         (JS_CSU_BASE+0x016*4)
#define JS_CSU_JESDRX1SET                         (JS_CSU_BASE+0x017*4)
#define JS_CSU_CMDFIFO0_CMD                       (JS_CSU_BASE+0x018*4)
#define JS_CSU_CMDFIFO1_CMD                       (JS_CSU_BASE+0x019*4)
#define JS_CSU_CMDFIFO2_CMD                       (JS_CSU_BASE+0x01A*4)
#define JS_CSU_CMDFIFO3_CMD                       (JS_CSU_BASE+0x01B*4)
#define JS_CSU_CMDFIFO0_NUM                       (JS_CSU_BASE+0x01C*4)
#define JS_CSU_CMDFIFO1_NUM                       (JS_CSU_BASE+0x01D*4)
#define JS_CSU_CMDFIFO2_NUM                       (JS_CSU_BASE+0x01E*4)
#define JS_CSU_CMDFIFO3_NUM                       (JS_CSU_BASE+0x01F*4)
#define JS_CSU_PRICMDVALID0                       (JS_CSU_BASE+0x020*4)
#define JS_CSU_PRICMDVALID1                       (JS_CSU_BASE+0x021*4)
#define JS_CSU_PRICMDVALID2                       (JS_CSU_BASE+0x022*4)
#define JS_CSU_PRICMDVALID3                       (JS_CSU_BASE+0x023*4)
#define JS_CSU_CMDECODATAL32BIT0                  (JS_CSU_BASE+0x024*4)
#define JS_CSU_CMDECODATAL32BIT1                  (JS_CSU_BASE+0x025*4)
#define JS_CSU_CMDECODATAL32BIT2                  (JS_CSU_BASE+0x026*4)
#define JS_CSU_CMDECODATAL32BIT3                  (JS_CSU_BASE+0x027*4)
#define JS_CSU_CMDHIGHDATA                        (JS_CSU_BASE+0x028*4)
#define JS_CSU_CMDFIFO0                           (JS_CSU_BASE+0x02C*4)
#define JS_CSU_CMDFIFO1                           (JS_CSU_BASE+0x02D*4)
#define JS_CSU_CMDFIFO2                           (JS_CSU_BASE+0x02E*4)
#define JS_CSU_CMDFIFO3                           (JS_CSU_BASE+0x02F*4)
#define JS_CSU_READYLISTNUM                       (JS_CSU_BASE+0x030*4)
#define JS_CSU_CMDFIFO0_TAGNUM                    (JS_CSU_BASE+0x034*4)
#define JS_CSU_CMDFIFO1_TAGNUM                    (JS_CSU_BASE+0x035*4)
#define JS_CSU_CMDFIFO2_TAGNUM                    (JS_CSU_BASE+0x036*4)
#define JS_CSU_CMDFIFO3_TAGNUM                    (JS_CSU_BASE+0x037*4)
#define JS_CSU_DMASTATUS                          (JS_CSU_BASE+0x038*4)
#define JS_CSU_CMDSTALL_LISTSTALL                 (JS_CSU_BASE+0x039*4)
#define JS_CSU_QOUSTATUS                          (JS_CSU_BASE+0x03A*4)
#define JS_CSU_EVENTINTCLEAR                      (JS_CSU_BASE+0x03C*4)
#define JS_CSU_DMAADDRL0                          (JS_CSU_BASE+0x200*4)
#define JS_CSU_DMAADDRH0                          (JS_CSU_BASE+0x201*4)
#define JS_CSU_DMAYSTEPL0                         (JS_CSU_BASE+0x202*4)
#define JS_CSU_DMAYSTEPH0                         (JS_CSU_BASE+0x203*4)
#define JS_CSU_DMAZSTEPL0                         (JS_CSU_BASE+0x204*4)
#define JS_CSU_DMAZSTEPH0                         (JS_CSU_BASE+0x205*4)
#define JS_CSU_DMAYNUMXNUM0                       (JS_CSU_BASE+0x206*4)
#define JS_CSU_DMASIZEGRANALLNUM0                 (JS_CSU_BASE+0x207*4)
#define JS_CSU_DMAADDRL1                          (JS_CSU_BASE+0x208*4)
#define JS_CSU_DMAADDRH1                          (JS_CSU_BASE+0x209*4)
#define JS_CSU_DMAYSTEPL1                         (JS_CSU_BASE+0x20A*4)
#define JS_CSU_DMAYSTEPH1                         (JS_CSU_BASE+0x20B*4)
#define JS_CSU_DMAZSTEPL1                         (JS_CSU_BASE+0x20C*4)
#define JS_CSU_DMAZSTEPH1                         (JS_CSU_BASE+0x20D*4)
#define JS_CSU_DMAYNUMXNUM1                       (JS_CSU_BASE+0x20E*4)
#define JS_CSU_DMASIZEGRANALLNUM1                 (JS_CSU_BASE+0x20F*4)
#define JS_CSU_DMAADDRL2                          (JS_CSU_BASE+0x210*4)
#define JS_CSU_DMAADDRH2                          (JS_CSU_BASE+0x211*4)
#define JS_CSU_DMAYSTEPL2                         (JS_CSU_BASE+0x212*4)
#define JS_CSU_DMAYSTEPH2                         (JS_CSU_BASE+0x213*4)
#define JS_CSU_DMAZSTEPL2                         (JS_CSU_BASE+0x214*4)
#define JS_CSU_DMAZSTEPH2                         (JS_CSU_BASE+0x215*4)
#define JS_CSU_DMAYNUMXNUM2                       (JS_CSU_BASE+0x216*4)
#define JS_CSU_DMASIZEGRANALLNUM2                 (JS_CSU_BASE+0x217*4)
#define JS_CSU_DMAADDRL3                          (JS_CSU_BASE+0x218*4)
#define JS_CSU_DMAADDRH3                          (JS_CSU_BASE+0x219*4)
#define JS_CSU_DMAYSTEPL3                         (JS_CSU_BASE+0x21A*4)
#define JS_CSU_DMAYSTEPH3                         (JS_CSU_BASE+0x21B*4)
#define JS_CSU_DMAZSTEPL3                         (JS_CSU_BASE+0x21C*4)
#define JS_CSU_DMAZSTEPH3                         (JS_CSU_BASE+0x21D*4)
#define JS_CSU_DMAYNUMXNUM3                       (JS_CSU_BASE+0x21E*4)
#define JS_CSU_DMASIZEGRANALLNUM3                 (JS_CSU_BASE+0x21F*4)
#define JS_CSU_DMAADDRL4                          (JS_CSU_BASE+0x220*4)
#define JS_CSU_DMAADDRH4                          (JS_CSU_BASE+0x221*4)
#define JS_CSU_DMAYSTEPL4                         (JS_CSU_BASE+0x222*4)
#define JS_CSU_DMAYSTEPH4                         (JS_CSU_BASE+0x223*4)
#define JS_CSU_DMAZSTEPL4                         (JS_CSU_BASE+0x224*4)
#define JS_CSU_DMAZSTEPH4                         (JS_CSU_BASE+0x225*4)
#define JS_CSU_DMAYNUMXNUM4                       (JS_CSU_BASE+0x226*4)
#define JS_CSU_DMASIZEGRANALLNUM4                 (JS_CSU_BASE+0x227*4)
#define JS_CSU_DMAADDRL5                          (JS_CSU_BASE+0x228*4)
#define JS_CSU_DMAADDRH5                          (JS_CSU_BASE+0x229*4)
#define JS_CSU_DMAYSTEPL5                         (JS_CSU_BASE+0x22A*4)
#define JS_CSU_DMAYSTEPH5                         (JS_CSU_BASE+0x22B*4)
#define JS_CSU_DMAZSTEPL5                         (JS_CSU_BASE+0x22C*4)
#define JS_CSU_DMAZSTEPH5                         (JS_CSU_BASE+0x22D*4)
#define JS_CSU_DMAYNUMXNUM5                       (JS_CSU_BASE+0x22E*4)
#define JS_CSU_DMASIZEGRANALLNUM5                 (JS_CSU_BASE+0x22F*4)
#define JS_CSU_DMAADDRL6                          (JS_CSU_BASE+0x230*4)
#define JS_CSU_DMAADDRH6                          (JS_CSU_BASE+0x231*4)
#define JS_CSU_DMAYSTEPL6                         (JS_CSU_BASE+0x232*4)
#define JS_CSU_DMAYSTEPH6                         (JS_CSU_BASE+0x233*4)
#define JS_CSU_DMAZSTEPL6                         (JS_CSU_BASE+0x234*4)
#define JS_CSU_DMAZSTEPH6                         (JS_CSU_BASE+0x235*4)
#define JS_CSU_DMAYNUMXNUM6                       (JS_CSU_BASE+0x236*4)
#define JS_CSU_DMASIZEGRANALLNUM6                 (JS_CSU_BASE+0x237*4)
#define JS_CSU_DMAADDRL7                          (JS_CSU_BASE+0x238*4)
#define JS_CSU_DMAADDRH7                          (JS_CSU_BASE+0x239*4)
#define JS_CSU_DMAYSTEPL7                         (JS_CSU_BASE+0x23A*4)
#define JS_CSU_DMAYSTEPH7                         (JS_CSU_BASE+0x23B*4)
#define JS_CSU_DMAZSTEPL7                         (JS_CSU_BASE+0x23C*4)
#define JS_CSU_DMAZSTEPH7                         (JS_CSU_BASE+0x23D*4)
#define JS_CSU_DMAYNUMXNUM7                       (JS_CSU_BASE+0x23E*4)
#define JS_CSU_DMASIZEGRANALLNUM7                 (JS_CSU_BASE+0x23F*4)
#define JS_CSU_DMAADDRL8                          (JS_CSU_BASE+0x240*4)
#define JS_CSU_DMAADDRH8                          (JS_CSU_BASE+0x241*4)
#define JS_CSU_DMAYSTEPL8                         (JS_CSU_BASE+0x242*4)
#define JS_CSU_DMAYSTEPH8                         (JS_CSU_BASE+0x243*4)
#define JS_CSU_DMAZSTEPL8                         (JS_CSU_BASE+0x244*4)
#define JS_CSU_DMAZSTEPH8                         (JS_CSU_BASE+0x245*4)
#define JS_CSU_DMAYNUMXNUM8                       (JS_CSU_BASE+0x246*4)
#define JS_CSU_DMASIZEGRANALLNUM8                 (JS_CSU_BASE+0x247*4)
#define JS_CSU_DMAADDRL9                          (JS_CSU_BASE+0x248*4)
#define JS_CSU_DMAADDRH9                          (JS_CSU_BASE+0x249*4)
#define JS_CSU_DMAYSTEPL9                         (JS_CSU_BASE+0x24A*4)
#define JS_CSU_DMAYSTEPH9                         (JS_CSU_BASE+0x24B*4)
#define JS_CSU_DMAZSTEPL9                         (JS_CSU_BASE+0x24C*4)
#define JS_CSU_DMAZSTEPH9                         (JS_CSU_BASE+0x24D*4)
#define JS_CSU_DMAYNUMXNUM9                       (JS_CSU_BASE+0x24E*4)
#define JS_CSU_DMASIZEGRANALLNUM9                 (JS_CSU_BASE+0x24F*4)
#define JS_CSU_DMAADDRL10                         (JS_CSU_BASE+0x250*4)
#define JS_CSU_DMAADDRH10                         (JS_CSU_BASE+0x251*4)
#define JS_CSU_DMAYSTEPL10                        (JS_CSU_BASE+0x252*4)
#define JS_CSU_DMAYSTEPH10                        (JS_CSU_BASE+0x253*4)
#define JS_CSU_DMAZSTEPL10                        (JS_CSU_BASE+0x254*4)
#define JS_CSU_DMAZSTEPH10                        (JS_CSU_BASE+0x255*4)
#define JS_CSU_DMAYNUMXNUM10                      (JS_CSU_BASE+0x256*4)
#define JS_CSU_DMASIZEGRANALLNUM10                (JS_CSU_BASE+0x257*4)
#define JS_CSU_DMAADDRL11                         (JS_CSU_BASE+0x258*4)
#define JS_CSU_DMAADDRH11                         (JS_CSU_BASE+0x259*4)
#define JS_CSU_DMAYSTEPL11                        (JS_CSU_BASE+0x25A*4)
#define JS_CSU_DMAYSTEPH11                        (JS_CSU_BASE+0x25B*4)
#define JS_CSU_DMAZSTEPL11                        (JS_CSU_BASE+0x25C*4)
#define JS_CSU_DMAZSTEPH11                        (JS_CSU_BASE+0x25D*4)
#define JS_CSU_DMAYNUMXNUM11                      (JS_CSU_BASE+0x25E*4)
#define JS_CSU_DMASIZEGRANALLNUM11                (JS_CSU_BASE+0x25F*4)
#define JS_CSU_DMAADDRL12                         (JS_CSU_BASE+0x260*4)
#define JS_CSU_DMAADDRH12                         (JS_CSU_BASE+0x261*4)
#define JS_CSU_DMAYSTEPL12                        (JS_CSU_BASE+0x262*4)
#define JS_CSU_DMAYSTEPH12                        (JS_CSU_BASE+0x263*4)
#define JS_CSU_DMAZSTEPL12                        (JS_CSU_BASE+0x264*4)
#define JS_CSU_DMAZSTEPH12                        (JS_CSU_BASE+0x265*4)
#define JS_CSU_DMAYNUMXNUM12                      (JS_CSU_BASE+0x266*4)
#define JS_CSU_DMASIZEGRANALLNUM12                (JS_CSU_BASE+0x267*4)
#define JS_CSU_DMAADDRL13                         (JS_CSU_BASE+0x268*4)
#define JS_CSU_DMAADDRH13                         (JS_CSU_BASE+0x269*4)
#define JS_CSU_DMAYSTEPL13                        (JS_CSU_BASE+0x26A*4)
#define JS_CSU_DMAYSTEPH13                        (JS_CSU_BASE+0x26B*4)
#define JS_CSU_DMAZSTEPL13                        (JS_CSU_BASE+0x26C*4)
#define JS_CSU_DMAZSTEPH13                        (JS_CSU_BASE+0x26D*4)
#define JS_CSU_DMAYNUMXNUM13                      (JS_CSU_BASE+0x26E*4)
#define JS_CSU_DMASIZEGRANALLNUM13                (JS_CSU_BASE+0x26F*4)
#define JS_CSU_DMAADDRL14                         (JS_CSU_BASE+0x270*4)
#define JS_CSU_DMAADDRH14                         (JS_CSU_BASE+0x271*4)
#define JS_CSU_DMAYSTEPL14                        (JS_CSU_BASE+0x272*4)
#define JS_CSU_DMAYSTEPH14                        (JS_CSU_BASE+0x273*4)
#define JS_CSU_DMAZSTEPL14                        (JS_CSU_BASE+0x274*4)
#define JS_CSU_DMAZSTEPH14                        (JS_CSU_BASE+0x275*4)
#define JS_CSU_DMAYNUMXNUM14                      (JS_CSU_BASE+0x276*4)
#define JS_CSU_DMASIZEGRANALLNUM14                (JS_CSU_BASE+0x277*4)
#define JS_CSU_DMAADDRL15                         (JS_CSU_BASE+0x278*4)
#define JS_CSU_DMAADDRH15                         (JS_CSU_BASE+0x279*4)
#define JS_CSU_DMAYSTEPL15                        (JS_CSU_BASE+0x27A*4)
#define JS_CSU_DMAYSTEPH15                        (JS_CSU_BASE+0x27B*4)
#define JS_CSU_DMAZSTEPL15                        (JS_CSU_BASE+0x27C*4)
#define JS_CSU_DMAZSTEPH15                        (JS_CSU_BASE+0x27D*4)
#define JS_CSU_DMAYNUMXNUM15                      (JS_CSU_BASE+0x27E*4)
#define JS_CSU_DMASIZEGRANALLNUM15                (JS_CSU_BASE+0x27F*4)
#define JS_CSU_QOUCMDNUM_QOUCMDPOS                (JS_CSU_BASE+0x300*4)
#define JS_CSU_QOUCMDADDR                         (JS_CSU_BASE+0x301*4)
#define JS_CSU_QOUCMDDATA                         (JS_CSU_BASE+0x302*4)
#define JS_CSU_QOUSTATUSPOPDATA                   (JS_CSU_BASE+0x303*4)
#define JS_CSU_QOUCMPDATA0                        (JS_CSU_BASE+0x304*4)
#define JS_CSU_QOUCMPDATA1                        (JS_CSU_BASE+0x305*4)
#define JS_CSU_QOUCMPDATA2                        (JS_CSU_BASE+0x306*4)
#define JS_CSU_PRICMDDATA_L32BIT0                 (JS_CSU_BASE+0x310*4)
#define JS_CSU_PRICMDDATA_H14BIT0                 (JS_CSU_BASE+0x311*4)
#define JS_CSU_PRICMDDATA_L32BIT1                 (JS_CSU_BASE+0x312*4)
#define JS_CSU_PRICMDDATA_H14BIT1                 (JS_CSU_BASE+0x313*4)
#define JS_CSU_PRICMDDATA_L32BIT2                 (JS_CSU_BASE+0x314*4)
#define JS_CSU_PRICMDDATA_H14BIT2                 (JS_CSU_BASE+0x315*4)
#define JS_CSU_SORTDATA_NUM                       (JS_CSU_BASE+0x380*4)
#define JS_CSU_SORTDATA_DATA0                     (JS_CSU_BASE+0x3C0*4)
#define JS_CSU_SORTDATA_DATA1                     (JS_CSU_BASE+0x3C1*4)
#define JS_CSU_SORTDATA_DATA2                     (JS_CSU_BASE+0x3C2*4)
#define JS_CSU_SORTDATA_DATA3                     (JS_CSU_BASE+0x3C3*4)
#define JS_CSU_SORTDATA_DATA4                     (JS_CSU_BASE+0x3C4*4)
#define JS_CSU_SORTDATA_DATA5                     (JS_CSU_BASE+0x3C5*4)
#define JS_CSU_SORTDATA_DATA6                     (JS_CSU_BASE+0x3C6*4)
#define JS_CSU_SORTDATA_DATA7                     (JS_CSU_BASE+0x3C7*4)
#define JS_CSU_SORTDATA_DATA8                     (JS_CSU_BASE+0x3C8*4)
#define JS_CSU_SORTDATA_DATA9                     (JS_CSU_BASE+0x3C9*4)
#define JS_CSU_SORTDATA_DATA10                    (JS_CSU_BASE+0x3CA*4)
#define JS_CSU_SORTDATA_DATA11                    (JS_CSU_BASE+0x3CB*4)
#define JS_CSU_SORTDATA_DATA12                    (JS_CSU_BASE+0x3CC*4)
#define JS_CSU_SORTDATA_DATA13                    (JS_CSU_BASE+0x3CD*4)
#define JS_CSU_SORTDATA_DATA14                    (JS_CSU_BASE+0x3CE*4)
#define JS_CSU_SORTDATA_DATA15                    (JS_CSU_BASE+0x3CF*4)
#define JS_CSU_SORTDATA_DATA16                    (JS_CSU_BASE+0x3D0*4)
#define JS_CSU_SORTDATA_DATA17                    (JS_CSU_BASE+0x3D1*4)
#define JS_CSU_SORTDATA_DATA18                    (JS_CSU_BASE+0x3D2*4)
#define JS_CSU_SORTDATA_DATA19                    (JS_CSU_BASE+0x3D3*4)
#define JS_CSU_SORTDATA_DATA20                    (JS_CSU_BASE+0x3D4*4)
#define JS_CSU_SORTDATA_DATA21                    (JS_CSU_BASE+0x3D5*4)
#define JS_CSU_SORTDATA_DATA22                    (JS_CSU_BASE+0x3D6*4)
#define JS_CSU_SORTDATA_DATA23                    (JS_CSU_BASE+0x3D7*4)
#define JS_CSU_SORTDATA_DATA24                    (JS_CSU_BASE+0x3D8*4)
#define JS_CSU_SORTDATA_DATA25                    (JS_CSU_BASE+0x3D9*4)
#define JS_CSU_SORTDATA_DATA26                    (JS_CSU_BASE+0x3DA*4)
#define JS_CSU_SORTDATA_DATA27                    (JS_CSU_BASE+0x3DB*4)
#define JS_CSU_SORTDATA_DATA28                    (JS_CSU_BASE+0x3DC*4)
#define JS_CSU_SORTDATA_DATA29                    (JS_CSU_BASE+0x3DD*4)
#define JS_CSU_SORTDATA_DATA30                    (JS_CSU_BASE+0x3DE*4)
#define JS_CSU_SORTDATA_DATA31                    (JS_CSU_BASE+0x3DF*4)
#define JS_CSU_SORTDATA_ID0                       (JS_CSU_BASE+0x3E0*4)
#define JS_CSU_SORTDATA_ID1                       (JS_CSU_BASE+0x3E1*4)
#define JS_CSU_SORTDATA_ID2                       (JS_CSU_BASE+0x3E2*4)
#define JS_CSU_SORTDATA_ID3                       (JS_CSU_BASE+0x3E3*4)
#define JS_CSU_SORTDATA_ID4                       (JS_CSU_BASE+0x3E4*4)
#define JS_CSU_SORTDATA_ID5                       (JS_CSU_BASE+0x3E5*4)
#define JS_CSU_SORTDATA_ID6                       (JS_CSU_BASE+0x3E6*4)
#define JS_CSU_SORTDATA_ID7                       (JS_CSU_BASE+0x3E7*4)
#define JS_CSU_SORTDATA_ID8                       (JS_CSU_BASE+0x3E8*4)
#define JS_CSU_SORTDATA_ID9                       (JS_CSU_BASE+0x3E9*4)
#define JS_CSU_SORTDATA_ID10                      (JS_CSU_BASE+0x3EA*4)
#define JS_CSU_SORTDATA_ID11                      (JS_CSU_BASE+0x3EB*4)
#define JS_CSU_SORTDATA_ID12                      (JS_CSU_BASE+0x3EC*4)
#define JS_CSU_SORTDATA_ID13                      (JS_CSU_BASE+0x3ED*4)
#define JS_CSU_SORTDATA_ID14                      (JS_CSU_BASE+0x3EE*4)
#define JS_CSU_SORTDATA_ID15                      (JS_CSU_BASE+0x3EF*4)
#define JS_CSU_SORTDATA_ID16                      (JS_CSU_BASE+0x3F0*4)
#define JS_CSU_SORTDATA_ID17                      (JS_CSU_BASE+0x3F1*4)
#define JS_CSU_SORTDATA_ID18                      (JS_CSU_BASE+0x3F2*4)
#define JS_CSU_SORTDATA_ID19                      (JS_CSU_BASE+0x3F3*4)
#define JS_CSU_SORTDATA_ID20                      (JS_CSU_BASE+0x3F4*4)
#define JS_CSU_SORTDATA_ID21                      (JS_CSU_BASE+0x3F5*4)
#define JS_CSU_SORTDATA_ID22                      (JS_CSU_BASE+0x3F6*4)
#define JS_CSU_SORTDATA_ID23                      (JS_CSU_BASE+0x3F7*4)
#define JS_CSU_SORTDATA_ID24                      (JS_CSU_BASE+0x3F8*4)
#define JS_CSU_SORTDATA_ID25                      (JS_CSU_BASE+0x3F9*4)
#define JS_CSU_SORTDATA_ID26                      (JS_CSU_BASE+0x3FA*4)
#define JS_CSU_SORTDATA_ID27                      (JS_CSU_BASE+0x3FB*4)
#define JS_CSU_SORTDATA_ID28                      (JS_CSU_BASE+0x3FC*4)
#define JS_CSU_SORTDATA_ID29                      (JS_CSU_BASE+0x3FD*4)
#define JS_CSU_SORTDATA_ID30                      (JS_CSU_BASE+0x3FE*4)
#define JS_CSU_SORTDATA_ID31                      (JS_CSU_BASE+0x3FF*4)


#define JECS_CSU_ALLPENDEVENTMASK                 (JECS_CSU_BASE+0x000*4)
#define JECS_CSU_EVENTMASK                        (JECS_CSU_BASE+0x002*4)
#define JECS_CSU_LATCHALFULL                      (JECS_CSU_BASE+0x003*4)
#define JECS_CSU_INTMASK                          (JECS_CSU_BASE+0x004*4)
#define JECS_CSU_ELEVELMASK                       (JECS_CSU_BASE+0x005*4)
#define JECS_CSU_TAGMASK0                         (JECS_CSU_BASE+0x006*4)
#define JECS_CSU_TAGMASK1                         (JECS_CSU_BASE+0x007*4)
#define JECS_CSU_TAGMASK2                         (JECS_CSU_BASE+0x008*4)
#define JECS_CSU_TAGMASK3                         (JECS_CSU_BASE+0x009*4)
#define JECS_CSU_ARMCMDRECV                       (JECS_CSU_BASE+0x00A*4)
#define JECS_CSU_ALLPENDEVENT0                    (JECS_CSU_BASE+0x00C*4)
#define JECS_CSU_ALLPENDEVENT1                    (JECS_CSU_BASE+0x00D*4)
#define JECS_CSU_AXCSTAMPL32BIT                   (JECS_CSU_BASE+0x00E*4)
#define JECS_CSU_CTRLSTAMPL32BIT                  (JECS_CSU_BASE+0x00F*4)
#define JECS_CSU_EM_BS_SMSEL_PREDATANUM           (JECS_CSU_BASE+0x010*4)
#define JECS_CSU_ALMOSTFULLSENDTHRED              (JECS_CSU_BASE+0x011*4)
#define JECS_CSU_FINDDMATAG                       (JECS_CSU_BASE+0x014*4)
#define JECS_CSU_AXCSTAMPH32BIT                   (JECS_CSU_BASE+0x016*4)
#define JECS_CSU_CTRLSTAMPH32BIT                  (JECS_CSU_BASE+0x017*4)
#define JECS_CSU_CMDFIFO0_CMD                     (JECS_CSU_BASE+0x018*4)
#define JECS_CSU_CMDFIFO1_CMD                     (JECS_CSU_BASE+0x019*4)
#define JECS_CSU_CMDFIFO2_CMD                     (JECS_CSU_BASE+0x01A*4)
#define JECS_CSU_CMDFIFO3_CMD                     (JECS_CSU_BASE+0x01B*4)
#define JECS_CSU_CMDFIFO0_NUM                     (JECS_CSU_BASE+0x01C*4)
#define JECS_CSU_CMDFIFO1_NUM                     (JECS_CSU_BASE+0x01D*4)
#define JECS_CSU_CMDFIFO2_NUM                     (JECS_CSU_BASE+0x01E*4)
#define JECS_CSU_CMDFIFO3_NUM                     (JECS_CSU_BASE+0x01F*4)
#define JECS_CSU_PRICMDVALID0                     (JECS_CSU_BASE+0x020*4)
#define JECS_CSU_PRICMDVALID1                     (JECS_CSU_BASE+0x021*4)
#define JECS_CSU_PRICMDVALID2                     (JECS_CSU_BASE+0x022*4)
#define JECS_CSU_PRICMDVALID3                     (JECS_CSU_BASE+0x023*4)
#define JECS_CSU_CMDECODATAL32BIT0                (JECS_CSU_BASE+0x024*4)
#define JECS_CSU_CMDECODATAL32BIT1                (JECS_CSU_BASE+0x025*4)
#define JECS_CSU_CMDECODATAL32BIT2                (JECS_CSU_BASE+0x026*4)
#define JECS_CSU_CMDECODATAL32BIT3                (JECS_CSU_BASE+0x027*4)
#define JECS_CSU_CMDHIGHDATA                      (JECS_CSU_BASE+0x028*4)
#define JECS_CSU_CMDFIFO0                         (JECS_CSU_BASE+0x02C*4)
#define JECS_CSU_CMDFIFO1                         (JECS_CSU_BASE+0x02D*4)
#define JECS_CSU_CMDFIFO2                         (JECS_CSU_BASE+0x02E*4)
#define JECS_CSU_CMDFIFO3                         (JECS_CSU_BASE+0x02F*4)
#define JECS_CSU_READYLISTNUM                     (JECS_CSU_BASE+0x030*4)
#define JECS_CSU_CMDFIFO0_TAGNUM                  (JECS_CSU_BASE+0x034*4)
#define JECS_CSU_CMDFIFO1_TAGNUM                  (JECS_CSU_BASE+0x035*4)
#define JECS_CSU_CMDFIFO2_TAGNUM                  (JECS_CSU_BASE+0x036*4)
#define JECS_CSU_CMDFIFO3_TAGNUM                  (JECS_CSU_BASE+0x037*4)
#define JECS_CSU_DMASTATUS                        (JECS_CSU_BASE+0x038*4)
#define JECS_CSU_CMDSTALL_LISTSTALL               (JECS_CSU_BASE+0x039*4)
#define JECS_CSU_QOUSTATUS                        (JECS_CSU_BASE+0x03A*4)
#define JECS_CSU_EVENTINTCLEAR                    (JECS_CSU_BASE+0x03C*4)
#define JECS_CSU_XSTEPL0                          (JECS_CSU_BASE+0x140*4)
#define JECS_CSU_XSTEPH0                          (JECS_CSU_BASE+0x141*4)
#define JECS_CSU_XSTEPL1                          (JECS_CSU_BASE+0x142*4)
#define JECS_CSU_XSTEPH1                          (JECS_CSU_BASE+0x143*4)
#define JECS_CSU_XSTEPL2                          (JECS_CSU_BASE+0x144*4)
#define JECS_CSU_XSTEPH2                          (JECS_CSU_BASE+0x145*4)
#define JECS_CSU_XSTEPL3                          (JECS_CSU_BASE+0x146*4)
#define JECS_CSU_XSTEPH3                          (JECS_CSU_BASE+0x147*4)
#define JECS_CSU_XSTEPL4                          (JECS_CSU_BASE+0x148*4)
#define JECS_CSU_XSTEPH4                          (JECS_CSU_BASE+0x149*4)
#define JECS_CSU_XSTEPL5                          (JECS_CSU_BASE+0x150*4)
#define JECS_CSU_XSTEPH5                          (JECS_CSU_BASE+0x151*4)
#define JECS_CSU_XSTEPL6                          (JECS_CSU_BASE+0x152*4)
#define JECS_CSU_XSTEPH6                          (JECS_CSU_BASE+0x153*4)
#define JECS_CSU_XSTEPL7                          (JECS_CSU_BASE+0x154*4)
#define JECS_CSU_XSTEPH7                          (JECS_CSU_BASE+0x155*4)
#define JECS_CSU_XSTEPL8                          (JECS_CSU_BASE+0x156*4)
#define JECS_CSU_XSTEPH8                          (JECS_CSU_BASE+0x157*4)
#define JECS_CSU_XSTEPL9                          (JECS_CSU_BASE+0x158*4)
#define JECS_CSU_XSTEPH9                          (JECS_CSU_BASE+0x159*4)
#define JECS_CSU_XSTEPL10                         (JECS_CSU_BASE+0x160*4)
#define JECS_CSU_XSTEPH10                         (JECS_CSU_BASE+0x161*4)
#define JECS_CSU_XSTEPL11                         (JECS_CSU_BASE+0x162*4)
#define JECS_CSU_XSTEPH11                         (JECS_CSU_BASE+0x163*4)
#define JECS_CSU_XSTEPL12                         (JECS_CSU_BASE+0x164*4)
#define JECS_CSU_XSTEPH12                         (JECS_CSU_BASE+0x165*4)
#define JECS_CSU_XSTEPL13                         (JECS_CSU_BASE+0x166*4)
#define JECS_CSU_XSTEPH13                         (JECS_CSU_BASE+0x167*4)
#define JECS_CSU_XSTEPL14                         (JECS_CSU_BASE+0x168*4)
#define JECS_CSU_XSTEPH14                         (JECS_CSU_BASE+0x169*4)
#define JECS_CSU_XSTEPL15                         (JECS_CSU_BASE+0x170*4)
#define JECS_CSU_XSTEPH15                         (JECS_CSU_BASE+0x171*4)
#define JECS_CSU_XSTEPL16                         (JECS_CSU_BASE+0x172*4)
#define JECS_CSU_XSTEPH16                         (JECS_CSU_BASE+0x173*4)
#define JECS_CSU_XSTEPL17                         (JECS_CSU_BASE+0x174*4)
#define JECS_CSU_XSTEPH17                         (JECS_CSU_BASE+0x175*4)
#define JECS_CSU_XSTEPL18                         (JECS_CSU_BASE+0x176*4)
#define JECS_CSU_XSTEPH18                         (JECS_CSU_BASE+0x177*4)
#define JECS_CSU_XSTEPL19                         (JECS_CSU_BASE+0x178*4)
#define JECS_CSU_XSTEPH19                         (JECS_CSU_BASE+0x179*4)
#define JECS_CSU_XSTEPL20                         (JECS_CSU_BASE+0x180*4)
#define JECS_CSU_XSTEPH20                         (JECS_CSU_BASE+0x181*4)
#define JECS_CSU_XSTEPL21                         (JECS_CSU_BASE+0x182*4)
#define JECS_CSU_XSTEPH21                         (JECS_CSU_BASE+0x183*4)
#define JECS_CSU_XSTEPL22                         (JECS_CSU_BASE+0x184*4)
#define JECS_CSU_XSTEPH22                         (JECS_CSU_BASE+0x185*4)
#define JECS_CSU_XSTEPL23                         (JECS_CSU_BASE+0x186*4)
#define JECS_CSU_XSTEPH23                         (JECS_CSU_BASE+0x187*4)
#define JECS_CSU_XSTEPL24                         (JECS_CSU_BASE+0x188*4)
#define JECS_CSU_XSTEPH24                         (JECS_CSU_BASE+0x189*4)
#define JECS_CSU_XSTEPL25                         (JECS_CSU_BASE+0x190*4)
#define JECS_CSU_XSTEPH25                         (JECS_CSU_BASE+0x191*4)
#define JECS_CSU_XSTEPL26                         (JECS_CSU_BASE+0x192*4)
#define JECS_CSU_XSTEPH26                         (JECS_CSU_BASE+0x193*4)
#define JECS_CSU_XSTEPL27                         (JECS_CSU_BASE+0x194*4)
#define JECS_CSU_XSTEPH27                         (JECS_CSU_BASE+0x195*4)
#define JECS_CSU_XSTEPL28                         (JECS_CSU_BASE+0x196*4)
#define JECS_CSU_XSTEPH28                         (JECS_CSU_BASE+0x197*4)
#define JECS_CSU_XSTEPL29                         (JECS_CSU_BASE+0x198*4)
#define JECS_CSU_XSTEPH29                         (JECS_CSU_BASE+0x199*4)
#define JECS_CSU_XSTEPL30                         (JECS_CSU_BASE+0x1A0*4)
#define JECS_CSU_XSTEPH30                         (JECS_CSU_BASE+0x1A1*4)
#define JECS_CSU_XSTEPL31                         (JECS_CSU_BASE+0x1A2*4)
#define JECS_CSU_XSTEPH31                         (JECS_CSU_BASE+0x1A3*4)
#define JECS_CSU_DMAADDRL0                        (JECS_CSU_BASE+0x200*4)
#define JECS_CSU_DMAADDRH0                        (JECS_CSU_BASE+0x201*4)
#define JECS_CSU_DMAYSTEPL0                       (JECS_CSU_BASE+0x202*4)
#define JECS_CSU_DMAYSTEPH0                       (JECS_CSU_BASE+0x203*4)
#define JECS_CSU_DMAZSTEPL0                       (JECS_CSU_BASE+0x204*4)
#define JECS_CSU_DMAZSTEPH0                       (JECS_CSU_BASE+0x205*4)
#define JECS_CSU_DMAYNUMXNUM0                     (JECS_CSU_BASE+0x206*4)
#define JECS_CSU_DMASIZEGRANALLNUM0               (JECS_CSU_BASE+0x207*4)
#define JECS_CSU_DMAADDRL1                        (JECS_CSU_BASE+0x208*4)
#define JECS_CSU_DMAADDRH1                        (JECS_CSU_BASE+0x209*4)
#define JECS_CSU_DMAYSTEPL1                       (JECS_CSU_BASE+0x20A*4)
#define JECS_CSU_DMAYSTEPH1                       (JECS_CSU_BASE+0x20B*4)
#define JECS_CSU_DMAZSTEPL1                       (JECS_CSU_BASE+0x20C*4)
#define JECS_CSU_DMAZSTEPH1                       (JECS_CSU_BASE+0x20D*4)
#define JECS_CSU_DMAYNUMXNUM1                     (JECS_CSU_BASE+0x20E*4)
#define JECS_CSU_DMASIZEGRANALLNUM1               (JECS_CSU_BASE+0x20F*4)
#define JECS_CSU_DMAADDRL2                        (JECS_CSU_BASE+0x210*4)
#define JECS_CSU_DMAADDRH2                        (JECS_CSU_BASE+0x211*4)
#define JECS_CSU_DMAYSTEPL2                       (JECS_CSU_BASE+0x212*4)
#define JECS_CSU_DMAYSTEPH2                       (JECS_CSU_BASE+0x213*4)
#define JECS_CSU_DMAZSTEPL2                       (JECS_CSU_BASE+0x214*4)
#define JECS_CSU_DMAZSTEPH2                       (JECS_CSU_BASE+0x215*4)
#define JECS_CSU_DMAYNUMXNUM2                     (JECS_CSU_BASE+0x216*4)
#define JECS_CSU_DMASIZEGRANALLNUM2               (JECS_CSU_BASE+0x217*4)
#define JECS_CSU_DMAADDRL3                        (JECS_CSU_BASE+0x218*4)
#define JECS_CSU_DMAADDRH3                        (JECS_CSU_BASE+0x219*4)
#define JECS_CSU_DMAYSTEPL3                       (JECS_CSU_BASE+0x21A*4)
#define JECS_CSU_DMAYSTEPH3                       (JECS_CSU_BASE+0x21B*4)
#define JECS_CSU_DMAZSTEPL3                       (JECS_CSU_BASE+0x21C*4)
#define JECS_CSU_DMAZSTEPH3                       (JECS_CSU_BASE+0x21D*4)
#define JECS_CSU_DMAYNUMXNUM3                     (JECS_CSU_BASE+0x21E*4)
#define JECS_CSU_DMASIZEGRANALLNUM3               (JECS_CSU_BASE+0x21F*4)
#define JECS_CSU_DMAADDRL4                        (JECS_CSU_BASE+0x220*4)
#define JECS_CSU_DMAADDRH4                        (JECS_CSU_BASE+0x221*4)
#define JECS_CSU_DMAYSTEPL4                       (JECS_CSU_BASE+0x222*4)
#define JECS_CSU_DMAYSTEPH4                       (JECS_CSU_BASE+0x223*4)
#define JECS_CSU_DMAZSTEPL4                       (JECS_CSU_BASE+0x224*4)
#define JECS_CSU_DMAZSTEPH4                       (JECS_CSU_BASE+0x225*4)
#define JECS_CSU_DMAYNUMXNUM4                     (JECS_CSU_BASE+0x226*4)
#define JECS_CSU_DMASIZEGRANALLNUM4               (JECS_CSU_BASE+0x227*4)
#define JECS_CSU_DMAADDRL5                        (JECS_CSU_BASE+0x228*4)
#define JECS_CSU_DMAADDRH5                        (JECS_CSU_BASE+0x229*4)
#define JECS_CSU_DMAYSTEPL5                       (JECS_CSU_BASE+0x22A*4)
#define JECS_CSU_DMAYSTEPH5                       (JECS_CSU_BASE+0x22B*4)
#define JECS_CSU_DMAZSTEPL5                       (JECS_CSU_BASE+0x22C*4)
#define JECS_CSU_DMAZSTEPH5                       (JECS_CSU_BASE+0x22D*4)
#define JECS_CSU_DMAYNUMXNUM5                     (JECS_CSU_BASE+0x22E*4)
#define JECS_CSU_DMASIZEGRANALLNUM5               (JECS_CSU_BASE+0x22F*4)
#define JECS_CSU_DMAADDRL6                        (JECS_CSU_BASE+0x230*4)
#define JECS_CSU_DMAADDRH6                        (JECS_CSU_BASE+0x231*4)
#define JECS_CSU_DMAYSTEPL6                       (JECS_CSU_BASE+0x232*4)
#define JECS_CSU_DMAYSTEPH6                       (JECS_CSU_BASE+0x233*4)
#define JECS_CSU_DMAZSTEPL6                       (JECS_CSU_BASE+0x234*4)
#define JECS_CSU_DMAZSTEPH6                       (JECS_CSU_BASE+0x235*4)
#define JECS_CSU_DMAYNUMXNUM6                     (JECS_CSU_BASE+0x236*4)
#define JECS_CSU_DMASIZEGRANALLNUM6               (JECS_CSU_BASE+0x237*4)
#define JECS_CSU_DMAADDRL7                        (JECS_CSU_BASE+0x238*4)
#define JECS_CSU_DMAADDRH7                        (JECS_CSU_BASE+0x239*4)
#define JECS_CSU_DMAYSTEPL7                       (JECS_CSU_BASE+0x23A*4)
#define JECS_CSU_DMAYSTEPH7                       (JECS_CSU_BASE+0x23B*4)
#define JECS_CSU_DMAZSTEPL7                       (JECS_CSU_BASE+0x23C*4)
#define JECS_CSU_DMAZSTEPH7                       (JECS_CSU_BASE+0x23D*4)
#define JECS_CSU_DMAYNUMXNUM7                     (JECS_CSU_BASE+0x23E*4)
#define JECS_CSU_DMASIZEGRANALLNUM7               (JECS_CSU_BASE+0x23F*4)
#define JECS_CSU_DMAADDRL8                        (JECS_CSU_BASE+0x240*4)
#define JECS_CSU_DMAADDRH8                        (JECS_CSU_BASE+0x241*4)
#define JECS_CSU_DMAYSTEPL8                       (JECS_CSU_BASE+0x242*4)
#define JECS_CSU_DMAYSTEPH8                       (JECS_CSU_BASE+0x243*4)
#define JECS_CSU_DMAZSTEPL8                       (JECS_CSU_BASE+0x244*4)
#define JECS_CSU_DMAZSTEPH8                       (JECS_CSU_BASE+0x245*4)
#define JECS_CSU_DMAYNUMXNUM8                     (JECS_CSU_BASE+0x246*4)
#define JECS_CSU_DMASIZEGRANALLNUM8               (JECS_CSU_BASE+0x247*4)
#define JECS_CSU_DMAADDRL9                        (JECS_CSU_BASE+0x248*4)
#define JECS_CSU_DMAADDRH9                        (JECS_CSU_BASE+0x249*4)
#define JECS_CSU_DMAYSTEPL9                       (JECS_CSU_BASE+0x24A*4)
#define JECS_CSU_DMAYSTEPH9                       (JECS_CSU_BASE+0x24B*4)
#define JECS_CSU_DMAZSTEPL9                       (JECS_CSU_BASE+0x24C*4)
#define JECS_CSU_DMAZSTEPH9                       (JECS_CSU_BASE+0x24D*4)
#define JECS_CSU_DMAYNUMXNUM9                     (JECS_CSU_BASE+0x24E*4)
#define JECS_CSU_DMASIZEGRANALLNUM9               (JECS_CSU_BASE+0x24F*4)
#define JECS_CSU_DMAADDRL10                       (JECS_CSU_BASE+0x250*4)
#define JECS_CSU_DMAADDRH10                       (JECS_CSU_BASE+0x251*4)
#define JECS_CSU_DMAYSTEPL10                      (JECS_CSU_BASE+0x252*4)
#define JECS_CSU_DMAYSTEPH10                      (JECS_CSU_BASE+0x253*4)
#define JECS_CSU_DMAZSTEPL10                      (JECS_CSU_BASE+0x254*4)
#define JECS_CSU_DMAZSTEPH10                      (JECS_CSU_BASE+0x255*4)
#define JECS_CSU_DMAYNUMXNUM10                    (JECS_CSU_BASE+0x256*4)
#define JECS_CSU_DMASIZEGRANALLNUM10              (JECS_CSU_BASE+0x257*4)
#define JECS_CSU_DMAADDRL11                       (JECS_CSU_BASE+0x258*4)
#define JECS_CSU_DMAADDRH11                       (JECS_CSU_BASE+0x259*4)
#define JECS_CSU_DMAYSTEPL11                      (JECS_CSU_BASE+0x25A*4)
#define JECS_CSU_DMAYSTEPH11                      (JECS_CSU_BASE+0x25B*4)
#define JECS_CSU_DMAZSTEPL11                      (JECS_CSU_BASE+0x25C*4)
#define JECS_CSU_DMAZSTEPH11                      (JECS_CSU_BASE+0x25D*4)
#define JECS_CSU_DMAYNUMXNUM11                    (JECS_CSU_BASE+0x25E*4)
#define JECS_CSU_DMASIZEGRANALLNUM11              (JECS_CSU_BASE+0x25F*4)
#define JECS_CSU_DMAADDRL12                       (JECS_CSU_BASE+0x260*4)
#define JECS_CSU_DMAADDRH12                       (JECS_CSU_BASE+0x261*4)
#define JECS_CSU_DMAYSTEPL12                      (JECS_CSU_BASE+0x262*4)
#define JECS_CSU_DMAYSTEPH12                      (JECS_CSU_BASE+0x263*4)
#define JECS_CSU_DMAZSTEPL12                      (JECS_CSU_BASE+0x264*4)
#define JECS_CSU_DMAZSTEPH12                      (JECS_CSU_BASE+0x265*4)
#define JECS_CSU_DMAYNUMXNUM12                    (JECS_CSU_BASE+0x266*4)
#define JECS_CSU_DMASIZEGRANALLNUM12              (JECS_CSU_BASE+0x267*4)
#define JECS_CSU_DMAADDRL13                       (JECS_CSU_BASE+0x268*4)
#define JECS_CSU_DMAADDRH13                       (JECS_CSU_BASE+0x269*4)
#define JECS_CSU_DMAYSTEPL13                      (JECS_CSU_BASE+0x26A*4)
#define JECS_CSU_DMAYSTEPH13                      (JECS_CSU_BASE+0x26B*4)
#define JECS_CSU_DMAZSTEPL13                      (JECS_CSU_BASE+0x26C*4)
#define JECS_CSU_DMAZSTEPH13                      (JECS_CSU_BASE+0x26D*4)
#define JECS_CSU_DMAYNUMXNUM13                    (JECS_CSU_BASE+0x26E*4)
#define JECS_CSU_DMASIZEGRANALLNUM13              (JECS_CSU_BASE+0x26F*4)
#define JECS_CSU_DMAADDRL14                       (JECS_CSU_BASE+0x270*4)
#define JECS_CSU_DMAADDRH14                       (JECS_CSU_BASE+0x271*4)
#define JECS_CSU_DMAYSTEPL14                      (JECS_CSU_BASE+0x272*4)
#define JECS_CSU_DMAYSTEPH14                      (JECS_CSU_BASE+0x273*4)
#define JECS_CSU_DMAZSTEPL14                      (JECS_CSU_BASE+0x274*4)
#define JECS_CSU_DMAZSTEPH14                      (JECS_CSU_BASE+0x275*4)
#define JECS_CSU_DMAYNUMXNUM14                    (JECS_CSU_BASE+0x276*4)
#define JECS_CSU_DMASIZEGRANALLNUM14              (JECS_CSU_BASE+0x277*4)
#define JECS_CSU_DMAADDRL15                       (JECS_CSU_BASE+0x278*4)
#define JECS_CSU_DMAADDRH15                       (JECS_CSU_BASE+0x279*4)
#define JECS_CSU_DMAYSTEPL15                      (JECS_CSU_BASE+0x27A*4)
#define JECS_CSU_DMAYSTEPH15                      (JECS_CSU_BASE+0x27B*4)
#define JECS_CSU_DMAZSTEPL15                      (JECS_CSU_BASE+0x27C*4)
#define JECS_CSU_DMAZSTEPH15                      (JECS_CSU_BASE+0x27D*4)
#define JECS_CSU_DMAYNUMXNUM15                    (JECS_CSU_BASE+0x27E*4)
#define JECS_CSU_DMASIZEGRANALLNUM15              (JECS_CSU_BASE+0x27F*4)
#define JECS_CSU_DMAADDRL16                       (JECS_CSU_BASE+0x280*4)
#define JECS_CSU_DMAADDRH16                       (JECS_CSU_BASE+0x281*4)
#define JECS_CSU_DMAYSTEPL16                      (JECS_CSU_BASE+0x282*4)
#define JECS_CSU_DMAYSTEPH16                      (JECS_CSU_BASE+0x283*4)
#define JECS_CSU_DMAZSTEPL16                      (JECS_CSU_BASE+0x284*4)
#define JECS_CSU_DMAZSTEPH16                      (JECS_CSU_BASE+0x285*4)
#define JECS_CSU_DMAYNUMXNUM16                    (JECS_CSU_BASE+0x286*4)
#define JECS_CSU_DMASIZEGRANALLNUM16              (JECS_CSU_BASE+0x287*4)
#define JECS_CSU_DMAADDRL17                       (JECS_CSU_BASE+0x288*4)
#define JECS_CSU_DMAADDRH17                       (JECS_CSU_BASE+0x289*4)
#define JECS_CSU_DMAYSTEPL17                      (JECS_CSU_BASE+0x28A*4)
#define JECS_CSU_DMAYSTEPH17                      (JECS_CSU_BASE+0x28B*4)
#define JECS_CSU_DMAZSTEPL17                      (JECS_CSU_BASE+0x28C*4)
#define JECS_CSU_DMAZSTEPH17                      (JECS_CSU_BASE+0x28D*4)
#define JECS_CSU_DMAYNUMXNUM17                    (JECS_CSU_BASE+0x28E*4)
#define JECS_CSU_DMASIZEGRANALLNUM17              (JECS_CSU_BASE+0x28F*4)
#define JECS_CSU_DMAADDRL18                       (JECS_CSU_BASE+0x290*4)
#define JECS_CSU_DMAADDRH18                       (JECS_CSU_BASE+0x291*4)
#define JECS_CSU_DMAYSTEPL18                      (JECS_CSU_BASE+0x292*4)
#define JECS_CSU_DMAYSTEPH18                      (JECS_CSU_BASE+0x293*4)
#define JECS_CSU_DMAZSTEPL18                      (JECS_CSU_BASE+0x294*4)
#define JECS_CSU_DMAZSTEPH18                      (JECS_CSU_BASE+0x295*4)
#define JECS_CSU_DMAYNUMXNUM18                    (JECS_CSU_BASE+0x296*4)
#define JECS_CSU_DMASIZEGRANALLNUM18              (JECS_CSU_BASE+0x297*4)
#define JECS_CSU_DMAADDRL19                       (JECS_CSU_BASE+0x298*4)
#define JECS_CSU_DMAADDRH19                       (JECS_CSU_BASE+0x299*4)
#define JECS_CSU_DMAYSTEPL19                      (JECS_CSU_BASE+0x29A*4)
#define JECS_CSU_DMAYSTEPH19                      (JECS_CSU_BASE+0x29B*4)
#define JECS_CSU_DMAZSTEPL19                      (JECS_CSU_BASE+0x29C*4)
#define JECS_CSU_DMAZSTEPH19                      (JECS_CSU_BASE+0x29D*4)
#define JECS_CSU_DMAYNUMXNUM19                    (JECS_CSU_BASE+0x29E*4)
#define JECS_CSU_DMASIZEGRANALLNUM19              (JECS_CSU_BASE+0x29F*4)
#define JECS_CSU_DMAADDRL20                       (JECS_CSU_BASE+0x2A0*4)
#define JECS_CSU_DMAADDRH20                       (JECS_CSU_BASE+0x2A1*4)
#define JECS_CSU_DMAYSTEPL20                      (JECS_CSU_BASE+0x2A2*4)
#define JECS_CSU_DMAYSTEPH20                      (JECS_CSU_BASE+0x2A3*4)
#define JECS_CSU_DMAZSTEPL20                      (JECS_CSU_BASE+0x2A4*4)
#define JECS_CSU_DMAZSTEPH20                      (JECS_CSU_BASE+0x2A5*4)
#define JECS_CSU_DMAYNUMXNUM20                    (JECS_CSU_BASE+0x2A6*4)
#define JECS_CSU_DMASIZEGRANALLNUM20              (JECS_CSU_BASE+0x2A7*4)
#define JECS_CSU_DMAADDRL21                       (JECS_CSU_BASE+0x2A8*4)
#define JECS_CSU_DMAADDRH21                       (JECS_CSU_BASE+0x2A9*4)
#define JECS_CSU_DMAYSTEPL21                      (JECS_CSU_BASE+0x2AA*4)
#define JECS_CSU_DMAYSTEPH21                      (JECS_CSU_BASE+0x2AB*4)
#define JECS_CSU_DMAZSTEPL21                      (JECS_CSU_BASE+0x2AC*4)
#define JECS_CSU_DMAZSTEPH21                      (JECS_CSU_BASE+0x2AD*4)
#define JECS_CSU_DMAYNUMXNUM21                    (JECS_CSU_BASE+0x2AE*4)
#define JECS_CSU_DMASIZEGRANALLNUM21              (JECS_CSU_BASE+0x2AF*4)
#define JECS_CSU_DMAADDRL22                       (JECS_CSU_BASE+0x2B0*4)
#define JECS_CSU_DMAADDRH22                       (JECS_CSU_BASE+0x2B1*4)
#define JECS_CSU_DMAYSTEPL22                      (JECS_CSU_BASE+0x2B2*4)
#define JECS_CSU_DMAYSTEPH22                      (JECS_CSU_BASE+0x2B3*4)
#define JECS_CSU_DMAZSTEPL22                      (JECS_CSU_BASE+0x2B4*4)
#define JECS_CSU_DMAZSTEPH22                      (JECS_CSU_BASE+0x2B5*4)
#define JECS_CSU_DMAYNUMXNUM22                    (JECS_CSU_BASE+0x2B6*4)
#define JECS_CSU_DMASIZEGRANALLNUM22              (JECS_CSU_BASE+0x2B7*4)
#define JECS_CSU_DMAADDRL23                       (JECS_CSU_BASE+0x2B8*4)
#define JECS_CSU_DMAADDRH23                       (JECS_CSU_BASE+0x2B9*4)
#define JECS_CSU_DMAYSTEPL23                      (JECS_CSU_BASE+0x2BA*4)
#define JECS_CSU_DMAYSTEPH23                      (JECS_CSU_BASE+0x2BB*4)
#define JECS_CSU_DMAZSTEPL23                      (JECS_CSU_BASE+0x2BC*4)
#define JECS_CSU_DMAZSTEPH23                      (JECS_CSU_BASE+0x2BD*4)
#define JECS_CSU_DMAYNUMXNUM23                    (JECS_CSU_BASE+0x2BE*4)
#define JECS_CSU_DMASIZEGRANALLNUM23              (JECS_CSU_BASE+0x2BF*4)
#define JECS_CSU_DMAADDRL24                       (JECS_CSU_BASE+0x2C0*4)
#define JECS_CSU_DMAADDRH24                       (JECS_CSU_BASE+0x2C1*4)
#define JECS_CSU_DMAYSTEPL24                      (JECS_CSU_BASE+0x2C2*4)
#define JECS_CSU_DMAYSTEPH24                      (JECS_CSU_BASE+0x2C3*4)
#define JECS_CSU_DMAZSTEPL24                      (JECS_CSU_BASE+0x2C4*4)
#define JECS_CSU_DMAZSTEPH24                      (JECS_CSU_BASE+0x2C5*4)
#define JECS_CSU_DMAYNUMXNUM24                    (JECS_CSU_BASE+0x2C6*4)
#define JECS_CSU_DMASIZEGRANALLNUM24              (JECS_CSU_BASE+0x2C7*4)
#define JECS_CSU_DMAADDRL25                       (JECS_CSU_BASE+0x2C8*4)
#define JECS_CSU_DMAADDRH25                       (JECS_CSU_BASE+0x2C9*4)
#define JECS_CSU_DMAYSTEPL25                      (JECS_CSU_BASE+0x2CA*4)
#define JECS_CSU_DMAYSTEPH25                      (JECS_CSU_BASE+0x2CB*4)
#define JECS_CSU_DMAZSTEPL25                      (JECS_CSU_BASE+0x2CC*4)
#define JECS_CSU_DMAZSTEPH25                      (JECS_CSU_BASE+0x2CD*4)
#define JECS_CSU_DMAYNUMXNUM25                    (JECS_CSU_BASE+0x2CE*4)
#define JECS_CSU_DMASIZEGRANALLNUM25              (JECS_CSU_BASE+0x2CF*4)
#define JECS_CSU_DMAADDRL26                       (JECS_CSU_BASE+0x2D0*4)
#define JECS_CSU_DMAADDRH26                       (JECS_CSU_BASE+0x2D1*4)
#define JECS_CSU_DMAYSTEPL26                      (JECS_CSU_BASE+0x2D2*4)
#define JECS_CSU_DMAYSTEPH26                      (JECS_CSU_BASE+0x2D3*4)
#define JECS_CSU_DMAZSTEPL26                      (JECS_CSU_BASE+0x2D4*4)
#define JECS_CSU_DMAZSTEPH26                      (JECS_CSU_BASE+0x2D5*4)
#define JECS_CSU_DMAYNUMXNUM26                    (JECS_CSU_BASE+0x2D6*4)
#define JECS_CSU_DMASIZEGRANALLNUM26              (JECS_CSU_BASE+0x2D7*4)
#define JECS_CSU_DMAADDRL27                       (JECS_CSU_BASE+0x2D8*4)
#define JECS_CSU_DMAADDRH27                       (JECS_CSU_BASE+0x2D9*4)
#define JECS_CSU_DMAYSTEPL27                      (JECS_CSU_BASE+0x2DA*4)
#define JECS_CSU_DMAYSTEPH27                      (JECS_CSU_BASE+0x2DB*4)
#define JECS_CSU_DMAZSTEPL27                      (JECS_CSU_BASE+0x2DC*4)
#define JECS_CSU_DMAZSTEPH27                      (JECS_CSU_BASE+0x2DD*4)
#define JECS_CSU_DMAYNUMXNUM27                    (JECS_CSU_BASE+0x2DE*4)
#define JECS_CSU_DMASIZEGRANALLNUM27              (JECS_CSU_BASE+0x2DF*4)
#define JECS_CSU_DMAADDRL28                       (JECS_CSU_BASE+0x2E0*4)
#define JECS_CSU_DMAADDRH28                       (JECS_CSU_BASE+0x2E1*4)
#define JECS_CSU_DMAYSTEPL28                      (JECS_CSU_BASE+0x2E2*4)
#define JECS_CSU_DMAYSTEPH28                      (JECS_CSU_BASE+0x2E3*4)
#define JECS_CSU_DMAZSTEPL28                      (JECS_CSU_BASE+0x2E4*4)
#define JECS_CSU_DMAZSTEPH28                      (JECS_CSU_BASE+0x2E5*4)
#define JECS_CSU_DMAYNUMXNUM28                    (JECS_CSU_BASE+0x2E6*4)
#define JECS_CSU_DMASIZEGRANALLNUM28              (JECS_CSU_BASE+0x2E7*4)
#define JECS_CSU_DMAADDRL29                       (JECS_CSU_BASE+0x2E8*4)
#define JECS_CSU_DMAADDRH29                       (JECS_CSU_BASE+0x2E9*4)
#define JECS_CSU_DMAYSTEPL29                      (JECS_CSU_BASE+0x2EA*4)
#define JECS_CSU_DMAYSTEPH29                      (JECS_CSU_BASE+0x2EB*4)
#define JECS_CSU_DMAZSTEPL29                      (JECS_CSU_BASE+0x2EC*4)
#define JECS_CSU_DMAZSTEPH29                      (JECS_CSU_BASE+0x2ED*4)
#define JECS_CSU_DMAYNUMXNUM29                    (JECS_CSU_BASE+0x2EE*4)
#define JECS_CSU_DMASIZEGRANALLNUM29              (JECS_CSU_BASE+0x2EF*4)
#define JECS_CSU_DMAADDRL30                       (JECS_CSU_BASE+0x2F0*4)
#define JECS_CSU_DMAADDRH30                       (JECS_CSU_BASE+0x2F1*4)
#define JECS_CSU_DMAYSTEPL30                      (JECS_CSU_BASE+0x2F2*4)
#define JECS_CSU_DMAYSTEPH30                      (JECS_CSU_BASE+0x2F3*4)
#define JECS_CSU_DMAZSTEPL30                      (JECS_CSU_BASE+0x2F4*4)
#define JECS_CSU_DMAZSTEPH30                      (JECS_CSU_BASE+0x2F5*4)
#define JECS_CSU_DMAYNUMXNUM30                    (JECS_CSU_BASE+0x2F6*4)
#define JECS_CSU_DMASIZEGRANALLNUM30              (JECS_CSU_BASE+0x2F7*4)
#define JECS_CSU_DMAADDRL31                       (JECS_CSU_BASE+0x2F8*4)
#define JECS_CSU_DMAADDRH31                       (JECS_CSU_BASE+0x2F9*4)
#define JECS_CSU_DMAYSTEPL31                      (JECS_CSU_BASE+0x2FA*4)
#define JECS_CSU_DMAYSTEPH31                      (JECS_CSU_BASE+0x2FB*4)
#define JECS_CSU_DMAZSTEPL31                      (JECS_CSU_BASE+0x2FC*4)
#define JECS_CSU_DMAZSTEPH31                      (JECS_CSU_BASE+0x2FD*4)
#define JECS_CSU_DMAYNUMXNUM31                    (JECS_CSU_BASE+0x2FE*4)
#define JECS_CSU_DMASIZEGRANALLNUM31              (JECS_CSU_BASE+0x2FF*4)
#define JECS_CSU_SORTDATA_NUM                     (JECS_CSU_BASE+0x380*4)
#define JECS_CSU_SORTDATA_DATA0                   (JECS_CSU_BASE+0x3C0*4)
#define JECS_CSU_SORTDATA_DATA1                   (JECS_CSU_BASE+0x3C1*4)
#define JECS_CSU_SORTDATA_DATA2                   (JECS_CSU_BASE+0x3C2*4)
#define JECS_CSU_SORTDATA_DATA3                   (JECS_CSU_BASE+0x3C3*4)
#define JECS_CSU_SORTDATA_DATA4                   (JECS_CSU_BASE+0x3C4*4)
#define JECS_CSU_SORTDATA_DATA5                   (JECS_CSU_BASE+0x3C5*4)
#define JECS_CSU_SORTDATA_DATA6                   (JECS_CSU_BASE+0x3C6*4)
#define JECS_CSU_SORTDATA_DATA7                   (JECS_CSU_BASE+0x3C7*4)
#define JECS_CSU_SORTDATA_DATA8                   (JECS_CSU_BASE+0x3C8*4)
#define JECS_CSU_SORTDATA_DATA9                   (JECS_CSU_BASE+0x3C9*4)
#define JECS_CSU_SORTDATA_DATA10                  (JECS_CSU_BASE+0x3CA*4)
#define JECS_CSU_SORTDATA_DATA11                  (JECS_CSU_BASE+0x3CB*4)
#define JECS_CSU_SORTDATA_DATA12                  (JECS_CSU_BASE+0x3CC*4)
#define JECS_CSU_SORTDATA_DATA13                  (JECS_CSU_BASE+0x3CD*4)
#define JECS_CSU_SORTDATA_DATA14                  (JECS_CSU_BASE+0x3CE*4)
#define JECS_CSU_SORTDATA_DATA15                  (JECS_CSU_BASE+0x3CF*4)
#define JECS_CSU_SORTDATA_DATA16                  (JECS_CSU_BASE+0x3D0*4)
#define JECS_CSU_SORTDATA_DATA17                  (JECS_CSU_BASE+0x3D1*4)
#define JECS_CSU_SORTDATA_DATA18                  (JECS_CSU_BASE+0x3D2*4)
#define JECS_CSU_SORTDATA_DATA19                  (JECS_CSU_BASE+0x3D3*4)
#define JECS_CSU_SORTDATA_DATA20                  (JECS_CSU_BASE+0x3D4*4)
#define JECS_CSU_SORTDATA_DATA21                  (JECS_CSU_BASE+0x3D5*4)
#define JECS_CSU_SORTDATA_DATA22                  (JECS_CSU_BASE+0x3D6*4)
#define JECS_CSU_SORTDATA_DATA23                  (JECS_CSU_BASE+0x3D7*4)
#define JECS_CSU_SORTDATA_DATA24                  (JECS_CSU_BASE+0x3D8*4)
#define JECS_CSU_SORTDATA_DATA25                  (JECS_CSU_BASE+0x3D9*4)
#define JECS_CSU_SORTDATA_DATA26                  (JECS_CSU_BASE+0x3DA*4)
#define JECS_CSU_SORTDATA_DATA27                  (JECS_CSU_BASE+0x3DB*4)
#define JECS_CSU_SORTDATA_DATA28                  (JECS_CSU_BASE+0x3DC*4)
#define JECS_CSU_SORTDATA_DATA29                  (JECS_CSU_BASE+0x3DD*4)
#define JECS_CSU_SORTDATA_DATA30                  (JECS_CSU_BASE+0x3DE*4)
#define JECS_CSU_SORTDATA_DATA31                  (JECS_CSU_BASE+0x3DF*4)
#define JECS_CSU_SORTDATA_ID0                     (JECS_CSU_BASE+0x3E0*4)
#define JECS_CSU_SORTDATA_ID1                     (JECS_CSU_BASE+0x3E1*4)
#define JECS_CSU_SORTDATA_ID2                     (JECS_CSU_BASE+0x3E2*4)
#define JECS_CSU_SORTDATA_ID3                     (JECS_CSU_BASE+0x3E3*4)
#define JECS_CSU_SORTDATA_ID4                     (JECS_CSU_BASE+0x3E4*4)
#define JECS_CSU_SORTDATA_ID5                     (JECS_CSU_BASE+0x3E5*4)
#define JECS_CSU_SORTDATA_ID6                     (JECS_CSU_BASE+0x3E6*4)
#define JECS_CSU_SORTDATA_ID7                     (JECS_CSU_BASE+0x3E7*4)
#define JECS_CSU_SORTDATA_ID8                     (JECS_CSU_BASE+0x3E8*4)
#define JECS_CSU_SORTDATA_ID9                     (JECS_CSU_BASE+0x3E9*4)
#define JECS_CSU_SORTDATA_ID10                    (JECS_CSU_BASE+0x3EA*4)
#define JECS_CSU_SORTDATA_ID11                    (JECS_CSU_BASE+0x3EB*4)
#define JECS_CSU_SORTDATA_ID12                    (JECS_CSU_BASE+0x3EC*4)
#define JECS_CSU_SORTDATA_ID13                    (JECS_CSU_BASE+0x3ED*4)
#define JECS_CSU_SORTDATA_ID14                    (JECS_CSU_BASE+0x3EE*4)
#define JECS_CSU_SORTDATA_ID15                    (JECS_CSU_BASE+0x3EF*4)
#define JECS_CSU_SORTDATA_ID16                    (JECS_CSU_BASE+0x3F0*4)
#define JECS_CSU_SORTDATA_ID17                    (JECS_CSU_BASE+0x3F1*4)
#define JECS_CSU_SORTDATA_ID18                    (JECS_CSU_BASE+0x3F2*4)
#define JECS_CSU_SORTDATA_ID19                    (JECS_CSU_BASE+0x3F3*4)
#define JECS_CSU_SORTDATA_ID20                    (JECS_CSU_BASE+0x3F4*4)
#define JECS_CSU_SORTDATA_ID21                    (JECS_CSU_BASE+0x3F5*4)
#define JECS_CSU_SORTDATA_ID22                    (JECS_CSU_BASE+0x3F6*4)
#define JECS_CSU_SORTDATA_ID23                    (JECS_CSU_BASE+0x3F7*4)
#define JECS_CSU_SORTDATA_ID24                    (JECS_CSU_BASE+0x3F8*4)
#define JECS_CSU_SORTDATA_ID25                    (JECS_CSU_BASE+0x3F9*4)
#define JECS_CSU_SORTDATA_ID26                    (JECS_CSU_BASE+0x3FA*4)
#define JECS_CSU_SORTDATA_ID27                    (JECS_CSU_BASE+0x3FB*4)
#define JECS_CSU_SORTDATA_ID28                    (JECS_CSU_BASE+0x3FC*4)
#define JECS_CSU_SORTDATA_ID29                    (JECS_CSU_BASE+0x3FD*4)
#define JECS_CSU_SORTDATA_ID30                    (JECS_CSU_BASE+0x3FE*4)
#define JECS_CSU_SORTDATA_ID31                    (JECS_CSU_BASE+0x3FF*4)
#define JECS_CSU_CPRITX0RFPSET                    (JECS_CSU_BASE+0x47E*4)
#define JECS_CSU_CPRITX0PORTINFO0                 (JECS_CSU_BASE+0x400*4)
#define JECS_CSU_CPRITX0PORTINFO1                 (JECS_CSU_BASE+0x401*4)
#define JECS_CSU_CPRITX0PORTINFO2                 (JECS_CSU_BASE+0x402*4)
#define JECS_CSU_CPRITX0PORTINFO3                 (JECS_CSU_BASE+0x403*4)
#define JECS_CSU_CPRITX0PORTINFO4                 (JECS_CSU_BASE+0x404*4)
#define JECS_CSU_CPRITX0PORTINFO5                 (JECS_CSU_BASE+0x405*4)
#define JECS_CSU_CPRITX0PORTINFO6                 (JECS_CSU_BASE+0x406*4)
#define JECS_CSU_CPRITX0PORTINFO7                 (JECS_CSU_BASE+0x407*4)
#define JECS_CSU_CPRITX0PORTINFO8                 (JECS_CSU_BASE+0x408*4)
#define JECS_CSU_CPRITX0PORTINFO9                 (JECS_CSU_BASE+0x409*4)
#define JECS_CSU_CPRITX0PORTINFO10                (JECS_CSU_BASE+0x40A*4)
#define JECS_CSU_CPRITX0PORTINFO11                (JECS_CSU_BASE+0x40B*4)
#define JECS_CSU_CPRITX0PORTINFO12                (JECS_CSU_BASE+0x40C*4)
#define JECS_CSU_CPRITX0PORTINFO13                (JECS_CSU_BASE+0x40D*4)
#define JECS_CSU_CPRITX0PORTINFO14                (JECS_CSU_BASE+0x40E*4)
#define JECS_CSU_CPRITX0PORTINFO15                (JECS_CSU_BASE+0x40F*4)
#define JECS_CSU_CPRITX0PORTINFO16                (JECS_CSU_BASE+0x410*4)
#define JECS_CSU_CPRITX0PORTINFO17                (JECS_CSU_BASE+0x411*4)
#define JECS_CSU_CPRITX0PORTINFO18                (JECS_CSU_BASE+0x412*4)
#define JECS_CSU_CPRITX0PORTINFO19                (JECS_CSU_BASE+0x413*4)
#define JECS_CSU_CPRITX0PORTINFO20                (JECS_CSU_BASE+0x414*4)
#define JECS_CSU_CPRITX0PORTINFO21                (JECS_CSU_BASE+0x415*4)
#define JECS_CSU_CPRITX0PORTINFO22                (JECS_CSU_BASE+0x416*4)
#define JECS_CSU_CPRITX0PORTINFO23                (JECS_CSU_BASE+0x417*4)
#define JECS_CSU_CPRITX0PORTINFO24                (JECS_CSU_BASE+0x418*4)
#define JECS_CSU_CPRITX0PORTINFO25                (JECS_CSU_BASE+0x419*4)
#define JECS_CSU_CPRITX0PORTINFO26                (JECS_CSU_BASE+0x41A*4)
#define JECS_CSU_CPRITX0PORTINFO27                (JECS_CSU_BASE+0x41B*4)
#define JECS_CSU_CPRITX0PORTINFO28                (JECS_CSU_BASE+0x41C*4)
#define JECS_CSU_CPRITX0PORTINFO29                (JECS_CSU_BASE+0x41D*4)
#define JECS_CSU_CPRITX0PORTINFO30                (JECS_CSU_BASE+0x41E*4)
#define JECS_CSU_CPRITX0PORTINFO31                (JECS_CSU_BASE+0x41F*4)
#define JECS_CSU_CPRITX0PORTINFO32                (JECS_CSU_BASE+0x420*4)
#define JECS_CSU_CPRITX0PORTINFO33                (JECS_CSU_BASE+0x421*4)
#define JECS_CSU_CPRITX0PORTINFO34                (JECS_CSU_BASE+0x422*4)
#define JECS_CSU_CPRITX0PORTINFO35                (JECS_CSU_BASE+0x423*4)
#define JECS_CSU_CPRITX0PORTINFO36                (JECS_CSU_BASE+0x424*4)
#define JECS_CSU_CPRITX0PORTINFO37                (JECS_CSU_BASE+0x425*4)
#define JECS_CSU_CPRITX0PORTINFO38                (JECS_CSU_BASE+0x426*4)
#define JECS_CSU_CPRITX0PORTINFO39                (JECS_CSU_BASE+0x427*4)
#define JECS_CSU_CPRITX0PORTINFO40                (JECS_CSU_BASE+0x428*4)
#define JECS_CSU_CPRITX0PORTINFO41                (JECS_CSU_BASE+0x429*4)
#define JECS_CSU_CPRITX0PORTINFO42                (JECS_CSU_BASE+0x42A*4)
#define JECS_CSU_CPRITX0PORTINFO43                (JECS_CSU_BASE+0x42B*4)
#define JECS_CSU_CPRITX0PORTINFO44                (JECS_CSU_BASE+0x42C*4)
#define JECS_CSU_CPRITX0PORTINFO45                (JECS_CSU_BASE+0x42D*4)
#define JECS_CSU_CPRITX0PORTINFO46                (JECS_CSU_BASE+0x42E*4)
#define JECS_CSU_CPRITX0PORTINFO47                (JECS_CSU_BASE+0x42F*4)
#define JECS_CSU_CPRITX0PORTINFO48                (JECS_CSU_BASE+0x430*4)
#define JECS_CSU_CPRITX0PORTINFO49                (JECS_CSU_BASE+0x431*4)
#define JECS_CSU_CPRITX0PORTINFO50                (JECS_CSU_BASE+0x432*4)
#define JECS_CSU_CPRITX0PORTINFO51                (JECS_CSU_BASE+0x433*4)
#define JECS_CSU_CPRITX0PORTINFO52                (JECS_CSU_BASE+0x434*4)
#define JECS_CSU_CPRITX0PORTINFO53                (JECS_CSU_BASE+0x435*4)
#define JECS_CSU_CPRITX0PORTINFO54                (JECS_CSU_BASE+0x436*4)
#define JECS_CSU_CPRITX0PORTINFO55                (JECS_CSU_BASE+0x437*4)
#define JECS_CSU_CPRITX0PORTINFO56                (JECS_CSU_BASE+0x438*4)
#define JECS_CSU_CPRITX0PORTINFO57                (JECS_CSU_BASE+0x439*4)
#define JECS_CSU_CPRITX0PORTINFO58                (JECS_CSU_BASE+0x43A*4)
#define JECS_CSU_CPRITX0PORTINFO59                (JECS_CSU_BASE+0x43B*4)
#define JECS_CSU_CPRITX0PORTINFO60                (JECS_CSU_BASE+0x43C*4)
#define JECS_CSU_CPRITX0PORTINFO61                (JECS_CSU_BASE+0x43D*4)
#define JECS_CSU_CPRITX0PORTINFO62                (JECS_CSU_BASE+0x43E*4)
#define JECS_CSU_CPRITX0PORTINFO63                (JECS_CSU_BASE+0x43F*4)
#define JECS_CSU_CPRITX0LATCHINFOL0               (JECS_CSU_BASE+0x450*4)
#define JECS_CSU_CPRITX0LATCHINFOL1               (JECS_CSU_BASE+0x451*4)
#define JECS_CSU_CPRITX0LATCHINFOL2               (JECS_CSU_BASE+0x452*4)
#define JECS_CSU_CPRITX0LATCHINFOL3               (JECS_CSU_BASE+0x453*4)
#define JECS_CSU_CPRITX0LATCHINFOL4               (JECS_CSU_BASE+0x454*4)
#define JECS_CSU_CPRITX0LATCHINFOL5               (JECS_CSU_BASE+0x455*4)
#define JECS_CSU_CPRITX0LATCHINFOL6               (JECS_CSU_BASE+0x456*4)
#define JECS_CSU_CPRITX0LATCHINFOL7               (JECS_CSU_BASE+0x457*4)
#define JECS_CSU_CPRITX0LATCHINFOM0               (JECS_CSU_BASE+0x440*4)
#define JECS_CSU_CPRITX0LATCHINFOM1               (JECS_CSU_BASE+0x441*4)
#define JECS_CSU_CPRITX0LATCHINFOM2               (JECS_CSU_BASE+0x442*4)
#define JECS_CSU_CPRITX0LATCHINFOM3               (JECS_CSU_BASE+0x443*4)
#define JECS_CSU_CPRITX0LATCHINFOM4               (JECS_CSU_BASE+0x444*4)
#define JECS_CSU_CPRITX0LATCHINFOM5               (JECS_CSU_BASE+0x445*4)
#define JECS_CSU_CPRITX0LATCHINFOM6               (JECS_CSU_BASE+0x446*4)
#define JECS_CSU_CPRITX0LATCHINFOM7               (JECS_CSU_BASE+0x447*4)
#define JECS_CSU_CPRITX0LATCHINFOH0               (JECS_CSU_BASE+0x448*4)
#define JECS_CSU_CPRITX0LATCHINFOH1               (JECS_CSU_BASE+0x449*4)
#define JECS_CSU_CPRITX0LATCHINFOH2               (JECS_CSU_BASE+0x44A*4)
#define JECS_CSU_CPRITX0LATCHINFOH3               (JECS_CSU_BASE+0x44B*4)
#define JECS_CSU_CPRITX0LATCHINFOH4               (JECS_CSU_BASE+0x44C*4)
#define JECS_CSU_CPRITX0LATCHINFOH5               (JECS_CSU_BASE+0x44D*4)
#define JECS_CSU_CPRITX0LATCHINFOH6               (JECS_CSU_BASE+0x44E*4)
#define JECS_CSU_CPRITX0LATCHINFOH7               (JECS_CSU_BASE+0x44F*4)
#define JECS_CSU_CPRITX0ONWORK                    (JECS_CSU_BASE+0x47F*4)
#define JECS_CSU_CPRIRX0RFPSET                    (JECS_CSU_BASE+0x4FE*4)
#define JECS_CSU_CPRIRX0PORTINFO0                 (JECS_CSU_BASE+0x480*4)
#define JECS_CSU_CPRIRX0PORTINFO1                 (JECS_CSU_BASE+0x481*4)
#define JECS_CSU_CPRIRX0PORTINFO2                 (JECS_CSU_BASE+0x482*4)
#define JECS_CSU_CPRIRX0PORTINFO3                 (JECS_CSU_BASE+0x483*4)
#define JECS_CSU_CPRIRX0PORTINFO4                 (JECS_CSU_BASE+0x484*4)
#define JECS_CSU_CPRIRX0PORTINFO5                 (JECS_CSU_BASE+0x485*4)
#define JECS_CSU_CPRIRX0PORTINFO6                 (JECS_CSU_BASE+0x486*4)
#define JECS_CSU_CPRIRX0PORTINFO7                 (JECS_CSU_BASE+0x487*4)
#define JECS_CSU_CPRIRX0PORTINFO8                 (JECS_CSU_BASE+0x488*4)
#define JECS_CSU_CPRIRX0PORTINFO9                 (JECS_CSU_BASE+0x489*4)
#define JECS_CSU_CPRIRX0PORTINFO10                (JECS_CSU_BASE+0x48A*4)
#define JECS_CSU_CPRIRX0PORTINFO11                (JECS_CSU_BASE+0x48B*4)
#define JECS_CSU_CPRIRX0PORTINFO12                (JECS_CSU_BASE+0x48C*4)
#define JECS_CSU_CPRIRX0PORTINFO13                (JECS_CSU_BASE+0x48D*4)
#define JECS_CSU_CPRIRX0PORTINFO14                (JECS_CSU_BASE+0x48E*4)
#define JECS_CSU_CPRIRX0PORTINFO15                (JECS_CSU_BASE+0x48F*4)
#define JECS_CSU_CPRIRX0PORTINFO16                (JECS_CSU_BASE+0x490*4)
#define JECS_CSU_CPRIRX0PORTINFO17                (JECS_CSU_BASE+0x491*4)
#define JECS_CSU_CPRIRX0PORTINFO18                (JECS_CSU_BASE+0x492*4)
#define JECS_CSU_CPRIRX0PORTINFO19                (JECS_CSU_BASE+0x493*4)
#define JECS_CSU_CPRIRX0PORTINFO20                (JECS_CSU_BASE+0x494*4)
#define JECS_CSU_CPRIRX0PORTINFO21                (JECS_CSU_BASE+0x495*4)
#define JECS_CSU_CPRIRX0PORTINFO22                (JECS_CSU_BASE+0x496*4)
#define JECS_CSU_CPRIRX0PORTINFO23                (JECS_CSU_BASE+0x497*4)
#define JECS_CSU_CPRIRX0PORTINFO24                (JECS_CSU_BASE+0x498*4)
#define JECS_CSU_CPRIRX0PORTINFO25                (JECS_CSU_BASE+0x499*4)
#define JECS_CSU_CPRIRX0PORTINFO26                (JECS_CSU_BASE+0x49A*4)
#define JECS_CSU_CPRIRX0PORTINFO27                (JECS_CSU_BASE+0x49B*4)
#define JECS_CSU_CPRIRX0PORTINFO28                (JECS_CSU_BASE+0x49C*4)
#define JECS_CSU_CPRIRX0PORTINFO29                (JECS_CSU_BASE+0x49D*4)
#define JECS_CSU_CPRIRX0PORTINFO30                (JECS_CSU_BASE+0x49E*4)
#define JECS_CSU_CPRIRX0PORTINFO31                (JECS_CSU_BASE+0x49F*4)
#define JECS_CSU_CPRIRX0PORTINFO32                (JECS_CSU_BASE+0x4A0*4)
#define JECS_CSU_CPRIRX0PORTINFO33                (JECS_CSU_BASE+0x4A1*4)
#define JECS_CSU_CPRIRX0PORTINFO34                (JECS_CSU_BASE+0x4A2*4)
#define JECS_CSU_CPRIRX0PORTINFO35                (JECS_CSU_BASE+0x4A3*4)
#define JECS_CSU_CPRIRX0PORTINFO36                (JECS_CSU_BASE+0x4A4*4)
#define JECS_CSU_CPRIRX0PORTINFO37                (JECS_CSU_BASE+0x4A5*4)
#define JECS_CSU_CPRIRX0PORTINFO38                (JECS_CSU_BASE+0x4A6*4)
#define JECS_CSU_CPRIRX0PORTINFO39                (JECS_CSU_BASE+0x4A7*4)
#define JECS_CSU_CPRIRX0PORTINFO40                (JECS_CSU_BASE+0x4A8*4)
#define JECS_CSU_CPRIRX0PORTINFO41                (JECS_CSU_BASE+0x4A9*4)
#define JECS_CSU_CPRIRX0PORTINFO42                (JECS_CSU_BASE+0x4AA*4)
#define JECS_CSU_CPRIRX0PORTINFO43                (JECS_CSU_BASE+0x4AB*4)
#define JECS_CSU_CPRIRX0PORTINFO44                (JECS_CSU_BASE+0x4AC*4)
#define JECS_CSU_CPRIRX0PORTINFO45                (JECS_CSU_BASE+0x4AD*4)
#define JECS_CSU_CPRIRX0PORTINFO46                (JECS_CSU_BASE+0x4AE*4)
#define JECS_CSU_CPRIRX0PORTINFO47                (JECS_CSU_BASE+0x4AF*4)
#define JECS_CSU_CPRIRX0PORTINFO48                (JECS_CSU_BASE+0x4B0*4)
#define JECS_CSU_CPRIRX0PORTINFO49                (JECS_CSU_BASE+0x4B1*4)
#define JECS_CSU_CPRIRX0PORTINFO50                (JECS_CSU_BASE+0x4B2*4)
#define JECS_CSU_CPRIRX0PORTINFO51                (JECS_CSU_BASE+0x4B3*4)
#define JECS_CSU_CPRIRX0PORTINFO52                (JECS_CSU_BASE+0x4B4*4)
#define JECS_CSU_CPRIRX0PORTINFO53                (JECS_CSU_BASE+0x4B5*4)
#define JECS_CSU_CPRIRX0PORTINFO54                (JECS_CSU_BASE+0x4B6*4)
#define JECS_CSU_CPRIRX0PORTINFO55                (JECS_CSU_BASE+0x4B7*4)
#define JECS_CSU_CPRIRX0PORTINFO56                (JECS_CSU_BASE+0x4B8*4)
#define JECS_CSU_CPRIRX0PORTINFO57                (JECS_CSU_BASE+0x4B9*4)
#define JECS_CSU_CPRIRX0PORTINFO58                (JECS_CSU_BASE+0x4BA*4)
#define JECS_CSU_CPRIRX0PORTINFO59                (JECS_CSU_BASE+0x4BB*4)
#define JECS_CSU_CPRIRX0PORTINFO60                (JECS_CSU_BASE+0x4BC*4)
#define JECS_CSU_CPRIRX0PORTINFO61                (JECS_CSU_BASE+0x4BD*4)
#define JECS_CSU_CPRIRX0PORTINFO62                (JECS_CSU_BASE+0x4BE*4)
#define JECS_CSU_CPRIRX0PORTINFO63                (JECS_CSU_BASE+0x4BF*4)
#define JECS_CSU_CPRIRX0LATCHINFOL0               (JECS_CSU_BASE+0x4D0*4)
#define JECS_CSU_CPRIRX0LATCHINFOL1               (JECS_CSU_BASE+0x4D1*4)
#define JECS_CSU_CPRIRX0LATCHINFOL2               (JECS_CSU_BASE+0x4D2*4)
#define JECS_CSU_CPRIRX0LATCHINFOL3               (JECS_CSU_BASE+0x4D3*4)
#define JECS_CSU_CPRIRX0LATCHINFOL4               (JECS_CSU_BASE+0x4D4*4)
#define JECS_CSU_CPRIRX0LATCHINFOL5               (JECS_CSU_BASE+0x4D5*4)
#define JECS_CSU_CPRIRX0LATCHINFOL6               (JECS_CSU_BASE+0x4D6*4)
#define JECS_CSU_CPRIRX0LATCHINFOL7               (JECS_CSU_BASE+0x4D7*4)
#define JECS_CSU_CPRIRX0LATCHINFOH0               (JECS_CSU_BASE+0x4C0*4)
#define JECS_CSU_CPRIRX0LATCHINFOH1               (JECS_CSU_BASE+0x4C1*4)
#define JECS_CSU_CPRIRX0LATCHINFOH2               (JECS_CSU_BASE+0x4C2*4)
#define JECS_CSU_CPRIRX0LATCHINFOH3               (JECS_CSU_BASE+0x4C3*4)
#define JECS_CSU_CPRIRX0LATCHINFOH4               (JECS_CSU_BASE+0x4C4*4)
#define JECS_CSU_CPRIRX0LATCHINFOH5               (JECS_CSU_BASE+0x4C5*4)
#define JECS_CSU_CPRIRX0LATCHINFOH6               (JECS_CSU_BASE+0x4C6*4)
#define JECS_CSU_CPRIRX0LATCHINFOH7               (JECS_CSU_BASE+0x4C7*4)
#define JECS_CSU_CPRIRX0CYCLENUM0                 (JECS_CSU_BASE+0x4C8*4)
#define JECS_CSU_CPRIRX0CYCLENUM1                 (JECS_CSU_BASE+0x4C9*4)
#define JECS_CSU_CPRIRX0CYCLENUM2                 (JECS_CSU_BASE+0x4CA*4)
#define JECS_CSU_CPRIRX0CYCLENUM3                 (JECS_CSU_BASE+0x4CB*4)
#define JECS_CSU_CPRIRX0CYCLENUM4                 (JECS_CSU_BASE+0x4CC*4)
#define JECS_CSU_CPRIRX0CYCLENUM5                 (JECS_CSU_BASE+0x4CD*4)
#define JECS_CSU_CPRIRX0CYCLENUM6                 (JECS_CSU_BASE+0x4CE*4)
#define JECS_CSU_CPRIRX0CYCLENUM7                 (JECS_CSU_BASE+0x4CF*4)
#define JECS_CSU_CPRIRX0ONWORK                    (JECS_CSU_BASE+0x4FF*4)
#define JECS_CSU_CPRITX1ONWORK                    (JECS_CSU_BASE+0x57F*4)
#define JECS_CSU_CPRIRX1ONWORK                    (JECS_CSU_BASE+0x5FF*4)
#define JECS_CSU_ECPRIPARA0_0                     (JECS_CSU_BASE+0x600*4)
#define JECS_CSU_ECPRIPARA0_1                     (JECS_CSU_BASE+0x601*4)
#define JECS_CSU_ECPRIPARA0_2                     (JECS_CSU_BASE+0x602*4)
#define JECS_CSU_ECPRIPARA0_3                     (JECS_CSU_BASE+0x603*4)
#define JECS_CSU_ECPRIPARA0_4                     (JECS_CSU_BASE+0x604*4)
#define JECS_CSU_ECPRIPARA0_5                     (JECS_CSU_BASE+0x605*4)
#define JECS_CSU_ECPRIPARA0_6                     (JECS_CSU_BASE+0x606*4)
#define JECS_CSU_ECPRIPARA0_7                     (JECS_CSU_BASE+0x607*4)
#define JECS_CSU_ECPRIPARA1_0                     (JECS_CSU_BASE+0x608*4)
#define JECS_CSU_ECPRIPARA1_1                     (JECS_CSU_BASE+0x609*4)
#define JECS_CSU_ECPRIPARA1_2                     (JECS_CSU_BASE+0x60A*4)
#define JECS_CSU_ECPRIPARA1_3                     (JECS_CSU_BASE+0x60B*4)
#define JECS_CSU_ECPRIPARA1_4                     (JECS_CSU_BASE+0x60C*4)
#define JECS_CSU_ECPRIPARA1_5                     (JECS_CSU_BASE+0x60D*4)
#define JECS_CSU_ECPRIPARA1_6                     (JECS_CSU_BASE+0x60E*4)
#define JECS_CSU_ECPRIPARA1_7                     (JECS_CSU_BASE+0x60F*4)
#define JECS_CSU_ECPRIPARA2_0                     (JECS_CSU_BASE+0x610*4)
#define JECS_CSU_ECPRIPARA2_1                     (JECS_CSU_BASE+0x611*4)
#define JECS_CSU_ECPRIPARA2_2                     (JECS_CSU_BASE+0x612*4)
#define JECS_CSU_ECPRIPARA2_3                     (JECS_CSU_BASE+0x613*4)
#define JECS_CSU_ECPRIPARA2_4                     (JECS_CSU_BASE+0x614*4)
#define JECS_CSU_ECPRIPARA2_5                     (JECS_CSU_BASE+0x615*4)
#define JECS_CSU_ECPRIPARA2_6                     (JECS_CSU_BASE+0x616*4)
#define JECS_CSU_ECPRIPARA2_7                     (JECS_CSU_BASE+0x617*4)
#define JECS_CSU_ECPRIPARA3_0                     (JECS_CSU_BASE+0x618*4)
#define JECS_CSU_ECPRIPARA3_1                     (JECS_CSU_BASE+0x619*4)
#define JECS_CSU_ECPRIPARA3_2                     (JECS_CSU_BASE+0x61A*4)
#define JECS_CSU_ECPRIPARA3_3                     (JECS_CSU_BASE+0x61B*4)
#define JECS_CSU_ECPRIPARA3_4                     (JECS_CSU_BASE+0x61C*4)
#define JECS_CSU_ECPRIPARA3_5                     (JECS_CSU_BASE+0x61D*4)
#define JECS_CSU_ECPRIPARA3_6                     (JECS_CSU_BASE+0x61E*4)
#define JECS_CSU_ECPRIPARA3_7                     (JECS_CSU_BASE+0x61F*4)
#define JECS_CSU_ECPRIPARA4_0                     (JECS_CSU_BASE+0x620*4)
#define JECS_CSU_ECPRIPARA4_1                     (JECS_CSU_BASE+0x621*4)
#define JECS_CSU_ECPRIPARA4_2                     (JECS_CSU_BASE+0x622*4)
#define JECS_CSU_ECPRIPARA4_3                     (JECS_CSU_BASE+0x623*4)
#define JECS_CSU_ECPRIPARA4_4                     (JECS_CSU_BASE+0x624*4)
#define JECS_CSU_ECPRIPARA4_5                     (JECS_CSU_BASE+0x625*4)
#define JECS_CSU_ECPRIPARA4_6                     (JECS_CSU_BASE+0x626*4)
#define JECS_CSU_ECPRIPARA4_7                     (JECS_CSU_BASE+0x627*4)
#define JECS_CSU_ECPRIPARA5_0                     (JECS_CSU_BASE+0x628*4)
#define JECS_CSU_ECPRIPARA5_1                     (JECS_CSU_BASE+0x629*4)
#define JECS_CSU_ECPRIPARA5_2                     (JECS_CSU_BASE+0x62A*4)
#define JECS_CSU_ECPRIPARA5_3                     (JECS_CSU_BASE+0x62B*4)
#define JECS_CSU_ECPRIPARA5_4                     (JECS_CSU_BASE+0x62C*4)
#define JECS_CSU_ECPRIPARA5_5                     (JECS_CSU_BASE+0x62D*4)
#define JECS_CSU_ECPRIPARA5_6                     (JECS_CSU_BASE+0x62E*4)
#define JECS_CSU_ECPRIPARA5_7                     (JECS_CSU_BASE+0x62F*4)
#define JECS_CSU_ECPRIPARA6_0                     (JECS_CSU_BASE+0x630*4)
#define JECS_CSU_ECPRIPARA6_1                     (JECS_CSU_BASE+0x631*4)
#define JECS_CSU_ECPRIPARA6_2                     (JECS_CSU_BASE+0x632*4)
#define JECS_CSU_ECPRIPARA6_3                     (JECS_CSU_BASE+0x633*4)
#define JECS_CSU_ECPRIPARA6_4                     (JECS_CSU_BASE+0x634*4)
#define JECS_CSU_ECPRIPARA6_5                     (JECS_CSU_BASE+0x635*4)
#define JECS_CSU_ECPRIPARA6_6                     (JECS_CSU_BASE+0x636*4)
#define JECS_CSU_ECPRIPARA6_7                     (JECS_CSU_BASE+0x637*4)
#define JECS_CSU_ECPRIPARA7_0                     (JECS_CSU_BASE+0x638*4)
#define JECS_CSU_ECPRIPARA7_1                     (JECS_CSU_BASE+0x639*4)
#define JECS_CSU_ECPRIPARA7_2                     (JECS_CSU_BASE+0x63A*4)
#define JECS_CSU_ECPRIPARA7_3                     (JECS_CSU_BASE+0x63B*4)
#define JECS_CSU_ECPRIPARA7_4                     (JECS_CSU_BASE+0x63C*4)
#define JECS_CSU_ECPRIPARA7_5                     (JECS_CSU_BASE+0x63D*4)
#define JECS_CSU_ECPRIPARA7_6                     (JECS_CSU_BASE+0x63E*4)
#define JECS_CSU_ECPRIPARA7_7                     (JECS_CSU_BASE+0x63F*4)
#define JECS_CSU_ECPRIPARA8_0                     (JECS_CSU_BASE+0x640*4)
#define JECS_CSU_ECPRIPARA8_1                     (JECS_CSU_BASE+0x641*4)
#define JECS_CSU_ECPRIPARA8_2                     (JECS_CSU_BASE+0x642*4)
#define JECS_CSU_ECPRIPARA8_3                     (JECS_CSU_BASE+0x643*4)
#define JECS_CSU_ECPRIPARA8_4                     (JECS_CSU_BASE+0x644*4)
#define JECS_CSU_ECPRIPARA8_5                     (JECS_CSU_BASE+0x645*4)
#define JECS_CSU_ECPRIPARA8_6                     (JECS_CSU_BASE+0x646*4)
#define JECS_CSU_ECPRIPARA8_7                     (JECS_CSU_BASE+0x647*4)
#define JECS_CSU_ECPRIPARA9_0                     (JECS_CSU_BASE+0x648*4)
#define JECS_CSU_ECPRIPARA9_1                     (JECS_CSU_BASE+0x649*4)
#define JECS_CSU_ECPRIPARA9_2                     (JECS_CSU_BASE+0x64A*4)
#define JECS_CSU_ECPRIPARA9_3                     (JECS_CSU_BASE+0x64B*4)
#define JECS_CSU_ECPRIPARA9_4                     (JECS_CSU_BASE+0x64C*4)
#define JECS_CSU_ECPRIPARA9_5                     (JECS_CSU_BASE+0x64D*4)
#define JECS_CSU_ECPRIPARA9_6                     (JECS_CSU_BASE+0x64E*4)
#define JECS_CSU_ECPRIPARA9_7                     (JECS_CSU_BASE+0x64F*4)
#define JECS_CSU_ECPRIPARA10_0                    (JECS_CSU_BASE+0x650*4)
#define JECS_CSU_ECPRIPARA10_1                    (JECS_CSU_BASE+0x651*4)
#define JECS_CSU_ECPRIPARA10_2                    (JECS_CSU_BASE+0x652*4)
#define JECS_CSU_ECPRIPARA10_3                    (JECS_CSU_BASE+0x653*4)
#define JECS_CSU_ECPRIPARA10_4                    (JECS_CSU_BASE+0x654*4)
#define JECS_CSU_ECPRIPARA10_5                    (JECS_CSU_BASE+0x655*4)
#define JECS_CSU_ECPRIPARA10_6                    (JECS_CSU_BASE+0x656*4)
#define JECS_CSU_ECPRIPARA10_7                    (JECS_CSU_BASE+0x657*4)
#define JECS_CSU_ECPRIPARA11_0                    (JECS_CSU_BASE+0x658*4)
#define JECS_CSU_ECPRIPARA11_1                    (JECS_CSU_BASE+0x659*4)
#define JECS_CSU_ECPRIPARA11_2                    (JECS_CSU_BASE+0x65A*4)
#define JECS_CSU_ECPRIPARA11_3                    (JECS_CSU_BASE+0x65B*4)
#define JECS_CSU_ECPRIPARA11_4                    (JECS_CSU_BASE+0x65C*4)
#define JECS_CSU_ECPRIPARA11_5                    (JECS_CSU_BASE+0x65D*4)
#define JECS_CSU_ECPRIPARA11_6                    (JECS_CSU_BASE+0x65E*4)
#define JECS_CSU_ECPRIPARA11_7                    (JECS_CSU_BASE+0x65F*4)
#define JECS_CSU_ECPRIPARA12_0                    (JECS_CSU_BASE+0x660*4)
#define JECS_CSU_ECPRIPARA12_1                    (JECS_CSU_BASE+0x661*4)
#define JECS_CSU_ECPRIPARA12_2                    (JECS_CSU_BASE+0x662*4)
#define JECS_CSU_ECPRIPARA12_3                    (JECS_CSU_BASE+0x663*4)
#define JECS_CSU_ECPRIPARA12_4                    (JECS_CSU_BASE+0x664*4)
#define JECS_CSU_ECPRIPARA12_5                    (JECS_CSU_BASE+0x665*4)
#define JECS_CSU_ECPRIPARA12_6                    (JECS_CSU_BASE+0x666*4)
#define JECS_CSU_ECPRIPARA12_7                    (JECS_CSU_BASE+0x667*4)
#define JECS_CSU_ECPRIPARA13_0                    (JECS_CSU_BASE+0x668*4)
#define JECS_CSU_ECPRIPARA13_1                    (JECS_CSU_BASE+0x669*4)
#define JECS_CSU_ECPRIPARA13_2                    (JECS_CSU_BASE+0x66A*4)
#define JECS_CSU_ECPRIPARA13_3                    (JECS_CSU_BASE+0x66B*4)
#define JECS_CSU_ECPRIPARA13_4                    (JECS_CSU_BASE+0x66C*4)
#define JECS_CSU_ECPRIPARA13_5                    (JECS_CSU_BASE+0x66D*4)
#define JECS_CSU_ECPRIPARA13_6                    (JECS_CSU_BASE+0x66E*4)
#define JECS_CSU_ECPRIPARA13_7                    (JECS_CSU_BASE+0x66F*4)
#define JECS_CSU_ECPRIPARA14_0                    (JECS_CSU_BASE+0x670*4)
#define JECS_CSU_ECPRIPARA14_1                    (JECS_CSU_BASE+0x671*4)
#define JECS_CSU_ECPRIPARA14_2                    (JECS_CSU_BASE+0x672*4)
#define JECS_CSU_ECPRIPARA14_3                    (JECS_CSU_BASE+0x673*4)
#define JECS_CSU_ECPRIPARA14_4                    (JECS_CSU_BASE+0x674*4)
#define JECS_CSU_ECPRIPARA14_5                    (JECS_CSU_BASE+0x675*4)
#define JECS_CSU_ECPRIPARA14_6                    (JECS_CSU_BASE+0x676*4)
#define JECS_CSU_ECPRIPARA14_7                    (JECS_CSU_BASE+0x677*4)
#define JECS_CSU_ECPRIPARA15_0                    (JECS_CSU_BASE+0x678*4)
#define JECS_CSU_ECPRIPARA15_1                    (JECS_CSU_BASE+0x679*4)
#define JECS_CSU_ECPRIPARA15_2                    (JECS_CSU_BASE+0x67A*4)
#define JECS_CSU_ECPRIPARA15_3                    (JECS_CSU_BASE+0x67B*4)
#define JECS_CSU_ECPRIPARA15_4                    (JECS_CSU_BASE+0x67C*4)
#define JECS_CSU_ECPRIPARA15_5                    (JECS_CSU_BASE+0x67D*4)
#define JECS_CSU_ECPRIPARA15_6                    (JECS_CSU_BASE+0x67E*4)
#define JECS_CSU_ECPRIPARA15_7                    (JECS_CSU_BASE+0x67F*4)
#define JECS_CSU_ECPRIPARA16_0                    (JECS_CSU_BASE+0x680*4)
#define JECS_CSU_ECPRIPARA16_1                    (JECS_CSU_BASE+0x681*4)
#define JECS_CSU_ECPRIPARA16_2                    (JECS_CSU_BASE+0x682*4)
#define JECS_CSU_ECPRIPARA16_3                    (JECS_CSU_BASE+0x683*4)
#define JECS_CSU_ECPRIPARA16_4                    (JECS_CSU_BASE+0x684*4)
#define JECS_CSU_ECPRIPARA16_5                    (JECS_CSU_BASE+0x685*4)
#define JECS_CSU_ECPRIPARA16_6                    (JECS_CSU_BASE+0x686*4)
#define JECS_CSU_ECPRIPARA16_7                    (JECS_CSU_BASE+0x687*4)
#define JECS_CSU_ECPRIPARA17_0                    (JECS_CSU_BASE+0x688*4)
#define JECS_CSU_ECPRIPARA17_1                    (JECS_CSU_BASE+0x689*4)
#define JECS_CSU_ECPRIPARA17_2                    (JECS_CSU_BASE+0x68A*4)
#define JECS_CSU_ECPRIPARA17_3                    (JECS_CSU_BASE+0x68B*4)
#define JECS_CSU_ECPRIPARA17_4                    (JECS_CSU_BASE+0x68C*4)
#define JECS_CSU_ECPRIPARA17_5                    (JECS_CSU_BASE+0x68D*4)
#define JECS_CSU_ECPRIPARA17_6                    (JECS_CSU_BASE+0x68E*4)
#define JECS_CSU_ECPRIPARA17_7                    (JECS_CSU_BASE+0x68F*4)
#define JECS_CSU_ECPRIPARA18_0                    (JECS_CSU_BASE+0x690*4)
#define JECS_CSU_ECPRIPARA18_1                    (JECS_CSU_BASE+0x691*4)
#define JECS_CSU_ECPRIPARA18_2                    (JECS_CSU_BASE+0x692*4)
#define JECS_CSU_ECPRIPARA18_3                    (JECS_CSU_BASE+0x693*4)
#define JECS_CSU_ECPRIPARA18_4                    (JECS_CSU_BASE+0x694*4)
#define JECS_CSU_ECPRIPARA18_5                    (JECS_CSU_BASE+0x695*4)
#define JECS_CSU_ECPRIPARA18_6                    (JECS_CSU_BASE+0x696*4)
#define JECS_CSU_ECPRIPARA18_7                    (JECS_CSU_BASE+0x697*4)
#define JECS_CSU_ECPRIPARA19_0                    (JECS_CSU_BASE+0x698*4)
#define JECS_CSU_ECPRIPARA19_1                    (JECS_CSU_BASE+0x699*4)
#define JECS_CSU_ECPRIPARA19_2                    (JECS_CSU_BASE+0x69A*4)
#define JECS_CSU_ECPRIPARA19_3                    (JECS_CSU_BASE+0x69B*4)
#define JECS_CSU_ECPRIPARA19_4                    (JECS_CSU_BASE+0x69C*4)
#define JECS_CSU_ECPRIPARA19_5                    (JECS_CSU_BASE+0x69D*4)
#define JECS_CSU_ECPRIPARA19_6                    (JECS_CSU_BASE+0x69E*4)
#define JECS_CSU_ECPRIPARA19_7                    (JECS_CSU_BASE+0x69F*4)
#define JECS_CSU_ECPRIPARA20_0                    (JECS_CSU_BASE+0x6A0*4)
#define JECS_CSU_ECPRIPARA20_1                    (JECS_CSU_BASE+0x6A1*4)
#define JECS_CSU_ECPRIPARA20_2                    (JECS_CSU_BASE+0x6A2*4)
#define JECS_CSU_ECPRIPARA20_3                    (JECS_CSU_BASE+0x6A3*4)
#define JECS_CSU_ECPRIPARA20_4                    (JECS_CSU_BASE+0x6A4*4)
#define JECS_CSU_ECPRIPARA20_5                    (JECS_CSU_BASE+0x6A5*4)
#define JECS_CSU_ECPRIPARA20_6                    (JECS_CSU_BASE+0x6A6*4)
#define JECS_CSU_ECPRIPARA20_7                    (JECS_CSU_BASE+0x6A7*4)
#define JECS_CSU_ECPRIPARA21_0                    (JECS_CSU_BASE+0x6A8*4)
#define JECS_CSU_ECPRIPARA21_1                    (JECS_CSU_BASE+0x6A9*4)
#define JECS_CSU_ECPRIPARA21_2                    (JECS_CSU_BASE+0x6AA*4)
#define JECS_CSU_ECPRIPARA21_3                    (JECS_CSU_BASE+0x6AB*4)
#define JECS_CSU_ECPRIPARA21_4                    (JECS_CSU_BASE+0x6AC*4)
#define JECS_CSU_ECPRIPARA21_5                    (JECS_CSU_BASE+0x6AD*4)
#define JECS_CSU_ECPRIPARA21_6                    (JECS_CSU_BASE+0x6AE*4)
#define JECS_CSU_ECPRIPARA21_7                    (JECS_CSU_BASE+0x6AF*4)
#define JECS_CSU_ECPRIPARA22_0                    (JECS_CSU_BASE+0x6B0*4)
#define JECS_CSU_ECPRIPARA22_1                    (JECS_CSU_BASE+0x6B1*4)
#define JECS_CSU_ECPRIPARA22_2                    (JECS_CSU_BASE+0x6B2*4)
#define JECS_CSU_ECPRIPARA22_3                    (JECS_CSU_BASE+0x6B3*4)
#define JECS_CSU_ECPRIPARA22_4                    (JECS_CSU_BASE+0x6B4*4)
#define JECS_CSU_ECPRIPARA22_5                    (JECS_CSU_BASE+0x6B5*4)
#define JECS_CSU_ECPRIPARA22_6                    (JECS_CSU_BASE+0x6B6*4)
#define JECS_CSU_ECPRIPARA22_7                    (JECS_CSU_BASE+0x6B7*4)
#define JECS_CSU_ECPRIPARA23_0                    (JECS_CSU_BASE+0x6B8*4)
#define JECS_CSU_ECPRIPARA23_1                    (JECS_CSU_BASE+0x6B9*4)
#define JECS_CSU_ECPRIPARA23_2                    (JECS_CSU_BASE+0x6BA*4)
#define JECS_CSU_ECPRIPARA23_3                    (JECS_CSU_BASE+0x6BB*4)
#define JECS_CSU_ECPRIPARA23_4                    (JECS_CSU_BASE+0x6BC*4)
#define JECS_CSU_ECPRIPARA23_5                    (JECS_CSU_BASE+0x6BD*4)
#define JECS_CSU_ECPRIPARA23_6                    (JECS_CSU_BASE+0x6BE*4)
#define JECS_CSU_ECPRIPARA23_7                    (JECS_CSU_BASE+0x6BF*4)
#define JECS_CSU_ECPRIPARA24_0                    (JECS_CSU_BASE+0x6C0*4)
#define JECS_CSU_ECPRIPARA24_1                    (JECS_CSU_BASE+0x6C1*4)
#define JECS_CSU_ECPRIPARA24_2                    (JECS_CSU_BASE+0x6C2*4)
#define JECS_CSU_ECPRIPARA24_3                    (JECS_CSU_BASE+0x6C3*4)
#define JECS_CSU_ECPRIPARA24_4                    (JECS_CSU_BASE+0x6C4*4)
#define JECS_CSU_ECPRIPARA24_5                    (JECS_CSU_BASE+0x6C5*4)
#define JECS_CSU_ECPRIPARA24_6                    (JECS_CSU_BASE+0x6C6*4)
#define JECS_CSU_ECPRIPARA24_7                    (JECS_CSU_BASE+0x6C7*4)
#define JECS_CSU_ECPRIPARA25_0                    (JECS_CSU_BASE+0x6C8*4)
#define JECS_CSU_ECPRIPARA25_1                    (JECS_CSU_BASE+0x6C9*4)
#define JECS_CSU_ECPRIPARA25_2                    (JECS_CSU_BASE+0x6CA*4)
#define JECS_CSU_ECPRIPARA25_3                    (JECS_CSU_BASE+0x6CB*4)
#define JECS_CSU_ECPRIPARA25_4                    (JECS_CSU_BASE+0x6CC*4)
#define JECS_CSU_ECPRIPARA25_5                    (JECS_CSU_BASE+0x6CD*4)
#define JECS_CSU_ECPRIPARA25_6                    (JECS_CSU_BASE+0x6CE*4)
#define JECS_CSU_ECPRIPARA25_7                    (JECS_CSU_BASE+0x6CF*4)
#define JECS_CSU_ECPRIPARA26_0                    (JECS_CSU_BASE+0x6D0*4)
#define JECS_CSU_ECPRIPARA26_1                    (JECS_CSU_BASE+0x6D1*4)
#define JECS_CSU_ECPRIPARA26_2                    (JECS_CSU_BASE+0x6D2*4)
#define JECS_CSU_ECPRIPARA26_3                    (JECS_CSU_BASE+0x6D3*4)
#define JECS_CSU_ECPRIPARA26_4                    (JECS_CSU_BASE+0x6D4*4)
#define JECS_CSU_ECPRIPARA26_5                    (JECS_CSU_BASE+0x6D5*4)
#define JECS_CSU_ECPRIPARA26_6                    (JECS_CSU_BASE+0x6D6*4)
#define JECS_CSU_ECPRIPARA26_7                    (JECS_CSU_BASE+0x6D7*4)
#define JECS_CSU_ECPRIPARA27_0                    (JECS_CSU_BASE+0x6D8*4)
#define JECS_CSU_ECPRIPARA27_1                    (JECS_CSU_BASE+0x6D9*4)
#define JECS_CSU_ECPRIPARA27_2                    (JECS_CSU_BASE+0x6DA*4)
#define JECS_CSU_ECPRIPARA27_3                    (JECS_CSU_BASE+0x6DB*4)
#define JECS_CSU_ECPRIPARA27_4                    (JECS_CSU_BASE+0x6DC*4)
#define JECS_CSU_ECPRIPARA27_5                    (JECS_CSU_BASE+0x6DD*4)
#define JECS_CSU_ECPRIPARA27_6                    (JECS_CSU_BASE+0x6DE*4)
#define JECS_CSU_ECPRIPARA27_7                    (JECS_CSU_BASE+0x6DF*4)
#define JECS_CSU_ECPRIPARA28_0                    (JECS_CSU_BASE+0x6E0*4)
#define JECS_CSU_ECPRIPARA28_1                    (JECS_CSU_BASE+0x6E1*4)
#define JECS_CSU_ECPRIPARA28_2                    (JECS_CSU_BASE+0x6E2*4)
#define JECS_CSU_ECPRIPARA28_3                    (JECS_CSU_BASE+0x6E3*4)
#define JECS_CSU_ECPRIPARA28_4                    (JECS_CSU_BASE+0x6E4*4)
#define JECS_CSU_ECPRIPARA28_5                    (JECS_CSU_BASE+0x6E5*4)
#define JECS_CSU_ECPRIPARA28_6                    (JECS_CSU_BASE+0x6E6*4)
#define JECS_CSU_ECPRIPARA28_7                    (JECS_CSU_BASE+0x6E7*4)
#define JECS_CSU_ECPRIPARA29_0                    (JECS_CSU_BASE+0x6E8*4)
#define JECS_CSU_ECPRIPARA29_1                    (JECS_CSU_BASE+0x6E9*4)
#define JECS_CSU_ECPRIPARA29_2                    (JECS_CSU_BASE+0x6EA*4)
#define JECS_CSU_ECPRIPARA29_3                    (JECS_CSU_BASE+0x6EB*4)
#define JECS_CSU_ECPRIPARA29_4                    (JECS_CSU_BASE+0x6EC*4)
#define JECS_CSU_ECPRIPARA29_5                    (JECS_CSU_BASE+0x6ED*4)
#define JECS_CSU_ECPRIPARA29_6                    (JECS_CSU_BASE+0x6EE*4)
#define JECS_CSU_ECPRIPARA29_7                    (JECS_CSU_BASE+0x6EF*4)
#define JECS_CSU_ECPRIPARA30_0                    (JECS_CSU_BASE+0x6F0*4)
#define JECS_CSU_ECPRIPARA30_1                    (JECS_CSU_BASE+0x6F1*4)
#define JECS_CSU_ECPRIPARA30_2                    (JECS_CSU_BASE+0x6F2*4)
#define JECS_CSU_ECPRIPARA30_3                    (JECS_CSU_BASE+0x6F3*4)
#define JECS_CSU_ECPRIPARA30_4                    (JECS_CSU_BASE+0x6F4*4)
#define JECS_CSU_ECPRIPARA30_5                    (JECS_CSU_BASE+0x6F5*4)
#define JECS_CSU_ECPRIPARA30_6                    (JECS_CSU_BASE+0x6F6*4)
#define JECS_CSU_ECPRIPARA30_7                    (JECS_CSU_BASE+0x6F7*4)
#define JECS_CSU_ECPRIPARA31_0                    (JECS_CSU_BASE+0x6F8*4)
#define JECS_CSU_ECPRIPARA31_1                    (JECS_CSU_BASE+0x6F9*4)
#define JECS_CSU_ECPRIPARA31_2                    (JECS_CSU_BASE+0x6FA*4)
#define JECS_CSU_ECPRIPARA31_3                    (JECS_CSU_BASE+0x6FB*4)
#define JECS_CSU_ECPRIPARA31_4                    (JECS_CSU_BASE+0x6FC*4)
#define JECS_CSU_ECPRIPARA31_5                    (JECS_CSU_BASE+0x6FD*4)
#define JECS_CSU_ECPRIPARA31_6                    (JECS_CSU_BASE+0x6FE*4)
#define JECS_CSU_ECPRIPARA31_7                    (JECS_CSU_BASE+0x6FF*4)
#define JECS_CSU_ECPRIPARA32_0                    (JECS_CSU_BASE+0x700*4)
#define JECS_CSU_ECPRIPARA32_1                    (JECS_CSU_BASE+0x701*4)
#define JECS_CSU_ECPRIPARA32_2                    (JECS_CSU_BASE+0x702*4)
#define JECS_CSU_ECPRIPARA32_3                    (JECS_CSU_BASE+0x703*4)
#define JECS_CSU_ECPRIPARA32_4                    (JECS_CSU_BASE+0x704*4)
#define JECS_CSU_ECPRIPARA32_5                    (JECS_CSU_BASE+0x705*4)
#define JECS_CSU_ECPRIPARA32_6                    (JECS_CSU_BASE+0x706*4)
#define JECS_CSU_ECPRIPARA32_7                    (JECS_CSU_BASE+0x707*4)
#define JECS_CSU_ECPRIPARA33_0                    (JECS_CSU_BASE+0x708*4)
#define JECS_CSU_ECPRIPARA33_1                    (JECS_CSU_BASE+0x709*4)
#define JECS_CSU_ECPRIPARA33_2                    (JECS_CSU_BASE+0x70A*4)
#define JECS_CSU_ECPRIPARA33_3                    (JECS_CSU_BASE+0x70B*4)
#define JECS_CSU_ECPRIPARA33_4                    (JECS_CSU_BASE+0x70C*4)
#define JECS_CSU_ECPRIPARA33_5                    (JECS_CSU_BASE+0x70D*4)
#define JECS_CSU_ECPRIPARA33_6                    (JECS_CSU_BASE+0x70E*4)
#define JECS_CSU_ECPRIPARA33_7                    (JECS_CSU_BASE+0x70F*4)
#define JECS_CSU_ECPRIPARA34_0                    (JECS_CSU_BASE+0x710*4)
#define JECS_CSU_ECPRIPARA34_1                    (JECS_CSU_BASE+0x711*4)
#define JECS_CSU_ECPRIPARA34_2                    (JECS_CSU_BASE+0x712*4)
#define JECS_CSU_ECPRIPARA34_3                    (JECS_CSU_BASE+0x713*4)
#define JECS_CSU_ECPRIPARA34_4                    (JECS_CSU_BASE+0x714*4)
#define JECS_CSU_ECPRIPARA34_5                    (JECS_CSU_BASE+0x715*4)
#define JECS_CSU_ECPRIPARA34_6                    (JECS_CSU_BASE+0x716*4)
#define JECS_CSU_ECPRIPARA34_7                    (JECS_CSU_BASE+0x717*4)
#define JECS_CSU_ECPRIPARA35_0                    (JECS_CSU_BASE+0x718*4)
#define JECS_CSU_ECPRIPARA35_1                    (JECS_CSU_BASE+0x719*4)
#define JECS_CSU_ECPRIPARA35_2                    (JECS_CSU_BASE+0x71A*4)
#define JECS_CSU_ECPRIPARA35_3                    (JECS_CSU_BASE+0x71B*4)
#define JECS_CSU_ECPRIPARA35_4                    (JECS_CSU_BASE+0x71C*4)
#define JECS_CSU_ECPRIPARA35_5                    (JECS_CSU_BASE+0x71D*4)
#define JECS_CSU_ECPRIPARA35_6                    (JECS_CSU_BASE+0x71E*4)
#define JECS_CSU_ECPRIPARA35_7                    (JECS_CSU_BASE+0x71F*4)
#define JECS_CSU_ECPRIPARA36_0                    (JECS_CSU_BASE+0x720*4)
#define JECS_CSU_ECPRIPARA36_1                    (JECS_CSU_BASE+0x721*4)
#define JECS_CSU_ECPRIPARA36_2                    (JECS_CSU_BASE+0x722*4)
#define JECS_CSU_ECPRIPARA36_3                    (JECS_CSU_BASE+0x723*4)
#define JECS_CSU_ECPRIPARA36_4                    (JECS_CSU_BASE+0x724*4)
#define JECS_CSU_ECPRIPARA36_5                    (JECS_CSU_BASE+0x725*4)
#define JECS_CSU_ECPRIPARA36_6                    (JECS_CSU_BASE+0x726*4)
#define JECS_CSU_ECPRIPARA36_7                    (JECS_CSU_BASE+0x727*4)
#define JECS_CSU_ECPRIPARA37_0                    (JECS_CSU_BASE+0x728*4)
#define JECS_CSU_ECPRIPARA37_1                    (JECS_CSU_BASE+0x729*4)
#define JECS_CSU_ECPRIPARA37_2                    (JECS_CSU_BASE+0x72A*4)
#define JECS_CSU_ECPRIPARA37_3                    (JECS_CSU_BASE+0x72B*4)
#define JECS_CSU_ECPRIPARA37_4                    (JECS_CSU_BASE+0x72C*4)
#define JECS_CSU_ECPRIPARA37_5                    (JECS_CSU_BASE+0x72D*4)
#define JECS_CSU_ECPRIPARA37_6                    (JECS_CSU_BASE+0x72E*4)
#define JECS_CSU_ECPRIPARA37_7                    (JECS_CSU_BASE+0x72F*4)
#define JECS_CSU_ECPRIPARA38_0                    (JECS_CSU_BASE+0x730*4)
#define JECS_CSU_ECPRIPARA38_1                    (JECS_CSU_BASE+0x731*4)
#define JECS_CSU_ECPRIPARA38_2                    (JECS_CSU_BASE+0x732*4)
#define JECS_CSU_ECPRIPARA38_3                    (JECS_CSU_BASE+0x733*4)
#define JECS_CSU_ECPRIPARA38_4                    (JECS_CSU_BASE+0x734*4)
#define JECS_CSU_ECPRIPARA38_5                    (JECS_CSU_BASE+0x735*4)
#define JECS_CSU_ECPRIPARA38_6                    (JECS_CSU_BASE+0x736*4)
#define JECS_CSU_ECPRIPARA38_7                    (JECS_CSU_BASE+0x737*4)
#define JECS_CSU_ECPRIPARA39_0                    (JECS_CSU_BASE+0x738*4)
#define JECS_CSU_ECPRIPARA39_1                    (JECS_CSU_BASE+0x739*4)
#define JECS_CSU_ECPRIPARA39_2                    (JECS_CSU_BASE+0x73A*4)
#define JECS_CSU_ECPRIPARA39_3                    (JECS_CSU_BASE+0x73B*4)
#define JECS_CSU_ECPRIPARA39_4                    (JECS_CSU_BASE+0x73C*4)
#define JECS_CSU_ECPRIPARA39_5                    (JECS_CSU_BASE+0x73D*4)
#define JECS_CSU_ECPRIPARA39_6                    (JECS_CSU_BASE+0x73E*4)
#define JECS_CSU_ECPRIPARA39_7                    (JECS_CSU_BASE+0x73F*4)
#define JECS_CSU_ECPRIPARA40_0                    (JECS_CSU_BASE+0x740*4)
#define JECS_CSU_ECPRIPARA40_1                    (JECS_CSU_BASE+0x741*4)
#define JECS_CSU_ECPRIPARA40_2                    (JECS_CSU_BASE+0x742*4)
#define JECS_CSU_ECPRIPARA40_3                    (JECS_CSU_BASE+0x743*4)
#define JECS_CSU_ECPRIPARA40_4                    (JECS_CSU_BASE+0x744*4)
#define JECS_CSU_ECPRIPARA40_5                    (JECS_CSU_BASE+0x745*4)
#define JECS_CSU_ECPRIPARA40_6                    (JECS_CSU_BASE+0x746*4)
#define JECS_CSU_ECPRIPARA40_7                    (JECS_CSU_BASE+0x747*4)
#define JECS_CSU_ECPRIPARA41_0                    (JECS_CSU_BASE+0x748*4)
#define JECS_CSU_ECPRIPARA41_1                    (JECS_CSU_BASE+0x749*4)
#define JECS_CSU_ECPRIPARA41_2                    (JECS_CSU_BASE+0x74A*4)
#define JECS_CSU_ECPRIPARA41_3                    (JECS_CSU_BASE+0x74B*4)
#define JECS_CSU_ECPRIPARA41_4                    (JECS_CSU_BASE+0x74C*4)
#define JECS_CSU_ECPRIPARA41_5                    (JECS_CSU_BASE+0x74D*4)
#define JECS_CSU_ECPRIPARA41_6                    (JECS_CSU_BASE+0x74E*4)
#define JECS_CSU_ECPRIPARA41_7                    (JECS_CSU_BASE+0x74F*4)
#define JECS_CSU_ECPRIPARA42_0                    (JECS_CSU_BASE+0x750*4)
#define JECS_CSU_ECPRIPARA42_1                    (JECS_CSU_BASE+0x751*4)
#define JECS_CSU_ECPRIPARA42_2                    (JECS_CSU_BASE+0x752*4)
#define JECS_CSU_ECPRIPARA42_3                    (JECS_CSU_BASE+0x753*4)
#define JECS_CSU_ECPRIPARA42_4                    (JECS_CSU_BASE+0x754*4)
#define JECS_CSU_ECPRIPARA42_5                    (JECS_CSU_BASE+0x755*4)
#define JECS_CSU_ECPRIPARA42_6                    (JECS_CSU_BASE+0x756*4)
#define JECS_CSU_ECPRIPARA42_7                    (JECS_CSU_BASE+0x757*4)
#define JECS_CSU_ECPRIPARA43_0                    (JECS_CSU_BASE+0x758*4)
#define JECS_CSU_ECPRIPARA43_1                    (JECS_CSU_BASE+0x759*4)
#define JECS_CSU_ECPRIPARA43_2                    (JECS_CSU_BASE+0x75A*4)
#define JECS_CSU_ECPRIPARA43_3                    (JECS_CSU_BASE+0x75B*4)
#define JECS_CSU_ECPRIPARA43_4                    (JECS_CSU_BASE+0x75C*4)
#define JECS_CSU_ECPRIPARA43_5                    (JECS_CSU_BASE+0x75D*4)
#define JECS_CSU_ECPRIPARA43_6                    (JECS_CSU_BASE+0x75E*4)
#define JECS_CSU_ECPRIPARA43_7                    (JECS_CSU_BASE+0x75F*4)
#define JECS_CSU_ECPRIPARA44_0                    (JECS_CSU_BASE+0x760*4)
#define JECS_CSU_ECPRIPARA44_1                    (JECS_CSU_BASE+0x761*4)
#define JECS_CSU_ECPRIPARA44_2                    (JECS_CSU_BASE+0x762*4)
#define JECS_CSU_ECPRIPARA44_3                    (JECS_CSU_BASE+0x763*4)
#define JECS_CSU_ECPRIPARA44_4                    (JECS_CSU_BASE+0x764*4)
#define JECS_CSU_ECPRIPARA44_5                    (JECS_CSU_BASE+0x765*4)
#define JECS_CSU_ECPRIPARA44_6                    (JECS_CSU_BASE+0x766*4)
#define JECS_CSU_ECPRIPARA44_7                    (JECS_CSU_BASE+0x767*4)
#define JECS_CSU_ECPRIPARA45_0                    (JECS_CSU_BASE+0x768*4)
#define JECS_CSU_ECPRIPARA45_1                    (JECS_CSU_BASE+0x769*4)
#define JECS_CSU_ECPRIPARA45_2                    (JECS_CSU_BASE+0x76A*4)
#define JECS_CSU_ECPRIPARA45_3                    (JECS_CSU_BASE+0x76B*4)
#define JECS_CSU_ECPRIPARA45_4                    (JECS_CSU_BASE+0x76C*4)
#define JECS_CSU_ECPRIPARA45_5                    (JECS_CSU_BASE+0x76D*4)
#define JECS_CSU_ECPRIPARA45_6                    (JECS_CSU_BASE+0x76E*4)
#define JECS_CSU_ECPRIPARA45_7                    (JECS_CSU_BASE+0x76F*4)
#define JECS_CSU_ECPRIPARA46_0                    (JECS_CSU_BASE+0x770*4)
#define JECS_CSU_ECPRIPARA46_1                    (JECS_CSU_BASE+0x771*4)
#define JECS_CSU_ECPRIPARA46_2                    (JECS_CSU_BASE+0x772*4)
#define JECS_CSU_ECPRIPARA46_3                    (JECS_CSU_BASE+0x773*4)
#define JECS_CSU_ECPRIPARA46_4                    (JECS_CSU_BASE+0x774*4)
#define JECS_CSU_ECPRIPARA46_5                    (JECS_CSU_BASE+0x775*4)
#define JECS_CSU_ECPRIPARA46_6                    (JECS_CSU_BASE+0x776*4)
#define JECS_CSU_ECPRIPARA46_7                    (JECS_CSU_BASE+0x777*4)
#define JECS_CSU_ECPRIPARA47_0                    (JECS_CSU_BASE+0x778*4)
#define JECS_CSU_ECPRIPARA47_1                    (JECS_CSU_BASE+0x779*4)
#define JECS_CSU_ECPRIPARA47_2                    (JECS_CSU_BASE+0x77A*4)
#define JECS_CSU_ECPRIPARA47_3                    (JECS_CSU_BASE+0x77B*4)
#define JECS_CSU_ECPRIPARA47_4                    (JECS_CSU_BASE+0x77C*4)
#define JECS_CSU_ECPRIPARA47_5                    (JECS_CSU_BASE+0x77D*4)
#define JECS_CSU_ECPRIPARA47_6                    (JECS_CSU_BASE+0x77E*4)
#define JECS_CSU_ECPRIPARA47_7                    (JECS_CSU_BASE+0x77F*4)
#define JECS_CSU_ECPRIPARA48_0                    (JECS_CSU_BASE+0x780*4)
#define JECS_CSU_ECPRIPARA48_1                    (JECS_CSU_BASE+0x781*4)
#define JECS_CSU_ECPRIPARA48_2                    (JECS_CSU_BASE+0x782*4)
#define JECS_CSU_ECPRIPARA48_3                    (JECS_CSU_BASE+0x783*4)
#define JECS_CSU_ECPRIPARA48_4                    (JECS_CSU_BASE+0x784*4)
#define JECS_CSU_ECPRIPARA48_5                    (JECS_CSU_BASE+0x785*4)
#define JECS_CSU_ECPRIPARA48_6                    (JECS_CSU_BASE+0x786*4)
#define JECS_CSU_ECPRIPARA48_7                    (JECS_CSU_BASE+0x787*4)
#define JECS_CSU_ECPRIPARA49_0                    (JECS_CSU_BASE+0x788*4)
#define JECS_CSU_ECPRIPARA49_1                    (JECS_CSU_BASE+0x789*4)
#define JECS_CSU_ECPRIPARA49_2                    (JECS_CSU_BASE+0x78A*4)
#define JECS_CSU_ECPRIPARA49_3                    (JECS_CSU_BASE+0x78B*4)
#define JECS_CSU_ECPRIPARA49_4                    (JECS_CSU_BASE+0x78C*4)
#define JECS_CSU_ECPRIPARA49_5                    (JECS_CSU_BASE+0x78D*4)
#define JECS_CSU_ECPRIPARA49_6                    (JECS_CSU_BASE+0x78E*4)
#define JECS_CSU_ECPRIPARA49_7                    (JECS_CSU_BASE+0x78F*4)
#define JECS_CSU_ECPRIPARA50_0                    (JECS_CSU_BASE+0x790*4)
#define JECS_CSU_ECPRIPARA50_1                    (JECS_CSU_BASE+0x791*4)
#define JECS_CSU_ECPRIPARA50_2                    (JECS_CSU_BASE+0x792*4)
#define JECS_CSU_ECPRIPARA50_3                    (JECS_CSU_BASE+0x793*4)
#define JECS_CSU_ECPRIPARA50_4                    (JECS_CSU_BASE+0x794*4)
#define JECS_CSU_ECPRIPARA50_5                    (JECS_CSU_BASE+0x795*4)
#define JECS_CSU_ECPRIPARA50_6                    (JECS_CSU_BASE+0x796*4)
#define JECS_CSU_ECPRIPARA50_7                    (JECS_CSU_BASE+0x797*4)
#define JECS_CSU_ECPRIPARA51_0                    (JECS_CSU_BASE+0x798*4)
#define JECS_CSU_ECPRIPARA51_1                    (JECS_CSU_BASE+0x799*4)
#define JECS_CSU_ECPRIPARA51_2                    (JECS_CSU_BASE+0x79A*4)
#define JECS_CSU_ECPRIPARA51_3                    (JECS_CSU_BASE+0x79B*4)
#define JECS_CSU_ECPRIPARA51_4                    (JECS_CSU_BASE+0x79C*4)
#define JECS_CSU_ECPRIPARA51_5                    (JECS_CSU_BASE+0x79D*4)
#define JECS_CSU_ECPRIPARA51_6                    (JECS_CSU_BASE+0x79E*4)
#define JECS_CSU_ECPRIPARA51_7                    (JECS_CSU_BASE+0x79F*4)
#define JECS_CSU_ECPRIPARA52_0                    (JECS_CSU_BASE+0x7A0*4)
#define JECS_CSU_ECPRIPARA52_1                    (JECS_CSU_BASE+0x7A1*4)
#define JECS_CSU_ECPRIPARA52_2                    (JECS_CSU_BASE+0x7A2*4)
#define JECS_CSU_ECPRIPARA52_3                    (JECS_CSU_BASE+0x7A3*4)
#define JECS_CSU_ECPRIPARA52_4                    (JECS_CSU_BASE+0x7A4*4)
#define JECS_CSU_ECPRIPARA52_5                    (JECS_CSU_BASE+0x7A5*4)
#define JECS_CSU_ECPRIPARA52_6                    (JECS_CSU_BASE+0x7A6*4)
#define JECS_CSU_ECPRIPARA52_7                    (JECS_CSU_BASE+0x7A7*4)
#define JECS_CSU_ECPRIPARA53_0                    (JECS_CSU_BASE+0x7A8*4)
#define JECS_CSU_ECPRIPARA53_1                    (JECS_CSU_BASE+0x7A9*4)
#define JECS_CSU_ECPRIPARA53_2                    (JECS_CSU_BASE+0x7AA*4)
#define JECS_CSU_ECPRIPARA53_3                    (JECS_CSU_BASE+0x7AB*4)
#define JECS_CSU_ECPRIPARA53_4                    (JECS_CSU_BASE+0x7AC*4)
#define JECS_CSU_ECPRIPARA53_5                    (JECS_CSU_BASE+0x7AD*4)
#define JECS_CSU_ECPRIPARA53_6                    (JECS_CSU_BASE+0x7AE*4)
#define JECS_CSU_ECPRIPARA53_7                    (JECS_CSU_BASE+0x7AF*4)
#define JECS_CSU_ECPRIPARA54_0                    (JECS_CSU_BASE+0x7B0*4)
#define JECS_CSU_ECPRIPARA54_1                    (JECS_CSU_BASE+0x7B1*4)
#define JECS_CSU_ECPRIPARA54_2                    (JECS_CSU_BASE+0x7B2*4)
#define JECS_CSU_ECPRIPARA54_3                    (JECS_CSU_BASE+0x7B3*4)
#define JECS_CSU_ECPRIPARA54_4                    (JECS_CSU_BASE+0x7B4*4)
#define JECS_CSU_ECPRIPARA54_5                    (JECS_CSU_BASE+0x7B5*4)
#define JECS_CSU_ECPRIPARA54_6                    (JECS_CSU_BASE+0x7B6*4)
#define JECS_CSU_ECPRIPARA54_7                    (JECS_CSU_BASE+0x7B7*4)
#define JECS_CSU_ECPRIPARA55_0                    (JECS_CSU_BASE+0x7B8*4)
#define JECS_CSU_ECPRIPARA55_1                    (JECS_CSU_BASE+0x7B9*4)
#define JECS_CSU_ECPRIPARA55_2                    (JECS_CSU_BASE+0x7BA*4)
#define JECS_CSU_ECPRIPARA55_3                    (JECS_CSU_BASE+0x7BB*4)
#define JECS_CSU_ECPRIPARA55_4                    (JECS_CSU_BASE+0x7BC*4)
#define JECS_CSU_ECPRIPARA55_5                    (JECS_CSU_BASE+0x7BD*4)
#define JECS_CSU_ECPRIPARA55_6                    (JECS_CSU_BASE+0x7BE*4)
#define JECS_CSU_ECPRIPARA55_7                    (JECS_CSU_BASE+0x7BF*4)
#define JECS_CSU_ECPRIPARA56_0                    (JECS_CSU_BASE+0x7C0*4)
#define JECS_CSU_ECPRIPARA56_1                    (JECS_CSU_BASE+0x7C1*4)
#define JECS_CSU_ECPRIPARA56_2                    (JECS_CSU_BASE+0x7C2*4)
#define JECS_CSU_ECPRIPARA56_3                    (JECS_CSU_BASE+0x7C3*4)
#define JECS_CSU_ECPRIPARA56_4                    (JECS_CSU_BASE+0x7C4*4)
#define JECS_CSU_ECPRIPARA56_5                    (JECS_CSU_BASE+0x7C5*4)
#define JECS_CSU_ECPRIPARA56_6                    (JECS_CSU_BASE+0x7C6*4)
#define JECS_CSU_ECPRIPARA56_7                    (JECS_CSU_BASE+0x7C7*4)
#define JECS_CSU_ECPRIPARA57_0                    (JECS_CSU_BASE+0x7C8*4)
#define JECS_CSU_ECPRIPARA57_1                    (JECS_CSU_BASE+0x7C9*4)
#define JECS_CSU_ECPRIPARA57_2                    (JECS_CSU_BASE+0x7CA*4)
#define JECS_CSU_ECPRIPARA57_3                    (JECS_CSU_BASE+0x7CB*4)
#define JECS_CSU_ECPRIPARA57_4                    (JECS_CSU_BASE+0x7CC*4)
#define JECS_CSU_ECPRIPARA57_5                    (JECS_CSU_BASE+0x7CD*4)
#define JECS_CSU_ECPRIPARA57_6                    (JECS_CSU_BASE+0x7CE*4)
#define JECS_CSU_ECPRIPARA57_7                    (JECS_CSU_BASE+0x7CF*4)
#define JECS_CSU_ECPRIPARA58_0                    (JECS_CSU_BASE+0x7D0*4)
#define JECS_CSU_ECPRIPARA58_1                    (JECS_CSU_BASE+0x7D1*4)
#define JECS_CSU_ECPRIPARA58_2                    (JECS_CSU_BASE+0x7D2*4)
#define JECS_CSU_ECPRIPARA58_3                    (JECS_CSU_BASE+0x7D3*4)
#define JECS_CSU_ECPRIPARA58_4                    (JECS_CSU_BASE+0x7D4*4)
#define JECS_CSU_ECPRIPARA58_5                    (JECS_CSU_BASE+0x7D5*4)
#define JECS_CSU_ECPRIPARA58_6                    (JECS_CSU_BASE+0x7D6*4)
#define JECS_CSU_ECPRIPARA58_7                    (JECS_CSU_BASE+0x7D7*4)
#define JECS_CSU_ECPRIPARA59_0                    (JECS_CSU_BASE+0x7D8*4)
#define JECS_CSU_ECPRIPARA59_1                    (JECS_CSU_BASE+0x7D9*4)
#define JECS_CSU_ECPRIPARA59_2                    (JECS_CSU_BASE+0x7DA*4)
#define JECS_CSU_ECPRIPARA59_3                    (JECS_CSU_BASE+0x7DB*4)
#define JECS_CSU_ECPRIPARA59_4                    (JECS_CSU_BASE+0x7DC*4)
#define JECS_CSU_ECPRIPARA59_5                    (JECS_CSU_BASE+0x7DD*4)
#define JECS_CSU_ECPRIPARA59_6                    (JECS_CSU_BASE+0x7DE*4)
#define JECS_CSU_ECPRIPARA59_7                    (JECS_CSU_BASE+0x7DF*4)
#define JECS_CSU_ECPRIPARA60_0                    (JECS_CSU_BASE+0x7E0*4)
#define JECS_CSU_ECPRIPARA60_1                    (JECS_CSU_BASE+0x7E1*4)
#define JECS_CSU_ECPRIPARA60_2                    (JECS_CSU_BASE+0x7E2*4)
#define JECS_CSU_ECPRIPARA60_3                    (JECS_CSU_BASE+0x7E3*4)
#define JECS_CSU_ECPRIPARA60_4                    (JECS_CSU_BASE+0x7E4*4)
#define JECS_CSU_ECPRIPARA60_5                    (JECS_CSU_BASE+0x7E5*4)
#define JECS_CSU_ECPRIPARA60_6                    (JECS_CSU_BASE+0x7E6*4)
#define JECS_CSU_ECPRIPARA60_7                    (JECS_CSU_BASE+0x7E7*4)
#define JECS_CSU_ECPRIPARA61_0                    (JECS_CSU_BASE+0x7E8*4)
#define JECS_CSU_ECPRIPARA61_1                    (JECS_CSU_BASE+0x7E9*4)
#define JECS_CSU_ECPRIPARA61_2                    (JECS_CSU_BASE+0x7EA*4)
#define JECS_CSU_ECPRIPARA61_3                    (JECS_CSU_BASE+0x7EB*4)
#define JECS_CSU_ECPRIPARA61_4                    (JECS_CSU_BASE+0x7EC*4)
#define JECS_CSU_ECPRIPARA61_5                    (JECS_CSU_BASE+0x7ED*4)
#define JECS_CSU_ECPRIPARA61_6                    (JECS_CSU_BASE+0x7EE*4)
#define JECS_CSU_ECPRIPARA61_7                    (JECS_CSU_BASE+0x7EF*4)
#define JECS_CSU_ECPRIPARA62_0                    (JECS_CSU_BASE+0x7F0*4)
#define JECS_CSU_ECPRIPARA62_1                    (JECS_CSU_BASE+0x7F1*4)
#define JECS_CSU_ECPRIPARA62_2                    (JECS_CSU_BASE+0x7F2*4)
#define JECS_CSU_ECPRIPARA62_3                    (JECS_CSU_BASE+0x7F3*4)
#define JECS_CSU_ECPRIPARA62_4                    (JECS_CSU_BASE+0x7F4*4)
#define JECS_CSU_ECPRIPARA62_5                    (JECS_CSU_BASE+0x7F5*4)
#define JECS_CSU_ECPRIPARA62_6                    (JECS_CSU_BASE+0x7F6*4)
#define JECS_CSU_ECPRIPARA62_7                    (JECS_CSU_BASE+0x7F7*4)
#define JECS_CSU_ECPRIPARA63_0                    (JECS_CSU_BASE+0x7F8*4)
#define JECS_CSU_ECPRIPARA63_1                    (JECS_CSU_BASE+0x7F9*4)
#define JECS_CSU_ECPRIPARA63_2                    (JECS_CSU_BASE+0x7FA*4)
#define JECS_CSU_ECPRIPARA63_3                    (JECS_CSU_BASE+0x7FB*4)
#define JECS_CSU_ECPRIPARA63_4                    (JECS_CSU_BASE+0x7FC*4)
#define JECS_CSU_ECPRIPARA63_5                    (JECS_CSU_BASE+0x7FD*4)
#define JECS_CSU_ECPRIPARA63_6                    (JECS_CSU_BASE+0x7FE*4)
#define JECS_CSU_ECPRIPARA63_7                    (JECS_CSU_BASE+0x7FF*4)


#endif
