//******************** (C) COPYRIGHT 2020 SmartLogic*******************************
// FileName           : jesd204.h
// Author             : liugeng, geng.liu@smartlogictech.com
// Date First Issued  : 2022-06-01 06:16:38 PM
// Last Modified      : 2022-06-02 10:12:03 AM
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************


//******************** (C) COPYRIGHT 2020 SmartLogic*******************************
#ifndef __JESD204_H__
#define __JESD204_H__

#define JS_CSU_BASE              0x05F60000
#define JS_COMC_BASE             0x06000000
#define JS_COMC_204B_RX0_BASE    JS_COMC_BASE + 0x0000
#define JS_COMC_204B_RX1_BASE    JS_COMC_BASE + 0x1000
#define JS_COMC_204B_TX_BASE     JS_COMC_BASE + 0x2000
#define JS_COMC_204C_RX0_BASE    JS_COMC_BASE + 0x3000
#define JS_COMC_204C_RX1_BASE    JS_COMC_BASE + 0x4000
#define JS_COMC_204C_TX_BASE     JS_COMC_BASE + 0x5000
#define JS_RX0_TMR_BASE          JS_COMC_BASE + 0x6000
#define JS_RX1_TMR_BASE          JS_COMC_BASE + 0x7000
#define JS_TX0_TMR_BASE          JS_COMC_BASE + 0x8000
#define JS_TX1_TMR_BASE          JS_COMC_BASE + 0x9000
#define JS_204B_RX0_SUBCTRL_BASE      0x06080000
#define JS_204C_RX0_SUBCTRL_BASE      0x06090000
#define JS_204B_RX1_SUBCTRL_BASE      0x060A0000
#define JS_204C_RX1_SUBCTRL_BASE      0x060B0000
#define JS_204B_TX_SUBCTRL_BASE       0x060C0000
#define JS_204C_TX_SUBCTRL_BASE       0x060D0000

#define JS_COMC_204B_RX0_BANK_ID                            (JS_COMC_204B_RX0_BASE + 0x000)
#define JS_COMC_204B_RX0_DID                                (JS_COMC_204B_RX0_BASE + 0x004)
#define JS_COMC_204B_RX0_LID                                (JS_COMC_204B_RX0_BASE + 0x008)
#define JS_COMC_204B_RX0_LID2                               (JS_COMC_204B_RX0_BASE + 0x00C)
#define JS_COMC_204B_RX0_LID3                               (JS_COMC_204B_RX0_BASE + 0x010)
#define JS_COMC_204B_RX0_LID4                               (JS_COMC_204B_RX0_BASE + 0x014)
#define JS_COMC_204B_RX0_DATAPATH_INTERCONNECT              (JS_COMC_204B_RX0_BASE + 0x018)
#define JS_COMC_204B_RX0_SUBCLASS                           (JS_COMC_204B_RX0_BASE + 0x01C)
#define JS_COMC_204B_RX0_CF                                 (JS_COMC_204B_RX0_BASE + 0x020)
#define JS_COMC_204B_RX0_CS                                 (JS_COMC_204B_RX0_BASE + 0x024)
#define JS_COMC_204B_RX0_F                                  (JS_COMC_204B_RX0_BASE + 0x028)
#define JS_COMC_204B_RX0_K                                  (JS_COMC_204B_RX0_BASE + 0x02C)
#define JS_COMC_204B_RX0_L                                  (JS_COMC_204B_RX0_BASE + 0x030)
#define JS_COMC_204B_RX0_N                                  (JS_COMC_204B_RX0_BASE + 0x034)
#define JS_COMC_204B_RX0_M                                  (JS_COMC_204B_RX0_BASE + 0x038)
#define JS_COMC_204B_RX0_NTOTAL                             (JS_COMC_204B_RX0_BASE + 0x03C)
#define JS_COMC_204B_RX0_S                                  (JS_COMC_204B_RX0_BASE + 0x040)
#define JS_COMC_204B_RX0_HD                                 (JS_COMC_204B_RX0_BASE + 0x044)
#define JS_COMC_204B_RX0_SCR                                (JS_COMC_204B_RX0_BASE + 0x048)
#define JS_COMC_204B_RX0_ENABLEMODULE                       (JS_COMC_204B_RX0_BASE + 0x050)
#define JS_COMC_204B_RX0_ENABLELINKTEST                     (JS_COMC_204B_RX0_BASE + 0x054)
#define JS_COMC_204B_RX0_GEN_SYSREF                         (JS_COMC_204B_RX0_BASE + 0x3E4)
#define JS_COMC_204B_RX0_FEC_EN                             (JS_COMC_204B_RX0_BASE + 0x2C4)
#define JS_COMC_204B_RX0_CRC3_EN                            (JS_COMC_204B_RX0_BASE + 0x2C8)
#define JS_COMC_204B_RX0_CRC12_EN                           (JS_COMC_204B_RX0_BASE + 0x2CC)
#define JS_COMC_204B_RX0_SOFT_SYNC                          (JS_COMC_204B_RX0_BASE + 0x2D0)
#define JS_COMC_204B_RX0_E                                  (JS_COMC_204B_RX0_BASE + 0x2D4)
#define JS_COMC_204B_RX0_BIT_ORDER                          (JS_COMC_204B_RX0_BASE + 0x2D8)
#define JS_COMC_204B_RX0_TL_TEST_MODE                       (JS_COMC_204B_RX0_BASE + 0x2DC)
#define JS_COMC_204B_RX0_RESYNC_COUNT_STATUS                (JS_COMC_204B_RX0_BASE + 0x2FC)
#define JS_COMC_204B_RX0_S_ON_IF_REG                        (JS_COMC_204B_RX0_BASE + 0x368)
//#define JS_COMC_204B_RX0_MERGE_CF_GROUP                   (JS_COMC_204B_RX0_BASE + 0x36C)
#define JS_COMC_204B_RX0_CMD_EN                             (JS_COMC_204B_RX0_BASE + 0x370)
#define JS_COMC_204B_RX0_SYSREF_COUNTER_STATUS              (JS_COMC_204B_RX0_BASE + 0x374)
#define JS_COMC_204B_RX0_LINKCONFIGURATIONERROR             (JS_COMC_204B_RX0_BASE + 0x04C)
#define JS_COMC_204B_RX0_LINKTEST_0_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x058)
#define JS_COMC_204B_RX0_LINKTEST_1_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x05C)
#define JS_COMC_204B_RX0_LINKTEST_2_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x060)
#define JS_COMC_204B_RX0_LINKTEST_3_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x064)
#define JS_COMC_204B_RX0_LINKTEST_4_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x068)
#define JS_COMC_204B_RX0_LINKTEST_5_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x06C)
#define JS_COMC_204B_RX0_LINKTEST_6_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x070)
#define JS_COMC_204B_RX0_LINKTEST_7_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x074)
#define JS_COMC_204B_RX0_LINKTEST_8_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x078)
#define JS_COMC_204B_RX0_LINKTEST_9_RECEIVECOUNTER          (JS_COMC_204B_RX0_BASE + 0x07C)
#define JS_COMC_204B_RX0_LINKTEST_10_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x080)
#define JS_COMC_204B_RX0_LINKTEST_11_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x084)
#define JS_COMC_204B_RX0_LINKTEST_12_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x088)
#define JS_COMC_204B_RX0_LINKTEST_13_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x08C)
#define JS_COMC_204B_RX0_LINKTEST_14_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x090)
#define JS_COMC_204B_RX0_LINKTEST_15_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x094)
#define JS_COMC_204B_RX0_LINKTEST_16_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x098)
#define JS_COMC_204B_RX0_LINKTEST_17_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x09C)
#define JS_COMC_204B_RX0_LINKTEST_18_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x0A0)
#define JS_COMC_204B_RX0_LINKTEST_19_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x0A4)
#define JS_COMC_204B_RX0_LINKTEST_20_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x0A8)
#define JS_COMC_204B_RX0_LINKTEST_21_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x0AC)
#define JS_COMC_204B_RX0_LINKTEST_22_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x0B0)
#define JS_COMC_204B_RX0_LINKTEST_23_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x0B4)
#define JS_COMC_204B_RX0_LINKTEST_0_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0C0)
#define JS_COMC_204B_RX0_LINKTEST_1_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0C4)
#define JS_COMC_204B_RX0_LINKTEST_2_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0C8)
#define JS_COMC_204B_RX0_LINKTEST_3_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0CC)
#define JS_COMC_204B_RX0_LINKTEST_4_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0D0)
#define JS_COMC_204B_RX0_LINKTEST_5_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0D4)
#define JS_COMC_204B_RX0_LINKTEST_6_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0D8)
#define JS_COMC_204B_RX0_LINKTEST_7_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0DC)
#define JS_COMC_204B_RX0_LINKTEST_8_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0E0)
#define JS_COMC_204B_RX0_LINKTEST_9_ERRORCOUNTER            (JS_COMC_204B_RX0_BASE + 0x0E4)
#define JS_COMC_204B_RX0_LINKTEST_10_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x0E8)
#define JS_COMC_204B_RX0_LINKTEST_11_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x0EC)
#define JS_COMC_204B_RX0_LINKTEST_12_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x0F0)
#define JS_COMC_204B_RX0_LINKTEST_13_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x0F4)
#define JS_COMC_204B_RX0_LINKTEST_14_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x0F8)
#define JS_COMC_204B_RX0_LINKTEST_15_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x0FC)
#define JS_COMC_204B_RX0_LINKTEST_16_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x100)
#define JS_COMC_204B_RX0_LINKTEST_17_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x104)
#define JS_COMC_204B_RX0_LINKTEST_18_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x108)
#define JS_COMC_204B_RX0_LINKTEST_19_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x10C)
#define JS_COMC_204B_RX0_LINKTEST_20_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x110)
#define JS_COMC_204B_RX0_LINKTEST_21_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x114)
#define JS_COMC_204B_RX0_LINKTEST_22_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x118)
#define JS_COMC_204B_RX0_LINKTEST_23_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x11C)
#define JS_COMC_204B_RX0_FEATURE_DISABLE                    (JS_COMC_204B_RX0_BASE + 0x120)
#define JS_COMC_204B_RX0_CORE_INTERRUPT_MASK                (JS_COMC_204B_RX0_BASE + 0x124)
#define JS_COMC_204B_RX0_CORE_INTERRUPT_STATUS              (JS_COMC_204B_RX0_BASE + 0x128)
#define JS_COMC_204B_RX0_ILAS_DETAILS                       (JS_COMC_204B_RX0_BASE + 0x12C)
#define JS_COMC_204B_RX0_ERR_INJ_REQ                        (JS_COMC_204B_RX0_BASE + 0x130)
#define JS_COMC_204B_RX0_CLK_RATIO                          (JS_COMC_204B_RX0_BASE + 0x13C)
#define JS_COMC_204B_RX0_PRBS_TEST_0_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x140)
#define JS_COMC_204B_RX0_PRBS_TEST_1_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x144)
#define JS_COMC_204B_RX0_PRBS_TEST_2_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x148)
#define JS_COMC_204B_RX0_PRBS_TEST_3_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x14C)
#define JS_COMC_204B_RX0_PRBS_TEST_4_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x150)
#define JS_COMC_204B_RX0_PRBS_TEST_5_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x154)
#define JS_COMC_204B_RX0_PRBS_TEST_6_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x158)
#define JS_COMC_204B_RX0_PRBS_TEST_7_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x15C)
#define JS_COMC_204B_RX0_PRBS_TEST_8_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x160)
#define JS_COMC_204B_RX0_PRBS_TEST_9_ERRORCOUNTER           (JS_COMC_204B_RX0_BASE + 0x164)
#define JS_COMC_204B_RX0_PRBS_TEST_10_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x168)
#define JS_COMC_204B_RX0_PRBS_TEST_11_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x16C)
#define JS_COMC_204B_RX0_PRBS_TEST_12_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x170)
#define JS_COMC_204B_RX0_PRBS_TEST_13_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x174)
#define JS_COMC_204B_RX0_PRBS_TEST_14_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x178)
#define JS_COMC_204B_RX0_PRBS_TEST_15_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x17C)
#define JS_COMC_204B_RX0_PRBS_TEST_16_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x180)
#define JS_COMC_204B_RX0_PRBS_TEST_17_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x184)
#define JS_COMC_204B_RX0_PRBS_TEST_18_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x188)
#define JS_COMC_204B_RX0_PRBS_TEST_19_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x18C)
#define JS_COMC_204B_RX0_PRBS_TEST_20_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x190)
#define JS_COMC_204B_RX0_PRBS_TEST_21_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x194)
#define JS_COMC_204B_RX0_PRBS_TEST_22_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x198)
#define JS_COMC_204B_RX0_PRBS_TEST_23_ERRORCOUNTER          (JS_COMC_204B_RX0_BASE + 0x19C)
#define JS_COMC_204B_RX0_JTSPAT_TEST_0_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1A0)
#define JS_COMC_204B_RX0_JTSPAT_TEST_1_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1A4)
#define JS_COMC_204B_RX0_JTSPAT_TEST_2_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1A8)
#define JS_COMC_204B_RX0_JTSPAT_TEST_3_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1AC)
#define JS_COMC_204B_RX0_JTSPAT_TEST_4_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1B0)
#define JS_COMC_204B_RX0_JTSPAT_TEST_5_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1B4)
#define JS_COMC_204B_RX0_JTSPAT_TEST_6_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1B8)
#define JS_COMC_204B_RX0_JTSPAT_TEST_7_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1BC)
#define JS_COMC_204B_RX0_JTSPAT_TEST_8_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1C0)
#define JS_COMC_204B_RX0_JTSPAT_TEST_9_ERRORCOUNTER         (JS_COMC_204B_RX0_BASE + 0x1C4)
#define JS_COMC_204B_RX0_JTSPAT_TEST_10_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1C8)
#define JS_COMC_204B_RX0_JTSPAT_TEST_11_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1CC)
#define JS_COMC_204B_RX0_JTSPAT_TEST_12_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1D0)
#define JS_COMC_204B_RX0_JTSPAT_TEST_13_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1D4)
#define JS_COMC_204B_RX0_JTSPAT_TEST_14_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1D8)
#define JS_COMC_204B_RX0_JTSPAT_TEST_15_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1DC)
#define JS_COMC_204B_RX0_JTSPAT_TEST_16_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1E0)
#define JS_COMC_204B_RX0_JTSPAT_TEST_17_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1E4)
#define JS_COMC_204B_RX0_JTSPAT_TEST_18_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1E8)
#define JS_COMC_204B_RX0_JTSPAT_TEST_19_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1EC)
#define JS_COMC_204B_RX0_JTSPAT_TEST_20_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1F0)
#define JS_COMC_204B_RX0_JTSPAT_TEST_21_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1F4)
#define JS_COMC_204B_RX0_JTSPAT_TEST_22_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1F8)
#define JS_COMC_204B_RX0_JTSPAT_TEST_23_ERRORCOUNTER        (JS_COMC_204B_RX0_BASE + 0x1FC)
#define JS_COMC_204B_RX0_PRBS_TEST_0_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x200)
#define JS_COMC_204B_RX0_PRBS_TEST_1_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x204)
#define JS_COMC_204B_RX0_PRBS_TEST_2_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x208)
#define JS_COMC_204B_RX0_PRBS_TEST_3_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x20C)
#define JS_COMC_204B_RX0_PRBS_TEST_4_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x210)
#define JS_COMC_204B_RX0_PRBS_TEST_5_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x214)
#define JS_COMC_204B_RX0_PRBS_TEST_6_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x218)
#define JS_COMC_204B_RX0_PRBS_TEST_7_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x21C)
#define JS_COMC_204B_RX0_PRBS_TEST_8_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x220)
#define JS_COMC_204B_RX0_PRBS_TEST_9_RECEIVECOUNTER         (JS_COMC_204B_RX0_BASE + 0x224)
#define JS_COMC_204B_RX0_PRBS_TEST_10_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x228)
#define JS_COMC_204B_RX0_PRBS_TEST_11_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x22C)
#define JS_COMC_204B_RX0_PRBS_TEST_12_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x230)
#define JS_COMC_204B_RX0_PRBS_TEST_13_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x234)
#define JS_COMC_204B_RX0_PRBS_TEST_14_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x238)
#define JS_COMC_204B_RX0_PRBS_TEST_15_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x23C)
#define JS_COMC_204B_RX0_PRBS_TEST_16_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x240)
#define JS_COMC_204B_RX0_PRBS_TEST_17_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x244)
#define JS_COMC_204B_RX0_PRBS_TEST_18_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x248)
#define JS_COMC_204B_RX0_PRBS_TEST_19_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x24C)
#define JS_COMC_204B_RX0_PRBS_TEST_20_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x250)
#define JS_COMC_204B_RX0_PRBS_TEST_21_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x254)
#define JS_COMC_204B_RX0_PRBS_TEST_22_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x258)
#define JS_COMC_204B_RX0_PRBS_TEST_23_RECEIVECOUNTER        (JS_COMC_204B_RX0_BASE + 0x25C)
#define JS_COMC_204B_RX0_JTSPAT_TEST_0_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x260)
#define JS_COMC_204B_RX0_JTSPAT_TEST_1_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x264)
#define JS_COMC_204B_RX0_JTSPAT_TEST_2_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x268)
#define JS_COMC_204B_RX0_JTSPAT_TEST_3_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x26C)
#define JS_COMC_204B_RX0_JTSPAT_TEST_4_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x270)
#define JS_COMC_204B_RX0_JTSPAT_TEST_5_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x274)
#define JS_COMC_204B_RX0_JTSPAT_TEST_6_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x278)
#define JS_COMC_204B_RX0_JTSPAT_TEST_7_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x27C)
#define JS_COMC_204B_RX0_JTSPAT_TEST_8_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x280)
#define JS_COMC_204B_RX0_JTSPAT_TEST_9_RECEIVECOUNTER       (JS_COMC_204B_RX0_BASE + 0x284)
#define JS_COMC_204B_RX0_JTSPAT_TEST_10_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x288)
#define JS_COMC_204B_RX0_JTSPAT_TEST_11_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x28C)
#define JS_COMC_204B_RX0_JTSPAT_TEST_12_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x290)
#define JS_COMC_204B_RX0_JTSPAT_TEST_13_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x294)
#define JS_COMC_204B_RX0_JTSPAT_TEST_14_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x298)
#define JS_COMC_204B_RX0_JTSPAT_TEST_15_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x29C)
#define JS_COMC_204B_RX0_JTSPAT_TEST_16_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x2A0)
#define JS_COMC_204B_RX0_JTSPAT_TEST_17_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x2A4)
#define JS_COMC_204B_RX0_JTSPAT_TEST_18_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x2A8)
#define JS_COMC_204B_RX0_JTSPAT_TEST_19_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x2AC)
#define JS_COMC_204B_RX0_JTSPAT_TEST_20_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x2B0)
#define JS_COMC_204B_RX0_JTSPAT_TEST_21_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x2B4)
#define JS_COMC_204B_RX0_JTSPAT_TEST_22_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x2B8)
#define JS_COMC_204B_RX0_JTSPAT_TEST_23_RECEIVECOUNTER      (JS_COMC_204B_RX0_BASE + 0x2BC)
#define JS_COMC_204B_RX0_LMFC_LEMC_DELAY                    (JS_COMC_204B_RX0_BASE + 0x2E0)
#define JS_COMC_204B_RX0_SYSREF_CONFIG                      (JS_COMC_204B_RX0_BASE + 0x2E4)
#define JS_COMC_204B_RX0_MAST_INST                          (JS_COMC_204B_RX0_BASE + 0x2E8)
#define JS_COMC_204B_RX0_SH_LOCK_STATUS                     (JS_COMC_204B_RX0_BASE + 0x2EC)
#define JS_COMC_204B_RX0_SH_LOCK_LOSS_STATUS                (JS_COMC_204B_RX0_BASE + 0x2F0)
#define JS_COMC_204B_RX0_EMB_LOCK_STATUS                    (JS_COMC_204B_RX0_BASE + 0x2F4)
#define JS_COMC_204B_RX0_EMB_LOCK_LOSS_STATUS               (JS_COMC_204B_RX0_BASE + 0x2F8)
#define JS_COMC_204B_RX0_LEMC_BOUNDARY_PHASE                (JS_COMC_204B_RX0_BASE + 0x3D8)
#define JS_COMC_204B_RX0_RBD_LENGTH_OCTETS                  (JS_COMC_204B_RX0_BASE + 0x3DC)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE0                 (JS_COMC_204B_RX0_BASE + 0x300)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE1                 (JS_COMC_204B_RX0_BASE + 0x304)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE2                 (JS_COMC_204B_RX0_BASE + 0x308)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE3                 (JS_COMC_204B_RX0_BASE + 0x30C)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE4                 (JS_COMC_204B_RX0_BASE + 0x310)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE5                 (JS_COMC_204B_RX0_BASE + 0x314)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE6                 (JS_COMC_204B_RX0_BASE + 0x318)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE7                 (JS_COMC_204B_RX0_BASE + 0x31C)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE8                 (JS_COMC_204B_RX0_BASE + 0x320)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE9                 (JS_COMC_204B_RX0_BASE + 0x324)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE10                (JS_COMC_204B_RX0_BASE + 0x328)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE11                (JS_COMC_204B_RX0_BASE + 0x32C)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE12                (JS_COMC_204B_RX0_BASE + 0x330)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE13                (JS_COMC_204B_RX0_BASE + 0x334)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE14                (JS_COMC_204B_RX0_BASE + 0x338)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE15                (JS_COMC_204B_RX0_BASE + 0x33C)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE16                (JS_COMC_204B_RX0_BASE + 0x340)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE17                (JS_COMC_204B_RX0_BASE + 0x344)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE18                (JS_COMC_204B_RX0_BASE + 0x348)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE19                (JS_COMC_204B_RX0_BASE + 0x34C)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE20                (JS_COMC_204B_RX0_BASE + 0x350)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE21                (JS_COMC_204B_RX0_BASE + 0x354)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE22                (JS_COMC_204B_RX0_BASE + 0x358)
#define JS_COMC_204B_RX0_ERROR_REPORT_LANE23                (JS_COMC_204B_RX0_BASE + 0x35C)
#define JS_COMC_204B_RX0_TRESH_EMB_ERR                      (JS_COMC_204B_RX0_BASE + 0x360)
#define JS_COMC_204B_RX0_TRESH_SH_ERR                       (JS_COMC_204B_RX0_BASE + 0x364)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE0              (JS_COMC_204B_RX0_BASE + 0x378)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE1              (JS_COMC_204B_RX0_BASE + 0x37C)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE2              (JS_COMC_204B_RX0_BASE + 0x380)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE3              (JS_COMC_204B_RX0_BASE + 0x384)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE4              (JS_COMC_204B_RX0_BASE + 0x388)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE5              (JS_COMC_204B_RX0_BASE + 0x38C)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE6              (JS_COMC_204B_RX0_BASE + 0x390)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE7              (JS_COMC_204B_RX0_BASE + 0x394)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE8              (JS_COMC_204B_RX0_BASE + 0x398)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE9              (JS_COMC_204B_RX0_BASE + 0x39C)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE10             (JS_COMC_204B_RX0_BASE + 0x3A0)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE11             (JS_COMC_204B_RX0_BASE + 0x3A4)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE12             (JS_COMC_204B_RX0_BASE + 0x3A8)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE13             (JS_COMC_204B_RX0_BASE + 0x3AC)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE14             (JS_COMC_204B_RX0_BASE + 0x3B0)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE15             (JS_COMC_204B_RX0_BASE + 0x3B4)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE16             (JS_COMC_204B_RX0_BASE + 0x3B8)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE17             (JS_COMC_204B_RX0_BASE + 0x3BC)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE18             (JS_COMC_204B_RX0_BASE + 0x3C0)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE19             (JS_COMC_204B_RX0_BASE + 0x3C4)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE20             (JS_COMC_204B_RX0_BASE + 0x3C8)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE21             (JS_COMC_204B_RX0_BASE + 0x3CC)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE22             (JS_COMC_204B_RX0_BASE + 0x3D0)
#define JS_COMC_204B_RX0_ICOUNTER_REPORT_LANE23             (JS_COMC_204B_RX0_BASE + 0x3D4)

#define JS_COMC_204B_RX1_BANK_ID                            (JS_COMC_204B_RX1_BASE + 0x000)
#define JS_COMC_204B_RX1_DID                                (JS_COMC_204B_RX1_BASE + 0x004)
#define JS_COMC_204B_RX1_LID                                (JS_COMC_204B_RX1_BASE + 0x008)
#define JS_COMC_204B_RX1_LID2                               (JS_COMC_204B_RX1_BASE + 0x00C)
#define JS_COMC_204B_RX1_LID3                               (JS_COMC_204B_RX1_BASE + 0x010)
#define JS_COMC_204B_RX1_LID4                               (JS_COMC_204B_RX1_BASE + 0x014)
#define JS_COMC_204B_RX1_DATAPATH_INTERCONNECT              (JS_COMC_204B_RX1_BASE + 0x018)
#define JS_COMC_204B_RX1_SUBCLASS                           (JS_COMC_204B_RX1_BASE + 0x01C)
#define JS_COMC_204B_RX1_CF                                 (JS_COMC_204B_RX1_BASE + 0x020)
#define JS_COMC_204B_RX1_CS                                 (JS_COMC_204B_RX1_BASE + 0x024)
#define JS_COMC_204B_RX1_F                                  (JS_COMC_204B_RX1_BASE + 0x028)
#define JS_COMC_204B_RX1_K                                  (JS_COMC_204B_RX1_BASE + 0x02C)
#define JS_COMC_204B_RX1_L                                  (JS_COMC_204B_RX1_BASE + 0x030)
#define JS_COMC_204B_RX1_N                                  (JS_COMC_204B_RX1_BASE + 0x034)
#define JS_COMC_204B_RX1_M                                  (JS_COMC_204B_RX1_BASE + 0x038)
#define JS_COMC_204B_RX1_NTOTAL                             (JS_COMC_204B_RX1_BASE + 0x03C)
#define JS_COMC_204B_RX1_S                                  (JS_COMC_204B_RX1_BASE + 0x040)
#define JS_COMC_204B_RX1_HD                                 (JS_COMC_204B_RX1_BASE + 0x044)
#define JS_COMC_204B_RX1_SCR                                (JS_COMC_204B_RX1_BASE + 0x048)
#define JS_COMC_204B_RX1_ENABLEMODULE                       (JS_COMC_204B_RX1_BASE + 0x050)
#define JS_COMC_204B_RX1_ENABLELINKTEST                     (JS_COMC_204B_RX1_BASE + 0x054)
#define JS_COMC_204B_RX1_GEN_SYSREF                         (JS_COMC_204B_RX1_BASE + 0x3E4)
#define JS_COMC_204B_RX1_FEC_EN                             (JS_COMC_204B_RX1_BASE + 0x2C4)
#define JS_COMC_204B_RX1_CRC3_EN                            (JS_COMC_204B_RX1_BASE + 0x2C8)
#define JS_COMC_204B_RX1_CRC12_EN                           (JS_COMC_204B_RX1_BASE + 0x2CC)
#define JS_COMC_204B_RX1_SOFT_SYNC                          (JS_COMC_204B_RX1_BASE + 0x2D0)
#define JS_COMC_204B_RX1_E                                  (JS_COMC_204B_RX1_BASE + 0x2D4)
#define JS_COMC_204B_RX1_BIT_ORDER                          (JS_COMC_204B_RX1_BASE + 0x2D8)
#define JS_COMC_204B_RX1_TL_TEST_MODE                       (JS_COMC_204B_RX1_BASE + 0x2DC)
#define JS_COMC_204B_RX1_RESYNC_COUNT_STATUS                (JS_COMC_204B_RX1_BASE + 0x2FC)
#define JS_COMC_204B_RX1_S_ON_IF_REG                        (JS_COMC_204B_RX1_BASE + 0x368)
//#define JS_COMC_204B_RX1_MERGE_CF_GROUP                   (JS_COMC_204B_RX1_BASE + 0x36C)
#define JS_COMC_204B_RX1_CMD_EN                             (JS_COMC_204B_RX1_BASE + 0x370)
#define JS_COMC_204B_RX1_SYSREF_COUNTER_STATUS              (JS_COMC_204B_RX1_BASE + 0x374)
#define JS_COMC_204B_RX1_LINKCONFIGURATIONERROR             (JS_COMC_204B_RX1_BASE + 0x04C)
#define JS_COMC_204B_RX1_LINKTEST_0_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x058)
#define JS_COMC_204B_RX1_LINKTEST_1_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x05C)
#define JS_COMC_204B_RX1_LINKTEST_2_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x060)
#define JS_COMC_204B_RX1_LINKTEST_3_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x064)
#define JS_COMC_204B_RX1_LINKTEST_4_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x068)
#define JS_COMC_204B_RX1_LINKTEST_5_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x06C)
#define JS_COMC_204B_RX1_LINKTEST_6_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x070)
#define JS_COMC_204B_RX1_LINKTEST_7_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x074)
#define JS_COMC_204B_RX1_LINKTEST_8_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x078)
#define JS_COMC_204B_RX1_LINKTEST_9_RECEIVECOUNTER          (JS_COMC_204B_RX1_BASE + 0x07C)
#define JS_COMC_204B_RX1_LINKTEST_10_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x080)
#define JS_COMC_204B_RX1_LINKTEST_11_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x084)
#define JS_COMC_204B_RX1_LINKTEST_12_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x088)
#define JS_COMC_204B_RX1_LINKTEST_13_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x08C)
#define JS_COMC_204B_RX1_LINKTEST_14_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x090)
#define JS_COMC_204B_RX1_LINKTEST_15_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x094)
#define JS_COMC_204B_RX1_LINKTEST_16_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x098)
#define JS_COMC_204B_RX1_LINKTEST_17_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x09C)
#define JS_COMC_204B_RX1_LINKTEST_18_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x0A0)
#define JS_COMC_204B_RX1_LINKTEST_19_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x0A4)
#define JS_COMC_204B_RX1_LINKTEST_20_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x0A8)
#define JS_COMC_204B_RX1_LINKTEST_21_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x0AC)
#define JS_COMC_204B_RX1_LINKTEST_22_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x0B0)
#define JS_COMC_204B_RX1_LINKTEST_23_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x0B4)
#define JS_COMC_204B_RX1_LINKTEST_0_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0C0)
#define JS_COMC_204B_RX1_LINKTEST_1_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0C4)
#define JS_COMC_204B_RX1_LINKTEST_2_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0C8)
#define JS_COMC_204B_RX1_LINKTEST_3_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0CC)
#define JS_COMC_204B_RX1_LINKTEST_4_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0D0)
#define JS_COMC_204B_RX1_LINKTEST_5_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0D4)
#define JS_COMC_204B_RX1_LINKTEST_6_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0D8)
#define JS_COMC_204B_RX1_LINKTEST_7_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0DC)
#define JS_COMC_204B_RX1_LINKTEST_8_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0E0)
#define JS_COMC_204B_RX1_LINKTEST_9_ERRORCOUNTER            (JS_COMC_204B_RX1_BASE + 0x0E4)
#define JS_COMC_204B_RX1_LINKTEST_10_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x0E8)
#define JS_COMC_204B_RX1_LINKTEST_11_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x0EC)
#define JS_COMC_204B_RX1_LINKTEST_12_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x0F0)
#define JS_COMC_204B_RX1_LINKTEST_13_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x0F4)
#define JS_COMC_204B_RX1_LINKTEST_14_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x0F8)
#define JS_COMC_204B_RX1_LINKTEST_15_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x0FC)
#define JS_COMC_204B_RX1_LINKTEST_16_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x100)
#define JS_COMC_204B_RX1_LINKTEST_17_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x104)
#define JS_COMC_204B_RX1_LINKTEST_18_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x108)
#define JS_COMC_204B_RX1_LINKTEST_19_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x10C)
#define JS_COMC_204B_RX1_LINKTEST_20_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x110)
#define JS_COMC_204B_RX1_LINKTEST_21_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x114)
#define JS_COMC_204B_RX1_LINKTEST_22_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x118)
#define JS_COMC_204B_RX1_LINKTEST_23_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x11C)
#define JS_COMC_204B_RX1_FEATURE_DISABLE                    (JS_COMC_204B_RX1_BASE + 0x120)
#define JS_COMC_204B_RX1_CORE_INTERRUPT_MASK                (JS_COMC_204B_RX1_BASE + 0x124)
#define JS_COMC_204B_RX1_CORE_INTERRUPT_STATUS              (JS_COMC_204B_RX1_BASE + 0x128)
#define JS_COMC_204B_RX1_ILAS_DETAILS                       (JS_COMC_204B_RX1_BASE + 0x12C)
#define JS_COMC_204B_RX1_ERR_INJ_REQ                        (JS_COMC_204B_RX1_BASE + 0x130)
#define JS_COMC_204B_RX1_CLK_RATIO                          (JS_COMC_204B_RX1_BASE + 0x13C)
#define JS_COMC_204B_RX1_PRBS_TEST_0_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x140)
#define JS_COMC_204B_RX1_PRBS_TEST_1_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x144)
#define JS_COMC_204B_RX1_PRBS_TEST_2_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x148)
#define JS_COMC_204B_RX1_PRBS_TEST_3_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x14C)
#define JS_COMC_204B_RX1_PRBS_TEST_4_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x150)
#define JS_COMC_204B_RX1_PRBS_TEST_5_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x154)
#define JS_COMC_204B_RX1_PRBS_TEST_6_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x158)
#define JS_COMC_204B_RX1_PRBS_TEST_7_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x15C)
#define JS_COMC_204B_RX1_PRBS_TEST_8_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x160)
#define JS_COMC_204B_RX1_PRBS_TEST_9_ERRORCOUNTER           (JS_COMC_204B_RX1_BASE + 0x164)
#define JS_COMC_204B_RX1_PRBS_TEST_10_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x168)
#define JS_COMC_204B_RX1_PRBS_TEST_11_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x16C)
#define JS_COMC_204B_RX1_PRBS_TEST_12_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x170)
#define JS_COMC_204B_RX1_PRBS_TEST_13_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x174)
#define JS_COMC_204B_RX1_PRBS_TEST_14_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x178)
#define JS_COMC_204B_RX1_PRBS_TEST_15_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x17C)
#define JS_COMC_204B_RX1_PRBS_TEST_16_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x180)
#define JS_COMC_204B_RX1_PRBS_TEST_17_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x184)
#define JS_COMC_204B_RX1_PRBS_TEST_18_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x188)
#define JS_COMC_204B_RX1_PRBS_TEST_19_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x18C)
#define JS_COMC_204B_RX1_PRBS_TEST_20_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x190)
#define JS_COMC_204B_RX1_PRBS_TEST_21_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x194)
#define JS_COMC_204B_RX1_PRBS_TEST_22_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x198)
#define JS_COMC_204B_RX1_PRBS_TEST_23_ERRORCOUNTER          (JS_COMC_204B_RX1_BASE + 0x19C)
#define JS_COMC_204B_RX1_JTSPAT_TEST_0_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1A0)
#define JS_COMC_204B_RX1_JTSPAT_TEST_1_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1A4)
#define JS_COMC_204B_RX1_JTSPAT_TEST_2_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1A8)
#define JS_COMC_204B_RX1_JTSPAT_TEST_3_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1AC)
#define JS_COMC_204B_RX1_JTSPAT_TEST_4_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1B0)
#define JS_COMC_204B_RX1_JTSPAT_TEST_5_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1B4)
#define JS_COMC_204B_RX1_JTSPAT_TEST_6_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1B8)
#define JS_COMC_204B_RX1_JTSPAT_TEST_7_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1BC)
#define JS_COMC_204B_RX1_JTSPAT_TEST_8_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1C0)
#define JS_COMC_204B_RX1_JTSPAT_TEST_9_ERRORCOUNTER         (JS_COMC_204B_RX1_BASE + 0x1C4)
#define JS_COMC_204B_RX1_JTSPAT_TEST_10_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1C8)
#define JS_COMC_204B_RX1_JTSPAT_TEST_11_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1CC)
#define JS_COMC_204B_RX1_JTSPAT_TEST_12_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1D0)
#define JS_COMC_204B_RX1_JTSPAT_TEST_13_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1D4)
#define JS_COMC_204B_RX1_JTSPAT_TEST_14_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1D8)
#define JS_COMC_204B_RX1_JTSPAT_TEST_15_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1DC)
#define JS_COMC_204B_RX1_JTSPAT_TEST_16_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1E0)
#define JS_COMC_204B_RX1_JTSPAT_TEST_17_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1E4)
#define JS_COMC_204B_RX1_JTSPAT_TEST_18_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1E8)
#define JS_COMC_204B_RX1_JTSPAT_TEST_19_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1EC)
#define JS_COMC_204B_RX1_JTSPAT_TEST_20_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1F0)
#define JS_COMC_204B_RX1_JTSPAT_TEST_21_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1F4)
#define JS_COMC_204B_RX1_JTSPAT_TEST_22_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1F8)
#define JS_COMC_204B_RX1_JTSPAT_TEST_23_ERRORCOUNTER        (JS_COMC_204B_RX1_BASE + 0x1FC)
#define JS_COMC_204B_RX1_PRBS_TEST_0_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x200)
#define JS_COMC_204B_RX1_PRBS_TEST_1_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x204)
#define JS_COMC_204B_RX1_PRBS_TEST_2_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x208)
#define JS_COMC_204B_RX1_PRBS_TEST_3_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x20C)
#define JS_COMC_204B_RX1_PRBS_TEST_4_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x210)
#define JS_COMC_204B_RX1_PRBS_TEST_5_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x214)
#define JS_COMC_204B_RX1_PRBS_TEST_6_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x218)
#define JS_COMC_204B_RX1_PRBS_TEST_7_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x21C)
#define JS_COMC_204B_RX1_PRBS_TEST_8_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x220)
#define JS_COMC_204B_RX1_PRBS_TEST_9_RECEIVECOUNTER         (JS_COMC_204B_RX1_BASE + 0x224)
#define JS_COMC_204B_RX1_PRBS_TEST_10_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x228)
#define JS_COMC_204B_RX1_PRBS_TEST_11_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x22C)
#define JS_COMC_204B_RX1_PRBS_TEST_12_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x230)
#define JS_COMC_204B_RX1_PRBS_TEST_13_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x234)
#define JS_COMC_204B_RX1_PRBS_TEST_14_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x238)
#define JS_COMC_204B_RX1_PRBS_TEST_15_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x23C)
#define JS_COMC_204B_RX1_PRBS_TEST_16_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x240)
#define JS_COMC_204B_RX1_PRBS_TEST_17_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x244)
#define JS_COMC_204B_RX1_PRBS_TEST_18_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x248)
#define JS_COMC_204B_RX1_PRBS_TEST_19_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x24C)
#define JS_COMC_204B_RX1_PRBS_TEST_20_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x250)
#define JS_COMC_204B_RX1_PRBS_TEST_21_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x254)
#define JS_COMC_204B_RX1_PRBS_TEST_22_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x258)
#define JS_COMC_204B_RX1_PRBS_TEST_23_RECEIVECOUNTER        (JS_COMC_204B_RX1_BASE + 0x25C)
#define JS_COMC_204B_RX1_JTSPAT_TEST_0_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x260)
#define JS_COMC_204B_RX1_JTSPAT_TEST_1_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x264)
#define JS_COMC_204B_RX1_JTSPAT_TEST_2_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x268)
#define JS_COMC_204B_RX1_JTSPAT_TEST_3_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x26C)
#define JS_COMC_204B_RX1_JTSPAT_TEST_4_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x270)
#define JS_COMC_204B_RX1_JTSPAT_TEST_5_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x274)
#define JS_COMC_204B_RX1_JTSPAT_TEST_6_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x278)
#define JS_COMC_204B_RX1_JTSPAT_TEST_7_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x27C)
#define JS_COMC_204B_RX1_JTSPAT_TEST_8_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x280)
#define JS_COMC_204B_RX1_JTSPAT_TEST_9_RECEIVECOUNTER       (JS_COMC_204B_RX1_BASE + 0x284)
#define JS_COMC_204B_RX1_JTSPAT_TEST_10_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x288)
#define JS_COMC_204B_RX1_JTSPAT_TEST_11_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x28C)
#define JS_COMC_204B_RX1_JTSPAT_TEST_12_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x290)
#define JS_COMC_204B_RX1_JTSPAT_TEST_13_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x294)
#define JS_COMC_204B_RX1_JTSPAT_TEST_14_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x298)
#define JS_COMC_204B_RX1_JTSPAT_TEST_15_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x29C)
#define JS_COMC_204B_RX1_JTSPAT_TEST_16_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x2A0)
#define JS_COMC_204B_RX1_JTSPAT_TEST_17_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x2A4)
#define JS_COMC_204B_RX1_JTSPAT_TEST_18_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x2A8)
#define JS_COMC_204B_RX1_JTSPAT_TEST_19_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x2AC)
#define JS_COMC_204B_RX1_JTSPAT_TEST_20_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x2B0)
#define JS_COMC_204B_RX1_JTSPAT_TEST_21_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x2B4)
#define JS_COMC_204B_RX1_JTSPAT_TEST_22_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x2B8)
#define JS_COMC_204B_RX1_JTSPAT_TEST_23_RECEIVECOUNTER      (JS_COMC_204B_RX1_BASE + 0x2BC)
#define JS_COMC_204B_RX1_LMFC_LEMC_DELAY                    (JS_COMC_204B_RX1_BASE + 0x2E0)
#define JS_COMC_204B_RX1_SYSREF_CONFIG                      (JS_COMC_204B_RX1_BASE + 0x2E4)
#define JS_COMC_204B_RX1_MAST_INST                          (JS_COMC_204B_RX1_BASE + 0x2E8)
#define JS_COMC_204B_RX1_SH_LOCK_STATUS                     (JS_COMC_204B_RX1_BASE + 0x2EC)
#define JS_COMC_204B_RX1_SH_LOCK_LOSS_STATUS                (JS_COMC_204B_RX1_BASE + 0x2F0)
#define JS_COMC_204B_RX1_EMB_LOCK_STATUS                    (JS_COMC_204B_RX1_BASE + 0x2F4)
#define JS_COMC_204B_RX1_EMB_LOCK_LOSS_STATUS               (JS_COMC_204B_RX1_BASE + 0x2F8)
#define JS_COMC_204B_RX1_LEMC_BOUNDARY_PHASE                (JS_COMC_204B_RX1_BASE + 0x3D8)
#define JS_COMC_204B_RX1_RBD_LENGTH_OCTETS                  (JS_COMC_204B_RX1_BASE + 0x3DC)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE0                 (JS_COMC_204B_RX1_BASE + 0x300)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE1                 (JS_COMC_204B_RX1_BASE + 0x304)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE2                 (JS_COMC_204B_RX1_BASE + 0x308)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE3                 (JS_COMC_204B_RX1_BASE + 0x30C)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE4                 (JS_COMC_204B_RX1_BASE + 0x310)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE5                 (JS_COMC_204B_RX1_BASE + 0x314)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE6                 (JS_COMC_204B_RX1_BASE + 0x318)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE7                 (JS_COMC_204B_RX1_BASE + 0x31C)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE8                 (JS_COMC_204B_RX1_BASE + 0x320)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE9                 (JS_COMC_204B_RX1_BASE + 0x324)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE10                (JS_COMC_204B_RX1_BASE + 0x328)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE11                (JS_COMC_204B_RX1_BASE + 0x32C)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE12                (JS_COMC_204B_RX1_BASE + 0x330)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE13                (JS_COMC_204B_RX1_BASE + 0x334)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE14                (JS_COMC_204B_RX1_BASE + 0x338)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE15                (JS_COMC_204B_RX1_BASE + 0x33C)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE16                (JS_COMC_204B_RX1_BASE + 0x340)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE17                (JS_COMC_204B_RX1_BASE + 0x344)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE18                (JS_COMC_204B_RX1_BASE + 0x348)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE19                (JS_COMC_204B_RX1_BASE + 0x34C)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE20                (JS_COMC_204B_RX1_BASE + 0x350)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE21                (JS_COMC_204B_RX1_BASE + 0x354)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE22                (JS_COMC_204B_RX1_BASE + 0x358)
#define JS_COMC_204B_RX1_ERROR_REPORT_LANE23                (JS_COMC_204B_RX1_BASE + 0x35C)
#define JS_COMC_204B_RX1_TRESH_EMB_ERR                      (JS_COMC_204B_RX1_BASE + 0x360)
#define JS_COMC_204B_RX1_TRESH_SH_ERR                       (JS_COMC_204B_RX1_BASE + 0x364)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE0              (JS_COMC_204B_RX1_BASE + 0x378)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE1              (JS_COMC_204B_RX1_BASE + 0x37C)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE2              (JS_COMC_204B_RX1_BASE + 0x380)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE3              (JS_COMC_204B_RX1_BASE + 0x384)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE4              (JS_COMC_204B_RX1_BASE + 0x388)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE5              (JS_COMC_204B_RX1_BASE + 0x38C)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE6              (JS_COMC_204B_RX1_BASE + 0x390)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE7              (JS_COMC_204B_RX1_BASE + 0x394)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE8              (JS_COMC_204B_RX1_BASE + 0x398)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE9              (JS_COMC_204B_RX1_BASE + 0x39C)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE10             (JS_COMC_204B_RX1_BASE + 0x3A0)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE11             (JS_COMC_204B_RX1_BASE + 0x3A4)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE12             (JS_COMC_204B_RX1_BASE + 0x3A8)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE13             (JS_COMC_204B_RX1_BASE + 0x3AC)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE14             (JS_COMC_204B_RX1_BASE + 0x3B0)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE15             (JS_COMC_204B_RX1_BASE + 0x3B4)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE16             (JS_COMC_204B_RX1_BASE + 0x3B8)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE17             (JS_COMC_204B_RX1_BASE + 0x3BC)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE18             (JS_COMC_204B_RX1_BASE + 0x3C0)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE19             (JS_COMC_204B_RX1_BASE + 0x3C4)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE20             (JS_COMC_204B_RX1_BASE + 0x3C8)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE21             (JS_COMC_204B_RX1_BASE + 0x3CC)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE22             (JS_COMC_204B_RX1_BASE + 0x3D0)
#define JS_COMC_204B_RX1_ICOUNTER_REPORT_LANE23             (JS_COMC_204B_RX1_BASE + 0x3D4)

#define JS_COMC_204B_TX_BANK_ID                             (JS_COMC_204B_TX_BASE + 0x000)
#define JS_COMC_204B_TX_DID                                 (JS_COMC_204B_TX_BASE + 0x004)
#define JS_COMC_204B_TX_LID                                 (JS_COMC_204B_TX_BASE + 0x008)
#define JS_COMC_204B_TX_LID2                                (JS_COMC_204B_TX_BASE + 0x00C)
#define JS_COMC_204B_TX_LID3                                (JS_COMC_204B_TX_BASE + 0x010)
#define JS_COMC_204B_TX_LID4                                (JS_COMC_204B_TX_BASE + 0x014)
#define JS_COMC_204B_TX_DATAPATH_INTERCONNECT               (JS_COMC_204B_TX_BASE + 0x018)
#define JS_COMC_204B_TX_SUBCLASS                            (JS_COMC_204B_TX_BASE + 0x01C)
#define JS_COMC_204B_TX_CF                                  (JS_COMC_204B_TX_BASE + 0x020)
#define JS_COMC_204B_TX_CS                                  (JS_COMC_204B_TX_BASE + 0x024)
#define JS_COMC_204B_TX_F                                   (JS_COMC_204B_TX_BASE + 0x028)
#define JS_COMC_204B_TX_K                                   (JS_COMC_204B_TX_BASE + 0x02C)
#define JS_COMC_204B_TX_L                                   (JS_COMC_204B_TX_BASE + 0x030)
#define JS_COMC_204B_TX_N                                   (JS_COMC_204B_TX_BASE + 0x034)
#define JS_COMC_204B_TX_M                                   (JS_COMC_204B_TX_BASE + 0x038)
#define JS_COMC_204B_TX_NTOTAL                              (JS_COMC_204B_TX_BASE + 0x03C)
#define JS_COMC_204B_TX_S                                   (JS_COMC_204B_TX_BASE + 0x040)
#define JS_COMC_204B_TX_HD                                  (JS_COMC_204B_TX_BASE + 0x044)
#define JS_COMC_204B_TX_SCR                                 (JS_COMC_204B_TX_BASE + 0x048)
#define JS_COMC_204B_TX_ENABLEMODULE                        (JS_COMC_204B_TX_BASE + 0x050)
#define JS_COMC_204B_TX_ENABLELINKTEST                      (JS_COMC_204B_TX_BASE + 0x054)
#define JS_COMC_204B_TX_GEN_SYSREF                          (JS_COMC_204B_TX_BASE + 0x3E4)
#define JS_COMC_204B_TX_FEC_EN                              (JS_COMC_204B_TX_BASE + 0x2C4)
#define JS_COMC_204B_TX_CRC3_EN                             (JS_COMC_204B_TX_BASE + 0x2C8)
#define JS_COMC_204B_TX_CRC12_EN                            (JS_COMC_204B_TX_BASE + 0x2CC)
#define JS_COMC_204B_TX_SOFT_SYNC                           (JS_COMC_204B_TX_BASE + 0x2D0)
#define JS_COMC_204B_TX_E                                   (JS_COMC_204B_TX_BASE + 0x2D4)
#define JS_COMC_204B_TX_BIT_ORDER                           (JS_COMC_204B_TX_BASE + 0x2D8)
#define JS_COMC_204B_TX_TL_TEST_MODE                        (JS_COMC_204B_TX_BASE + 0x2DC)
#define JS_COMC_204B_TX_RESYNC_COUNT_STATUS                 (JS_COMC_204B_TX_BASE + 0x2FC)
#define JS_COMC_204B_TX_S_ON_IF_REG                         (JS_COMC_204B_TX_BASE + 0x368)
//#define JS_COMC_204B_TX_MERGE_CF_GROUP                    (JS_COMC_204B_TX_BASE + 0x36C)
#define JS_COMC_204B_TX_CMD_EN                              (JS_COMC_204B_TX_BASE + 0x370)
#define JS_COMC_204B_TX_SYSREF_COUNTER_STATUS               (JS_COMC_204B_TX_BASE + 0x374)
//#define JS_COMC_204B_TX_TAILBITS                          (JS_COMC_204B_TX_BASE + 0x058)
#define JS_COMC_204B_TX_LINKTEST_CUSTOM_DATA                (JS_COMC_204B_TX_BASE + 0x05C)
#define JS_COMC_204B_TX_LINKTEST_CUSTOM_ENABLE              (JS_COMC_204B_TX_BASE + 0x060)
#define JS_COMC_204B_TX_FEATURE_DISABLE                     (JS_COMC_204B_TX_BASE + 0x120)
#define JS_COMC_204B_TX_CORE_INTERRUPT_MASK                 (JS_COMC_204B_TX_BASE + 0x124)
#define JS_COMC_204B_TX_CORE_INTERRUPT_STATUS               (JS_COMC_204B_TX_BASE + 0x128)
#define JS_COMC_204B_TX_ILAS_DETAILS                        (JS_COMC_204B_TX_BASE + 0x12C)
#define JS_COMC_204B_TX_CLK_RATIO                           (JS_COMC_204B_TX_BASE + 0x13C)
#define JS_COMC_204B_TX_FIRST_SYMBOL_DISP                   (JS_COMC_204B_TX_BASE + 0x140)
#define JS_COMC_204B_TX_TL_LATENCY                          (JS_COMC_204B_TX_BASE + 0x2C0)
#define JS_COMC_204B_TX_LMFC_LEMC_DELAY                     (JS_COMC_204B_TX_BASE + 0x2E0)
#define JS_COMC_204B_TX_SYSREF_CONFIG                       (JS_COMC_204B_TX_BASE + 0x2E4)
#define JS_COMC_204B_TX_SAMPLE_REQ                          (JS_COMC_204B_TX_BASE + 0x3E0)

#define JS_COMC_204C_RX0_BANK_ID                            (JS_COMC_204C_RX0_BASE + 0x000)
#define JS_COMC_204C_RX0_DID                                (JS_COMC_204C_RX0_BASE + 0x004)
#define JS_COMC_204C_RX0_LID                                (JS_COMC_204C_RX0_BASE + 0x008)
#define JS_COMC_204C_RX0_LID2                               (JS_COMC_204C_RX0_BASE + 0x00C)
#define JS_COMC_204C_RX0_LID3                               (JS_COMC_204C_RX0_BASE + 0x010)
#define JS_COMC_204C_RX0_LID4                               (JS_COMC_204C_RX0_BASE + 0x014)
#define JS_COMC_204C_RX0_DATAPATH_INTERCONNECT              (JS_COMC_204C_RX0_BASE + 0x018)
#define JS_COMC_204C_RX0_SUBCLASS                           (JS_COMC_204C_RX0_BASE + 0x01C)
#define JS_COMC_204C_RX0_CF                                 (JS_COMC_204C_RX0_BASE + 0x020)
#define JS_COMC_204C_RX0_CS                                 (JS_COMC_204C_RX0_BASE + 0x024)
#define JS_COMC_204C_RX0_F                                  (JS_COMC_204C_RX0_BASE + 0x028)
#define JS_COMC_204C_RX0_K                                  (JS_COMC_204C_RX0_BASE + 0x02C)
#define JS_COMC_204C_RX0_L                                  (JS_COMC_204C_RX0_BASE + 0x030)
#define JS_COMC_204C_RX0_N                                  (JS_COMC_204C_RX0_BASE + 0x034)
#define JS_COMC_204C_RX0_M                                  (JS_COMC_204C_RX0_BASE + 0x038)
#define JS_COMC_204C_RX0_NTOTAL                             (JS_COMC_204C_RX0_BASE + 0x03C)
#define JS_COMC_204C_RX0_S                                  (JS_COMC_204C_RX0_BASE + 0x040)
#define JS_COMC_204C_RX0_HD                                 (JS_COMC_204C_RX0_BASE + 0x044)
#define JS_COMC_204C_RX0_SCR                                (JS_COMC_204C_RX0_BASE + 0x048)
#define JS_COMC_204C_RX0_ENABLEMODULE                       (JS_COMC_204C_RX0_BASE + 0x050)
#define JS_COMC_204C_RX0_ENABLELINKTEST                     (JS_COMC_204C_RX0_BASE + 0x054)
#define JS_COMC_204C_RX0_GEN_SYSREF                         (JS_COMC_204C_RX0_BASE + 0x3E4)
#define JS_COMC_204C_RX0_FEC_EN                             (JS_COMC_204C_RX0_BASE + 0x2C4)
#define JS_COMC_204C_RX0_CRC3_EN                            (JS_COMC_204C_RX0_BASE + 0x2C8)
#define JS_COMC_204C_RX0_CRC12_EN                           (JS_COMC_204C_RX0_BASE + 0x2CC)
#define JS_COMC_204C_RX0_SOFT_SYNC                          (JS_COMC_204C_RX0_BASE + 0x2D0)
#define JS_COMC_204C_RX0_E                                  (JS_COMC_204C_RX0_BASE + 0x2D4)
#define JS_COMC_204C_RX0_BIT_ORDER                          (JS_COMC_204C_RX0_BASE + 0x2D8)
#define JS_COMC_204C_RX0_TL_TEST_MODE                       (JS_COMC_204C_RX0_BASE + 0x2DC)
#define JS_COMC_204C_RX0_RESYNC_COUNT_STATUS                (JS_COMC_204C_RX0_BASE + 0x2FC)
#define JS_COMC_204C_RX0_S_ON_IF_REG                        (JS_COMC_204C_RX0_BASE + 0x368)
//#define JS_COMC_204C_RX0_MERGE_CF_GROUP                   (JS_COMC_204C_RX0_BASE + 0x36C)
#define JS_COMC_204C_RX0_CMD_EN                             (JS_COMC_204C_RX0_BASE + 0x370)
#define JS_COMC_204C_RX0_SYSREF_COUNTER_STATUS              (JS_COMC_204C_RX0_BASE + 0x374)
#define JS_COMC_204C_RX0_LINKCONFIGURATIONERROR             (JS_COMC_204C_RX0_BASE + 0x04C)
#define JS_COMC_204C_RX0_LINKTEST_0_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x058)
#define JS_COMC_204C_RX0_LINKTEST_1_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x05C)
#define JS_COMC_204C_RX0_LINKTEST_2_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x060)
#define JS_COMC_204C_RX0_LINKTEST_3_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x064)
#define JS_COMC_204C_RX0_LINKTEST_4_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x068)
#define JS_COMC_204C_RX0_LINKTEST_5_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x06C)
#define JS_COMC_204C_RX0_LINKTEST_6_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x070)
#define JS_COMC_204C_RX0_LINKTEST_7_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x074)
#define JS_COMC_204C_RX0_LINKTEST_8_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x078)
#define JS_COMC_204C_RX0_LINKTEST_9_RECEIVECOUNTER          (JS_COMC_204C_RX0_BASE + 0x07C)
#define JS_COMC_204C_RX0_LINKTEST_10_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x080)
#define JS_COMC_204C_RX0_LINKTEST_11_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x084)
#define JS_COMC_204C_RX0_LINKTEST_12_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x088)
#define JS_COMC_204C_RX0_LINKTEST_13_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x08C)
#define JS_COMC_204C_RX0_LINKTEST_14_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x090)
#define JS_COMC_204C_RX0_LINKTEST_15_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x094)
#define JS_COMC_204C_RX0_LINKTEST_16_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x098)
#define JS_COMC_204C_RX0_LINKTEST_17_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x09C)
#define JS_COMC_204C_RX0_LINKTEST_18_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x0A0)
#define JS_COMC_204C_RX0_LINKTEST_19_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x0A4)
#define JS_COMC_204C_RX0_LINKTEST_20_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x0A8)
#define JS_COMC_204C_RX0_LINKTEST_21_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x0AC)
#define JS_COMC_204C_RX0_LINKTEST_22_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x0B0)
#define JS_COMC_204C_RX0_LINKTEST_23_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x0B4)
#define JS_COMC_204C_RX0_LINKTEST_0_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0C0)
#define JS_COMC_204C_RX0_LINKTEST_1_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0C4)
#define JS_COMC_204C_RX0_LINKTEST_2_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0C8)
#define JS_COMC_204C_RX0_LINKTEST_3_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0CC)
#define JS_COMC_204C_RX0_LINKTEST_4_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0D0)
#define JS_COMC_204C_RX0_LINKTEST_5_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0D4)
#define JS_COMC_204C_RX0_LINKTEST_6_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0D8)
#define JS_COMC_204C_RX0_LINKTEST_7_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0DC)
#define JS_COMC_204C_RX0_LINKTEST_8_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0E0)
#define JS_COMC_204C_RX0_LINKTEST_9_ERRORCOUNTER            (JS_COMC_204C_RX0_BASE + 0x0E4)
#define JS_COMC_204C_RX0_LINKTEST_10_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x0E8)
#define JS_COMC_204C_RX0_LINKTEST_11_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x0EC)
#define JS_COMC_204C_RX0_LINKTEST_12_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x0F0)
#define JS_COMC_204C_RX0_LINKTEST_13_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x0F4)
#define JS_COMC_204C_RX0_LINKTEST_14_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x0F8)
#define JS_COMC_204C_RX0_LINKTEST_15_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x0FC)
#define JS_COMC_204C_RX0_LINKTEST_16_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x100)
#define JS_COMC_204C_RX0_LINKTEST_17_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x104)
#define JS_COMC_204C_RX0_LINKTEST_18_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x108)
#define JS_COMC_204C_RX0_LINKTEST_19_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x10C)
#define JS_COMC_204C_RX0_LINKTEST_20_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x110)
#define JS_COMC_204C_RX0_LINKTEST_21_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x114)
#define JS_COMC_204C_RX0_LINKTEST_22_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x118)
#define JS_COMC_204C_RX0_LINKTEST_23_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x11C)
#define JS_COMC_204C_RX0_FEATURE_DISABLE                    (JS_COMC_204C_RX0_BASE + 0x120)
#define JS_COMC_204C_RX0_CORE_INTERRUPT_MASK                (JS_COMC_204C_RX0_BASE + 0x124)
#define JS_COMC_204C_RX0_CORE_INTERRUPT_STATUS              (JS_COMC_204C_RX0_BASE + 0x128)
#define JS_COMC_204C_RX0_ILAS_DETAILS                       (JS_COMC_204C_RX0_BASE + 0x12C)
#define JS_COMC_204C_RX0_ERR_INJ_REQ                        (JS_COMC_204C_RX0_BASE + 0x130)
#define JS_COMC_204C_RX0_CLK_RATIO                          (JS_COMC_204C_RX0_BASE + 0x13C)
#define JS_COMC_204C_RX0_PRBS_TEST_0_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x140)
#define JS_COMC_204C_RX0_PRBS_TEST_1_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x144)
#define JS_COMC_204C_RX0_PRBS_TEST_2_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x148)
#define JS_COMC_204C_RX0_PRBS_TEST_3_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x14C)
#define JS_COMC_204C_RX0_PRBS_TEST_4_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x150)
#define JS_COMC_204C_RX0_PRBS_TEST_5_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x154)
#define JS_COMC_204C_RX0_PRBS_TEST_6_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x158)
#define JS_COMC_204C_RX0_PRBS_TEST_7_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x15C)
#define JS_COMC_204C_RX0_PRBS_TEST_8_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x160)
#define JS_COMC_204C_RX0_PRBS_TEST_9_ERRORCOUNTER           (JS_COMC_204C_RX0_BASE + 0x164)
#define JS_COMC_204C_RX0_PRBS_TEST_10_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x168)
#define JS_COMC_204C_RX0_PRBS_TEST_11_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x16C)
#define JS_COMC_204C_RX0_PRBS_TEST_12_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x170)
#define JS_COMC_204C_RX0_PRBS_TEST_13_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x174)
#define JS_COMC_204C_RX0_PRBS_TEST_14_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x178)
#define JS_COMC_204C_RX0_PRBS_TEST_15_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x17C)
#define JS_COMC_204C_RX0_PRBS_TEST_16_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x180)
#define JS_COMC_204C_RX0_PRBS_TEST_17_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x184)
#define JS_COMC_204C_RX0_PRBS_TEST_18_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x188)
#define JS_COMC_204C_RX0_PRBS_TEST_19_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x18C)
#define JS_COMC_204C_RX0_PRBS_TEST_20_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x190)
#define JS_COMC_204C_RX0_PRBS_TEST_21_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x194)
#define JS_COMC_204C_RX0_PRBS_TEST_22_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x198)
#define JS_COMC_204C_RX0_PRBS_TEST_23_ERRORCOUNTER          (JS_COMC_204C_RX0_BASE + 0x19C)
#define JS_COMC_204C_RX0_JTSPAT_TEST_0_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1A0)
#define JS_COMC_204C_RX0_JTSPAT_TEST_1_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1A4)
#define JS_COMC_204C_RX0_JTSPAT_TEST_2_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1A8)
#define JS_COMC_204C_RX0_JTSPAT_TEST_3_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1AC)
#define JS_COMC_204C_RX0_JTSPAT_TEST_4_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1B0)
#define JS_COMC_204C_RX0_JTSPAT_TEST_5_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1B4)
#define JS_COMC_204C_RX0_JTSPAT_TEST_6_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1B8)
#define JS_COMC_204C_RX0_JTSPAT_TEST_7_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1BC)
#define JS_COMC_204C_RX0_JTSPAT_TEST_8_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1C0)
#define JS_COMC_204C_RX0_JTSPAT_TEST_9_ERRORCOUNTER         (JS_COMC_204C_RX0_BASE + 0x1C4)
#define JS_COMC_204C_RX0_JTSPAT_TEST_10_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1C8)
#define JS_COMC_204C_RX0_JTSPAT_TEST_11_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1CC)
#define JS_COMC_204C_RX0_JTSPAT_TEST_12_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1D0)
#define JS_COMC_204C_RX0_JTSPAT_TEST_13_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1D4)
#define JS_COMC_204C_RX0_JTSPAT_TEST_14_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1D8)
#define JS_COMC_204C_RX0_JTSPAT_TEST_15_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1DC)
#define JS_COMC_204C_RX0_JTSPAT_TEST_16_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1E0)
#define JS_COMC_204C_RX0_JTSPAT_TEST_17_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1E4)
#define JS_COMC_204C_RX0_JTSPAT_TEST_18_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1E8)
#define JS_COMC_204C_RX0_JTSPAT_TEST_19_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1EC)
#define JS_COMC_204C_RX0_JTSPAT_TEST_20_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1F0)
#define JS_COMC_204C_RX0_JTSPAT_TEST_21_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1F4)
#define JS_COMC_204C_RX0_JTSPAT_TEST_22_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1F8)
#define JS_COMC_204C_RX0_JTSPAT_TEST_23_ERRORCOUNTER        (JS_COMC_204C_RX0_BASE + 0x1FC)
#define JS_COMC_204C_RX0_PRBS_TEST_0_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x200)
#define JS_COMC_204C_RX0_PRBS_TEST_1_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x204)
#define JS_COMC_204C_RX0_PRBS_TEST_2_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x208)
#define JS_COMC_204C_RX0_PRBS_TEST_3_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x20C)
#define JS_COMC_204C_RX0_PRBS_TEST_4_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x210)
#define JS_COMC_204C_RX0_PRBS_TEST_5_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x214)
#define JS_COMC_204C_RX0_PRBS_TEST_6_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x218)
#define JS_COMC_204C_RX0_PRBS_TEST_7_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x21C)
#define JS_COMC_204C_RX0_PRBS_TEST_8_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x220)
#define JS_COMC_204C_RX0_PRBS_TEST_9_RECEIVECOUNTER         (JS_COMC_204C_RX0_BASE + 0x224)
#define JS_COMC_204C_RX0_PRBS_TEST_10_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x228)
#define JS_COMC_204C_RX0_PRBS_TEST_11_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x22C)
#define JS_COMC_204C_RX0_PRBS_TEST_12_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x230)
#define JS_COMC_204C_RX0_PRBS_TEST_13_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x234)
#define JS_COMC_204C_RX0_PRBS_TEST_14_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x238)
#define JS_COMC_204C_RX0_PRBS_TEST_15_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x23C)
#define JS_COMC_204C_RX0_PRBS_TEST_16_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x240)
#define JS_COMC_204C_RX0_PRBS_TEST_17_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x244)
#define JS_COMC_204C_RX0_PRBS_TEST_18_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x248)
#define JS_COMC_204C_RX0_PRBS_TEST_19_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x24C)
#define JS_COMC_204C_RX0_PRBS_TEST_20_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x250)
#define JS_COMC_204C_RX0_PRBS_TEST_21_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x254)
#define JS_COMC_204C_RX0_PRBS_TEST_22_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x258)
#define JS_COMC_204C_RX0_PRBS_TEST_23_RECEIVECOUNTER        (JS_COMC_204C_RX0_BASE + 0x25C)
#define JS_COMC_204C_RX0_JTSPAT_TEST_0_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x260)
#define JS_COMC_204C_RX0_JTSPAT_TEST_1_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x264)
#define JS_COMC_204C_RX0_JTSPAT_TEST_2_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x268)
#define JS_COMC_204C_RX0_JTSPAT_TEST_3_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x26C)
#define JS_COMC_204C_RX0_JTSPAT_TEST_4_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x270)
#define JS_COMC_204C_RX0_JTSPAT_TEST_5_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x274)
#define JS_COMC_204C_RX0_JTSPAT_TEST_6_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x278)
#define JS_COMC_204C_RX0_JTSPAT_TEST_7_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x27C)
#define JS_COMC_204C_RX0_JTSPAT_TEST_8_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x280)
#define JS_COMC_204C_RX0_JTSPAT_TEST_9_RECEIVECOUNTER       (JS_COMC_204C_RX0_BASE + 0x284)
#define JS_COMC_204C_RX0_JTSPAT_TEST_10_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x288)
#define JS_COMC_204C_RX0_JTSPAT_TEST_11_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x28C)
#define JS_COMC_204C_RX0_JTSPAT_TEST_12_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x290)
#define JS_COMC_204C_RX0_JTSPAT_TEST_13_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x294)
#define JS_COMC_204C_RX0_JTSPAT_TEST_14_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x298)
#define JS_COMC_204C_RX0_JTSPAT_TEST_15_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x29C)
#define JS_COMC_204C_RX0_JTSPAT_TEST_16_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x2A0)
#define JS_COMC_204C_RX0_JTSPAT_TEST_17_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x2A4)
#define JS_COMC_204C_RX0_JTSPAT_TEST_18_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x2A8)
#define JS_COMC_204C_RX0_JTSPAT_TEST_19_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x2AC)
#define JS_COMC_204C_RX0_JTSPAT_TEST_20_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x2B0)
#define JS_COMC_204C_RX0_JTSPAT_TEST_21_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x2B4)
#define JS_COMC_204C_RX0_JTSPAT_TEST_22_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x2B8)
#define JS_COMC_204C_RX0_JTSPAT_TEST_23_RECEIVECOUNTER      (JS_COMC_204C_RX0_BASE + 0x2BC)
#define JS_COMC_204C_RX0_LMFC_LEMC_DELAY                    (JS_COMC_204C_RX0_BASE + 0x2E0)
#define JS_COMC_204C_RX0_SYSREF_CONFIG                      (JS_COMC_204C_RX0_BASE + 0x2E4)
#define JS_COMC_204C_RX0_MAST_INST                          (JS_COMC_204C_RX0_BASE + 0x2E8)
#define JS_COMC_204C_RX0_SH_LOCK_STATUS                     (JS_COMC_204C_RX0_BASE + 0x2EC)
#define JS_COMC_204C_RX0_SH_LOCK_LOSS_STATUS                (JS_COMC_204C_RX0_BASE + 0x2F0)
#define JS_COMC_204C_RX0_EMB_LOCK_STATUS                    (JS_COMC_204C_RX0_BASE + 0x2F4)
#define JS_COMC_204C_RX0_EMB_LOCK_LOSS_STATUS               (JS_COMC_204C_RX0_BASE + 0x2F8)
#define JS_COMC_204C_RX0_LEMC_BOUNDARY_PHASE                (JS_COMC_204C_RX0_BASE + 0x3D8)
#define JS_COMC_204C_RX0_RBD_LENGTH_OCTETS                  (JS_COMC_204C_RX0_BASE + 0x3DC)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE0                 (JS_COMC_204C_RX0_BASE + 0x300)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE1                 (JS_COMC_204C_RX0_BASE + 0x304)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE2                 (JS_COMC_204C_RX0_BASE + 0x308)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE3                 (JS_COMC_204C_RX0_BASE + 0x30C)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE4                 (JS_COMC_204C_RX0_BASE + 0x310)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE5                 (JS_COMC_204C_RX0_BASE + 0x314)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE6                 (JS_COMC_204C_RX0_BASE + 0x318)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE7                 (JS_COMC_204C_RX0_BASE + 0x31C)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE8                 (JS_COMC_204C_RX0_BASE + 0x320)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE9                 (JS_COMC_204C_RX0_BASE + 0x324)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE10                (JS_COMC_204C_RX0_BASE + 0x328)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE11                (JS_COMC_204C_RX0_BASE + 0x32C)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE12                (JS_COMC_204C_RX0_BASE + 0x330)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE13                (JS_COMC_204C_RX0_BASE + 0x334)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE14                (JS_COMC_204C_RX0_BASE + 0x338)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE15                (JS_COMC_204C_RX0_BASE + 0x33C)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE16                (JS_COMC_204C_RX0_BASE + 0x340)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE17                (JS_COMC_204C_RX0_BASE + 0x344)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE18                (JS_COMC_204C_RX0_BASE + 0x348)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE19                (JS_COMC_204C_RX0_BASE + 0x34C)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE20                (JS_COMC_204C_RX0_BASE + 0x350)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE21                (JS_COMC_204C_RX0_BASE + 0x354)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE22                (JS_COMC_204C_RX0_BASE + 0x358)
#define JS_COMC_204C_RX0_ERROR_REPORT_LANE23                (JS_COMC_204C_RX0_BASE + 0x35C)
#define JS_COMC_204C_RX0_TRESH_EMB_ERR                      (JS_COMC_204C_RX0_BASE + 0x360)
#define JS_COMC_204C_RX0_TRESH_SH_ERR                       (JS_COMC_204C_RX0_BASE + 0x364)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE0              (JS_COMC_204C_RX0_BASE + 0x378)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE1              (JS_COMC_204C_RX0_BASE + 0x37C)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE2              (JS_COMC_204C_RX0_BASE + 0x380)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE3              (JS_COMC_204C_RX0_BASE + 0x384)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE4              (JS_COMC_204C_RX0_BASE + 0x388)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE5              (JS_COMC_204C_RX0_BASE + 0x38C)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE6              (JS_COMC_204C_RX0_BASE + 0x390)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE7              (JS_COMC_204C_RX0_BASE + 0x394)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE8              (JS_COMC_204C_RX0_BASE + 0x398)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE9              (JS_COMC_204C_RX0_BASE + 0x39C)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE10             (JS_COMC_204C_RX0_BASE + 0x3A0)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE11             (JS_COMC_204C_RX0_BASE + 0x3A4)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE12             (JS_COMC_204C_RX0_BASE + 0x3A8)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE13             (JS_COMC_204C_RX0_BASE + 0x3AC)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE14             (JS_COMC_204C_RX0_BASE + 0x3B0)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE15             (JS_COMC_204C_RX0_BASE + 0x3B4)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE16             (JS_COMC_204C_RX0_BASE + 0x3B8)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE17             (JS_COMC_204C_RX0_BASE + 0x3BC)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE18             (JS_COMC_204C_RX0_BASE + 0x3C0)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE19             (JS_COMC_204C_RX0_BASE + 0x3C4)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE20             (JS_COMC_204C_RX0_BASE + 0x3C8)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE21             (JS_COMC_204C_RX0_BASE + 0x3CC)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE22             (JS_COMC_204C_RX0_BASE + 0x3D0)
#define JS_COMC_204C_RX0_ICOUNTER_REPORT_LANE23             (JS_COMC_204C_RX0_BASE + 0x3D4)

#define JS_COMC_204C_RX1_BANK_ID                            (JS_COMC_204C_RX1_BASE + 0x000)
#define JS_COMC_204C_RX1_DID                                (JS_COMC_204C_RX1_BASE + 0x004)
#define JS_COMC_204C_RX1_LID                                (JS_COMC_204C_RX1_BASE + 0x008)
#define JS_COMC_204C_RX1_LID2                               (JS_COMC_204C_RX1_BASE + 0x00C)
#define JS_COMC_204C_RX1_LID3                               (JS_COMC_204C_RX1_BASE + 0x010)
#define JS_COMC_204C_RX1_LID4                               (JS_COMC_204C_RX1_BASE + 0x014)
#define JS_COMC_204C_RX1_DATAPATH_INTERCONNECT              (JS_COMC_204C_RX1_BASE + 0x018)
#define JS_COMC_204C_RX1_SUBCLASS                           (JS_COMC_204C_RX1_BASE + 0x01C)
#define JS_COMC_204C_RX1_CF                                 (JS_COMC_204C_RX1_BASE + 0x020)
#define JS_COMC_204C_RX1_CS                                 (JS_COMC_204C_RX1_BASE + 0x024)
#define JS_COMC_204C_RX1_F                                  (JS_COMC_204C_RX1_BASE + 0x028)
#define JS_COMC_204C_RX1_K                                  (JS_COMC_204C_RX1_BASE + 0x02C)
#define JS_COMC_204C_RX1_L                                  (JS_COMC_204C_RX1_BASE + 0x030)
#define JS_COMC_204C_RX1_N                                  (JS_COMC_204C_RX1_BASE + 0x034)
#define JS_COMC_204C_RX1_M                                  (JS_COMC_204C_RX1_BASE + 0x038)
#define JS_COMC_204C_RX1_NTOTAL                             (JS_COMC_204C_RX1_BASE + 0x03C)
#define JS_COMC_204C_RX1_S                                  (JS_COMC_204C_RX1_BASE + 0x040)
#define JS_COMC_204C_RX1_HD                                 (JS_COMC_204C_RX1_BASE + 0x044)
#define JS_COMC_204C_RX1_SCR                                (JS_COMC_204C_RX1_BASE + 0x048)
#define JS_COMC_204C_RX1_ENABLEMODULE                       (JS_COMC_204C_RX1_BASE + 0x050)
#define JS_COMC_204C_RX1_ENABLELINKTEST                     (JS_COMC_204C_RX1_BASE + 0x054)
#define JS_COMC_204C_RX1_GEN_SYSREF                         (JS_COMC_204C_RX1_BASE + 0x3E4)
#define JS_COMC_204C_RX1_FEC_EN                             (JS_COMC_204C_RX1_BASE + 0x2C4)
#define JS_COMC_204C_RX1_CRC3_EN                            (JS_COMC_204C_RX1_BASE + 0x2C8)
#define JS_COMC_204C_RX1_CRC12_EN                           (JS_COMC_204C_RX1_BASE + 0x2CC)
#define JS_COMC_204C_RX1_SOFT_SYNC                          (JS_COMC_204C_RX1_BASE + 0x2D0)
#define JS_COMC_204C_RX1_E                                  (JS_COMC_204C_RX1_BASE + 0x2D4)
#define JS_COMC_204C_RX1_BIT_ORDER                          (JS_COMC_204C_RX1_BASE + 0x2D8)
#define JS_COMC_204C_RX1_TL_TEST_MODE                       (JS_COMC_204C_RX1_BASE + 0x2DC)
#define JS_COMC_204C_RX1_RESYNC_COUNT_STATUS                (JS_COMC_204C_RX1_BASE + 0x2FC)
#define JS_COMC_204C_RX1_S_ON_IF_REG                        (JS_COMC_204C_RX1_BASE + 0x368)
//#define JS_COMC_204C_RX1_MERGE_CF_GROUP                   (JS_COMC_204C_RX1_BASE + 0x36C)
#define JS_COMC_204C_RX1_CMD_EN                             (JS_COMC_204C_RX1_BASE + 0x370)
#define JS_COMC_204C_RX1_SYSREF_COUNTER_STATUS              (JS_COMC_204C_RX1_BASE + 0x374)
#define JS_COMC_204C_RX1_LINKCONFIGURATIONERROR             (JS_COMC_204C_RX1_BASE + 0x04C)
#define JS_COMC_204C_RX1_LINKTEST_0_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x058)
#define JS_COMC_204C_RX1_LINKTEST_1_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x05C)
#define JS_COMC_204C_RX1_LINKTEST_2_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x060)
#define JS_COMC_204C_RX1_LINKTEST_3_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x064)
#define JS_COMC_204C_RX1_LINKTEST_4_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x068)
#define JS_COMC_204C_RX1_LINKTEST_5_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x06C)
#define JS_COMC_204C_RX1_LINKTEST_6_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x070)
#define JS_COMC_204C_RX1_LINKTEST_7_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x074)
#define JS_COMC_204C_RX1_LINKTEST_8_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x078)
#define JS_COMC_204C_RX1_LINKTEST_9_RECEIVECOUNTER          (JS_COMC_204C_RX1_BASE + 0x07C)
#define JS_COMC_204C_RX1_LINKTEST_10_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x080)
#define JS_COMC_204C_RX1_LINKTEST_11_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x084)
#define JS_COMC_204C_RX1_LINKTEST_12_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x088)
#define JS_COMC_204C_RX1_LINKTEST_13_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x08C)
#define JS_COMC_204C_RX1_LINKTEST_14_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x090)
#define JS_COMC_204C_RX1_LINKTEST_15_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x094)
#define JS_COMC_204C_RX1_LINKTEST_16_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x098)
#define JS_COMC_204C_RX1_LINKTEST_17_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x09C)
#define JS_COMC_204C_RX1_LINKTEST_18_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x0A0)
#define JS_COMC_204C_RX1_LINKTEST_19_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x0A4)
#define JS_COMC_204C_RX1_LINKTEST_20_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x0A8)
#define JS_COMC_204C_RX1_LINKTEST_21_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x0AC)
#define JS_COMC_204C_RX1_LINKTEST_22_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x0B0)
#define JS_COMC_204C_RX1_LINKTEST_23_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x0B4)
#define JS_COMC_204C_RX1_LINKTEST_0_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0C0)
#define JS_COMC_204C_RX1_LINKTEST_1_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0C4)
#define JS_COMC_204C_RX1_LINKTEST_2_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0C8)
#define JS_COMC_204C_RX1_LINKTEST_3_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0CC)
#define JS_COMC_204C_RX1_LINKTEST_4_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0D0)
#define JS_COMC_204C_RX1_LINKTEST_5_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0D4)
#define JS_COMC_204C_RX1_LINKTEST_6_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0D8)
#define JS_COMC_204C_RX1_LINKTEST_7_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0DC)
#define JS_COMC_204C_RX1_LINKTEST_8_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0E0)
#define JS_COMC_204C_RX1_LINKTEST_9_ERRORCOUNTER            (JS_COMC_204C_RX1_BASE + 0x0E4)
#define JS_COMC_204C_RX1_LINKTEST_10_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x0E8)
#define JS_COMC_204C_RX1_LINKTEST_11_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x0EC)
#define JS_COMC_204C_RX1_LINKTEST_12_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x0F0)
#define JS_COMC_204C_RX1_LINKTEST_13_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x0F4)
#define JS_COMC_204C_RX1_LINKTEST_14_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x0F8)
#define JS_COMC_204C_RX1_LINKTEST_15_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x0FC)
#define JS_COMC_204C_RX1_LINKTEST_16_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x100)
#define JS_COMC_204C_RX1_LINKTEST_17_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x104)
#define JS_COMC_204C_RX1_LINKTEST_18_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x108)
#define JS_COMC_204C_RX1_LINKTEST_19_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x10C)
#define JS_COMC_204C_RX1_LINKTEST_20_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x110)
#define JS_COMC_204C_RX1_LINKTEST_21_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x114)
#define JS_COMC_204C_RX1_LINKTEST_22_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x118)
#define JS_COMC_204C_RX1_LINKTEST_23_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x11C)
#define JS_COMC_204C_RX1_FEATURE_DISABLE                    (JS_COMC_204C_RX1_BASE + 0x120)
#define JS_COMC_204C_RX1_CORE_INTERRUPT_MASK                (JS_COMC_204C_RX1_BASE + 0x124)
#define JS_COMC_204C_RX1_CORE_INTERRUPT_STATUS              (JS_COMC_204C_RX1_BASE + 0x128)
#define JS_COMC_204C_RX1_ILAS_DETAILS                       (JS_COMC_204C_RX1_BASE + 0x12C)
#define JS_COMC_204C_RX1_ERR_INJ_REQ                        (JS_COMC_204C_RX1_BASE + 0x130)
#define JS_COMC_204C_RX1_CLK_RATIO                          (JS_COMC_204C_RX1_BASE + 0x13C)
#define JS_COMC_204C_RX1_PRBS_TEST_0_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x140)
#define JS_COMC_204C_RX1_PRBS_TEST_1_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x144)
#define JS_COMC_204C_RX1_PRBS_TEST_2_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x148)
#define JS_COMC_204C_RX1_PRBS_TEST_3_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x14C)
#define JS_COMC_204C_RX1_PRBS_TEST_4_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x150)
#define JS_COMC_204C_RX1_PRBS_TEST_5_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x154)
#define JS_COMC_204C_RX1_PRBS_TEST_6_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x158)
#define JS_COMC_204C_RX1_PRBS_TEST_7_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x15C)
#define JS_COMC_204C_RX1_PRBS_TEST_8_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x160)
#define JS_COMC_204C_RX1_PRBS_TEST_9_ERRORCOUNTER           (JS_COMC_204C_RX1_BASE + 0x164)
#define JS_COMC_204C_RX1_PRBS_TEST_10_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x168)
#define JS_COMC_204C_RX1_PRBS_TEST_11_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x16C)
#define JS_COMC_204C_RX1_PRBS_TEST_12_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x170)
#define JS_COMC_204C_RX1_PRBS_TEST_13_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x174)
#define JS_COMC_204C_RX1_PRBS_TEST_14_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x178)
#define JS_COMC_204C_RX1_PRBS_TEST_15_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x17C)
#define JS_COMC_204C_RX1_PRBS_TEST_16_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x180)
#define JS_COMC_204C_RX1_PRBS_TEST_17_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x184)
#define JS_COMC_204C_RX1_PRBS_TEST_18_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x188)
#define JS_COMC_204C_RX1_PRBS_TEST_19_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x18C)
#define JS_COMC_204C_RX1_PRBS_TEST_20_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x190)
#define JS_COMC_204C_RX1_PRBS_TEST_21_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x194)
#define JS_COMC_204C_RX1_PRBS_TEST_22_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x198)
#define JS_COMC_204C_RX1_PRBS_TEST_23_ERRORCOUNTER          (JS_COMC_204C_RX1_BASE + 0x19C)
#define JS_COMC_204C_RX1_JTSPAT_TEST_0_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1A0)
#define JS_COMC_204C_RX1_JTSPAT_TEST_1_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1A4)
#define JS_COMC_204C_RX1_JTSPAT_TEST_2_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1A8)
#define JS_COMC_204C_RX1_JTSPAT_TEST_3_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1AC)
#define JS_COMC_204C_RX1_JTSPAT_TEST_4_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1B0)
#define JS_COMC_204C_RX1_JTSPAT_TEST_5_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1B4)
#define JS_COMC_204C_RX1_JTSPAT_TEST_6_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1B8)
#define JS_COMC_204C_RX1_JTSPAT_TEST_7_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1BC)
#define JS_COMC_204C_RX1_JTSPAT_TEST_8_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1C0)
#define JS_COMC_204C_RX1_JTSPAT_TEST_9_ERRORCOUNTER         (JS_COMC_204C_RX1_BASE + 0x1C4)
#define JS_COMC_204C_RX1_JTSPAT_TEST_10_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1C8)
#define JS_COMC_204C_RX1_JTSPAT_TEST_11_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1CC)
#define JS_COMC_204C_RX1_JTSPAT_TEST_12_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1D0)
#define JS_COMC_204C_RX1_JTSPAT_TEST_13_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1D4)
#define JS_COMC_204C_RX1_JTSPAT_TEST_14_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1D8)
#define JS_COMC_204C_RX1_JTSPAT_TEST_15_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1DC)
#define JS_COMC_204C_RX1_JTSPAT_TEST_16_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1E0)
#define JS_COMC_204C_RX1_JTSPAT_TEST_17_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1E4)
#define JS_COMC_204C_RX1_JTSPAT_TEST_18_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1E8)
#define JS_COMC_204C_RX1_JTSPAT_TEST_19_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1EC)
#define JS_COMC_204C_RX1_JTSPAT_TEST_20_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1F0)
#define JS_COMC_204C_RX1_JTSPAT_TEST_21_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1F4)
#define JS_COMC_204C_RX1_JTSPAT_TEST_22_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1F8)
#define JS_COMC_204C_RX1_JTSPAT_TEST_23_ERRORCOUNTER        (JS_COMC_204C_RX1_BASE + 0x1FC)
#define JS_COMC_204C_RX1_PRBS_TEST_0_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x200)
#define JS_COMC_204C_RX1_PRBS_TEST_1_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x204)
#define JS_COMC_204C_RX1_PRBS_TEST_2_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x208)
#define JS_COMC_204C_RX1_PRBS_TEST_3_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x20C)
#define JS_COMC_204C_RX1_PRBS_TEST_4_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x210)
#define JS_COMC_204C_RX1_PRBS_TEST_5_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x214)
#define JS_COMC_204C_RX1_PRBS_TEST_6_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x218)
#define JS_COMC_204C_RX1_PRBS_TEST_7_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x21C)
#define JS_COMC_204C_RX1_PRBS_TEST_8_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x220)
#define JS_COMC_204C_RX1_PRBS_TEST_9_RECEIVECOUNTER         (JS_COMC_204C_RX1_BASE + 0x224)
#define JS_COMC_204C_RX1_PRBS_TEST_10_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x228)
#define JS_COMC_204C_RX1_PRBS_TEST_11_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x22C)
#define JS_COMC_204C_RX1_PRBS_TEST_12_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x230)
#define JS_COMC_204C_RX1_PRBS_TEST_13_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x234)
#define JS_COMC_204C_RX1_PRBS_TEST_14_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x238)
#define JS_COMC_204C_RX1_PRBS_TEST_15_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x23C)
#define JS_COMC_204C_RX1_PRBS_TEST_16_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x240)
#define JS_COMC_204C_RX1_PRBS_TEST_17_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x244)
#define JS_COMC_204C_RX1_PRBS_TEST_18_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x248)
#define JS_COMC_204C_RX1_PRBS_TEST_19_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x24C)
#define JS_COMC_204C_RX1_PRBS_TEST_20_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x250)
#define JS_COMC_204C_RX1_PRBS_TEST_21_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x254)
#define JS_COMC_204C_RX1_PRBS_TEST_22_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x258)
#define JS_COMC_204C_RX1_PRBS_TEST_23_RECEIVECOUNTER        (JS_COMC_204C_RX1_BASE + 0x25C)
#define JS_COMC_204C_RX1_JTSPAT_TEST_0_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x260)
#define JS_COMC_204C_RX1_JTSPAT_TEST_1_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x264)
#define JS_COMC_204C_RX1_JTSPAT_TEST_2_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x268)
#define JS_COMC_204C_RX1_JTSPAT_TEST_3_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x26C)
#define JS_COMC_204C_RX1_JTSPAT_TEST_4_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x270)
#define JS_COMC_204C_RX1_JTSPAT_TEST_5_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x274)
#define JS_COMC_204C_RX1_JTSPAT_TEST_6_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x278)
#define JS_COMC_204C_RX1_JTSPAT_TEST_7_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x27C)
#define JS_COMC_204C_RX1_JTSPAT_TEST_8_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x280)
#define JS_COMC_204C_RX1_JTSPAT_TEST_9_RECEIVECOUNTER       (JS_COMC_204C_RX1_BASE + 0x284)
#define JS_COMC_204C_RX1_JTSPAT_TEST_10_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x288)
#define JS_COMC_204C_RX1_JTSPAT_TEST_11_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x28C)
#define JS_COMC_204C_RX1_JTSPAT_TEST_12_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x290)
#define JS_COMC_204C_RX1_JTSPAT_TEST_13_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x294)
#define JS_COMC_204C_RX1_JTSPAT_TEST_14_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x298)
#define JS_COMC_204C_RX1_JTSPAT_TEST_15_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x29C)
#define JS_COMC_204C_RX1_JTSPAT_TEST_16_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x2A0)
#define JS_COMC_204C_RX1_JTSPAT_TEST_17_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x2A4)
#define JS_COMC_204C_RX1_JTSPAT_TEST_18_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x2A8)
#define JS_COMC_204C_RX1_JTSPAT_TEST_19_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x2AC)
#define JS_COMC_204C_RX1_JTSPAT_TEST_20_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x2B0)
#define JS_COMC_204C_RX1_JTSPAT_TEST_21_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x2B4)
#define JS_COMC_204C_RX1_JTSPAT_TEST_22_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x2B8)
#define JS_COMC_204C_RX1_JTSPAT_TEST_23_RECEIVECOUNTER      (JS_COMC_204C_RX1_BASE + 0x2BC)
#define JS_COMC_204C_RX1_LMFC_LEMC_DELAY                    (JS_COMC_204C_RX1_BASE + 0x2E0)
#define JS_COMC_204C_RX1_SYSREF_CONFIG                      (JS_COMC_204C_RX1_BASE + 0x2E4)
#define JS_COMC_204C_RX1_MAST_INST                          (JS_COMC_204C_RX1_BASE + 0x2E8)
#define JS_COMC_204C_RX1_SH_LOCK_STATUS                     (JS_COMC_204C_RX1_BASE + 0x2EC)
#define JS_COMC_204C_RX1_SH_LOCK_LOSS_STATUS                (JS_COMC_204C_RX1_BASE + 0x2F0)
#define JS_COMC_204C_RX1_EMB_LOCK_STATUS                    (JS_COMC_204C_RX1_BASE + 0x2F4)
#define JS_COMC_204C_RX1_EMB_LOCK_LOSS_STATUS               (JS_COMC_204C_RX1_BASE + 0x2F8)
#define JS_COMC_204C_RX1_LEMC_BOUNDARY_PHASE                (JS_COMC_204C_RX1_BASE + 0x3D8)
#define JS_COMC_204C_RX1_RBD_LENGTH_OCTETS                  (JS_COMC_204C_RX1_BASE + 0x3DC)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE0                 (JS_COMC_204C_RX1_BASE + 0x300)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE1                 (JS_COMC_204C_RX1_BASE + 0x304)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE2                 (JS_COMC_204C_RX1_BASE + 0x308)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE3                 (JS_COMC_204C_RX1_BASE + 0x30C)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE4                 (JS_COMC_204C_RX1_BASE + 0x310)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE5                 (JS_COMC_204C_RX1_BASE + 0x314)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE6                 (JS_COMC_204C_RX1_BASE + 0x318)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE7                 (JS_COMC_204C_RX1_BASE + 0x31C)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE8                 (JS_COMC_204C_RX1_BASE + 0x320)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE9                 (JS_COMC_204C_RX1_BASE + 0x324)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE10                (JS_COMC_204C_RX1_BASE + 0x328)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE11                (JS_COMC_204C_RX1_BASE + 0x32C)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE12                (JS_COMC_204C_RX1_BASE + 0x330)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE13                (JS_COMC_204C_RX1_BASE + 0x334)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE14                (JS_COMC_204C_RX1_BASE + 0x338)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE15                (JS_COMC_204C_RX1_BASE + 0x33C)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE16                (JS_COMC_204C_RX1_BASE + 0x340)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE17                (JS_COMC_204C_RX1_BASE + 0x344)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE18                (JS_COMC_204C_RX1_BASE + 0x348)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE19                (JS_COMC_204C_RX1_BASE + 0x34C)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE20                (JS_COMC_204C_RX1_BASE + 0x350)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE21                (JS_COMC_204C_RX1_BASE + 0x354)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE22                (JS_COMC_204C_RX1_BASE + 0x358)
#define JS_COMC_204C_RX1_ERROR_REPORT_LANE23                (JS_COMC_204C_RX1_BASE + 0x35C)
#define JS_COMC_204C_RX1_TRESH_EMB_ERR                      (JS_COMC_204C_RX1_BASE + 0x360)
#define JS_COMC_204C_RX1_TRESH_SH_ERR                       (JS_COMC_204C_RX1_BASE + 0x364)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE0              (JS_COMC_204C_RX1_BASE + 0x378)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE1              (JS_COMC_204C_RX1_BASE + 0x37C)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE2              (JS_COMC_204C_RX1_BASE + 0x380)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE3              (JS_COMC_204C_RX1_BASE + 0x384)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE4              (JS_COMC_204C_RX1_BASE + 0x388)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE5              (JS_COMC_204C_RX1_BASE + 0x38C)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE6              (JS_COMC_204C_RX1_BASE + 0x390)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE7              (JS_COMC_204C_RX1_BASE + 0x394)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE8              (JS_COMC_204C_RX1_BASE + 0x398)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE9              (JS_COMC_204C_RX1_BASE + 0x39C)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE10             (JS_COMC_204C_RX1_BASE + 0x3A0)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE11             (JS_COMC_204C_RX1_BASE + 0x3A4)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE12             (JS_COMC_204C_RX1_BASE + 0x3A8)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE13             (JS_COMC_204C_RX1_BASE + 0x3AC)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE14             (JS_COMC_204C_RX1_BASE + 0x3B0)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE15             (JS_COMC_204C_RX1_BASE + 0x3B4)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE16             (JS_COMC_204C_RX1_BASE + 0x3B8)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE17             (JS_COMC_204C_RX1_BASE + 0x3BC)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE18             (JS_COMC_204C_RX1_BASE + 0x3C0)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE19             (JS_COMC_204C_RX1_BASE + 0x3C4)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE20             (JS_COMC_204C_RX1_BASE + 0x3C8)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE21             (JS_COMC_204C_RX1_BASE + 0x3CC)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE22             (JS_COMC_204C_RX1_BASE + 0x3D0)
#define JS_COMC_204C_RX1_ICOUNTER_REPORT_LANE23             (JS_COMC_204C_RX1_BASE + 0x3D4)

#define JS_COMC_204C_TX_BANK_ID                             (JS_COMC_204C_TX_BASE + 0x000)
#define JS_COMC_204C_TX_DID                                 (JS_COMC_204C_TX_BASE + 0x004)
#define JS_COMC_204C_TX_LID                                 (JS_COMC_204C_TX_BASE + 0x008)
#define JS_COMC_204C_TX_LID2                                (JS_COMC_204C_TX_BASE + 0x00C)
#define JS_COMC_204C_TX_LID3                                (JS_COMC_204C_TX_BASE + 0x010)
#define JS_COMC_204C_TX_LID4                                (JS_COMC_204C_TX_BASE + 0x014)
#define JS_COMC_204C_TX_DATAPATH_INTERCONNECT               (JS_COMC_204C_TX_BASE + 0x018)
#define JS_COMC_204C_TX_SUBCLASS                            (JS_COMC_204C_TX_BASE + 0x01C)
#define JS_COMC_204C_TX_CF                                  (JS_COMC_204C_TX_BASE + 0x020)
#define JS_COMC_204C_TX_CS                                  (JS_COMC_204C_TX_BASE + 0x024)
#define JS_COMC_204C_TX_F                                   (JS_COMC_204C_TX_BASE + 0x028)
#define JS_COMC_204C_TX_K                                   (JS_COMC_204C_TX_BASE + 0x02C)
#define JS_COMC_204C_TX_L                                   (JS_COMC_204C_TX_BASE + 0x030)
#define JS_COMC_204C_TX_N                                   (JS_COMC_204C_TX_BASE + 0x034)
#define JS_COMC_204C_TX_M                                   (JS_COMC_204C_TX_BASE + 0x038)
#define JS_COMC_204C_TX_NTOTAL                              (JS_COMC_204C_TX_BASE + 0x03C)
#define JS_COMC_204C_TX_S                                   (JS_COMC_204C_TX_BASE + 0x040)
#define JS_COMC_204C_TX_HD                                  (JS_COMC_204C_TX_BASE + 0x044)
#define JS_COMC_204C_TX_SCR                                 (JS_COMC_204C_TX_BASE + 0x048)
#define JS_COMC_204C_TX_ENABLEMODULE                        (JS_COMC_204C_TX_BASE + 0x050)
#define JS_COMC_204C_TX_ENABLELINKTEST                      (JS_COMC_204C_TX_BASE + 0x054)
#define JS_COMC_204C_TX_GEN_SYSREF                          (JS_COMC_204C_TX_BASE + 0x3E4)
#define JS_COMC_204C_TX_FEC_EN                              (JS_COMC_204C_TX_BASE + 0x2C4)
#define JS_COMC_204C_TX_CRC3_EN                             (JS_COMC_204C_TX_BASE + 0x2C8)
#define JS_COMC_204C_TX_CRC12_EN                            (JS_COMC_204C_TX_BASE + 0x2CC)
#define JS_COMC_204C_TX_SOFT_SYNC                           (JS_COMC_204C_TX_BASE + 0x2D0)
#define JS_COMC_204C_TX_E                                   (JS_COMC_204C_TX_BASE + 0x2D4)
#define JS_COMC_204C_TX_BIT_ORDER                           (JS_COMC_204C_TX_BASE + 0x2D8)
#define JS_COMC_204C_TX_TL_TEST_MODE                        (JS_COMC_204C_TX_BASE + 0x2DC)
#define JS_COMC_204C_TX_RESYNC_COUNT_STATUS                 (JS_COMC_204C_TX_BASE + 0x2FC)
#define JS_COMC_204C_TX_S_ON_IF_REG                         (JS_COMC_204C_TX_BASE + 0x368)
//#define JS_COMC_204C_TX_MERGE_CF_GROUP                    (JS_COMC_204C_TX_BASE + 0x36C)
#define JS_COMC_204C_TX_CMD_EN                              (JS_COMC_204C_TX_BASE + 0x370)
#define JS_COMC_204C_TX_SYSREF_COUNTER_STATUS               (JS_COMC_204C_TX_BASE + 0x374)
//#define JS_COMC_204C_TX_TAILBITS                          (JS_COMC_204C_TX_BASE + 0x058)
#define JS_COMC_204C_TX_LINKTEST_CUSTOM_DATA                (JS_COMC_204C_TX_BASE + 0x05C)
#define JS_COMC_204C_TX_LINKTEST_CUSTOM_ENABLE              (JS_COMC_204C_TX_BASE + 0x060)
#define JS_COMC_204C_TX_FEATURE_DISABLE                     (JS_COMC_204C_TX_BASE + 0x120)
#define JS_COMC_204C_TX_CORE_INTERRUPT_MASK                 (JS_COMC_204C_TX_BASE + 0x124)
#define JS_COMC_204C_TX_CORE_INTERRUPT_STATUS               (JS_COMC_204C_TX_BASE + 0x128)
#define JS_COMC_204C_TX_ILAS_DETAILS                        (JS_COMC_204C_TX_BASE + 0x12C)
#define JS_COMC_204C_TX_CLK_RATIO                           (JS_COMC_204C_TX_BASE + 0x13C)
#define JS_COMC_204C_TX_FIRST_SYMBOL_DISP                   (JS_COMC_204C_TX_BASE + 0x140)
#define JS_COMC_204C_TX_TL_LATENCY                          (JS_COMC_204C_TX_BASE + 0x2C0)
#define JS_COMC_204C_TX_LMFC_LEMC_DELAY                     (JS_COMC_204C_TX_BASE + 0x2E0)
#define JS_COMC_204C_TX_SYSREF_CONFIG                       (JS_COMC_204C_TX_BASE + 0x2E4)
#define JS_COMC_204C_TX_SAMPLE_REQ                          (JS_COMC_204C_TX_BASE + 0x3E0)

#define JS_RX0_PIN_CTRL_REG        (JS_RX0_TMR_BASE + 4*0x00)
#define JS_RX0_IO_CTRL_REG         (JS_RX0_TMR_BASE + 4*0x01)
#define JS_RX0_TMR_INTC_REG        (JS_RX0_TMR_BASE + 4*0x02)
#define JS_RX0_TMR_SCR_CTRL_REG    (JS_RX0_TMR_BASE + 4*0x03)
#define JS_RX0_TMR_CTRL_REG        (JS_RX0_TMR_BASE + 4*0x04)
#define JS_RX0_TMR_RX_SCRL_0_REG   (JS_RX0_TMR_BASE + 4*0x05)
#define JS_RX0_TMR_RX_SCRH_0_REG   (JS_RX0_TMR_BASE + 4*0x06)
#define JS_RX0_TMR_TX_SCRL_0_REG   (JS_RX0_TMR_BASE + 4*0x07)
#define JS_RX0_TMR_TX_SCRH_0_REG   (JS_RX0_TMR_BASE + 4*0x08)
#define JS_RX0_TMR_RX_SCRL_1_REG   (JS_RX0_TMR_BASE + 4*0x09)
#define JS_RX0_TMR_RX_SCRH_1_REG   (JS_RX0_TMR_BASE + 4*0x0A)
#define JS_RX0_TMR_TX_SCRL_1_REG   (JS_RX0_TMR_BASE + 4*0x0B)
#define JS_RX0_TMR_TX_SCRH_1_REG   (JS_RX0_TMR_BASE + 4*0x0C)
#define JS_RX0_TMR_TEVENT0_REG     (JS_RX0_TMR_BASE + 4*0x10)
#define JS_RX0_TMR_TEVENT1_REG     (JS_RX0_TMR_BASE + 4*0x11)
#define JS_RX0_TMR_TEVENT2_REG     (JS_RX0_TMR_BASE + 4*0x12)
#define JS_RX0_TMR_TSCR_TRG_REG    (JS_RX0_TMR_BASE + 4*0x13)
#define JS_RX0_TMR_TWREQ0_REG      (JS_RX0_TMR_BASE + 4*0x14)
#define JS_RX0_TMR_TWREQ1_REG      (JS_RX0_TMR_BASE + 4*0x15)
#define JS_RX0_TMR_TWREQ2_REG      (JS_RX0_TMR_BASE + 4*0x16)
#define JS_RX0_TMR_TINTE00_REG     (JS_RX0_TMR_BASE + 4*0x17)
#define JS_RX0_TMR_TINTF00_REG     (JS_RX0_TMR_BASE + 4*0x18)
#define JS_RX0_TMR_TINTE01_REG     (JS_RX0_TMR_BASE + 4*0x19)
#define JS_RX0_TMR_TINTF01_REG     (JS_RX0_TMR_BASE + 4*0x1A)
#define JS_RX0_TMR_TINTE02_REG     (JS_RX0_TMR_BASE + 4*0x1B)
#define JS_RX0_TMR_TINTF02_REG     (JS_RX0_TMR_BASE + 4*0x1C)
#define JS_RX0_TMR_TINTE10_REG     (JS_RX0_TMR_BASE + 4*0x1D)
#define JS_RX0_TMR_TINTF10_REG     (JS_RX0_TMR_BASE + 4*0x1E)
#define JS_RX0_TMR_TINTE11_REG     (JS_RX0_TMR_BASE + 4*0x1F)
#define JS_RX0_TMR_TINTF11_REG     (JS_RX0_TMR_BASE + 4*0x20)
#define JS_RX0_TMR_TINTE12_REG     (JS_RX0_TMR_BASE + 4*0x21)
#define JS_RX0_TMR_TINTF12_REG     (JS_RX0_TMR_BASE + 4*0x22)
#define JS_RX0_TMR_TINTE20_REG     (JS_RX0_TMR_BASE + 4*0x23)
#define JS_RX0_TMR_TINTF20_REG     (JS_RX0_TMR_BASE + 4*0x24)
#define JS_RX0_TMR_TINTE21_REG     (JS_RX0_TMR_BASE + 4*0x25)
#define JS_RX0_TMR_TINTF21_REG     (JS_RX0_TMR_BASE + 4*0x26)
#define JS_RX0_TMR_TINTE22_REG     (JS_RX0_TMR_BASE + 4*0x27)
#define JS_RX0_TMR_TINTF22_REG     (JS_RX0_TMR_BASE + 4*0x28)
#define JS_RX0_TMR_TINTE30_REG     (JS_RX0_TMR_BASE + 4*0x29)
#define JS_RX0_TMR_TINTF30_REG     (JS_RX0_TMR_BASE + 4*0x2A)
#define JS_RX0_TMR_TINTE31_REG     (JS_RX0_TMR_BASE + 4*0x2B)
#define JS_RX0_TMR_TINTF31_REG     (JS_RX0_TMR_BASE + 4*0x2C)
#define JS_RX0_TMR_TINTE32_REG     (JS_RX0_TMR_BASE + 4*0x2D)
#define JS_RX0_TMR_TINTF32_REG     (JS_RX0_TMR_BASE + 4*0x2E)
#define JS_RX0_TMR_TINTE40_REG     (JS_RX0_TMR_BASE + 4*0x2F)
#define JS_RX0_TMR_TINTF40_REG     (JS_RX0_TMR_BASE + 4*0x30)
#define JS_RX0_TMR_TINTE41_REG     (JS_RX0_TMR_BASE + 4*0x31)
#define JS_RX0_TMR_TINTF41_REG     (JS_RX0_TMR_BASE + 4*0x32)
#define JS_RX0_TMR_TINTE42_REG     (JS_RX0_TMR_BASE + 4*0x33)
#define JS_RX0_TMR_TINTF42_REG     (JS_RX0_TMR_BASE + 4*0x34)
#define JS_RX0_TMR_TINTE50_REG     (JS_RX0_TMR_BASE + 4*0x35)
#define JS_RX0_TMR_TINTF50_REG     (JS_RX0_TMR_BASE + 4*0x36)
#define JS_RX0_TMR_TINTE51_REG     (JS_RX0_TMR_BASE + 4*0x37)
#define JS_RX0_TMR_TINTF51_REG     (JS_RX0_TMR_BASE + 4*0x38)
#define JS_RX0_TMR_TINTE52_REG     (JS_RX0_TMR_BASE + 4*0x39)
#define JS_RX0_TMR_TINTF52_REG     (JS_RX0_TMR_BASE + 4*0x3A)
#define JS_RX0_TMR_TINTE60_REG     (JS_RX0_TMR_BASE + 4*0x3B)
#define JS_RX0_TMR_TINTF60_REG     (JS_RX0_TMR_BASE + 4*0x3C)
#define JS_RX0_TMR_TINTE61_REG     (JS_RX0_TMR_BASE + 4*0x3D)
#define JS_RX0_TMR_TINTF61_REG     (JS_RX0_TMR_BASE + 4*0x3E)
#define JS_RX0_TMR_TINTE62_REG     (JS_RX0_TMR_BASE + 4*0x3F)
#define JS_RX0_TMR_TINTF62_REG     (JS_RX0_TMR_BASE + 4*0x40)
#define JS_RX0_TMR_TINTE70_REG     (JS_RX0_TMR_BASE + 4*0x41)
#define JS_RX0_TMR_TINTF70_REG     (JS_RX0_TMR_BASE + 4*0x42)
#define JS_RX0_TMR_TINTE71_REG     (JS_RX0_TMR_BASE + 4*0x43)
#define JS_RX0_TMR_TINTF71_REG     (JS_RX0_TMR_BASE + 4*0x44)
#define JS_RX0_TMR_TINTE72_REG     (JS_RX0_TMR_BASE + 4*0x45)
#define JS_RX0_TMR_TINTF72_REG     (JS_RX0_TMR_BASE + 4*0x46)
#define JS_RX0_TMR_TINTE80_REG     (JS_RX0_TMR_BASE + 4*0x47)
#define JS_RX0_TMR_TINTF80_REG     (JS_RX0_TMR_BASE + 4*0x48)
#define JS_RX0_TMR_TINTE81_REG     (JS_RX0_TMR_BASE + 4*0x49)
#define JS_RX0_TMR_TINTF81_REG     (JS_RX0_TMR_BASE + 4*0x4A)
#define JS_RX0_TMR_TINTE82_REG     (JS_RX0_TMR_BASE + 4*0x4B)
#define JS_RX0_TMR_TINTF82_REG     (JS_RX0_TMR_BASE + 4*0x4C)
#define JS_RX0_TMR_TINTE90_REG     (JS_RX0_TMR_BASE + 4*0x4D)
#define JS_RX0_TMR_TINTF90_REG     (JS_RX0_TMR_BASE + 4*0x4E)
#define JS_RX0_TMR_TINTE91_REG     (JS_RX0_TMR_BASE + 4*0x4F)
#define JS_RX0_TMR_TINTF91_REG     (JS_RX0_TMR_BASE + 4*0x50)
#define JS_RX0_TMR_TINTE92_REG     (JS_RX0_TMR_BASE + 4*0x51)
#define JS_RX0_TMR_TINTF92_REG     (JS_RX0_TMR_BASE + 4*0x52)
#define JS_RX0_TMR_TINTEA0_REG     (JS_RX0_TMR_BASE + 4*0x53)
#define JS_RX0_TMR_TINTFA0_REG     (JS_RX0_TMR_BASE + 4*0x54)
#define JS_RX0_TMR_TINTEA1_REG     (JS_RX0_TMR_BASE + 4*0x55)
#define JS_RX0_TMR_TINTFA1_REG     (JS_RX0_TMR_BASE + 4*0x56)
#define JS_RX0_TMR_TINTEA2_REG     (JS_RX0_TMR_BASE + 4*0x57)
#define JS_RX0_TMR_TINTFA2_REG     (JS_RX0_TMR_BASE + 4*0x58)
#define JS_RX0_TMR_TINTEB0_REG     (JS_RX0_TMR_BASE + 4*0x59)
#define JS_RX0_TMR_TINTFB0_REG     (JS_RX0_TMR_BASE + 4*0x5A)
#define JS_RX0_TMR_TINTEB1_REG     (JS_RX0_TMR_BASE + 4*0x5B)
#define JS_RX0_TMR_TINTFB1_REG     (JS_RX0_TMR_BASE + 4*0x5C)
#define JS_RX0_TMR_TINTEB2_REG     (JS_RX0_TMR_BASE + 4*0x5D)
#define JS_RX0_TMR_TINTFB2_REG     (JS_RX0_TMR_BASE + 4*0x5E)
#define JS_RX0_TMR_CEVENT_REG      (JS_RX0_TMR_BASE + 4*0x5F)
#define JS_RX0_TMR_CMSK_REG        (JS_RX0_TMR_BASE + 4*0x60)
#define JS_RX0_TMR_CINTE0_REG      (JS_RX0_TMR_BASE + 4*0x61)
#define JS_RX0_TMR_CINTF0_REG      (JS_RX0_TMR_BASE + 4*0x62)
#define JS_RX0_TMR_CINTE1_REG      (JS_RX0_TMR_BASE + 4*0x63)
#define JS_RX0_TMR_CINTF1_REG      (JS_RX0_TMR_BASE + 4*0x64)
#define JS_RX0_TMR_CINTE2_REG      (JS_RX0_TMR_BASE + 4*0x65)
#define JS_RX0_TMR_CINTF2_REG      (JS_RX0_TMR_BASE + 4*0x66)
#define JS_RX0_TMR_CINTE3_REG      (JS_RX0_TMR_BASE + 4*0x67)
#define JS_RX0_TMR_CINTF3_REG      (JS_RX0_TMR_BASE + 4*0x68)
#define JS_RX0_TMR_CINTE4_REG      (JS_RX0_TMR_BASE + 4*0x69)
#define JS_RX0_TMR_CINTF4_REG      (JS_RX0_TMR_BASE + 4*0x6A)
#define JS_RX0_TMR_CINTE5_REG      (JS_RX0_TMR_BASE + 4*0x6B)
#define JS_RX0_TMR_CINTF5_REG      (JS_RX0_TMR_BASE + 4*0x6C)
#define JS_RX0_TMR_CINTE6_REG      (JS_RX0_TMR_BASE + 4*0x6D)
#define JS_RX0_TMR_CINTF6_REG      (JS_RX0_TMR_BASE + 4*0x6E)
#define JS_RX0_TMR_CINTE7_REG      (JS_RX0_TMR_BASE + 4*0x6F)
#define JS_RX0_TMR_CINTF7_REG      (JS_RX0_TMR_BASE + 4*0x70)
#define JS_RX0_TMR_CINTE8_REG      (JS_RX0_TMR_BASE + 4*0x71)
#define JS_RX0_TMR_CINTF8_REG      (JS_RX0_TMR_BASE + 4*0x72)
#define JS_RX0_TMR_CINTE9_REG      (JS_RX0_TMR_BASE + 4*0x73)
#define JS_RX0_TMR_CINTF9_REG      (JS_RX0_TMR_BASE + 4*0x74)
#define JS_RX0_TMR_CINTEA_REG      (JS_RX0_TMR_BASE + 4*0x75)
#define JS_RX0_TMR_CINTFA_REG      (JS_RX0_TMR_BASE + 4*0x76)
#define JS_RX0_TMR_CINTEB_REG      (JS_RX0_TMR_BASE + 4*0x77)
#define JS_RX0_TMR_CINTFB_REG      (JS_RX0_TMR_BASE + 4*0x78)
#define JS_RX0_TMR_OVFL_REG        (JS_RX0_TMR_BASE + 4*0x79)
#define JS_RX0_TMR_OVFH_REG        (JS_RX0_TMR_BASE + 4*0x7A)
#define JS_RX0_TMR_RXEN0_0L_REG    (JS_RX0_TMR_BASE + 4*0x7B)
#define JS_RX0_TMR_RXEN0_0H_REG    (JS_RX0_TMR_BASE + 4*0x7C)
#define JS_RX0_TMR_RXEN0_1L_REG    (JS_RX0_TMR_BASE + 4*0x7D)
#define JS_RX0_TMR_RXEN0_1H_REG    (JS_RX0_TMR_BASE + 4*0x7E)
#define JS_RX0_TMR_TXEN0_0L_REG    (JS_RX0_TMR_BASE + 4*0x7F)
#define JS_RX0_TMR_TXEN0_0H_REG    (JS_RX0_TMR_BASE + 4*0x80)
#define JS_RX0_TMR_TXEN0_1L_REG    (JS_RX0_TMR_BASE + 4*0x81)
#define JS_RX0_TMR_TXEN0_1H_REG    (JS_RX0_TMR_BASE + 4*0x82)
#define JS_RX0_TMR_RXEN1_0L_REG    (JS_RX0_TMR_BASE + 4*0x83)
#define JS_RX0_TMR_RXEN1_0H_REG    (JS_RX0_TMR_BASE + 4*0x84)
#define JS_RX0_TMR_RXEN1_1L_REG    (JS_RX0_TMR_BASE + 4*0x85)
#define JS_RX0_TMR_RXEN1_1H_REG    (JS_RX0_TMR_BASE + 4*0x86)
#define JS_RX0_TMR_TXEN1_0L_REG    (JS_RX0_TMR_BASE + 4*0x87)
#define JS_RX0_TMR_TXEN1_0H_REG    (JS_RX0_TMR_BASE + 4*0x88)
#define JS_RX0_TMR_TXEN1_1L_REG    (JS_RX0_TMR_BASE + 4*0x89)
#define JS_RX0_TMR_TXEN1_1H_REG    (JS_RX0_TMR_BASE + 4*0x8A)
#define JS_RX0_TMR_RXEN2CSU0L_REG  (JS_RX0_TMR_BASE + 4*0x8B)
#define JS_RX0_TMR_RXEN2CSU0H_REG  (JS_RX0_TMR_BASE + 4*0x8C)
#define JS_RX0_TMR_RXEN2CSU1L_REG  (JS_RX0_TMR_BASE + 4*0x8D)
#define JS_RX0_TMR_RXEN2CSU1H_REG  (JS_RX0_TMR_BASE + 4*0x8E)
#define JS_RX0_TMR_TXEN2CSU0L_REG  (JS_RX0_TMR_BASE + 4*0x8F)
#define JS_RX0_TMR_TXEN2CSU0H_REG  (JS_RX0_TMR_BASE + 4*0x90)
#define JS_RX0_TMR_TXEN2CSU1L_REG  (JS_RX0_TMR_BASE + 4*0x91)
#define JS_RX0_TMR_TXEN2CSU1H_REG  (JS_RX0_TMR_BASE + 4*0x92)
#define JS_RX0_TMR_SCRATH0L_REG    (JS_RX0_TMR_BASE + 4*0x93)
#define JS_RX0_TMR_SCRATH0H_REG    (JS_RX0_TMR_BASE + 4*0x94)
#define JS_RX0_TMR_SCRATH1L_REG    (JS_RX0_TMR_BASE + 4*0x95)
#define JS_RX0_TMR_SCRATH1H_REG    (JS_RX0_TMR_BASE + 4*0x96)
#define JS_RX0_TMR_RX_SCRL_REG     (JS_RX0_TMR_BASE + 4*0x97)
#define JS_RX0_TMR_RX_SCRH_REG     (JS_RX0_TMR_BASE + 4*0x98)
#define JS_RX0_TMR_TX_SCRL_REG     (JS_RX0_TMR_BASE + 4*0x99)
#define JS_RX0_TMR_TX_SCRH_REG     (JS_RX0_TMR_BASE + 4*0x9A)
#define JS_RX0_TMR_1PPSL_REG       (JS_RX0_TMR_BASE + 4*0x9B)
#define JS_RX0_TMR_1PPSH_REG       (JS_RX0_TMR_BASE + 4*0x9C)
#define JS_RX0_TMR_CPRI_10MS_CTRL  (JS_RX0_TMR_BASE + 4*0x9D)
#define JS_RX0_TMR_CPRI_ADJ_L      (JS_RX0_TMR_BASE + 4*0x9E)
#define JS_RX0_TMR_CPRI_ADJ_H      (JS_RX0_TMR_BASE + 4*0x9F)
#define JS_RX0_TMR_CPRI_10MS_CLR   (JS_RX0_TMR_BASE + 4*0xA0)

#define JS_RX0_TMR_RX_SOF0_SCR_L_REG  (JS_RX0_TMR_BASE + 4*0xA1)
#define JS_RX0_TMR_RX_SOF0_SCR_H_REG  (JS_RX0_TMR_BASE + 4*0xA2)
#define JS_RX0_TMR_RX_SOF1_SCR_L_REG  (JS_RX0_TMR_BASE + 4*0xA3)
#define JS_RX0_TMR_RX_SOF1_SCR_H_REG  (JS_RX0_TMR_BASE + 4*0xA4)
#define JS_RX0_TMR_RX_SOF2_SCR_L_REG  (JS_RX0_TMR_BASE + 4*0xA5)
#define JS_RX0_TMR_RX_SOF2_SCR_H_REG  (JS_RX0_TMR_BASE + 4*0xA6)
#define JS_RX0_TMR_RX_SOF3_SCR_L_REG  (JS_RX0_TMR_BASE + 4*0xA7)
#define JS_RX0_TMR_RX_SOF3_SCR_H_REG  (JS_RX0_TMR_BASE + 4*0xA8)
#define JS_RX0_TMR_RX_EOF0_SCR_L_REG  (JS_RX0_TMR_BASE + 4*0xA9)
#define JS_RX0_TMR_RX_EOF0_SCR_H_REG  (JS_RX0_TMR_BASE + 4*0xAA)
#define JS_RX0_TMR_RX_EOF1_SCR_L_REG  (JS_RX0_TMR_BASE + 4*0xAB)
#define JS_RX0_TMR_RX_EOF1_SCR_H_REG  (JS_RX0_TMR_BASE + 4*0xAC)
#define JS_RX0_TMR_RX_EOF2_SCR_L_REG  (JS_RX0_TMR_BASE + 4*0xAD)
#define JS_RX0_TMR_RX_EOF2_SCR_H_REG  (JS_RX0_TMR_BASE + 4*0xAE)
#define JS_RX0_TMR_RX_EOF3_SCR_L_REG  (JS_RX0_TMR_BASE + 4*0xAF)
#define JS_RX0_TMR_RX_EOF3_SCR_H_REG  (JS_RX0_TMR_BASE + 4*0xB0)
#define JS_RX0_TMR_RX_SOF_EOF_SCR_EN  (JS_RX0_TMR_BASE + 4*0xB1)




#define JS_RX0_TMR_TnL_REG0        (JS_RX0_TMR_BASE + 4*0x100+8*0x0)
#define JS_RX0_TMR_TnL_REG1        (JS_RX0_TMR_BASE + 4*0x100+8*0x1)
#define JS_RX0_TMR_TnL_REG2        (JS_RX0_TMR_BASE + 4*0x100+8*0x2)
#define JS_RX0_TMR_TnL_REG3        (JS_RX0_TMR_BASE + 4*0x100+8*0x3)
#define JS_RX0_TMR_TnL_REG4        (JS_RX0_TMR_BASE + 4*0x100+8*0x4)
#define JS_RX0_TMR_TnL_REG5        (JS_RX0_TMR_BASE + 4*0x100+8*0x5)
#define JS_RX0_TMR_TnL_REG6        (JS_RX0_TMR_BASE + 4*0x100+8*0x6)
#define JS_RX0_TMR_TnL_REG7        (JS_RX0_TMR_BASE + 4*0x100+8*0x7)
#define JS_RX0_TMR_TnL_REG8        (JS_RX0_TMR_BASE + 4*0x100+8*0x8)
#define JS_RX0_TMR_TnL_REG9        (JS_RX0_TMR_BASE + 4*0x100+8*0x9)
#define JS_RX0_TMR_TnL_REG10        (JS_RX0_TMR_BASE + 4*0x100+8*0xa)
#define JS_RX0_TMR_TnL_REG11        (JS_RX0_TMR_BASE + 4*0x100+8*0xb)
#define JS_RX0_TMR_TnL_REG12        (JS_RX0_TMR_BASE + 4*0x100+8*0xc)
#define JS_RX0_TMR_TnL_REG13        (JS_RX0_TMR_BASE + 4*0x100+8*0xd)
#define JS_RX0_TMR_TnL_REG14        (JS_RX0_TMR_BASE + 4*0x100+8*0xe)
#define JS_RX0_TMR_TnL_REG15        (JS_RX0_TMR_BASE + 4*0x100+8*0xf)
#define JS_RX0_TMR_TnL_REG16        (JS_RX0_TMR_BASE + 4*0x100+8*0x10)
#define JS_RX0_TMR_TnL_REG17        (JS_RX0_TMR_BASE + 4*0x100+8*0x11)
#define JS_RX0_TMR_TnL_REG18        (JS_RX0_TMR_BASE + 4*0x100+8*0x12)
#define JS_RX0_TMR_TnL_REG19        (JS_RX0_TMR_BASE + 4*0x100+8*0x13)
#define JS_RX0_TMR_TnL_REG20        (JS_RX0_TMR_BASE + 4*0x100+8*0x14)
#define JS_RX0_TMR_TnL_REG21        (JS_RX0_TMR_BASE + 4*0x100+8*0x15)
#define JS_RX0_TMR_TnL_REG22        (JS_RX0_TMR_BASE + 4*0x100+8*0x16)
#define JS_RX0_TMR_TnL_REG23        (JS_RX0_TMR_BASE + 4*0x100+8*0x17)
#define JS_RX0_TMR_TnL_REG24        (JS_RX0_TMR_BASE + 4*0x100+8*0x18)
#define JS_RX0_TMR_TnL_REG25        (JS_RX0_TMR_BASE + 4*0x100+8*0x19)
#define JS_RX0_TMR_TnL_REG26        (JS_RX0_TMR_BASE + 4*0x100+8*0x1a)
#define JS_RX0_TMR_TnL_REG27        (JS_RX0_TMR_BASE + 4*0x100+8*0x1b)
#define JS_RX0_TMR_TnL_REG28        (JS_RX0_TMR_BASE + 4*0x100+8*0x1c)
#define JS_RX0_TMR_TnL_REG29        (JS_RX0_TMR_BASE + 4*0x100+8*0x1d)
#define JS_RX0_TMR_TnL_REG30        (JS_RX0_TMR_BASE + 4*0x100+8*0x1e)
#define JS_RX0_TMR_TnL_REG31        (JS_RX0_TMR_BASE + 4*0x100+8*0x1f)
#define JS_RX0_TMR_TnL_REG32        (JS_RX0_TMR_BASE + 4*0x100+8*0x20)
#define JS_RX0_TMR_TnL_REG33        (JS_RX0_TMR_BASE + 4*0x100+8*0x21)
#define JS_RX0_TMR_TnL_REG34        (JS_RX0_TMR_BASE + 4*0x100+8*0x22)
#define JS_RX0_TMR_TnL_REG35        (JS_RX0_TMR_BASE + 4*0x100+8*0x23)
#define JS_RX0_TMR_TnL_REG36        (JS_RX0_TMR_BASE + 4*0x100+8*0x24)
#define JS_RX0_TMR_TnL_REG37        (JS_RX0_TMR_BASE + 4*0x100+8*0x25)
#define JS_RX0_TMR_TnL_REG38        (JS_RX0_TMR_BASE + 4*0x100+8*0x26)
#define JS_RX0_TMR_TnL_REG39        (JS_RX0_TMR_BASE + 4*0x100+8*0x27)
#define JS_RX0_TMR_TnL_REG40        (JS_RX0_TMR_BASE + 4*0x100+8*0x28)
#define JS_RX0_TMR_TnL_REG41        (JS_RX0_TMR_BASE + 4*0x100+8*0x29)
#define JS_RX0_TMR_TnL_REG42        (JS_RX0_TMR_BASE + 4*0x100+8*0x2a)
#define JS_RX0_TMR_TnL_REG43        (JS_RX0_TMR_BASE + 4*0x100+8*0x2b)
#define JS_RX0_TMR_TnL_REG44        (JS_RX0_TMR_BASE + 4*0x100+8*0x2c)
#define JS_RX0_TMR_TnL_REG45        (JS_RX0_TMR_BASE + 4*0x100+8*0x2d)
#define JS_RX0_TMR_TnL_REG46        (JS_RX0_TMR_BASE + 4*0x100+8*0x2e)
#define JS_RX0_TMR_TnL_REG47        (JS_RX0_TMR_BASE + 4*0x100+8*0x2f)
#define JS_RX0_TMR_TnL_REG48        (JS_RX0_TMR_BASE + 4*0x100+8*0x30)
#define JS_RX0_TMR_TnL_REG49        (JS_RX0_TMR_BASE + 4*0x100+8*0x31)
#define JS_RX0_TMR_TnL_REG50        (JS_RX0_TMR_BASE + 4*0x100+8*0x32)
#define JS_RX0_TMR_TnL_REG51        (JS_RX0_TMR_BASE + 4*0x100+8*0x33)
#define JS_RX0_TMR_TnL_REG52        (JS_RX0_TMR_BASE + 4*0x100+8*0x34)
#define JS_RX0_TMR_TnL_REG53        (JS_RX0_TMR_BASE + 4*0x100+8*0x35)
#define JS_RX0_TMR_TnL_REG54        (JS_RX0_TMR_BASE + 4*0x100+8*0x36)
#define JS_RX0_TMR_TnL_REG55        (JS_RX0_TMR_BASE + 4*0x100+8*0x37)
#define JS_RX0_TMR_TnL_REG56        (JS_RX0_TMR_BASE + 4*0x100+8*0x38)
#define JS_RX0_TMR_TnL_REG57        (JS_RX0_TMR_BASE + 4*0x100+8*0x39)
#define JS_RX0_TMR_TnL_REG58        (JS_RX0_TMR_BASE + 4*0x100+8*0x3a)
#define JS_RX0_TMR_TnL_REG59        (JS_RX0_TMR_BASE + 4*0x100+8*0x3b)
#define JS_RX0_TMR_TnL_REG60        (JS_RX0_TMR_BASE + 4*0x100+8*0x3c)
#define JS_RX0_TMR_TnL_REG61        (JS_RX0_TMR_BASE + 4*0x100+8*0x3d)
#define JS_RX0_TMR_TnL_REG62        (JS_RX0_TMR_BASE + 4*0x100+8*0x3e)
#define JS_RX0_TMR_TnL_REG63        (JS_RX0_TMR_BASE + 4*0x100+8*0x3f)
#define JS_RX0_TMR_TnL_REG64        (JS_RX0_TMR_BASE + 4*0x100+8*0x40)
#define JS_RX0_TMR_TnL_REG65        (JS_RX0_TMR_BASE + 4*0x100+8*0x41)
#define JS_RX0_TMR_TnL_REG66        (JS_RX0_TMR_BASE + 4*0x100+8*0x42)
#define JS_RX0_TMR_TnL_REG67        (JS_RX0_TMR_BASE + 4*0x100+8*0x43)
#define JS_RX0_TMR_TnL_REG68        (JS_RX0_TMR_BASE + 4*0x100+8*0x44)
#define JS_RX0_TMR_TnL_REG69        (JS_RX0_TMR_BASE + 4*0x100+8*0x45)
#define JS_RX0_TMR_TnL_REG70        (JS_RX0_TMR_BASE + 4*0x100+8*0x46)
#define JS_RX0_TMR_TnL_REG71        (JS_RX0_TMR_BASE + 4*0x100+8*0x47)
#define JS_RX0_TMR_TnL_REG72        (JS_RX0_TMR_BASE + 4*0x100+8*0x48)
#define JS_RX0_TMR_TnL_REG73        (JS_RX0_TMR_BASE + 4*0x100+8*0x49)
#define JS_RX0_TMR_TnL_REG74        (JS_RX0_TMR_BASE + 4*0x100+8*0x4a)
#define JS_RX0_TMR_TnL_REG75        (JS_RX0_TMR_BASE + 4*0x100+8*0x4b)
#define JS_RX0_TMR_TnL_REG76        (JS_RX0_TMR_BASE + 4*0x100+8*0x4c)
#define JS_RX0_TMR_TnL_REG77        (JS_RX0_TMR_BASE + 4*0x100+8*0x4d)
#define JS_RX0_TMR_TnL_REG78        (JS_RX0_TMR_BASE + 4*0x100+8*0x4e)
#define JS_RX0_TMR_TnL_REG79        (JS_RX0_TMR_BASE + 4*0x100+8*0x4f)
#define JS_RX0_TMR_TnL_REG80        (JS_RX0_TMR_BASE + 4*0x100+8*0x50)
#define JS_RX0_TMR_TnL_REG81        (JS_RX0_TMR_BASE + 4*0x100+8*0x51)
#define JS_RX0_TMR_TnL_REG82        (JS_RX0_TMR_BASE + 4*0x100+8*0x52)
#define JS_RX0_TMR_TnL_REG83        (JS_RX0_TMR_BASE + 4*0x100+8*0x53)
#define JS_RX0_TMR_TnL_REG84        (JS_RX0_TMR_BASE + 4*0x100+8*0x54)
#define JS_RX0_TMR_TnL_REG85        (JS_RX0_TMR_BASE + 4*0x100+8*0x55)
#define JS_RX0_TMR_TnL_REG86        (JS_RX0_TMR_BASE + 4*0x100+8*0x56)
#define JS_RX0_TMR_TnL_REG87        (JS_RX0_TMR_BASE + 4*0x100+8*0x57)
#define JS_RX0_TMR_TnL_REG88        (JS_RX0_TMR_BASE + 4*0x100+8*0x58)
#define JS_RX0_TMR_TnL_REG89        (JS_RX0_TMR_BASE + 4*0x100+8*0x59)
#define JS_RX0_TMR_TnL_REG90        (JS_RX0_TMR_BASE + 4*0x100+8*0x5a)
#define JS_RX0_TMR_TnL_REG91        (JS_RX0_TMR_BASE + 4*0x100+8*0x5b)
#define JS_RX0_TMR_TnL_REG92        (JS_RX0_TMR_BASE + 4*0x100+8*0x5c)
#define JS_RX0_TMR_TnL_REG93        (JS_RX0_TMR_BASE + 4*0x100+8*0x5d)
#define JS_RX0_TMR_TnL_REG94        (JS_RX0_TMR_BASE + 4*0x100+8*0x5e)
#define JS_RX0_TMR_TnL_REG95        (JS_RX0_TMR_BASE + 4*0x100+8*0x5f)



#define JS_RX0_TMR_TnH_REG0     (JS_RX0_TMR_BASE + 4*0x100+8*0x0 + 0x4)
#define JS_RX0_TMR_TnH_REG1     (JS_RX0_TMR_BASE + 4*0x100+8*0x1 + 0x4)
#define JS_RX0_TMR_TnH_REG2     (JS_RX0_TMR_BASE + 4*0x100+8*0x2 + 0x4)
#define JS_RX0_TMR_TnH_REG3     (JS_RX0_TMR_BASE + 4*0x100+8*0x3 + 0x4)
#define JS_RX0_TMR_TnH_REG4     (JS_RX0_TMR_BASE + 4*0x100+8*0x4 + 0x4)
#define JS_RX0_TMR_TnH_REG5     (JS_RX0_TMR_BASE + 4*0x100+8*0x5 + 0x4)
#define JS_RX0_TMR_TnH_REG6     (JS_RX0_TMR_BASE + 4*0x100+8*0x6 + 0x4)
#define JS_RX0_TMR_TnH_REG7     (JS_RX0_TMR_BASE + 4*0x100+8*0x7 + 0x4)
#define JS_RX0_TMR_TnH_REG8     (JS_RX0_TMR_BASE + 4*0x100+8*0x8 + 0x4)
#define JS_RX0_TMR_TnH_REG9     (JS_RX0_TMR_BASE + 4*0x100+8*0x9 + 0x4)
#define JS_RX0_TMR_TnH_REG10     (JS_RX0_TMR_BASE + 4*0x100+8*0xa + 0x4)
#define JS_RX0_TMR_TnH_REG11     (JS_RX0_TMR_BASE + 4*0x100+8*0xb + 0x4)
#define JS_RX0_TMR_TnH_REG12     (JS_RX0_TMR_BASE + 4*0x100+8*0xc + 0x4)
#define JS_RX0_TMR_TnH_REG13     (JS_RX0_TMR_BASE + 4*0x100+8*0xd + 0x4)
#define JS_RX0_TMR_TnH_REG14     (JS_RX0_TMR_BASE + 4*0x100+8*0xe + 0x4)
#define JS_RX0_TMR_TnH_REG15     (JS_RX0_TMR_BASE + 4*0x100+8*0xf + 0x4)
#define JS_RX0_TMR_TnH_REG16     (JS_RX0_TMR_BASE + 4*0x100+8*0x10 + 0x4)
#define JS_RX0_TMR_TnH_REG17     (JS_RX0_TMR_BASE + 4*0x100+8*0x11 + 0x4)
#define JS_RX0_TMR_TnH_REG18     (JS_RX0_TMR_BASE + 4*0x100+8*0x12 + 0x4)
#define JS_RX0_TMR_TnH_REG19     (JS_RX0_TMR_BASE + 4*0x100+8*0x13 + 0x4)
#define JS_RX0_TMR_TnH_REG20     (JS_RX0_TMR_BASE + 4*0x100+8*0x14 + 0x4)
#define JS_RX0_TMR_TnH_REG21     (JS_RX0_TMR_BASE + 4*0x100+8*0x15 + 0x4)
#define JS_RX0_TMR_TnH_REG22     (JS_RX0_TMR_BASE + 4*0x100+8*0x16 + 0x4)
#define JS_RX0_TMR_TnH_REG23     (JS_RX0_TMR_BASE + 4*0x100+8*0x17 + 0x4)
#define JS_RX0_TMR_TnH_REG24     (JS_RX0_TMR_BASE + 4*0x100+8*0x18 + 0x4)
#define JS_RX0_TMR_TnH_REG25     (JS_RX0_TMR_BASE + 4*0x100+8*0x19 + 0x4)
#define JS_RX0_TMR_TnH_REG26     (JS_RX0_TMR_BASE + 4*0x100+8*0x1a + 0x4)
#define JS_RX0_TMR_TnH_REG27     (JS_RX0_TMR_BASE + 4*0x100+8*0x1b + 0x4)
#define JS_RX0_TMR_TnH_REG28     (JS_RX0_TMR_BASE + 4*0x100+8*0x1c + 0x4)
#define JS_RX0_TMR_TnH_REG29     (JS_RX0_TMR_BASE + 4*0x100+8*0x1d + 0x4)
#define JS_RX0_TMR_TnH_REG30     (JS_RX0_TMR_BASE + 4*0x100+8*0x1e + 0x4)
#define JS_RX0_TMR_TnH_REG31     (JS_RX0_TMR_BASE + 4*0x100+8*0x1f + 0x4)
#define JS_RX0_TMR_TnH_REG32     (JS_RX0_TMR_BASE + 4*0x100+8*0x20 + 0x4)
#define JS_RX0_TMR_TnH_REG33     (JS_RX0_TMR_BASE + 4*0x100+8*0x21 + 0x4)
#define JS_RX0_TMR_TnH_REG34     (JS_RX0_TMR_BASE + 4*0x100+8*0x22 + 0x4)
#define JS_RX0_TMR_TnH_REG35     (JS_RX0_TMR_BASE + 4*0x100+8*0x23 + 0x4)
#define JS_RX0_TMR_TnH_REG36     (JS_RX0_TMR_BASE + 4*0x100+8*0x24 + 0x4)
#define JS_RX0_TMR_TnH_REG37     (JS_RX0_TMR_BASE + 4*0x100+8*0x25 + 0x4)
#define JS_RX0_TMR_TnH_REG38     (JS_RX0_TMR_BASE + 4*0x100+8*0x26 + 0x4)
#define JS_RX0_TMR_TnH_REG39     (JS_RX0_TMR_BASE + 4*0x100+8*0x27 + 0x4)
#define JS_RX0_TMR_TnH_REG40     (JS_RX0_TMR_BASE + 4*0x100+8*0x28 + 0x4)
#define JS_RX0_TMR_TnH_REG41     (JS_RX0_TMR_BASE + 4*0x100+8*0x29 + 0x4)
#define JS_RX0_TMR_TnH_REG42     (JS_RX0_TMR_BASE + 4*0x100+8*0x2a + 0x4)
#define JS_RX0_TMR_TnH_REG43     (JS_RX0_TMR_BASE + 4*0x100+8*0x2b + 0x4)
#define JS_RX0_TMR_TnH_REG44     (JS_RX0_TMR_BASE + 4*0x100+8*0x2c + 0x4)
#define JS_RX0_TMR_TnH_REG45     (JS_RX0_TMR_BASE + 4*0x100+8*0x2d + 0x4)
#define JS_RX0_TMR_TnH_REG46     (JS_RX0_TMR_BASE + 4*0x100+8*0x2e + 0x4)
#define JS_RX0_TMR_TnH_REG47     (JS_RX0_TMR_BASE + 4*0x100+8*0x2f + 0x4)
#define JS_RX0_TMR_TnH_REG48     (JS_RX0_TMR_BASE + 4*0x100+8*0x30 + 0x4)
#define JS_RX0_TMR_TnH_REG49     (JS_RX0_TMR_BASE + 4*0x100+8*0x31 + 0x4)
#define JS_RX0_TMR_TnH_REG50     (JS_RX0_TMR_BASE + 4*0x100+8*0x32 + 0x4)
#define JS_RX0_TMR_TnH_REG51     (JS_RX0_TMR_BASE + 4*0x100+8*0x33 + 0x4)
#define JS_RX0_TMR_TnH_REG52     (JS_RX0_TMR_BASE + 4*0x100+8*0x34 + 0x4)
#define JS_RX0_TMR_TnH_REG53     (JS_RX0_TMR_BASE + 4*0x100+8*0x35 + 0x4)
#define JS_RX0_TMR_TnH_REG54     (JS_RX0_TMR_BASE + 4*0x100+8*0x36 + 0x4)
#define JS_RX0_TMR_TnH_REG55     (JS_RX0_TMR_BASE + 4*0x100+8*0x37 + 0x4)
#define JS_RX0_TMR_TnH_REG56     (JS_RX0_TMR_BASE + 4*0x100+8*0x38 + 0x4)
#define JS_RX0_TMR_TnH_REG57     (JS_RX0_TMR_BASE + 4*0x100+8*0x39 + 0x4)
#define JS_RX0_TMR_TnH_REG58     (JS_RX0_TMR_BASE + 4*0x100+8*0x3a + 0x4)
#define JS_RX0_TMR_TnH_REG59     (JS_RX0_TMR_BASE + 4*0x100+8*0x3b + 0x4)
#define JS_RX0_TMR_TnH_REG60     (JS_RX0_TMR_BASE + 4*0x100+8*0x3c + 0x4)
#define JS_RX0_TMR_TnH_REG61     (JS_RX0_TMR_BASE + 4*0x100+8*0x3d + 0x4)
#define JS_RX0_TMR_TnH_REG62     (JS_RX0_TMR_BASE + 4*0x100+8*0x3e + 0x4)
#define JS_RX0_TMR_TnH_REG63     (JS_RX0_TMR_BASE + 4*0x100+8*0x3f + 0x4)
#define JS_RX0_TMR_TnH_REG64     (JS_RX0_TMR_BASE + 4*0x100+8*0x40 + 0x4)
#define JS_RX0_TMR_TnH_REG65     (JS_RX0_TMR_BASE + 4*0x100+8*0x41 + 0x4)
#define JS_RX0_TMR_TnH_REG66     (JS_RX0_TMR_BASE + 4*0x100+8*0x42 + 0x4)
#define JS_RX0_TMR_TnH_REG67     (JS_RX0_TMR_BASE + 4*0x100+8*0x43 + 0x4)
#define JS_RX0_TMR_TnH_REG68     (JS_RX0_TMR_BASE + 4*0x100+8*0x44 + 0x4)
#define JS_RX0_TMR_TnH_REG69     (JS_RX0_TMR_BASE + 4*0x100+8*0x45 + 0x4)
#define JS_RX0_TMR_TnH_REG70     (JS_RX0_TMR_BASE + 4*0x100+8*0x46 + 0x4)
#define JS_RX0_TMR_TnH_REG71     (JS_RX0_TMR_BASE + 4*0x100+8*0x47 + 0x4)
#define JS_RX0_TMR_TnH_REG72     (JS_RX0_TMR_BASE + 4*0x100+8*0x48 + 0x4)
#define JS_RX0_TMR_TnH_REG73     (JS_RX0_TMR_BASE + 4*0x100+8*0x49 + 0x4)
#define JS_RX0_TMR_TnH_REG74     (JS_RX0_TMR_BASE + 4*0x100+8*0x4a + 0x4)
#define JS_RX0_TMR_TnH_REG75     (JS_RX0_TMR_BASE + 4*0x100+8*0x4b + 0x4)
#define JS_RX0_TMR_TnH_REG76     (JS_RX0_TMR_BASE + 4*0x100+8*0x4c + 0x4)
#define JS_RX0_TMR_TnH_REG77     (JS_RX0_TMR_BASE + 4*0x100+8*0x4d + 0x4)
#define JS_RX0_TMR_TnH_REG78     (JS_RX0_TMR_BASE + 4*0x100+8*0x4e + 0x4)
#define JS_RX0_TMR_TnH_REG79     (JS_RX0_TMR_BASE + 4*0x100+8*0x4f + 0x4)
#define JS_RX0_TMR_TnH_REG80     (JS_RX0_TMR_BASE + 4*0x100+8*0x50 + 0x4)
#define JS_RX0_TMR_TnH_REG81     (JS_RX0_TMR_BASE + 4*0x100+8*0x51 + 0x4)
#define JS_RX0_TMR_TnH_REG82     (JS_RX0_TMR_BASE + 4*0x100+8*0x52 + 0x4)
#define JS_RX0_TMR_TnH_REG83     (JS_RX0_TMR_BASE + 4*0x100+8*0x53 + 0x4)
#define JS_RX0_TMR_TnH_REG84     (JS_RX0_TMR_BASE + 4*0x100+8*0x54 + 0x4)
#define JS_RX0_TMR_TnH_REG85     (JS_RX0_TMR_BASE + 4*0x100+8*0x55 + 0x4)
#define JS_RX0_TMR_TnH_REG86     (JS_RX0_TMR_BASE + 4*0x100+8*0x56 + 0x4)
#define JS_RX0_TMR_TnH_REG87     (JS_RX0_TMR_BASE + 4*0x100+8*0x57 + 0x4)
#define JS_RX0_TMR_TnH_REG88     (JS_RX0_TMR_BASE + 4*0x100+8*0x58 + 0x4)
#define JS_RX0_TMR_TnH_REG89     (JS_RX0_TMR_BASE + 4*0x100+8*0x59 + 0x4)
#define JS_RX0_TMR_TnH_REG90     (JS_RX0_TMR_BASE + 4*0x100+8*0x5a + 0x4)
#define JS_RX0_TMR_TnH_REG91     (JS_RX0_TMR_BASE + 4*0x100+8*0x5b + 0x4)
#define JS_RX0_TMR_TnH_REG92     (JS_RX0_TMR_BASE + 4*0x100+8*0x5c + 0x4)
#define JS_RX0_TMR_TnH_REG93     (JS_RX0_TMR_BASE + 4*0x100+8*0x5d + 0x4)
#define JS_RX0_TMR_TnH_REG94     (JS_RX0_TMR_BASE + 4*0x100+8*0x5e + 0x4)
#define JS_RX0_TMR_TnH_REG95     (JS_RX0_TMR_BASE + 4*0x100+8*0x5f + 0x4)

#define JS_RX1_PIN_CTRL_REG        (JS_RX1_TMR_BASE + 4*0x00)
#define JS_RX1_IO_CTRL_REG         (JS_RX1_TMR_BASE + 4*0x01)
#define JS_RX1_TMR_INTC_REG        (JS_RX1_TMR_BASE + 4*0x02)
#define JS_RX1_TMR_SCR_CTRL_REG    (JS_RX1_TMR_BASE + 4*0x03)
#define JS_RX1_TMR_CTRL_REG        (JS_RX1_TMR_BASE + 4*0x04)
#define JS_RX1_TMR_RX_SCRL_0_REG   (JS_RX1_TMR_BASE + 4*0x05)
#define JS_RX1_TMR_RX_SCRH_0_REG   (JS_RX1_TMR_BASE + 4*0x06)
#define JS_RX1_TMR_TX_SCRL_0_REG   (JS_RX1_TMR_BASE + 4*0x07)
#define JS_RX1_TMR_TX_SCRH_0_REG   (JS_RX1_TMR_BASE + 4*0x08)
#define JS_RX1_TMR_RX_SCRL_1_REG   (JS_RX1_TMR_BASE + 4*0x09)
#define JS_RX1_TMR_RX_SCRH_1_REG   (JS_RX1_TMR_BASE + 4*0x0A)
#define JS_RX1_TMR_TX_SCRL_1_REG   (JS_RX1_TMR_BASE + 4*0x0B)
#define JS_RX1_TMR_TX_SCRH_1_REG   (JS_RX1_TMR_BASE + 4*0x0C)
#define JS_RX1_TMR_TEVENT0_REG     (JS_RX1_TMR_BASE + 4*0x10)
#define JS_RX1_TMR_TEVENT1_REG     (JS_RX1_TMR_BASE + 4*0x11)
#define JS_RX1_TMR_TEVENT2_REG     (JS_RX1_TMR_BASE + 4*0x12)
#define JS_RX1_TMR_TSCR_TRG_REG    (JS_RX1_TMR_BASE + 4*0x13)
#define JS_RX1_TMR_TWREQ0_REG      (JS_RX1_TMR_BASE + 4*0x14)
#define JS_RX1_TMR_TWREQ1_REG      (JS_RX1_TMR_BASE + 4*0x15)
#define JS_RX1_TMR_TWREQ2_REG      (JS_RX1_TMR_BASE + 4*0x16)
#define JS_RX1_TMR_TINTE00_REG     (JS_RX1_TMR_BASE + 4*0x17)
#define JS_RX1_TMR_TINTF00_REG     (JS_RX1_TMR_BASE + 4*0x18)
#define JS_RX1_TMR_TINTE01_REG     (JS_RX1_TMR_BASE + 4*0x19)
#define JS_RX1_TMR_TINTF01_REG     (JS_RX1_TMR_BASE + 4*0x1A)
#define JS_RX1_TMR_TINTE02_REG     (JS_RX1_TMR_BASE + 4*0x1B)
#define JS_RX1_TMR_TINTF02_REG     (JS_RX1_TMR_BASE + 4*0x1C)
#define JS_RX1_TMR_TINTE10_REG     (JS_RX1_TMR_BASE + 4*0x1D)
#define JS_RX1_TMR_TINTF10_REG     (JS_RX1_TMR_BASE + 4*0x1E)
#define JS_RX1_TMR_TINTE11_REG     (JS_RX1_TMR_BASE + 4*0x1F)
#define JS_RX1_TMR_TINTF11_REG     (JS_RX1_TMR_BASE + 4*0x20)
#define JS_RX1_TMR_TINTE12_REG     (JS_RX1_TMR_BASE + 4*0x21)
#define JS_RX1_TMR_TINTF12_REG     (JS_RX1_TMR_BASE + 4*0x22)
#define JS_RX1_TMR_TINTE20_REG     (JS_RX1_TMR_BASE + 4*0x23)
#define JS_RX1_TMR_TINTF20_REG     (JS_RX1_TMR_BASE + 4*0x24)
#define JS_RX1_TMR_TINTE21_REG     (JS_RX1_TMR_BASE + 4*0x25)
#define JS_RX1_TMR_TINTF21_REG     (JS_RX1_TMR_BASE + 4*0x26)
#define JS_RX1_TMR_TINTE22_REG     (JS_RX1_TMR_BASE + 4*0x27)
#define JS_RX1_TMR_TINTF22_REG     (JS_RX1_TMR_BASE + 4*0x28)
#define JS_RX1_TMR_TINTE30_REG     (JS_RX1_TMR_BASE + 4*0x29)
#define JS_RX1_TMR_TINTF30_REG     (JS_RX1_TMR_BASE + 4*0x2A)
#define JS_RX1_TMR_TINTE31_REG     (JS_RX1_TMR_BASE + 4*0x2B)
#define JS_RX1_TMR_TINTF31_REG     (JS_RX1_TMR_BASE + 4*0x2C)
#define JS_RX1_TMR_TINTE32_REG     (JS_RX1_TMR_BASE + 4*0x2D)
#define JS_RX1_TMR_TINTF32_REG     (JS_RX1_TMR_BASE + 4*0x2E)
#define JS_RX1_TMR_TINTE40_REG     (JS_RX1_TMR_BASE + 4*0x2F)
#define JS_RX1_TMR_TINTF40_REG     (JS_RX1_TMR_BASE + 4*0x30)
#define JS_RX1_TMR_TINTE41_REG     (JS_RX1_TMR_BASE + 4*0x31)
#define JS_RX1_TMR_TINTF41_REG     (JS_RX1_TMR_BASE + 4*0x32)
#define JS_RX1_TMR_TINTE42_REG     (JS_RX1_TMR_BASE + 4*0x33)
#define JS_RX1_TMR_TINTF42_REG     (JS_RX1_TMR_BASE + 4*0x34)
#define JS_RX1_TMR_TINTE50_REG     (JS_RX1_TMR_BASE + 4*0x35)
#define JS_RX1_TMR_TINTF50_REG     (JS_RX1_TMR_BASE + 4*0x36)
#define JS_RX1_TMR_TINTE51_REG     (JS_RX1_TMR_BASE + 4*0x37)
#define JS_RX1_TMR_TINTF51_REG     (JS_RX1_TMR_BASE + 4*0x38)
#define JS_RX1_TMR_TINTE52_REG     (JS_RX1_TMR_BASE + 4*0x39)
#define JS_RX1_TMR_TINTF52_REG     (JS_RX1_TMR_BASE + 4*0x3A)
#define JS_RX1_TMR_TINTE60_REG     (JS_RX1_TMR_BASE + 4*0x3B)
#define JS_RX1_TMR_TINTF60_REG     (JS_RX1_TMR_BASE + 4*0x3C)
#define JS_RX1_TMR_TINTE61_REG     (JS_RX1_TMR_BASE + 4*0x3D)
#define JS_RX1_TMR_TINTF61_REG     (JS_RX1_TMR_BASE + 4*0x3E)
#define JS_RX1_TMR_TINTE62_REG     (JS_RX1_TMR_BASE + 4*0x3F)
#define JS_RX1_TMR_TINTF62_REG     (JS_RX1_TMR_BASE + 4*0x40)
#define JS_RX1_TMR_TINTE70_REG     (JS_RX1_TMR_BASE + 4*0x41)
#define JS_RX1_TMR_TINTF70_REG     (JS_RX1_TMR_BASE + 4*0x42)
#define JS_RX1_TMR_TINTE71_REG     (JS_RX1_TMR_BASE + 4*0x43)
#define JS_RX1_TMR_TINTF71_REG     (JS_RX1_TMR_BASE + 4*0x44)
#define JS_RX1_TMR_TINTE72_REG     (JS_RX1_TMR_BASE + 4*0x45)
#define JS_RX1_TMR_TINTF72_REG     (JS_RX1_TMR_BASE + 4*0x46)
#define JS_RX1_TMR_TINTE80_REG     (JS_RX1_TMR_BASE + 4*0x47)
#define JS_RX1_TMR_TINTF80_REG     (JS_RX1_TMR_BASE + 4*0x48)
#define JS_RX1_TMR_TINTE81_REG     (JS_RX1_TMR_BASE + 4*0x49)
#define JS_RX1_TMR_TINTF81_REG     (JS_RX1_TMR_BASE + 4*0x4A)
#define JS_RX1_TMR_TINTE82_REG     (JS_RX1_TMR_BASE + 4*0x4B)
#define JS_RX1_TMR_TINTF82_REG     (JS_RX1_TMR_BASE + 4*0x4C)
#define JS_RX1_TMR_TINTE90_REG     (JS_RX1_TMR_BASE + 4*0x4D)
#define JS_RX1_TMR_TINTF90_REG     (JS_RX1_TMR_BASE + 4*0x4E)
#define JS_RX1_TMR_TINTE91_REG     (JS_RX1_TMR_BASE + 4*0x4F)
#define JS_RX1_TMR_TINTF91_REG     (JS_RX1_TMR_BASE + 4*0x50)
#define JS_RX1_TMR_TINTE92_REG     (JS_RX1_TMR_BASE + 4*0x51)
#define JS_RX1_TMR_TINTF92_REG     (JS_RX1_TMR_BASE + 4*0x52)
#define JS_RX1_TMR_TINTEA0_REG     (JS_RX1_TMR_BASE + 4*0x53)
#define JS_RX1_TMR_TINTFA0_REG     (JS_RX1_TMR_BASE + 4*0x54)
#define JS_RX1_TMR_TINTEA1_REG     (JS_RX1_TMR_BASE + 4*0x55)
#define JS_RX1_TMR_TINTFA1_REG     (JS_RX1_TMR_BASE + 4*0x56)
#define JS_RX1_TMR_TINTEA2_REG     (JS_RX1_TMR_BASE + 4*0x57)
#define JS_RX1_TMR_TINTFA2_REG     (JS_RX1_TMR_BASE + 4*0x58)
#define JS_RX1_TMR_TINTEB0_REG     (JS_RX1_TMR_BASE + 4*0x59)
#define JS_RX1_TMR_TINTFB0_REG     (JS_RX1_TMR_BASE + 4*0x5A)
#define JS_RX1_TMR_TINTEB1_REG     (JS_RX1_TMR_BASE + 4*0x5B)
#define JS_RX1_TMR_TINTFB1_REG     (JS_RX1_TMR_BASE + 4*0x5C)
#define JS_RX1_TMR_TINTEB2_REG     (JS_RX1_TMR_BASE + 4*0x5D)
#define JS_RX1_TMR_TINTFB2_REG     (JS_RX1_TMR_BASE + 4*0x5E)
#define JS_RX1_TMR_CEVENT_REG      (JS_RX1_TMR_BASE + 4*0x5F)
#define JS_RX1_TMR_CMSK_REG        (JS_RX1_TMR_BASE + 4*0x60)
#define JS_RX1_TMR_CINTE0_REG      (JS_RX1_TMR_BASE + 4*0x61)
#define JS_RX1_TMR_CINTF0_REG      (JS_RX1_TMR_BASE + 4*0x62)
#define JS_RX1_TMR_CINTE1_REG      (JS_RX1_TMR_BASE + 4*0x63)
#define JS_RX1_TMR_CINTF1_REG      (JS_RX1_TMR_BASE + 4*0x64)
#define JS_RX1_TMR_CINTE2_REG      (JS_RX1_TMR_BASE + 4*0x65)
#define JS_RX1_TMR_CINTF2_REG      (JS_RX1_TMR_BASE + 4*0x66)
#define JS_RX1_TMR_CINTE3_REG      (JS_RX1_TMR_BASE + 4*0x67)
#define JS_RX1_TMR_CINTF3_REG      (JS_RX1_TMR_BASE + 4*0x68)
#define JS_RX1_TMR_CINTE4_REG      (JS_RX1_TMR_BASE + 4*0x69)
#define JS_RX1_TMR_CINTF4_REG      (JS_RX1_TMR_BASE + 4*0x6A)
#define JS_RX1_TMR_CINTE5_REG      (JS_RX1_TMR_BASE + 4*0x6B)
#define JS_RX1_TMR_CINTF5_REG      (JS_RX1_TMR_BASE + 4*0x6C)
#define JS_RX1_TMR_CINTE6_REG      (JS_RX1_TMR_BASE + 4*0x6D)
#define JS_RX1_TMR_CINTF6_REG      (JS_RX1_TMR_BASE + 4*0x6E)
#define JS_RX1_TMR_CINTE7_REG      (JS_RX1_TMR_BASE + 4*0x6F)
#define JS_RX1_TMR_CINTF7_REG      (JS_RX1_TMR_BASE + 4*0x70)
#define JS_RX1_TMR_CINTE8_REG      (JS_RX1_TMR_BASE + 4*0x71)
#define JS_RX1_TMR_CINTF8_REG      (JS_RX1_TMR_BASE + 4*0x72)
#define JS_RX1_TMR_CINTE9_REG      (JS_RX1_TMR_BASE + 4*0x73)
#define JS_RX1_TMR_CINTF9_REG      (JS_RX1_TMR_BASE + 4*0x74)
#define JS_RX1_TMR_CINTEA_REG      (JS_RX1_TMR_BASE + 4*0x75)
#define JS_RX1_TMR_CINTFA_REG      (JS_RX1_TMR_BASE + 4*0x76)
#define JS_RX1_TMR_CINTEB_REG      (JS_RX1_TMR_BASE + 4*0x77)
#define JS_RX1_TMR_CINTFB_REG      (JS_RX1_TMR_BASE + 4*0x78)
#define JS_RX1_TMR_OVFL_REG        (JS_RX1_TMR_BASE + 4*0x79)
#define JS_RX1_TMR_OVFH_REG        (JS_RX1_TMR_BASE + 4*0x7A)
#define JS_RX1_TMR_RXEN0_0L_REG    (JS_RX1_TMR_BASE + 4*0x7B)
#define JS_RX1_TMR_RXEN0_0H_REG    (JS_RX1_TMR_BASE + 4*0x7C)
#define JS_RX1_TMR_RXEN0_1L_REG    (JS_RX1_TMR_BASE + 4*0x7D)
#define JS_RX1_TMR_RXEN0_1H_REG    (JS_RX1_TMR_BASE + 4*0x7E)
#define JS_RX1_TMR_TXEN0_0L_REG    (JS_RX1_TMR_BASE + 4*0x7F)
#define JS_RX1_TMR_TXEN0_0H_REG    (JS_RX1_TMR_BASE + 4*0x80)
#define JS_RX1_TMR_TXEN0_1L_REG    (JS_RX1_TMR_BASE + 4*0x81)
#define JS_RX1_TMR_TXEN0_1H_REG    (JS_RX1_TMR_BASE + 4*0x82)
#define JS_RX1_TMR_RXEN1_0L_REG    (JS_RX1_TMR_BASE + 4*0x83)
#define JS_RX1_TMR_RXEN1_0H_REG    (JS_RX1_TMR_BASE + 4*0x84)
#define JS_RX1_TMR_RXEN1_1L_REG    (JS_RX1_TMR_BASE + 4*0x85)
#define JS_RX1_TMR_RXEN1_1H_REG    (JS_RX1_TMR_BASE + 4*0x86)
#define JS_RX1_TMR_TXEN1_0L_REG    (JS_RX1_TMR_BASE + 4*0x87)
#define JS_RX1_TMR_TXEN1_0H_REG    (JS_RX1_TMR_BASE + 4*0x88)
#define JS_RX1_TMR_TXEN1_1L_REG    (JS_RX1_TMR_BASE + 4*0x89)
#define JS_RX1_TMR_TXEN1_1H_REG    (JS_RX1_TMR_BASE + 4*0x8A)
#define JS_RX1_TMR_RXEN2CSU0L_REG  (JS_RX1_TMR_BASE + 4*0x8B)
#define JS_RX1_TMR_RXEN2CSU0H_REG  (JS_RX1_TMR_BASE + 4*0x8C)
#define JS_RX1_TMR_RXEN2CSU1L_REG  (JS_RX1_TMR_BASE + 4*0x8D)
#define JS_RX1_TMR_RXEN2CSU1H_REG  (JS_RX1_TMR_BASE + 4*0x8E)
#define JS_RX1_TMR_TXEN2CSU0L_REG  (JS_RX1_TMR_BASE + 4*0x8F)
#define JS_RX1_TMR_TXEN2CSU0H_REG  (JS_RX1_TMR_BASE + 4*0x90)
#define JS_RX1_TMR_TXEN2CSU1L_REG  (JS_RX1_TMR_BASE + 4*0x91)
#define JS_RX1_TMR_TXEN2CSU1H_REG  (JS_RX1_TMR_BASE + 4*0x92)
#define JS_RX1_TMR_SCRATH0L_REG    (JS_RX1_TMR_BASE + 4*0x93)
#define JS_RX1_TMR_SCRATH0H_REG    (JS_RX1_TMR_BASE + 4*0x94)
#define JS_RX1_TMR_SCRATH1L_REG    (JS_RX1_TMR_BASE + 4*0x95)
#define JS_RX1_TMR_SCRATH1H_REG    (JS_RX1_TMR_BASE + 4*0x96)
#define JS_RX1_TMR_RX_SCRL_REG     (JS_RX1_TMR_BASE + 4*0x97)
#define JS_RX1_TMR_RX_SCRH_REG     (JS_RX1_TMR_BASE + 4*0x98)
#define JS_RX1_TMR_TX_SCRL_REG     (JS_RX1_TMR_BASE + 4*0x99)
#define JS_RX1_TMR_TX_SCRH_REG     (JS_RX1_TMR_BASE + 4*0x9A)
#define JS_RX1_TMR_1PPSL_REG       (JS_RX1_TMR_BASE + 4*0x9B)
#define JS_RX1_TMR_1PPSH_REG       (JS_RX1_TMR_BASE + 4*0x9C)
#define JS_RX1_TMR_CPRI_10MS_CTRL  (JS_RX1_TMR_BASE + 4*0x9D)
#define JS_RX1_TMR_CPRI_ADJ_L      (JS_RX1_TMR_BASE + 4*0x9E)
#define JS_RX1_TMR_CPRI_ADJ_H      (JS_RX1_TMR_BASE + 4*0x9F)
#define JS_RX1_TMR_CPRI_10MS_CLR   (JS_RX1_TMR_BASE + 4*0xA0)

#define JS_RX1_TMR_RX_SOF0_SCR_L_REG  (JS_RX1_TMR_BASE + 4*0xA1)
#define JS_RX1_TMR_RX_SOF0_SCR_H_REG  (JS_RX1_TMR_BASE + 4*0xA2)
#define JS_RX1_TMR_RX_SOF1_SCR_L_REG  (JS_RX1_TMR_BASE + 4*0xA3)
#define JS_RX1_TMR_RX_SOF1_SCR_H_REG  (JS_RX1_TMR_BASE + 4*0xA4)
#define JS_RX1_TMR_RX_SOF2_SCR_L_REG  (JS_RX1_TMR_BASE + 4*0xA5)
#define JS_RX1_TMR_RX_SOF2_SCR_H_REG  (JS_RX1_TMR_BASE + 4*0xA6)
#define JS_RX1_TMR_RX_SOF3_SCR_L_REG  (JS_RX1_TMR_BASE + 4*0xA7)
#define JS_RX1_TMR_RX_SOF3_SCR_H_REG  (JS_RX1_TMR_BASE + 4*0xA8)
#define JS_RX1_TMR_RX_EOF0_SCR_L_REG  (JS_RX1_TMR_BASE + 4*0xA9)
#define JS_RX1_TMR_RX_EOF0_SCR_H_REG  (JS_RX1_TMR_BASE + 4*0xAA)
#define JS_RX1_TMR_RX_EOF1_SCR_L_REG  (JS_RX1_TMR_BASE + 4*0xAB)
#define JS_RX1_TMR_RX_EOF1_SCR_H_REG  (JS_RX1_TMR_BASE + 4*0xAC)
#define JS_RX1_TMR_RX_EOF2_SCR_L_REG  (JS_RX1_TMR_BASE + 4*0xAD)
#define JS_RX1_TMR_RX_EOF2_SCR_H_REG  (JS_RX1_TMR_BASE + 4*0xAE)
#define JS_RX1_TMR_RX_EOF3_SCR_L_REG  (JS_RX1_TMR_BASE + 4*0xAF)
#define JS_RX1_TMR_RX_EOF3_SCR_H_REG  (JS_RX1_TMR_BASE + 4*0xB0)
#define JS_RX1_TMR_RX_SOF_EOF_SCR_EN  (JS_RX1_TMR_BASE + 4*0xB1)


#define JS_RX1_TMR_TnL_REG0        (JS_RX1_TMR_BASE + 4*0x100+8*0x0)
#define JS_RX1_TMR_TnL_REG1        (JS_RX1_TMR_BASE + 4*0x100+8*0x1)
#define JS_RX1_TMR_TnL_REG2        (JS_RX1_TMR_BASE + 4*0x100+8*0x2)
#define JS_RX1_TMR_TnL_REG3        (JS_RX1_TMR_BASE + 4*0x100+8*0x3)
#define JS_RX1_TMR_TnL_REG4        (JS_RX1_TMR_BASE + 4*0x100+8*0x4)
#define JS_RX1_TMR_TnL_REG5        (JS_RX1_TMR_BASE + 4*0x100+8*0x5)
#define JS_RX1_TMR_TnL_REG6        (JS_RX1_TMR_BASE + 4*0x100+8*0x6)
#define JS_RX1_TMR_TnL_REG7        (JS_RX1_TMR_BASE + 4*0x100+8*0x7)
#define JS_RX1_TMR_TnL_REG8        (JS_RX1_TMR_BASE + 4*0x100+8*0x8)
#define JS_RX1_TMR_TnL_REG9        (JS_RX1_TMR_BASE + 4*0x100+8*0x9)
#define JS_RX1_TMR_TnL_REG10        (JS_RX1_TMR_BASE + 4*0x100+8*0xa)
#define JS_RX1_TMR_TnL_REG11        (JS_RX1_TMR_BASE + 4*0x100+8*0xb)
#define JS_RX1_TMR_TnL_REG12        (JS_RX1_TMR_BASE + 4*0x100+8*0xc)
#define JS_RX1_TMR_TnL_REG13        (JS_RX1_TMR_BASE + 4*0x100+8*0xd)
#define JS_RX1_TMR_TnL_REG14        (JS_RX1_TMR_BASE + 4*0x100+8*0xe)
#define JS_RX1_TMR_TnL_REG15        (JS_RX1_TMR_BASE + 4*0x100+8*0xf)
#define JS_RX1_TMR_TnL_REG16        (JS_RX1_TMR_BASE + 4*0x100+8*0x10)
#define JS_RX1_TMR_TnL_REG17        (JS_RX1_TMR_BASE + 4*0x100+8*0x11)
#define JS_RX1_TMR_TnL_REG18        (JS_RX1_TMR_BASE + 4*0x100+8*0x12)
#define JS_RX1_TMR_TnL_REG19        (JS_RX1_TMR_BASE + 4*0x100+8*0x13)
#define JS_RX1_TMR_TnL_REG20        (JS_RX1_TMR_BASE + 4*0x100+8*0x14)
#define JS_RX1_TMR_TnL_REG21        (JS_RX1_TMR_BASE + 4*0x100+8*0x15)
#define JS_RX1_TMR_TnL_REG22        (JS_RX1_TMR_BASE + 4*0x100+8*0x16)
#define JS_RX1_TMR_TnL_REG23        (JS_RX1_TMR_BASE + 4*0x100+8*0x17)
#define JS_RX1_TMR_TnL_REG24        (JS_RX1_TMR_BASE + 4*0x100+8*0x18)
#define JS_RX1_TMR_TnL_REG25        (JS_RX1_TMR_BASE + 4*0x100+8*0x19)
#define JS_RX1_TMR_TnL_REG26        (JS_RX1_TMR_BASE + 4*0x100+8*0x1a)
#define JS_RX1_TMR_TnL_REG27        (JS_RX1_TMR_BASE + 4*0x100+8*0x1b)
#define JS_RX1_TMR_TnL_REG28        (JS_RX1_TMR_BASE + 4*0x100+8*0x1c)
#define JS_RX1_TMR_TnL_REG29        (JS_RX1_TMR_BASE + 4*0x100+8*0x1d)
#define JS_RX1_TMR_TnL_REG30        (JS_RX1_TMR_BASE + 4*0x100+8*0x1e)
#define JS_RX1_TMR_TnL_REG31        (JS_RX1_TMR_BASE + 4*0x100+8*0x1f)
#define JS_RX1_TMR_TnL_REG32        (JS_RX1_TMR_BASE + 4*0x100+8*0x20)
#define JS_RX1_TMR_TnL_REG33        (JS_RX1_TMR_BASE + 4*0x100+8*0x21)
#define JS_RX1_TMR_TnL_REG34        (JS_RX1_TMR_BASE + 4*0x100+8*0x22)
#define JS_RX1_TMR_TnL_REG35        (JS_RX1_TMR_BASE + 4*0x100+8*0x23)
#define JS_RX1_TMR_TnL_REG36        (JS_RX1_TMR_BASE + 4*0x100+8*0x24)
#define JS_RX1_TMR_TnL_REG37        (JS_RX1_TMR_BASE + 4*0x100+8*0x25)
#define JS_RX1_TMR_TnL_REG38        (JS_RX1_TMR_BASE + 4*0x100+8*0x26)
#define JS_RX1_TMR_TnL_REG39        (JS_RX1_TMR_BASE + 4*0x100+8*0x27)
#define JS_RX1_TMR_TnL_REG40        (JS_RX1_TMR_BASE + 4*0x100+8*0x28)
#define JS_RX1_TMR_TnL_REG41        (JS_RX1_TMR_BASE + 4*0x100+8*0x29)
#define JS_RX1_TMR_TnL_REG42        (JS_RX1_TMR_BASE + 4*0x100+8*0x2a)
#define JS_RX1_TMR_TnL_REG43        (JS_RX1_TMR_BASE + 4*0x100+8*0x2b)
#define JS_RX1_TMR_TnL_REG44        (JS_RX1_TMR_BASE + 4*0x100+8*0x2c)
#define JS_RX1_TMR_TnL_REG45        (JS_RX1_TMR_BASE + 4*0x100+8*0x2d)
#define JS_RX1_TMR_TnL_REG46        (JS_RX1_TMR_BASE + 4*0x100+8*0x2e)
#define JS_RX1_TMR_TnL_REG47        (JS_RX1_TMR_BASE + 4*0x100+8*0x2f)
#define JS_RX1_TMR_TnL_REG48        (JS_RX1_TMR_BASE + 4*0x100+8*0x30)
#define JS_RX1_TMR_TnL_REG49        (JS_RX1_TMR_BASE + 4*0x100+8*0x31)
#define JS_RX1_TMR_TnL_REG50        (JS_RX1_TMR_BASE + 4*0x100+8*0x32)
#define JS_RX1_TMR_TnL_REG51        (JS_RX1_TMR_BASE + 4*0x100+8*0x33)
#define JS_RX1_TMR_TnL_REG52        (JS_RX1_TMR_BASE + 4*0x100+8*0x34)
#define JS_RX1_TMR_TnL_REG53        (JS_RX1_TMR_BASE + 4*0x100+8*0x35)
#define JS_RX1_TMR_TnL_REG54        (JS_RX1_TMR_BASE + 4*0x100+8*0x36)
#define JS_RX1_TMR_TnL_REG55        (JS_RX1_TMR_BASE + 4*0x100+8*0x37)
#define JS_RX1_TMR_TnL_REG56        (JS_RX1_TMR_BASE + 4*0x100+8*0x38)
#define JS_RX1_TMR_TnL_REG57        (JS_RX1_TMR_BASE + 4*0x100+8*0x39)
#define JS_RX1_TMR_TnL_REG58        (JS_RX1_TMR_BASE + 4*0x100+8*0x3a)
#define JS_RX1_TMR_TnL_REG59        (JS_RX1_TMR_BASE + 4*0x100+8*0x3b)
#define JS_RX1_TMR_TnL_REG60        (JS_RX1_TMR_BASE + 4*0x100+8*0x3c)
#define JS_RX1_TMR_TnL_REG61        (JS_RX1_TMR_BASE + 4*0x100+8*0x3d)
#define JS_RX1_TMR_TnL_REG62        (JS_RX1_TMR_BASE + 4*0x100+8*0x3e)
#define JS_RX1_TMR_TnL_REG63        (JS_RX1_TMR_BASE + 4*0x100+8*0x3f)
#define JS_RX1_TMR_TnL_REG64        (JS_RX1_TMR_BASE + 4*0x100+8*0x40)
#define JS_RX1_TMR_TnL_REG65        (JS_RX1_TMR_BASE + 4*0x100+8*0x41)
#define JS_RX1_TMR_TnL_REG66        (JS_RX1_TMR_BASE + 4*0x100+8*0x42)
#define JS_RX1_TMR_TnL_REG67        (JS_RX1_TMR_BASE + 4*0x100+8*0x43)
#define JS_RX1_TMR_TnL_REG68        (JS_RX1_TMR_BASE + 4*0x100+8*0x44)
#define JS_RX1_TMR_TnL_REG69        (JS_RX1_TMR_BASE + 4*0x100+8*0x45)
#define JS_RX1_TMR_TnL_REG70        (JS_RX1_TMR_BASE + 4*0x100+8*0x46)
#define JS_RX1_TMR_TnL_REG71        (JS_RX1_TMR_BASE + 4*0x100+8*0x47)
#define JS_RX1_TMR_TnL_REG72        (JS_RX1_TMR_BASE + 4*0x100+8*0x48)
#define JS_RX1_TMR_TnL_REG73        (JS_RX1_TMR_BASE + 4*0x100+8*0x49)
#define JS_RX1_TMR_TnL_REG74        (JS_RX1_TMR_BASE + 4*0x100+8*0x4a)
#define JS_RX1_TMR_TnL_REG75        (JS_RX1_TMR_BASE + 4*0x100+8*0x4b)
#define JS_RX1_TMR_TnL_REG76        (JS_RX1_TMR_BASE + 4*0x100+8*0x4c)
#define JS_RX1_TMR_TnL_REG77        (JS_RX1_TMR_BASE + 4*0x100+8*0x4d)
#define JS_RX1_TMR_TnL_REG78        (JS_RX1_TMR_BASE + 4*0x100+8*0x4e)
#define JS_RX1_TMR_TnL_REG79        (JS_RX1_TMR_BASE + 4*0x100+8*0x4f)
#define JS_RX1_TMR_TnL_REG80        (JS_RX1_TMR_BASE + 4*0x100+8*0x50)
#define JS_RX1_TMR_TnL_REG81        (JS_RX1_TMR_BASE + 4*0x100+8*0x51)
#define JS_RX1_TMR_TnL_REG82        (JS_RX1_TMR_BASE + 4*0x100+8*0x52)
#define JS_RX1_TMR_TnL_REG83        (JS_RX1_TMR_BASE + 4*0x100+8*0x53)
#define JS_RX1_TMR_TnL_REG84        (JS_RX1_TMR_BASE + 4*0x100+8*0x54)
#define JS_RX1_TMR_TnL_REG85        (JS_RX1_TMR_BASE + 4*0x100+8*0x55)
#define JS_RX1_TMR_TnL_REG86        (JS_RX1_TMR_BASE + 4*0x100+8*0x56)
#define JS_RX1_TMR_TnL_REG87        (JS_RX1_TMR_BASE + 4*0x100+8*0x57)
#define JS_RX1_TMR_TnL_REG88        (JS_RX1_TMR_BASE + 4*0x100+8*0x58)
#define JS_RX1_TMR_TnL_REG89        (JS_RX1_TMR_BASE + 4*0x100+8*0x59)
#define JS_RX1_TMR_TnL_REG90        (JS_RX1_TMR_BASE + 4*0x100+8*0x5a)
#define JS_RX1_TMR_TnL_REG91        (JS_RX1_TMR_BASE + 4*0x100+8*0x5b)
#define JS_RX1_TMR_TnL_REG92        (JS_RX1_TMR_BASE + 4*0x100+8*0x5c)
#define JS_RX1_TMR_TnL_REG93        (JS_RX1_TMR_BASE + 4*0x100+8*0x5d)
#define JS_RX1_TMR_TnL_REG94        (JS_RX1_TMR_BASE + 4*0x100+8*0x5e)
#define JS_RX1_TMR_TnL_REG95        (JS_RX1_TMR_BASE + 4*0x100+8*0x5f)



#define JS_RX1_TMR_TnH_REG0     (JS_RX1_TMR_BASE + 4*0x100+8*0x0 + 0x4)
#define JS_RX1_TMR_TnH_REG1     (JS_RX1_TMR_BASE + 4*0x100+8*0x1 + 0x4)
#define JS_RX1_TMR_TnH_REG2     (JS_RX1_TMR_BASE + 4*0x100+8*0x2 + 0x4)
#define JS_RX1_TMR_TnH_REG3     (JS_RX1_TMR_BASE + 4*0x100+8*0x3 + 0x4)
#define JS_RX1_TMR_TnH_REG4     (JS_RX1_TMR_BASE + 4*0x100+8*0x4 + 0x4)
#define JS_RX1_TMR_TnH_REG5     (JS_RX1_TMR_BASE + 4*0x100+8*0x5 + 0x4)
#define JS_RX1_TMR_TnH_REG6     (JS_RX1_TMR_BASE + 4*0x100+8*0x6 + 0x4)
#define JS_RX1_TMR_TnH_REG7     (JS_RX1_TMR_BASE + 4*0x100+8*0x7 + 0x4)
#define JS_RX1_TMR_TnH_REG8     (JS_RX1_TMR_BASE + 4*0x100+8*0x8 + 0x4)
#define JS_RX1_TMR_TnH_REG9     (JS_RX1_TMR_BASE + 4*0x100+8*0x9 + 0x4)
#define JS_RX1_TMR_TnH_REG10     (JS_RX1_TMR_BASE + 4*0x100+8*0xa + 0x4)
#define JS_RX1_TMR_TnH_REG11     (JS_RX1_TMR_BASE + 4*0x100+8*0xb + 0x4)
#define JS_RX1_TMR_TnH_REG12     (JS_RX1_TMR_BASE + 4*0x100+8*0xc + 0x4)
#define JS_RX1_TMR_TnH_REG13     (JS_RX1_TMR_BASE + 4*0x100+8*0xd + 0x4)
#define JS_RX1_TMR_TnH_REG14     (JS_RX1_TMR_BASE + 4*0x100+8*0xe + 0x4)
#define JS_RX1_TMR_TnH_REG15     (JS_RX1_TMR_BASE + 4*0x100+8*0xf + 0x4)
#define JS_RX1_TMR_TnH_REG16     (JS_RX1_TMR_BASE + 4*0x100+8*0x10 + 0x4)
#define JS_RX1_TMR_TnH_REG17     (JS_RX1_TMR_BASE + 4*0x100+8*0x11 + 0x4)
#define JS_RX1_TMR_TnH_REG18     (JS_RX1_TMR_BASE + 4*0x100+8*0x12 + 0x4)
#define JS_RX1_TMR_TnH_REG19     (JS_RX1_TMR_BASE + 4*0x100+8*0x13 + 0x4)
#define JS_RX1_TMR_TnH_REG20     (JS_RX1_TMR_BASE + 4*0x100+8*0x14 + 0x4)
#define JS_RX1_TMR_TnH_REG21     (JS_RX1_TMR_BASE + 4*0x100+8*0x15 + 0x4)
#define JS_RX1_TMR_TnH_REG22     (JS_RX1_TMR_BASE + 4*0x100+8*0x16 + 0x4)
#define JS_RX1_TMR_TnH_REG23     (JS_RX1_TMR_BASE + 4*0x100+8*0x17 + 0x4)
#define JS_RX1_TMR_TnH_REG24     (JS_RX1_TMR_BASE + 4*0x100+8*0x18 + 0x4)
#define JS_RX1_TMR_TnH_REG25     (JS_RX1_TMR_BASE + 4*0x100+8*0x19 + 0x4)
#define JS_RX1_TMR_TnH_REG26     (JS_RX1_TMR_BASE + 4*0x100+8*0x1a + 0x4)
#define JS_RX1_TMR_TnH_REG27     (JS_RX1_TMR_BASE + 4*0x100+8*0x1b + 0x4)
#define JS_RX1_TMR_TnH_REG28     (JS_RX1_TMR_BASE + 4*0x100+8*0x1c + 0x4)
#define JS_RX1_TMR_TnH_REG29     (JS_RX1_TMR_BASE + 4*0x100+8*0x1d + 0x4)
#define JS_RX1_TMR_TnH_REG30     (JS_RX1_TMR_BASE + 4*0x100+8*0x1e + 0x4)
#define JS_RX1_TMR_TnH_REG31     (JS_RX1_TMR_BASE + 4*0x100+8*0x1f + 0x4)
#define JS_RX1_TMR_TnH_REG32     (JS_RX1_TMR_BASE + 4*0x100+8*0x20 + 0x4)
#define JS_RX1_TMR_TnH_REG33     (JS_RX1_TMR_BASE + 4*0x100+8*0x21 + 0x4)
#define JS_RX1_TMR_TnH_REG34     (JS_RX1_TMR_BASE + 4*0x100+8*0x22 + 0x4)
#define JS_RX1_TMR_TnH_REG35     (JS_RX1_TMR_BASE + 4*0x100+8*0x23 + 0x4)
#define JS_RX1_TMR_TnH_REG36     (JS_RX1_TMR_BASE + 4*0x100+8*0x24 + 0x4)
#define JS_RX1_TMR_TnH_REG37     (JS_RX1_TMR_BASE + 4*0x100+8*0x25 + 0x4)
#define JS_RX1_TMR_TnH_REG38     (JS_RX1_TMR_BASE + 4*0x100+8*0x26 + 0x4)
#define JS_RX1_TMR_TnH_REG39     (JS_RX1_TMR_BASE + 4*0x100+8*0x27 + 0x4)
#define JS_RX1_TMR_TnH_REG40     (JS_RX1_TMR_BASE + 4*0x100+8*0x28 + 0x4)
#define JS_RX1_TMR_TnH_REG41     (JS_RX1_TMR_BASE + 4*0x100+8*0x29 + 0x4)
#define JS_RX1_TMR_TnH_REG42     (JS_RX1_TMR_BASE + 4*0x100+8*0x2a + 0x4)
#define JS_RX1_TMR_TnH_REG43     (JS_RX1_TMR_BASE + 4*0x100+8*0x2b + 0x4)
#define JS_RX1_TMR_TnH_REG44     (JS_RX1_TMR_BASE + 4*0x100+8*0x2c + 0x4)
#define JS_RX1_TMR_TnH_REG45     (JS_RX1_TMR_BASE + 4*0x100+8*0x2d + 0x4)
#define JS_RX1_TMR_TnH_REG46     (JS_RX1_TMR_BASE + 4*0x100+8*0x2e + 0x4)
#define JS_RX1_TMR_TnH_REG47     (JS_RX1_TMR_BASE + 4*0x100+8*0x2f + 0x4)
#define JS_RX1_TMR_TnH_REG48     (JS_RX1_TMR_BASE + 4*0x100+8*0x30 + 0x4)
#define JS_RX1_TMR_TnH_REG49     (JS_RX1_TMR_BASE + 4*0x100+8*0x31 + 0x4)
#define JS_RX1_TMR_TnH_REG50     (JS_RX1_TMR_BASE + 4*0x100+8*0x32 + 0x4)
#define JS_RX1_TMR_TnH_REG51     (JS_RX1_TMR_BASE + 4*0x100+8*0x33 + 0x4)
#define JS_RX1_TMR_TnH_REG52     (JS_RX1_TMR_BASE + 4*0x100+8*0x34 + 0x4)
#define JS_RX1_TMR_TnH_REG53     (JS_RX1_TMR_BASE + 4*0x100+8*0x35 + 0x4)
#define JS_RX1_TMR_TnH_REG54     (JS_RX1_TMR_BASE + 4*0x100+8*0x36 + 0x4)
#define JS_RX1_TMR_TnH_REG55     (JS_RX1_TMR_BASE + 4*0x100+8*0x37 + 0x4)
#define JS_RX1_TMR_TnH_REG56     (JS_RX1_TMR_BASE + 4*0x100+8*0x38 + 0x4)
#define JS_RX1_TMR_TnH_REG57     (JS_RX1_TMR_BASE + 4*0x100+8*0x39 + 0x4)
#define JS_RX1_TMR_TnH_REG58     (JS_RX1_TMR_BASE + 4*0x100+8*0x3a + 0x4)
#define JS_RX1_TMR_TnH_REG59     (JS_RX1_TMR_BASE + 4*0x100+8*0x3b + 0x4)
#define JS_RX1_TMR_TnH_REG60     (JS_RX1_TMR_BASE + 4*0x100+8*0x3c + 0x4)
#define JS_RX1_TMR_TnH_REG61     (JS_RX1_TMR_BASE + 4*0x100+8*0x3d + 0x4)
#define JS_RX1_TMR_TnH_REG62     (JS_RX1_TMR_BASE + 4*0x100+8*0x3e + 0x4)
#define JS_RX1_TMR_TnH_REG63     (JS_RX1_TMR_BASE + 4*0x100+8*0x3f + 0x4)
#define JS_RX1_TMR_TnH_REG64     (JS_RX1_TMR_BASE + 4*0x100+8*0x40 + 0x4)
#define JS_RX1_TMR_TnH_REG65     (JS_RX1_TMR_BASE + 4*0x100+8*0x41 + 0x4)
#define JS_RX1_TMR_TnH_REG66     (JS_RX1_TMR_BASE + 4*0x100+8*0x42 + 0x4)
#define JS_RX1_TMR_TnH_REG67     (JS_RX1_TMR_BASE + 4*0x100+8*0x43 + 0x4)
#define JS_RX1_TMR_TnH_REG68     (JS_RX1_TMR_BASE + 4*0x100+8*0x44 + 0x4)
#define JS_RX1_TMR_TnH_REG69     (JS_RX1_TMR_BASE + 4*0x100+8*0x45 + 0x4)
#define JS_RX1_TMR_TnH_REG70     (JS_RX1_TMR_BASE + 4*0x100+8*0x46 + 0x4)
#define JS_RX1_TMR_TnH_REG71     (JS_RX1_TMR_BASE + 4*0x100+8*0x47 + 0x4)
#define JS_RX1_TMR_TnH_REG72     (JS_RX1_TMR_BASE + 4*0x100+8*0x48 + 0x4)
#define JS_RX1_TMR_TnH_REG73     (JS_RX1_TMR_BASE + 4*0x100+8*0x49 + 0x4)
#define JS_RX1_TMR_TnH_REG74     (JS_RX1_TMR_BASE + 4*0x100+8*0x4a + 0x4)
#define JS_RX1_TMR_TnH_REG75     (JS_RX1_TMR_BASE + 4*0x100+8*0x4b + 0x4)
#define JS_RX1_TMR_TnH_REG76     (JS_RX1_TMR_BASE + 4*0x100+8*0x4c + 0x4)
#define JS_RX1_TMR_TnH_REG77     (JS_RX1_TMR_BASE + 4*0x100+8*0x4d + 0x4)
#define JS_RX1_TMR_TnH_REG78     (JS_RX1_TMR_BASE + 4*0x100+8*0x4e + 0x4)
#define JS_RX1_TMR_TnH_REG79     (JS_RX1_TMR_BASE + 4*0x100+8*0x4f + 0x4)
#define JS_RX1_TMR_TnH_REG80     (JS_RX1_TMR_BASE + 4*0x100+8*0x50 + 0x4)
#define JS_RX1_TMR_TnH_REG81     (JS_RX1_TMR_BASE + 4*0x100+8*0x51 + 0x4)
#define JS_RX1_TMR_TnH_REG82     (JS_RX1_TMR_BASE + 4*0x100+8*0x52 + 0x4)
#define JS_RX1_TMR_TnH_REG83     (JS_RX1_TMR_BASE + 4*0x100+8*0x53 + 0x4)
#define JS_RX1_TMR_TnH_REG84     (JS_RX1_TMR_BASE + 4*0x100+8*0x54 + 0x4)
#define JS_RX1_TMR_TnH_REG85     (JS_RX1_TMR_BASE + 4*0x100+8*0x55 + 0x4)
#define JS_RX1_TMR_TnH_REG86     (JS_RX1_TMR_BASE + 4*0x100+8*0x56 + 0x4)
#define JS_RX1_TMR_TnH_REG87     (JS_RX1_TMR_BASE + 4*0x100+8*0x57 + 0x4)
#define JS_RX1_TMR_TnH_REG88     (JS_RX1_TMR_BASE + 4*0x100+8*0x58 + 0x4)
#define JS_RX1_TMR_TnH_REG89     (JS_RX1_TMR_BASE + 4*0x100+8*0x59 + 0x4)
#define JS_RX1_TMR_TnH_REG90     (JS_RX1_TMR_BASE + 4*0x100+8*0x5a + 0x4)
#define JS_RX1_TMR_TnH_REG91     (JS_RX1_TMR_BASE + 4*0x100+8*0x5b + 0x4)
#define JS_RX1_TMR_TnH_REG92     (JS_RX1_TMR_BASE + 4*0x100+8*0x5c + 0x4)
#define JS_RX1_TMR_TnH_REG93     (JS_RX1_TMR_BASE + 4*0x100+8*0x5d + 0x4)
#define JS_RX1_TMR_TnH_REG94     (JS_RX1_TMR_BASE + 4*0x100+8*0x5e + 0x4)
#define JS_RX1_TMR_TnH_REG95     (JS_RX1_TMR_BASE + 4*0x100+8*0x5f + 0x4)

#define JS_TX0_PIN_CTRL_REG        (JS_TX0_TMR_BASE + 4*0x00)
#define JS_TX0_IO_CTRL_REG         (JS_TX0_TMR_BASE + 4*0x01)
#define JS_TX0_TMR_INTC_REG        (JS_TX0_TMR_BASE + 4*0x02)
#define JS_TX0_TMR_SCR_CTRL_REG    (JS_TX0_TMR_BASE + 4*0x03)
#define JS_TX0_TMR_CTRL_REG        (JS_TX0_TMR_BASE + 4*0x04)
#define JS_TX0_TMR_RX_SCRL_0_REG   (JS_TX0_TMR_BASE + 4*0x05)
#define JS_TX0_TMR_RX_SCRH_0_REG   (JS_TX0_TMR_BASE + 4*0x06)
#define JS_TX0_TMR_TX_SCRL_0_REG   (JS_TX0_TMR_BASE + 4*0x07)
#define JS_TX0_TMR_TX_SCRH_0_REG   (JS_TX0_TMR_BASE + 4*0x08)
#define JS_TX0_TMR_RX_SCRL_1_REG   (JS_TX0_TMR_BASE + 4*0x09)
#define JS_TX0_TMR_RX_SCRH_1_REG   (JS_TX0_TMR_BASE + 4*0x0A)
#define JS_TX0_TMR_TX_SCRL_1_REG   (JS_TX0_TMR_BASE + 4*0x0B)
#define JS_TX0_TMR_TX_SCRH_1_REG   (JS_TX0_TMR_BASE + 4*0x0C)
#define JS_TX0_TMR_TEVENT0_REG     (JS_TX0_TMR_BASE + 4*0x10)
#define JS_TX0_TMR_TEVENT1_REG     (JS_TX0_TMR_BASE + 4*0x11)
#define JS_TX0_TMR_TEVENT2_REG     (JS_TX0_TMR_BASE + 4*0x12)
#define JS_TX0_TMR_TSCR_TRG_REG    (JS_TX0_TMR_BASE + 4*0x13)
#define JS_TX0_TMR_TWREQ0_REG      (JS_TX0_TMR_BASE + 4*0x14)
#define JS_TX0_TMR_TWREQ1_REG      (JS_TX0_TMR_BASE + 4*0x15)
#define JS_TX0_TMR_TWREQ2_REG      (JS_TX0_TMR_BASE + 4*0x16)
#define JS_TX0_TMR_TINTE00_REG     (JS_TX0_TMR_BASE + 4*0x17)
#define JS_TX0_TMR_TINTF00_REG     (JS_TX0_TMR_BASE + 4*0x18)
#define JS_TX0_TMR_TINTE01_REG     (JS_TX0_TMR_BASE + 4*0x19)
#define JS_TX0_TMR_TINTF01_REG     (JS_TX0_TMR_BASE + 4*0x1A)
#define JS_TX0_TMR_TINTE02_REG     (JS_TX0_TMR_BASE + 4*0x1B)
#define JS_TX0_TMR_TINTF02_REG     (JS_TX0_TMR_BASE + 4*0x1C)
#define JS_TX0_TMR_TINTE10_REG     (JS_TX0_TMR_BASE + 4*0x1D)
#define JS_TX0_TMR_TINTF10_REG     (JS_TX0_TMR_BASE + 4*0x1E)
#define JS_TX0_TMR_TINTE11_REG     (JS_TX0_TMR_BASE + 4*0x1F)
#define JS_TX0_TMR_TINTF11_REG     (JS_TX0_TMR_BASE + 4*0x20)
#define JS_TX0_TMR_TINTE12_REG     (JS_TX0_TMR_BASE + 4*0x21)
#define JS_TX0_TMR_TINTF12_REG     (JS_TX0_TMR_BASE + 4*0x22)
#define JS_TX0_TMR_TINTE20_REG     (JS_TX0_TMR_BASE + 4*0x23)
#define JS_TX0_TMR_TINTF20_REG     (JS_TX0_TMR_BASE + 4*0x24)
#define JS_TX0_TMR_TINTE21_REG     (JS_TX0_TMR_BASE + 4*0x25)
#define JS_TX0_TMR_TINTF21_REG     (JS_TX0_TMR_BASE + 4*0x26)
#define JS_TX0_TMR_TINTE22_REG     (JS_TX0_TMR_BASE + 4*0x27)
#define JS_TX0_TMR_TINTF22_REG     (JS_TX0_TMR_BASE + 4*0x28)
#define JS_TX0_TMR_TINTE30_REG     (JS_TX0_TMR_BASE + 4*0x29)
#define JS_TX0_TMR_TINTF30_REG     (JS_TX0_TMR_BASE + 4*0x2A)
#define JS_TX0_TMR_TINTE31_REG     (JS_TX0_TMR_BASE + 4*0x2B)
#define JS_TX0_TMR_TINTF31_REG     (JS_TX0_TMR_BASE + 4*0x2C)
#define JS_TX0_TMR_TINTE32_REG     (JS_TX0_TMR_BASE + 4*0x2D)
#define JS_TX0_TMR_TINTF32_REG     (JS_TX0_TMR_BASE + 4*0x2E)
#define JS_TX0_TMR_TINTE40_REG     (JS_TX0_TMR_BASE + 4*0x2F)
#define JS_TX0_TMR_TINTF40_REG     (JS_TX0_TMR_BASE + 4*0x30)
#define JS_TX0_TMR_TINTE41_REG     (JS_TX0_TMR_BASE + 4*0x31)
#define JS_TX0_TMR_TINTF41_REG     (JS_TX0_TMR_BASE + 4*0x32)
#define JS_TX0_TMR_TINTE42_REG     (JS_TX0_TMR_BASE + 4*0x33)
#define JS_TX0_TMR_TINTF42_REG     (JS_TX0_TMR_BASE + 4*0x34)
#define JS_TX0_TMR_TINTE50_REG     (JS_TX0_TMR_BASE + 4*0x35)
#define JS_TX0_TMR_TINTF50_REG     (JS_TX0_TMR_BASE + 4*0x36)
#define JS_TX0_TMR_TINTE51_REG     (JS_TX0_TMR_BASE + 4*0x37)
#define JS_TX0_TMR_TINTF51_REG     (JS_TX0_TMR_BASE + 4*0x38)
#define JS_TX0_TMR_TINTE52_REG     (JS_TX0_TMR_BASE + 4*0x39)
#define JS_TX0_TMR_TINTF52_REG     (JS_TX0_TMR_BASE + 4*0x3A)
#define JS_TX0_TMR_TINTE60_REG     (JS_TX0_TMR_BASE + 4*0x3B)
#define JS_TX0_TMR_TINTF60_REG     (JS_TX0_TMR_BASE + 4*0x3C)
#define JS_TX0_TMR_TINTE61_REG     (JS_TX0_TMR_BASE + 4*0x3D)
#define JS_TX0_TMR_TINTF61_REG     (JS_TX0_TMR_BASE + 4*0x3E)
#define JS_TX0_TMR_TINTE62_REG     (JS_TX0_TMR_BASE + 4*0x3F)
#define JS_TX0_TMR_TINTF62_REG     (JS_TX0_TMR_BASE + 4*0x40)
#define JS_TX0_TMR_TINTE70_REG     (JS_TX0_TMR_BASE + 4*0x41)
#define JS_TX0_TMR_TINTF70_REG     (JS_TX0_TMR_BASE + 4*0x42)
#define JS_TX0_TMR_TINTE71_REG     (JS_TX0_TMR_BASE + 4*0x43)
#define JS_TX0_TMR_TINTF71_REG     (JS_TX0_TMR_BASE + 4*0x44)
#define JS_TX0_TMR_TINTE72_REG     (JS_TX0_TMR_BASE + 4*0x45)
#define JS_TX0_TMR_TINTF72_REG     (JS_TX0_TMR_BASE + 4*0x46)
#define JS_TX0_TMR_TINTE80_REG     (JS_TX0_TMR_BASE + 4*0x47)
#define JS_TX0_TMR_TINTF80_REG     (JS_TX0_TMR_BASE + 4*0x48)
#define JS_TX0_TMR_TINTE81_REG     (JS_TX0_TMR_BASE + 4*0x49)
#define JS_TX0_TMR_TINTF81_REG     (JS_TX0_TMR_BASE + 4*0x4A)
#define JS_TX0_TMR_TINTE82_REG     (JS_TX0_TMR_BASE + 4*0x4B)
#define JS_TX0_TMR_TINTF82_REG     (JS_TX0_TMR_BASE + 4*0x4C)
#define JS_TX0_TMR_TINTE90_REG     (JS_TX0_TMR_BASE + 4*0x4D)
#define JS_TX0_TMR_TINTF90_REG     (JS_TX0_TMR_BASE + 4*0x4E)
#define JS_TX0_TMR_TINTE91_REG     (JS_TX0_TMR_BASE + 4*0x4F)
#define JS_TX0_TMR_TINTF91_REG     (JS_TX0_TMR_BASE + 4*0x50)
#define JS_TX0_TMR_TINTE92_REG     (JS_TX0_TMR_BASE + 4*0x51)
#define JS_TX0_TMR_TINTF92_REG     (JS_TX0_TMR_BASE + 4*0x52)
#define JS_TX0_TMR_TINTEA0_REG     (JS_TX0_TMR_BASE + 4*0x53)
#define JS_TX0_TMR_TINTFA0_REG     (JS_TX0_TMR_BASE + 4*0x54)
#define JS_TX0_TMR_TINTEA1_REG     (JS_TX0_TMR_BASE + 4*0x55)
#define JS_TX0_TMR_TINTFA1_REG     (JS_TX0_TMR_BASE + 4*0x56)
#define JS_TX0_TMR_TINTEA2_REG     (JS_TX0_TMR_BASE + 4*0x57)
#define JS_TX0_TMR_TINTFA2_REG     (JS_TX0_TMR_BASE + 4*0x58)
#define JS_TX0_TMR_TINTEB0_REG     (JS_TX0_TMR_BASE + 4*0x59)
#define JS_TX0_TMR_TINTFB0_REG     (JS_TX0_TMR_BASE + 4*0x5A)
#define JS_TX0_TMR_TINTEB1_REG     (JS_TX0_TMR_BASE + 4*0x5B)
#define JS_TX0_TMR_TINTFB1_REG     (JS_TX0_TMR_BASE + 4*0x5C)
#define JS_TX0_TMR_TINTEB2_REG     (JS_TX0_TMR_BASE + 4*0x5D)
#define JS_TX0_TMR_TINTFB2_REG     (JS_TX0_TMR_BASE + 4*0x5E)
#define JS_TX0_TMR_CEVENT_REG      (JS_TX0_TMR_BASE + 4*0x5F)
#define JS_TX0_TMR_CMSK_REG        (JS_TX0_TMR_BASE + 4*0x60)
#define JS_TX0_TMR_CINTE0_REG      (JS_TX0_TMR_BASE + 4*0x61)
#define JS_TX0_TMR_CINTF0_REG      (JS_TX0_TMR_BASE + 4*0x62)
#define JS_TX0_TMR_CINTE1_REG      (JS_TX0_TMR_BASE + 4*0x63)
#define JS_TX0_TMR_CINTF1_REG      (JS_TX0_TMR_BASE + 4*0x64)
#define JS_TX0_TMR_CINTE2_REG      (JS_TX0_TMR_BASE + 4*0x65)
#define JS_TX0_TMR_CINTF2_REG      (JS_TX0_TMR_BASE + 4*0x66)
#define JS_TX0_TMR_CINTE3_REG      (JS_TX0_TMR_BASE + 4*0x67)
#define JS_TX0_TMR_CINTF3_REG      (JS_TX0_TMR_BASE + 4*0x68)
#define JS_TX0_TMR_CINTE4_REG      (JS_TX0_TMR_BASE + 4*0x69)
#define JS_TX0_TMR_CINTF4_REG      (JS_TX0_TMR_BASE + 4*0x6A)
#define JS_TX0_TMR_CINTE5_REG      (JS_TX0_TMR_BASE + 4*0x6B)
#define JS_TX0_TMR_CINTF5_REG      (JS_TX0_TMR_BASE + 4*0x6C)
#define JS_TX0_TMR_CINTE6_REG      (JS_TX0_TMR_BASE + 4*0x6D)
#define JS_TX0_TMR_CINTF6_REG      (JS_TX0_TMR_BASE + 4*0x6E)
#define JS_TX0_TMR_CINTE7_REG      (JS_TX0_TMR_BASE + 4*0x6F)
#define JS_TX0_TMR_CINTF7_REG      (JS_TX0_TMR_BASE + 4*0x70)
#define JS_TX0_TMR_CINTE8_REG      (JS_TX0_TMR_BASE + 4*0x71)
#define JS_TX0_TMR_CINTF8_REG      (JS_TX0_TMR_BASE + 4*0x72)
#define JS_TX0_TMR_CINTE9_REG      (JS_TX0_TMR_BASE + 4*0x73)
#define JS_TX0_TMR_CINTF9_REG      (JS_TX0_TMR_BASE + 4*0x74)
#define JS_TX0_TMR_CINTEA_REG      (JS_TX0_TMR_BASE + 4*0x75)
#define JS_TX0_TMR_CINTFA_REG      (JS_TX0_TMR_BASE + 4*0x76)
#define JS_TX0_TMR_CINTEB_REG      (JS_TX0_TMR_BASE + 4*0x77)
#define JS_TX0_TMR_CINTFB_REG      (JS_TX0_TMR_BASE + 4*0x78)
#define JS_TX0_TMR_OVFL_REG        (JS_TX0_TMR_BASE + 4*0x79)
#define JS_TX0_TMR_OVFH_REG        (JS_TX0_TMR_BASE + 4*0x7A)
#define JS_TX0_TMR_RXEN0_0L_REG    (JS_TX0_TMR_BASE + 4*0x7B)
#define JS_TX0_TMR_RXEN0_0H_REG    (JS_TX0_TMR_BASE + 4*0x7C)
#define JS_TX0_TMR_RXEN0_1L_REG    (JS_TX0_TMR_BASE + 4*0x7D)
#define JS_TX0_TMR_RXEN0_1H_REG    (JS_TX0_TMR_BASE + 4*0x7E)
#define JS_TX0_TMR_TXEN0_0L_REG    (JS_TX0_TMR_BASE + 4*0x7F)
#define JS_TX0_TMR_TXEN0_0H_REG    (JS_TX0_TMR_BASE + 4*0x80)
#define JS_TX0_TMR_TXEN0_1L_REG    (JS_TX0_TMR_BASE + 4*0x81)
#define JS_TX0_TMR_TXEN0_1H_REG    (JS_TX0_TMR_BASE + 4*0x82)
#define JS_TX0_TMR_RXEN1_0L_REG    (JS_TX0_TMR_BASE + 4*0x83)
#define JS_TX0_TMR_RXEN1_0H_REG    (JS_TX0_TMR_BASE + 4*0x84)
#define JS_TX0_TMR_RXEN1_1L_REG    (JS_TX0_TMR_BASE + 4*0x85)
#define JS_TX0_TMR_RXEN1_1H_REG    (JS_TX0_TMR_BASE + 4*0x86)
#define JS_TX0_TMR_TXEN1_0L_REG    (JS_TX0_TMR_BASE + 4*0x87)
#define JS_TX0_TMR_TXEN1_0H_REG    (JS_TX0_TMR_BASE + 4*0x88)
#define JS_TX0_TMR_TXEN1_1L_REG    (JS_TX0_TMR_BASE + 4*0x89)
#define JS_TX0_TMR_TXEN1_1H_REG    (JS_TX0_TMR_BASE + 4*0x8A)
#define JS_TX0_TMR_RXEN2CSU0L_REG  (JS_TX0_TMR_BASE + 4*0x8B)
#define JS_TX0_TMR_RXEN2CSU0H_REG  (JS_TX0_TMR_BASE + 4*0x8C)
#define JS_TX0_TMR_RXEN2CSU1L_REG  (JS_TX0_TMR_BASE + 4*0x8D)
#define JS_TX0_TMR_RXEN2CSU1H_REG  (JS_TX0_TMR_BASE + 4*0x8E)
#define JS_TX0_TMR_TXEN2CSU0L_REG  (JS_TX0_TMR_BASE + 4*0x8F)
#define JS_TX0_TMR_TXEN2CSU0H_REG  (JS_TX0_TMR_BASE + 4*0x90)
#define JS_TX0_TMR_TXEN2CSU1L_REG  (JS_TX0_TMR_BASE + 4*0x91)
#define JS_TX0_TMR_TXEN2CSU1H_REG  (JS_TX0_TMR_BASE + 4*0x92)
#define JS_TX0_TMR_SCRATH0L_REG    (JS_TX0_TMR_BASE + 4*0x93)
#define JS_TX0_TMR_SCRATH0H_REG    (JS_TX0_TMR_BASE + 4*0x94)
#define JS_TX0_TMR_SCRATH1L_REG    (JS_TX0_TMR_BASE + 4*0x95)
#define JS_TX0_TMR_SCRATH1H_REG    (JS_TX0_TMR_BASE + 4*0x96)
#define JS_TX0_TMR_RX_SCRL_REG     (JS_TX0_TMR_BASE + 4*0x97)
#define JS_TX0_TMR_RX_SCRH_REG     (JS_TX0_TMR_BASE + 4*0x98)
#define JS_TX0_TMR_TX_SCRL_REG     (JS_TX0_TMR_BASE + 4*0x99)
#define JS_TX0_TMR_TX_SCRH_REG     (JS_TX0_TMR_BASE + 4*0x9A)
#define JS_TX0_TMR_1PPSL_REG       (JS_TX0_TMR_BASE + 4*0x9B)
#define JS_TX0_TMR_1PPSH_REG       (JS_TX0_TMR_BASE + 4*0x9C)
#define JS_TX0_TMR_CPRI_10MS_CTRL  (JS_TX0_TMR_BASE + 4*0x9D)
#define JS_TX0_TMR_CPRI_ADJ_L      (JS_TX0_TMR_BASE + 4*0x9E)
#define JS_TX0_TMR_CPRI_ADJ_H      (JS_TX0_TMR_BASE + 4*0x9F)
#define JS_TX0_TMR_CPRI_10MS_CLR   (JS_TX0_TMR_BASE + 4*0xA0)

#define JS_TX0_TMR_RX_SOF0_SCR_L_REG  (JS_TX0_TMR_BASE + 4*0xA1)
#define JS_TX0_TMR_RX_SOF0_SCR_H_REG  (JS_TX0_TMR_BASE + 4*0xA2)
#define JS_TX0_TMR_RX_SOF1_SCR_L_REG  (JS_TX0_TMR_BASE + 4*0xA3)
#define JS_TX0_TMR_RX_SOF1_SCR_H_REG  (JS_TX0_TMR_BASE + 4*0xA4)
#define JS_TX0_TMR_RX_SOF2_SCR_L_REG  (JS_TX0_TMR_BASE + 4*0xA5)
#define JS_TX0_TMR_RX_SOF2_SCR_H_REG  (JS_TX0_TMR_BASE + 4*0xA6)
#define JS_TX0_TMR_RX_SOF3_SCR_L_REG  (JS_TX0_TMR_BASE + 4*0xA7)
#define JS_TX0_TMR_RX_SOF3_SCR_H_REG  (JS_TX0_TMR_BASE + 4*0xA8)
#define JS_TX0_TMR_RX_EOF0_SCR_L_REG  (JS_TX0_TMR_BASE + 4*0xA9)
#define JS_TX0_TMR_RX_EOF0_SCR_H_REG  (JS_TX0_TMR_BASE + 4*0xAA)
#define JS_TX0_TMR_RX_EOF1_SCR_L_REG  (JS_TX0_TMR_BASE + 4*0xAB)
#define JS_TX0_TMR_RX_EOF1_SCR_H_REG  (JS_TX0_TMR_BASE + 4*0xAC)
#define JS_TX0_TMR_RX_EOF2_SCR_L_REG  (JS_TX0_TMR_BASE + 4*0xAD)
#define JS_TX0_TMR_RX_EOF2_SCR_H_REG  (JS_TX0_TMR_BASE + 4*0xAE)
#define JS_TX0_TMR_RX_EOF3_SCR_L_REG  (JS_TX0_TMR_BASE + 4*0xAF)
#define JS_TX0_TMR_RX_EOF3_SCR_H_REG  (JS_TX0_TMR_BASE + 4*0xB0)
#define JS_TX0_TMR_RX_SOF_EOF_SCR_EN  (JS_TX0_TMR_BASE + 4*0xB1)


#define JS_TX0_TMR_TnL_REG0        (JS_TX0_TMR_BASE + 4*0x100+8*0x0)
#define JS_TX0_TMR_TnL_REG1        (JS_TX0_TMR_BASE + 4*0x100+8*0x1)
#define JS_TX0_TMR_TnL_REG2        (JS_TX0_TMR_BASE + 4*0x100+8*0x2)
#define JS_TX0_TMR_TnL_REG3        (JS_TX0_TMR_BASE + 4*0x100+8*0x3)
#define JS_TX0_TMR_TnL_REG4        (JS_TX0_TMR_BASE + 4*0x100+8*0x4)
#define JS_TX0_TMR_TnL_REG5        (JS_TX0_TMR_BASE + 4*0x100+8*0x5)
#define JS_TX0_TMR_TnL_REG6        (JS_TX0_TMR_BASE + 4*0x100+8*0x6)
#define JS_TX0_TMR_TnL_REG7        (JS_TX0_TMR_BASE + 4*0x100+8*0x7)
#define JS_TX0_TMR_TnL_REG8        (JS_TX0_TMR_BASE + 4*0x100+8*0x8)
#define JS_TX0_TMR_TnL_REG9        (JS_TX0_TMR_BASE + 4*0x100+8*0x9)
#define JS_TX0_TMR_TnL_REG10        (JS_TX0_TMR_BASE + 4*0x100+8*0xa)
#define JS_TX0_TMR_TnL_REG11        (JS_TX0_TMR_BASE + 4*0x100+8*0xb)
#define JS_TX0_TMR_TnL_REG12        (JS_TX0_TMR_BASE + 4*0x100+8*0xc)
#define JS_TX0_TMR_TnL_REG13        (JS_TX0_TMR_BASE + 4*0x100+8*0xd)
#define JS_TX0_TMR_TnL_REG14        (JS_TX0_TMR_BASE + 4*0x100+8*0xe)
#define JS_TX0_TMR_TnL_REG15        (JS_TX0_TMR_BASE + 4*0x100+8*0xf)
#define JS_TX0_TMR_TnL_REG16        (JS_TX0_TMR_BASE + 4*0x100+8*0x10)
#define JS_TX0_TMR_TnL_REG17        (JS_TX0_TMR_BASE + 4*0x100+8*0x11)
#define JS_TX0_TMR_TnL_REG18        (JS_TX0_TMR_BASE + 4*0x100+8*0x12)
#define JS_TX0_TMR_TnL_REG19        (JS_TX0_TMR_BASE + 4*0x100+8*0x13)
#define JS_TX0_TMR_TnL_REG20        (JS_TX0_TMR_BASE + 4*0x100+8*0x14)
#define JS_TX0_TMR_TnL_REG21        (JS_TX0_TMR_BASE + 4*0x100+8*0x15)
#define JS_TX0_TMR_TnL_REG22        (JS_TX0_TMR_BASE + 4*0x100+8*0x16)
#define JS_TX0_TMR_TnL_REG23        (JS_TX0_TMR_BASE + 4*0x100+8*0x17)
#define JS_TX0_TMR_TnL_REG24        (JS_TX0_TMR_BASE + 4*0x100+8*0x18)
#define JS_TX0_TMR_TnL_REG25        (JS_TX0_TMR_BASE + 4*0x100+8*0x19)
#define JS_TX0_TMR_TnL_REG26        (JS_TX0_TMR_BASE + 4*0x100+8*0x1a)
#define JS_TX0_TMR_TnL_REG27        (JS_TX0_TMR_BASE + 4*0x100+8*0x1b)
#define JS_TX0_TMR_TnL_REG28        (JS_TX0_TMR_BASE + 4*0x100+8*0x1c)
#define JS_TX0_TMR_TnL_REG29        (JS_TX0_TMR_BASE + 4*0x100+8*0x1d)
#define JS_TX0_TMR_TnL_REG30        (JS_TX0_TMR_BASE + 4*0x100+8*0x1e)
#define JS_TX0_TMR_TnL_REG31        (JS_TX0_TMR_BASE + 4*0x100+8*0x1f)
#define JS_TX0_TMR_TnL_REG32        (JS_TX0_TMR_BASE + 4*0x100+8*0x20)
#define JS_TX0_TMR_TnL_REG33        (JS_TX0_TMR_BASE + 4*0x100+8*0x21)
#define JS_TX0_TMR_TnL_REG34        (JS_TX0_TMR_BASE + 4*0x100+8*0x22)
#define JS_TX0_TMR_TnL_REG35        (JS_TX0_TMR_BASE + 4*0x100+8*0x23)
#define JS_TX0_TMR_TnL_REG36        (JS_TX0_TMR_BASE + 4*0x100+8*0x24)
#define JS_TX0_TMR_TnL_REG37        (JS_TX0_TMR_BASE + 4*0x100+8*0x25)
#define JS_TX0_TMR_TnL_REG38        (JS_TX0_TMR_BASE + 4*0x100+8*0x26)
#define JS_TX0_TMR_TnL_REG39        (JS_TX0_TMR_BASE + 4*0x100+8*0x27)
#define JS_TX0_TMR_TnL_REG40        (JS_TX0_TMR_BASE + 4*0x100+8*0x28)
#define JS_TX0_TMR_TnL_REG41        (JS_TX0_TMR_BASE + 4*0x100+8*0x29)
#define JS_TX0_TMR_TnL_REG42        (JS_TX0_TMR_BASE + 4*0x100+8*0x2a)
#define JS_TX0_TMR_TnL_REG43        (JS_TX0_TMR_BASE + 4*0x100+8*0x2b)
#define JS_TX0_TMR_TnL_REG44        (JS_TX0_TMR_BASE + 4*0x100+8*0x2c)
#define JS_TX0_TMR_TnL_REG45        (JS_TX0_TMR_BASE + 4*0x100+8*0x2d)
#define JS_TX0_TMR_TnL_REG46        (JS_TX0_TMR_BASE + 4*0x100+8*0x2e)
#define JS_TX0_TMR_TnL_REG47        (JS_TX0_TMR_BASE + 4*0x100+8*0x2f)
#define JS_TX0_TMR_TnL_REG48        (JS_TX0_TMR_BASE + 4*0x100+8*0x30)
#define JS_TX0_TMR_TnL_REG49        (JS_TX0_TMR_BASE + 4*0x100+8*0x31)
#define JS_TX0_TMR_TnL_REG50        (JS_TX0_TMR_BASE + 4*0x100+8*0x32)
#define JS_TX0_TMR_TnL_REG51        (JS_TX0_TMR_BASE + 4*0x100+8*0x33)
#define JS_TX0_TMR_TnL_REG52        (JS_TX0_TMR_BASE + 4*0x100+8*0x34)
#define JS_TX0_TMR_TnL_REG53        (JS_TX0_TMR_BASE + 4*0x100+8*0x35)
#define JS_TX0_TMR_TnL_REG54        (JS_TX0_TMR_BASE + 4*0x100+8*0x36)
#define JS_TX0_TMR_TnL_REG55        (JS_TX0_TMR_BASE + 4*0x100+8*0x37)
#define JS_TX0_TMR_TnL_REG56        (JS_TX0_TMR_BASE + 4*0x100+8*0x38)
#define JS_TX0_TMR_TnL_REG57        (JS_TX0_TMR_BASE + 4*0x100+8*0x39)
#define JS_TX0_TMR_TnL_REG58        (JS_TX0_TMR_BASE + 4*0x100+8*0x3a)
#define JS_TX0_TMR_TnL_REG59        (JS_TX0_TMR_BASE + 4*0x100+8*0x3b)
#define JS_TX0_TMR_TnL_REG60        (JS_TX0_TMR_BASE + 4*0x100+8*0x3c)
#define JS_TX0_TMR_TnL_REG61        (JS_TX0_TMR_BASE + 4*0x100+8*0x3d)
#define JS_TX0_TMR_TnL_REG62        (JS_TX0_TMR_BASE + 4*0x100+8*0x3e)
#define JS_TX0_TMR_TnL_REG63        (JS_TX0_TMR_BASE + 4*0x100+8*0x3f)
#define JS_TX0_TMR_TnL_REG64        (JS_TX0_TMR_BASE + 4*0x100+8*0x40)
#define JS_TX0_TMR_TnL_REG65        (JS_TX0_TMR_BASE + 4*0x100+8*0x41)
#define JS_TX0_TMR_TnL_REG66        (JS_TX0_TMR_BASE + 4*0x100+8*0x42)
#define JS_TX0_TMR_TnL_REG67        (JS_TX0_TMR_BASE + 4*0x100+8*0x43)
#define JS_TX0_TMR_TnL_REG68        (JS_TX0_TMR_BASE + 4*0x100+8*0x44)
#define JS_TX0_TMR_TnL_REG69        (JS_TX0_TMR_BASE + 4*0x100+8*0x45)
#define JS_TX0_TMR_TnL_REG70        (JS_TX0_TMR_BASE + 4*0x100+8*0x46)
#define JS_TX0_TMR_TnL_REG71        (JS_TX0_TMR_BASE + 4*0x100+8*0x47)
#define JS_TX0_TMR_TnL_REG72        (JS_TX0_TMR_BASE + 4*0x100+8*0x48)
#define JS_TX0_TMR_TnL_REG73        (JS_TX0_TMR_BASE + 4*0x100+8*0x49)
#define JS_TX0_TMR_TnL_REG74        (JS_TX0_TMR_BASE + 4*0x100+8*0x4a)
#define JS_TX0_TMR_TnL_REG75        (JS_TX0_TMR_BASE + 4*0x100+8*0x4b)
#define JS_TX0_TMR_TnL_REG76        (JS_TX0_TMR_BASE + 4*0x100+8*0x4c)
#define JS_TX0_TMR_TnL_REG77        (JS_TX0_TMR_BASE + 4*0x100+8*0x4d)
#define JS_TX0_TMR_TnL_REG78        (JS_TX0_TMR_BASE + 4*0x100+8*0x4e)
#define JS_TX0_TMR_TnL_REG79        (JS_TX0_TMR_BASE + 4*0x100+8*0x4f)
#define JS_TX0_TMR_TnL_REG80        (JS_TX0_TMR_BASE + 4*0x100+8*0x50)
#define JS_TX0_TMR_TnL_REG81        (JS_TX0_TMR_BASE + 4*0x100+8*0x51)
#define JS_TX0_TMR_TnL_REG82        (JS_TX0_TMR_BASE + 4*0x100+8*0x52)
#define JS_TX0_TMR_TnL_REG83        (JS_TX0_TMR_BASE + 4*0x100+8*0x53)
#define JS_TX0_TMR_TnL_REG84        (JS_TX0_TMR_BASE + 4*0x100+8*0x54)
#define JS_TX0_TMR_TnL_REG85        (JS_TX0_TMR_BASE + 4*0x100+8*0x55)
#define JS_TX0_TMR_TnL_REG86        (JS_TX0_TMR_BASE + 4*0x100+8*0x56)
#define JS_TX0_TMR_TnL_REG87        (JS_TX0_TMR_BASE + 4*0x100+8*0x57)
#define JS_TX0_TMR_TnL_REG88        (JS_TX0_TMR_BASE + 4*0x100+8*0x58)
#define JS_TX0_TMR_TnL_REG89        (JS_TX0_TMR_BASE + 4*0x100+8*0x59)
#define JS_TX0_TMR_TnL_REG90        (JS_TX0_TMR_BASE + 4*0x100+8*0x5a)
#define JS_TX0_TMR_TnL_REG91        (JS_TX0_TMR_BASE + 4*0x100+8*0x5b)
#define JS_TX0_TMR_TnL_REG92        (JS_TX0_TMR_BASE + 4*0x100+8*0x5c)
#define JS_TX0_TMR_TnL_REG93        (JS_TX0_TMR_BASE + 4*0x100+8*0x5d)
#define JS_TX0_TMR_TnL_REG94        (JS_TX0_TMR_BASE + 4*0x100+8*0x5e)
#define JS_TX0_TMR_TnL_REG95        (JS_TX0_TMR_BASE + 4*0x100+8*0x5f)



#define JS_TX0_TMR_TnH_REG0     (JS_TX0_TMR_BASE + 4*0x100+8*0x0 + 0x4)
#define JS_TX0_TMR_TnH_REG1     (JS_TX0_TMR_BASE + 4*0x100+8*0x1 + 0x4)
#define JS_TX0_TMR_TnH_REG2     (JS_TX0_TMR_BASE + 4*0x100+8*0x2 + 0x4)
#define JS_TX0_TMR_TnH_REG3     (JS_TX0_TMR_BASE + 4*0x100+8*0x3 + 0x4)
#define JS_TX0_TMR_TnH_REG4     (JS_TX0_TMR_BASE + 4*0x100+8*0x4 + 0x4)
#define JS_TX0_TMR_TnH_REG5     (JS_TX0_TMR_BASE + 4*0x100+8*0x5 + 0x4)
#define JS_TX0_TMR_TnH_REG6     (JS_TX0_TMR_BASE + 4*0x100+8*0x6 + 0x4)
#define JS_TX0_TMR_TnH_REG7     (JS_TX0_TMR_BASE + 4*0x100+8*0x7 + 0x4)
#define JS_TX0_TMR_TnH_REG8     (JS_TX0_TMR_BASE + 4*0x100+8*0x8 + 0x4)
#define JS_TX0_TMR_TnH_REG9     (JS_TX0_TMR_BASE + 4*0x100+8*0x9 + 0x4)
#define JS_TX0_TMR_TnH_REG10     (JS_TX0_TMR_BASE + 4*0x100+8*0xa + 0x4)
#define JS_TX0_TMR_TnH_REG11     (JS_TX0_TMR_BASE + 4*0x100+8*0xb + 0x4)
#define JS_TX0_TMR_TnH_REG12     (JS_TX0_TMR_BASE + 4*0x100+8*0xc + 0x4)
#define JS_TX0_TMR_TnH_REG13     (JS_TX0_TMR_BASE + 4*0x100+8*0xd + 0x4)
#define JS_TX0_TMR_TnH_REG14     (JS_TX0_TMR_BASE + 4*0x100+8*0xe + 0x4)
#define JS_TX0_TMR_TnH_REG15     (JS_TX0_TMR_BASE + 4*0x100+8*0xf + 0x4)
#define JS_TX0_TMR_TnH_REG16     (JS_TX0_TMR_BASE + 4*0x100+8*0x10 + 0x4)
#define JS_TX0_TMR_TnH_REG17     (JS_TX0_TMR_BASE + 4*0x100+8*0x11 + 0x4)
#define JS_TX0_TMR_TnH_REG18     (JS_TX0_TMR_BASE + 4*0x100+8*0x12 + 0x4)
#define JS_TX0_TMR_TnH_REG19     (JS_TX0_TMR_BASE + 4*0x100+8*0x13 + 0x4)
#define JS_TX0_TMR_TnH_REG20     (JS_TX0_TMR_BASE + 4*0x100+8*0x14 + 0x4)
#define JS_TX0_TMR_TnH_REG21     (JS_TX0_TMR_BASE + 4*0x100+8*0x15 + 0x4)
#define JS_TX0_TMR_TnH_REG22     (JS_TX0_TMR_BASE + 4*0x100+8*0x16 + 0x4)
#define JS_TX0_TMR_TnH_REG23     (JS_TX0_TMR_BASE + 4*0x100+8*0x17 + 0x4)
#define JS_TX0_TMR_TnH_REG24     (JS_TX0_TMR_BASE + 4*0x100+8*0x18 + 0x4)
#define JS_TX0_TMR_TnH_REG25     (JS_TX0_TMR_BASE + 4*0x100+8*0x19 + 0x4)
#define JS_TX0_TMR_TnH_REG26     (JS_TX0_TMR_BASE + 4*0x100+8*0x1a + 0x4)
#define JS_TX0_TMR_TnH_REG27     (JS_TX0_TMR_BASE + 4*0x100+8*0x1b + 0x4)
#define JS_TX0_TMR_TnH_REG28     (JS_TX0_TMR_BASE + 4*0x100+8*0x1c + 0x4)
#define JS_TX0_TMR_TnH_REG29     (JS_TX0_TMR_BASE + 4*0x100+8*0x1d + 0x4)
#define JS_TX0_TMR_TnH_REG30     (JS_TX0_TMR_BASE + 4*0x100+8*0x1e + 0x4)
#define JS_TX0_TMR_TnH_REG31     (JS_TX0_TMR_BASE + 4*0x100+8*0x1f + 0x4)
#define JS_TX0_TMR_TnH_REG32     (JS_TX0_TMR_BASE + 4*0x100+8*0x20 + 0x4)
#define JS_TX0_TMR_TnH_REG33     (JS_TX0_TMR_BASE + 4*0x100+8*0x21 + 0x4)
#define JS_TX0_TMR_TnH_REG34     (JS_TX0_TMR_BASE + 4*0x100+8*0x22 + 0x4)
#define JS_TX0_TMR_TnH_REG35     (JS_TX0_TMR_BASE + 4*0x100+8*0x23 + 0x4)
#define JS_TX0_TMR_TnH_REG36     (JS_TX0_TMR_BASE + 4*0x100+8*0x24 + 0x4)
#define JS_TX0_TMR_TnH_REG37     (JS_TX0_TMR_BASE + 4*0x100+8*0x25 + 0x4)
#define JS_TX0_TMR_TnH_REG38     (JS_TX0_TMR_BASE + 4*0x100+8*0x26 + 0x4)
#define JS_TX0_TMR_TnH_REG39     (JS_TX0_TMR_BASE + 4*0x100+8*0x27 + 0x4)
#define JS_TX0_TMR_TnH_REG40     (JS_TX0_TMR_BASE + 4*0x100+8*0x28 + 0x4)
#define JS_TX0_TMR_TnH_REG41     (JS_TX0_TMR_BASE + 4*0x100+8*0x29 + 0x4)
#define JS_TX0_TMR_TnH_REG42     (JS_TX0_TMR_BASE + 4*0x100+8*0x2a + 0x4)
#define JS_TX0_TMR_TnH_REG43     (JS_TX0_TMR_BASE + 4*0x100+8*0x2b + 0x4)
#define JS_TX0_TMR_TnH_REG44     (JS_TX0_TMR_BASE + 4*0x100+8*0x2c + 0x4)
#define JS_TX0_TMR_TnH_REG45     (JS_TX0_TMR_BASE + 4*0x100+8*0x2d + 0x4)
#define JS_TX0_TMR_TnH_REG46     (JS_TX0_TMR_BASE + 4*0x100+8*0x2e + 0x4)
#define JS_TX0_TMR_TnH_REG47     (JS_TX0_TMR_BASE + 4*0x100+8*0x2f + 0x4)
#define JS_TX0_TMR_TnH_REG48     (JS_TX0_TMR_BASE + 4*0x100+8*0x30 + 0x4)
#define JS_TX0_TMR_TnH_REG49     (JS_TX0_TMR_BASE + 4*0x100+8*0x31 + 0x4)
#define JS_TX0_TMR_TnH_REG50     (JS_TX0_TMR_BASE + 4*0x100+8*0x32 + 0x4)
#define JS_TX0_TMR_TnH_REG51     (JS_TX0_TMR_BASE + 4*0x100+8*0x33 + 0x4)
#define JS_TX0_TMR_TnH_REG52     (JS_TX0_TMR_BASE + 4*0x100+8*0x34 + 0x4)
#define JS_TX0_TMR_TnH_REG53     (JS_TX0_TMR_BASE + 4*0x100+8*0x35 + 0x4)
#define JS_TX0_TMR_TnH_REG54     (JS_TX0_TMR_BASE + 4*0x100+8*0x36 + 0x4)
#define JS_TX0_TMR_TnH_REG55     (JS_TX0_TMR_BASE + 4*0x100+8*0x37 + 0x4)
#define JS_TX0_TMR_TnH_REG56     (JS_TX0_TMR_BASE + 4*0x100+8*0x38 + 0x4)
#define JS_TX0_TMR_TnH_REG57     (JS_TX0_TMR_BASE + 4*0x100+8*0x39 + 0x4)
#define JS_TX0_TMR_TnH_REG58     (JS_TX0_TMR_BASE + 4*0x100+8*0x3a + 0x4)
#define JS_TX0_TMR_TnH_REG59     (JS_TX0_TMR_BASE + 4*0x100+8*0x3b + 0x4)
#define JS_TX0_TMR_TnH_REG60     (JS_TX0_TMR_BASE + 4*0x100+8*0x3c + 0x4)
#define JS_TX0_TMR_TnH_REG61     (JS_TX0_TMR_BASE + 4*0x100+8*0x3d + 0x4)
#define JS_TX0_TMR_TnH_REG62     (JS_TX0_TMR_BASE + 4*0x100+8*0x3e + 0x4)
#define JS_TX0_TMR_TnH_REG63     (JS_TX0_TMR_BASE + 4*0x100+8*0x3f + 0x4)
#define JS_TX0_TMR_TnH_REG64     (JS_TX0_TMR_BASE + 4*0x100+8*0x40 + 0x4)
#define JS_TX0_TMR_TnH_REG65     (JS_TX0_TMR_BASE + 4*0x100+8*0x41 + 0x4)
#define JS_TX0_TMR_TnH_REG66     (JS_TX0_TMR_BASE + 4*0x100+8*0x42 + 0x4)
#define JS_TX0_TMR_TnH_REG67     (JS_TX0_TMR_BASE + 4*0x100+8*0x43 + 0x4)
#define JS_TX0_TMR_TnH_REG68     (JS_TX0_TMR_BASE + 4*0x100+8*0x44 + 0x4)
#define JS_TX0_TMR_TnH_REG69     (JS_TX0_TMR_BASE + 4*0x100+8*0x45 + 0x4)
#define JS_TX0_TMR_TnH_REG70     (JS_TX0_TMR_BASE + 4*0x100+8*0x46 + 0x4)
#define JS_TX0_TMR_TnH_REG71     (JS_TX0_TMR_BASE + 4*0x100+8*0x47 + 0x4)
#define JS_TX0_TMR_TnH_REG72     (JS_TX0_TMR_BASE + 4*0x100+8*0x48 + 0x4)
#define JS_TX0_TMR_TnH_REG73     (JS_TX0_TMR_BASE + 4*0x100+8*0x49 + 0x4)
#define JS_TX0_TMR_TnH_REG74     (JS_TX0_TMR_BASE + 4*0x100+8*0x4a + 0x4)
#define JS_TX0_TMR_TnH_REG75     (JS_TX0_TMR_BASE + 4*0x100+8*0x4b + 0x4)
#define JS_TX0_TMR_TnH_REG76     (JS_TX0_TMR_BASE + 4*0x100+8*0x4c + 0x4)
#define JS_TX0_TMR_TnH_REG77     (JS_TX0_TMR_BASE + 4*0x100+8*0x4d + 0x4)
#define JS_TX0_TMR_TnH_REG78     (JS_TX0_TMR_BASE + 4*0x100+8*0x4e + 0x4)
#define JS_TX0_TMR_TnH_REG79     (JS_TX0_TMR_BASE + 4*0x100+8*0x4f + 0x4)
#define JS_TX0_TMR_TnH_REG80     (JS_TX0_TMR_BASE + 4*0x100+8*0x50 + 0x4)
#define JS_TX0_TMR_TnH_REG81     (JS_TX0_TMR_BASE + 4*0x100+8*0x51 + 0x4)
#define JS_TX0_TMR_TnH_REG82     (JS_TX0_TMR_BASE + 4*0x100+8*0x52 + 0x4)
#define JS_TX0_TMR_TnH_REG83     (JS_TX0_TMR_BASE + 4*0x100+8*0x53 + 0x4)
#define JS_TX0_TMR_TnH_REG84     (JS_TX0_TMR_BASE + 4*0x100+8*0x54 + 0x4)
#define JS_TX0_TMR_TnH_REG85     (JS_TX0_TMR_BASE + 4*0x100+8*0x55 + 0x4)
#define JS_TX0_TMR_TnH_REG86     (JS_TX0_TMR_BASE + 4*0x100+8*0x56 + 0x4)
#define JS_TX0_TMR_TnH_REG87     (JS_TX0_TMR_BASE + 4*0x100+8*0x57 + 0x4)
#define JS_TX0_TMR_TnH_REG88     (JS_TX0_TMR_BASE + 4*0x100+8*0x58 + 0x4)
#define JS_TX0_TMR_TnH_REG89     (JS_TX0_TMR_BASE + 4*0x100+8*0x59 + 0x4)
#define JS_TX0_TMR_TnH_REG90     (JS_TX0_TMR_BASE + 4*0x100+8*0x5a + 0x4)
#define JS_TX0_TMR_TnH_REG91     (JS_TX0_TMR_BASE + 4*0x100+8*0x5b + 0x4)
#define JS_TX0_TMR_TnH_REG92     (JS_TX0_TMR_BASE + 4*0x100+8*0x5c + 0x4)
#define JS_TX0_TMR_TnH_REG93     (JS_TX0_TMR_BASE + 4*0x100+8*0x5d + 0x4)
#define JS_TX0_TMR_TnH_REG94     (JS_TX0_TMR_BASE + 4*0x100+8*0x5e + 0x4)
#define JS_TX0_TMR_TnH_REG95     (JS_TX0_TMR_BASE + 4*0x100+8*0x5f + 0x4)

#define JS_TX1_PIN_CTRL_REG        (JS_TX1_TMR_BASE + 4*0x00)
#define JS_TX1_IO_CTRL_REG         (JS_TX1_TMR_BASE + 4*0x01)
#define JS_TX1_TMR_INTC_REG        (JS_TX1_TMR_BASE + 4*0x02)
#define JS_TX1_TMR_SCR_CTRL_REG    (JS_TX1_TMR_BASE + 4*0x03)
#define JS_TX1_TMR_CTRL_REG        (JS_TX1_TMR_BASE + 4*0x04)
#define JS_TX1_TMR_RX_SCRL_0_REG   (JS_TX1_TMR_BASE + 4*0x05)
#define JS_TX1_TMR_RX_SCRH_0_REG   (JS_TX1_TMR_BASE + 4*0x06)
#define JS_TX1_TMR_TX_SCRL_0_REG   (JS_TX1_TMR_BASE + 4*0x07)
#define JS_TX1_TMR_TX_SCRH_0_REG   (JS_TX1_TMR_BASE + 4*0x08)
#define JS_TX1_TMR_RX_SCRL_1_REG   (JS_TX1_TMR_BASE + 4*0x09)
#define JS_TX1_TMR_RX_SCRH_1_REG   (JS_TX1_TMR_BASE + 4*0x0A)
#define JS_TX1_TMR_TX_SCRL_1_REG   (JS_TX1_TMR_BASE + 4*0x0B)
#define JS_TX1_TMR_TX_SCRH_1_REG   (JS_TX1_TMR_BASE + 4*0x0C)
#define JS_TX1_TMR_TEVENT0_REG     (JS_TX1_TMR_BASE + 4*0x10)
#define JS_TX1_TMR_TEVENT1_REG     (JS_TX1_TMR_BASE + 4*0x11)
#define JS_TX1_TMR_TEVENT2_REG     (JS_TX1_TMR_BASE + 4*0x12)
#define JS_TX1_TMR_TSCR_TRG_REG    (JS_TX1_TMR_BASE + 4*0x13)
#define JS_TX1_TMR_TWREQ0_REG      (JS_TX1_TMR_BASE + 4*0x14)
#define JS_TX1_TMR_TWREQ1_REG      (JS_TX1_TMR_BASE + 4*0x15)
#define JS_TX1_TMR_TWREQ2_REG      (JS_TX1_TMR_BASE + 4*0x16)
#define JS_TX1_TMR_TINTE00_REG     (JS_TX1_TMR_BASE + 4*0x17)
#define JS_TX1_TMR_TINTF00_REG     (JS_TX1_TMR_BASE + 4*0x18)
#define JS_TX1_TMR_TINTE01_REG     (JS_TX1_TMR_BASE + 4*0x19)
#define JS_TX1_TMR_TINTF01_REG     (JS_TX1_TMR_BASE + 4*0x1A)
#define JS_TX1_TMR_TINTE02_REG     (JS_TX1_TMR_BASE + 4*0x1B)
#define JS_TX1_TMR_TINTF02_REG     (JS_TX1_TMR_BASE + 4*0x1C)
#define JS_TX1_TMR_TINTE10_REG     (JS_TX1_TMR_BASE + 4*0x1D)
#define JS_TX1_TMR_TINTF10_REG     (JS_TX1_TMR_BASE + 4*0x1E)
#define JS_TX1_TMR_TINTE11_REG     (JS_TX1_TMR_BASE + 4*0x1F)
#define JS_TX1_TMR_TINTF11_REG     (JS_TX1_TMR_BASE + 4*0x20)
#define JS_TX1_TMR_TINTE12_REG     (JS_TX1_TMR_BASE + 4*0x21)
#define JS_TX1_TMR_TINTF12_REG     (JS_TX1_TMR_BASE + 4*0x22)
#define JS_TX1_TMR_TINTE20_REG     (JS_TX1_TMR_BASE + 4*0x23)
#define JS_TX1_TMR_TINTF20_REG     (JS_TX1_TMR_BASE + 4*0x24)
#define JS_TX1_TMR_TINTE21_REG     (JS_TX1_TMR_BASE + 4*0x25)
#define JS_TX1_TMR_TINTF21_REG     (JS_TX1_TMR_BASE + 4*0x26)
#define JS_TX1_TMR_TINTE22_REG     (JS_TX1_TMR_BASE + 4*0x27)
#define JS_TX1_TMR_TINTF22_REG     (JS_TX1_TMR_BASE + 4*0x28)
#define JS_TX1_TMR_TINTE30_REG     (JS_TX1_TMR_BASE + 4*0x29)
#define JS_TX1_TMR_TINTF30_REG     (JS_TX1_TMR_BASE + 4*0x2A)
#define JS_TX1_TMR_TINTE31_REG     (JS_TX1_TMR_BASE + 4*0x2B)
#define JS_TX1_TMR_TINTF31_REG     (JS_TX1_TMR_BASE + 4*0x2C)
#define JS_TX1_TMR_TINTE32_REG     (JS_TX1_TMR_BASE + 4*0x2D)
#define JS_TX1_TMR_TINTF32_REG     (JS_TX1_TMR_BASE + 4*0x2E)
#define JS_TX1_TMR_TINTE40_REG     (JS_TX1_TMR_BASE + 4*0x2F)
#define JS_TX1_TMR_TINTF40_REG     (JS_TX1_TMR_BASE + 4*0x30)
#define JS_TX1_TMR_TINTE41_REG     (JS_TX1_TMR_BASE + 4*0x31)
#define JS_TX1_TMR_TINTF41_REG     (JS_TX1_TMR_BASE + 4*0x32)
#define JS_TX1_TMR_TINTE42_REG     (JS_TX1_TMR_BASE + 4*0x33)
#define JS_TX1_TMR_TINTF42_REG     (JS_TX1_TMR_BASE + 4*0x34)
#define JS_TX1_TMR_TINTE50_REG     (JS_TX1_TMR_BASE + 4*0x35)
#define JS_TX1_TMR_TINTF50_REG     (JS_TX1_TMR_BASE + 4*0x36)
#define JS_TX1_TMR_TINTE51_REG     (JS_TX1_TMR_BASE + 4*0x37)
#define JS_TX1_TMR_TINTF51_REG     (JS_TX1_TMR_BASE + 4*0x38)
#define JS_TX1_TMR_TINTE52_REG     (JS_TX1_TMR_BASE + 4*0x39)
#define JS_TX1_TMR_TINTF52_REG     (JS_TX1_TMR_BASE + 4*0x3A)
#define JS_TX1_TMR_TINTE60_REG     (JS_TX1_TMR_BASE + 4*0x3B)
#define JS_TX1_TMR_TINTF60_REG     (JS_TX1_TMR_BASE + 4*0x3C)
#define JS_TX1_TMR_TINTE61_REG     (JS_TX1_TMR_BASE + 4*0x3D)
#define JS_TX1_TMR_TINTF61_REG     (JS_TX1_TMR_BASE + 4*0x3E)
#define JS_TX1_TMR_TINTE62_REG     (JS_TX1_TMR_BASE + 4*0x3F)
#define JS_TX1_TMR_TINTF62_REG     (JS_TX1_TMR_BASE + 4*0x40)
#define JS_TX1_TMR_TINTE70_REG     (JS_TX1_TMR_BASE + 4*0x41)
#define JS_TX1_TMR_TINTF70_REG     (JS_TX1_TMR_BASE + 4*0x42)
#define JS_TX1_TMR_TINTE71_REG     (JS_TX1_TMR_BASE + 4*0x43)
#define JS_TX1_TMR_TINTF71_REG     (JS_TX1_TMR_BASE + 4*0x44)
#define JS_TX1_TMR_TINTE72_REG     (JS_TX1_TMR_BASE + 4*0x45)
#define JS_TX1_TMR_TINTF72_REG     (JS_TX1_TMR_BASE + 4*0x46)
#define JS_TX1_TMR_TINTE80_REG     (JS_TX1_TMR_BASE + 4*0x47)
#define JS_TX1_TMR_TINTF80_REG     (JS_TX1_TMR_BASE + 4*0x48)
#define JS_TX1_TMR_TINTE81_REG     (JS_TX1_TMR_BASE + 4*0x49)
#define JS_TX1_TMR_TINTF81_REG     (JS_TX1_TMR_BASE + 4*0x4A)
#define JS_TX1_TMR_TINTE82_REG     (JS_TX1_TMR_BASE + 4*0x4B)
#define JS_TX1_TMR_TINTF82_REG     (JS_TX1_TMR_BASE + 4*0x4C)
#define JS_TX1_TMR_TINTE90_REG     (JS_TX1_TMR_BASE + 4*0x4D)
#define JS_TX1_TMR_TINTF90_REG     (JS_TX1_TMR_BASE + 4*0x4E)
#define JS_TX1_TMR_TINTE91_REG     (JS_TX1_TMR_BASE + 4*0x4F)
#define JS_TX1_TMR_TINTF91_REG     (JS_TX1_TMR_BASE + 4*0x50)
#define JS_TX1_TMR_TINTE92_REG     (JS_TX1_TMR_BASE + 4*0x51)
#define JS_TX1_TMR_TINTF92_REG     (JS_TX1_TMR_BASE + 4*0x52)
#define JS_TX1_TMR_TINTEA0_REG     (JS_TX1_TMR_BASE + 4*0x53)
#define JS_TX1_TMR_TINTFA0_REG     (JS_TX1_TMR_BASE + 4*0x54)
#define JS_TX1_TMR_TINTEA1_REG     (JS_TX1_TMR_BASE + 4*0x55)
#define JS_TX1_TMR_TINTFA1_REG     (JS_TX1_TMR_BASE + 4*0x56)
#define JS_TX1_TMR_TINTEA2_REG     (JS_TX1_TMR_BASE + 4*0x57)
#define JS_TX1_TMR_TINTFA2_REG     (JS_TX1_TMR_BASE + 4*0x58)
#define JS_TX1_TMR_TINTEB0_REG     (JS_TX1_TMR_BASE + 4*0x59)
#define JS_TX1_TMR_TINTFB0_REG     (JS_TX1_TMR_BASE + 4*0x5A)
#define JS_TX1_TMR_TINTEB1_REG     (JS_TX1_TMR_BASE + 4*0x5B)
#define JS_TX1_TMR_TINTFB1_REG     (JS_TX1_TMR_BASE + 4*0x5C)
#define JS_TX1_TMR_TINTEB2_REG     (JS_TX1_TMR_BASE + 4*0x5D)
#define JS_TX1_TMR_TINTFB2_REG     (JS_TX1_TMR_BASE + 4*0x5E)
#define JS_TX1_TMR_CEVENT_REG      (JS_TX1_TMR_BASE + 4*0x5F)
#define JS_TX1_TMR_CMSK_REG        (JS_TX1_TMR_BASE + 4*0x60)
#define JS_TX1_TMR_CINTE0_REG      (JS_TX1_TMR_BASE + 4*0x61)
#define JS_TX1_TMR_CINTF0_REG      (JS_TX1_TMR_BASE + 4*0x62)
#define JS_TX1_TMR_CINTE1_REG      (JS_TX1_TMR_BASE + 4*0x63)
#define JS_TX1_TMR_CINTF1_REG      (JS_TX1_TMR_BASE + 4*0x64)
#define JS_TX1_TMR_CINTE2_REG      (JS_TX1_TMR_BASE + 4*0x65)
#define JS_TX1_TMR_CINTF2_REG      (JS_TX1_TMR_BASE + 4*0x66)
#define JS_TX1_TMR_CINTE3_REG      (JS_TX1_TMR_BASE + 4*0x67)
#define JS_TX1_TMR_CINTF3_REG      (JS_TX1_TMR_BASE + 4*0x68)
#define JS_TX1_TMR_CINTE4_REG      (JS_TX1_TMR_BASE + 4*0x69)
#define JS_TX1_TMR_CINTF4_REG      (JS_TX1_TMR_BASE + 4*0x6A)
#define JS_TX1_TMR_CINTE5_REG      (JS_TX1_TMR_BASE + 4*0x6B)
#define JS_TX1_TMR_CINTF5_REG      (JS_TX1_TMR_BASE + 4*0x6C)
#define JS_TX1_TMR_CINTE6_REG      (JS_TX1_TMR_BASE + 4*0x6D)
#define JS_TX1_TMR_CINTF6_REG      (JS_TX1_TMR_BASE + 4*0x6E)
#define JS_TX1_TMR_CINTE7_REG      (JS_TX1_TMR_BASE + 4*0x6F)
#define JS_TX1_TMR_CINTF7_REG      (JS_TX1_TMR_BASE + 4*0x70)
#define JS_TX1_TMR_CINTE8_REG      (JS_TX1_TMR_BASE + 4*0x71)
#define JS_TX1_TMR_CINTF8_REG      (JS_TX1_TMR_BASE + 4*0x72)
#define JS_TX1_TMR_CINTE9_REG      (JS_TX1_TMR_BASE + 4*0x73)
#define JS_TX1_TMR_CINTF9_REG      (JS_TX1_TMR_BASE + 4*0x74)
#define JS_TX1_TMR_CINTEA_REG      (JS_TX1_TMR_BASE + 4*0x75)
#define JS_TX1_TMR_CINTFA_REG      (JS_TX1_TMR_BASE + 4*0x76)
#define JS_TX1_TMR_CINTEB_REG      (JS_TX1_TMR_BASE + 4*0x77)
#define JS_TX1_TMR_CINTFB_REG      (JS_TX1_TMR_BASE + 4*0x78)
#define JS_TX1_TMR_OVFL_REG        (JS_TX1_TMR_BASE + 4*0x79)
#define JS_TX1_TMR_OVFH_REG        (JS_TX1_TMR_BASE + 4*0x7A)
#define JS_TX1_TMR_RXEN0_0L_REG    (JS_TX1_TMR_BASE + 4*0x7B)
#define JS_TX1_TMR_RXEN0_0H_REG    (JS_TX1_TMR_BASE + 4*0x7C)
#define JS_TX1_TMR_RXEN0_1L_REG    (JS_TX1_TMR_BASE + 4*0x7D)
#define JS_TX1_TMR_RXEN0_1H_REG    (JS_TX1_TMR_BASE + 4*0x7E)
#define JS_TX1_TMR_TXEN0_0L_REG    (JS_TX1_TMR_BASE + 4*0x7F)
#define JS_TX1_TMR_TXEN0_0H_REG    (JS_TX1_TMR_BASE + 4*0x80)
#define JS_TX1_TMR_TXEN0_1L_REG    (JS_TX1_TMR_BASE + 4*0x81)
#define JS_TX1_TMR_TXEN0_1H_REG    (JS_TX1_TMR_BASE + 4*0x82)
#define JS_TX1_TMR_RXEN1_0L_REG    (JS_TX1_TMR_BASE + 4*0x83)
#define JS_TX1_TMR_RXEN1_0H_REG    (JS_TX1_TMR_BASE + 4*0x84)
#define JS_TX1_TMR_RXEN1_1L_REG    (JS_TX1_TMR_BASE + 4*0x85)
#define JS_TX1_TMR_RXEN1_1H_REG    (JS_TX1_TMR_BASE + 4*0x86)
#define JS_TX1_TMR_TXEN1_0L_REG    (JS_TX1_TMR_BASE + 4*0x87)
#define JS_TX1_TMR_TXEN1_0H_REG    (JS_TX1_TMR_BASE + 4*0x88)
#define JS_TX1_TMR_TXEN1_1L_REG    (JS_TX1_TMR_BASE + 4*0x89)
#define JS_TX1_TMR_TXEN1_1H_REG    (JS_TX1_TMR_BASE + 4*0x8A)
#define JS_TX1_TMR_RXEN2CSU0L_REG  (JS_TX1_TMR_BASE + 4*0x8B)
#define JS_TX1_TMR_RXEN2CSU0H_REG  (JS_TX1_TMR_BASE + 4*0x8C)
#define JS_TX1_TMR_RXEN2CSU1L_REG  (JS_TX1_TMR_BASE + 4*0x8D)
#define JS_TX1_TMR_RXEN2CSU1H_REG  (JS_TX1_TMR_BASE + 4*0x8E)
#define JS_TX1_TMR_TXEN2CSU0L_REG  (JS_TX1_TMR_BASE + 4*0x8F)
#define JS_TX1_TMR_TXEN2CSU0H_REG  (JS_TX1_TMR_BASE + 4*0x90)
#define JS_TX1_TMR_TXEN2CSU1L_REG  (JS_TX1_TMR_BASE + 4*0x91)
#define JS_TX1_TMR_TXEN2CSU1H_REG  (JS_TX1_TMR_BASE + 4*0x92)
#define JS_TX1_TMR_SCRATH0L_REG    (JS_TX1_TMR_BASE + 4*0x93)
#define JS_TX1_TMR_SCRATH0H_REG    (JS_TX1_TMR_BASE + 4*0x94)
#define JS_TX1_TMR_SCRATH1L_REG    (JS_TX1_TMR_BASE + 4*0x95)
#define JS_TX1_TMR_SCRATH1H_REG    (JS_TX1_TMR_BASE + 4*0x96)
#define JS_TX1_TMR_RX_SCRL_REG     (JS_TX1_TMR_BASE + 4*0x97)
#define JS_TX1_TMR_RX_SCRH_REG     (JS_TX1_TMR_BASE + 4*0x98)
#define JS_TX1_TMR_TX_SCRL_REG     (JS_TX1_TMR_BASE + 4*0x99)
#define JS_TX1_TMR_TX_SCRH_REG     (JS_TX1_TMR_BASE + 4*0x9A)
#define JS_TX1_TMR_1PPSL_REG       (JS_TX1_TMR_BASE + 4*0x9B)
#define JS_TX1_TMR_1PPSH_REG       (JS_TX1_TMR_BASE + 4*0x9C)
#define JS_TX1_TMR_CPRI_10MS_CTRL  (JS_TX1_TMR_BASE + 4*0x9D)
#define JS_TX1_TMR_CPRI_ADJ_L      (JS_TX1_TMR_BASE + 4*0x9E)
#define JS_TX1_TMR_CPRI_ADJ_H      (JS_TX1_TMR_BASE + 4*0x9F)
#define JS_TX1_TMR_CPRI_10MS_CLR   (JS_TX1_TMR_BASE + 4*0xA0)

#define JS_TX1_TMR_RX_SOF0_SCR_L_REG  (JS_TX1_TMR_BASE + 4*0xA1)
#define JS_TX1_TMR_RX_SOF0_SCR_H_REG  (JS_TX1_TMR_BASE + 4*0xA2)
#define JS_TX1_TMR_RX_SOF1_SCR_L_REG  (JS_TX1_TMR_BASE + 4*0xA3)
#define JS_TX1_TMR_RX_SOF1_SCR_H_REG  (JS_TX1_TMR_BASE + 4*0xA4)
#define JS_TX1_TMR_RX_SOF2_SCR_L_REG  (JS_TX1_TMR_BASE + 4*0xA5)
#define JS_TX1_TMR_RX_SOF2_SCR_H_REG  (JS_TX1_TMR_BASE + 4*0xA6)
#define JS_TX1_TMR_RX_SOF3_SCR_L_REG  (JS_TX1_TMR_BASE + 4*0xA7)
#define JS_TX1_TMR_RX_SOF3_SCR_H_REG  (JS_TX1_TMR_BASE + 4*0xA8)
#define JS_TX1_TMR_RX_EOF0_SCR_L_REG  (JS_TX1_TMR_BASE + 4*0xA9)
#define JS_TX1_TMR_RX_EOF0_SCR_H_REG  (JS_TX1_TMR_BASE + 4*0xAA)
#define JS_TX1_TMR_RX_EOF1_SCR_L_REG  (JS_TX1_TMR_BASE + 4*0xAB)
#define JS_TX1_TMR_RX_EOF1_SCR_H_REG  (JS_TX1_TMR_BASE + 4*0xAC)
#define JS_TX1_TMR_RX_EOF2_SCR_L_REG  (JS_TX1_TMR_BASE + 4*0xAD)
#define JS_TX1_TMR_RX_EOF2_SCR_H_REG  (JS_TX1_TMR_BASE + 4*0xAE)
#define JS_TX1_TMR_RX_EOF3_SCR_L_REG  (JS_TX1_TMR_BASE + 4*0xAF)
#define JS_TX1_TMR_RX_EOF3_SCR_H_REG  (JS_TX1_TMR_BASE + 4*0xB0)
#define JS_TX1_TMR_RX_SOF_EOF_SCR_EN  (JS_TX1_TMR_BASE + 4*0xB1)


#define JS_TX1_TMR_TnL_REG0        (JS_TX1_TMR_BASE + 4*0x100+8*0x0)
#define JS_TX1_TMR_TnL_REG1        (JS_TX1_TMR_BASE + 4*0x100+8*0x1)
#define JS_TX1_TMR_TnL_REG2        (JS_TX1_TMR_BASE + 4*0x100+8*0x2)
#define JS_TX1_TMR_TnL_REG3        (JS_TX1_TMR_BASE + 4*0x100+8*0x3)
#define JS_TX1_TMR_TnL_REG4        (JS_TX1_TMR_BASE + 4*0x100+8*0x4)
#define JS_TX1_TMR_TnL_REG5        (JS_TX1_TMR_BASE + 4*0x100+8*0x5)
#define JS_TX1_TMR_TnL_REG6        (JS_TX1_TMR_BASE + 4*0x100+8*0x6)
#define JS_TX1_TMR_TnL_REG7        (JS_TX1_TMR_BASE + 4*0x100+8*0x7)
#define JS_TX1_TMR_TnL_REG8        (JS_TX1_TMR_BASE + 4*0x100+8*0x8)
#define JS_TX1_TMR_TnL_REG9        (JS_TX1_TMR_BASE + 4*0x100+8*0x9)
#define JS_TX1_TMR_TnL_REG10        (JS_TX1_TMR_BASE + 4*0x100+8*0xa)
#define JS_TX1_TMR_TnL_REG11        (JS_TX1_TMR_BASE + 4*0x100+8*0xb)
#define JS_TX1_TMR_TnL_REG12        (JS_TX1_TMR_BASE + 4*0x100+8*0xc)
#define JS_TX1_TMR_TnL_REG13        (JS_TX1_TMR_BASE + 4*0x100+8*0xd)
#define JS_TX1_TMR_TnL_REG14        (JS_TX1_TMR_BASE + 4*0x100+8*0xe)
#define JS_TX1_TMR_TnL_REG15        (JS_TX1_TMR_BASE + 4*0x100+8*0xf)
#define JS_TX1_TMR_TnL_REG16        (JS_TX1_TMR_BASE + 4*0x100+8*0x10)
#define JS_TX1_TMR_TnL_REG17        (JS_TX1_TMR_BASE + 4*0x100+8*0x11)
#define JS_TX1_TMR_TnL_REG18        (JS_TX1_TMR_BASE + 4*0x100+8*0x12)
#define JS_TX1_TMR_TnL_REG19        (JS_TX1_TMR_BASE + 4*0x100+8*0x13)
#define JS_TX1_TMR_TnL_REG20        (JS_TX1_TMR_BASE + 4*0x100+8*0x14)
#define JS_TX1_TMR_TnL_REG21        (JS_TX1_TMR_BASE + 4*0x100+8*0x15)
#define JS_TX1_TMR_TnL_REG22        (JS_TX1_TMR_BASE + 4*0x100+8*0x16)
#define JS_TX1_TMR_TnL_REG23        (JS_TX1_TMR_BASE + 4*0x100+8*0x17)
#define JS_TX1_TMR_TnL_REG24        (JS_TX1_TMR_BASE + 4*0x100+8*0x18)
#define JS_TX1_TMR_TnL_REG25        (JS_TX1_TMR_BASE + 4*0x100+8*0x19)
#define JS_TX1_TMR_TnL_REG26        (JS_TX1_TMR_BASE + 4*0x100+8*0x1a)
#define JS_TX1_TMR_TnL_REG27        (JS_TX1_TMR_BASE + 4*0x100+8*0x1b)
#define JS_TX1_TMR_TnL_REG28        (JS_TX1_TMR_BASE + 4*0x100+8*0x1c)
#define JS_TX1_TMR_TnL_REG29        (JS_TX1_TMR_BASE + 4*0x100+8*0x1d)
#define JS_TX1_TMR_TnL_REG30        (JS_TX1_TMR_BASE + 4*0x100+8*0x1e)
#define JS_TX1_TMR_TnL_REG31        (JS_TX1_TMR_BASE + 4*0x100+8*0x1f)
#define JS_TX1_TMR_TnL_REG32        (JS_TX1_TMR_BASE + 4*0x100+8*0x20)
#define JS_TX1_TMR_TnL_REG33        (JS_TX1_TMR_BASE + 4*0x100+8*0x21)
#define JS_TX1_TMR_TnL_REG34        (JS_TX1_TMR_BASE + 4*0x100+8*0x22)
#define JS_TX1_TMR_TnL_REG35        (JS_TX1_TMR_BASE + 4*0x100+8*0x23)
#define JS_TX1_TMR_TnL_REG36        (JS_TX1_TMR_BASE + 4*0x100+8*0x24)
#define JS_TX1_TMR_TnL_REG37        (JS_TX1_TMR_BASE + 4*0x100+8*0x25)
#define JS_TX1_TMR_TnL_REG38        (JS_TX1_TMR_BASE + 4*0x100+8*0x26)
#define JS_TX1_TMR_TnL_REG39        (JS_TX1_TMR_BASE + 4*0x100+8*0x27)
#define JS_TX1_TMR_TnL_REG40        (JS_TX1_TMR_BASE + 4*0x100+8*0x28)
#define JS_TX1_TMR_TnL_REG41        (JS_TX1_TMR_BASE + 4*0x100+8*0x29)
#define JS_TX1_TMR_TnL_REG42        (JS_TX1_TMR_BASE + 4*0x100+8*0x2a)
#define JS_TX1_TMR_TnL_REG43        (JS_TX1_TMR_BASE + 4*0x100+8*0x2b)
#define JS_TX1_TMR_TnL_REG44        (JS_TX1_TMR_BASE + 4*0x100+8*0x2c)
#define JS_TX1_TMR_TnL_REG45        (JS_TX1_TMR_BASE + 4*0x100+8*0x2d)
#define JS_TX1_TMR_TnL_REG46        (JS_TX1_TMR_BASE + 4*0x100+8*0x2e)
#define JS_TX1_TMR_TnL_REG47        (JS_TX1_TMR_BASE + 4*0x100+8*0x2f)
#define JS_TX1_TMR_TnL_REG48        (JS_TX1_TMR_BASE + 4*0x100+8*0x30)
#define JS_TX1_TMR_TnL_REG49        (JS_TX1_TMR_BASE + 4*0x100+8*0x31)
#define JS_TX1_TMR_TnL_REG50        (JS_TX1_TMR_BASE + 4*0x100+8*0x32)
#define JS_TX1_TMR_TnL_REG51        (JS_TX1_TMR_BASE + 4*0x100+8*0x33)
#define JS_TX1_TMR_TnL_REG52        (JS_TX1_TMR_BASE + 4*0x100+8*0x34)
#define JS_TX1_TMR_TnL_REG53        (JS_TX1_TMR_BASE + 4*0x100+8*0x35)
#define JS_TX1_TMR_TnL_REG54        (JS_TX1_TMR_BASE + 4*0x100+8*0x36)
#define JS_TX1_TMR_TnL_REG55        (JS_TX1_TMR_BASE + 4*0x100+8*0x37)
#define JS_TX1_TMR_TnL_REG56        (JS_TX1_TMR_BASE + 4*0x100+8*0x38)
#define JS_TX1_TMR_TnL_REG57        (JS_TX1_TMR_BASE + 4*0x100+8*0x39)
#define JS_TX1_TMR_TnL_REG58        (JS_TX1_TMR_BASE + 4*0x100+8*0x3a)
#define JS_TX1_TMR_TnL_REG59        (JS_TX1_TMR_BASE + 4*0x100+8*0x3b)
#define JS_TX1_TMR_TnL_REG60        (JS_TX1_TMR_BASE + 4*0x100+8*0x3c)
#define JS_TX1_TMR_TnL_REG61        (JS_TX1_TMR_BASE + 4*0x100+8*0x3d)
#define JS_TX1_TMR_TnL_REG62        (JS_TX1_TMR_BASE + 4*0x100+8*0x3e)
#define JS_TX1_TMR_TnL_REG63        (JS_TX1_TMR_BASE + 4*0x100+8*0x3f)
#define JS_TX1_TMR_TnL_REG64        (JS_TX1_TMR_BASE + 4*0x100+8*0x40)
#define JS_TX1_TMR_TnL_REG65        (JS_TX1_TMR_BASE + 4*0x100+8*0x41)
#define JS_TX1_TMR_TnL_REG66        (JS_TX1_TMR_BASE + 4*0x100+8*0x42)
#define JS_TX1_TMR_TnL_REG67        (JS_TX1_TMR_BASE + 4*0x100+8*0x43)
#define JS_TX1_TMR_TnL_REG68        (JS_TX1_TMR_BASE + 4*0x100+8*0x44)
#define JS_TX1_TMR_TnL_REG69        (JS_TX1_TMR_BASE + 4*0x100+8*0x45)
#define JS_TX1_TMR_TnL_REG70        (JS_TX1_TMR_BASE + 4*0x100+8*0x46)
#define JS_TX1_TMR_TnL_REG71        (JS_TX1_TMR_BASE + 4*0x100+8*0x47)
#define JS_TX1_TMR_TnL_REG72        (JS_TX1_TMR_BASE + 4*0x100+8*0x48)
#define JS_TX1_TMR_TnL_REG73        (JS_TX1_TMR_BASE + 4*0x100+8*0x49)
#define JS_TX1_TMR_TnL_REG74        (JS_TX1_TMR_BASE + 4*0x100+8*0x4a)
#define JS_TX1_TMR_TnL_REG75        (JS_TX1_TMR_BASE + 4*0x100+8*0x4b)
#define JS_TX1_TMR_TnL_REG76        (JS_TX1_TMR_BASE + 4*0x100+8*0x4c)
#define JS_TX1_TMR_TnL_REG77        (JS_TX1_TMR_BASE + 4*0x100+8*0x4d)
#define JS_TX1_TMR_TnL_REG78        (JS_TX1_TMR_BASE + 4*0x100+8*0x4e)
#define JS_TX1_TMR_TnL_REG79        (JS_TX1_TMR_BASE + 4*0x100+8*0x4f)
#define JS_TX1_TMR_TnL_REG80        (JS_TX1_TMR_BASE + 4*0x100+8*0x50)
#define JS_TX1_TMR_TnL_REG81        (JS_TX1_TMR_BASE + 4*0x100+8*0x51)
#define JS_TX1_TMR_TnL_REG82        (JS_TX1_TMR_BASE + 4*0x100+8*0x52)
#define JS_TX1_TMR_TnL_REG83        (JS_TX1_TMR_BASE + 4*0x100+8*0x53)
#define JS_TX1_TMR_TnL_REG84        (JS_TX1_TMR_BASE + 4*0x100+8*0x54)
#define JS_TX1_TMR_TnL_REG85        (JS_TX1_TMR_BASE + 4*0x100+8*0x55)
#define JS_TX1_TMR_TnL_REG86        (JS_TX1_TMR_BASE + 4*0x100+8*0x56)
#define JS_TX1_TMR_TnL_REG87        (JS_TX1_TMR_BASE + 4*0x100+8*0x57)
#define JS_TX1_TMR_TnL_REG88        (JS_TX1_TMR_BASE + 4*0x100+8*0x58)
#define JS_TX1_TMR_TnL_REG89        (JS_TX1_TMR_BASE + 4*0x100+8*0x59)
#define JS_TX1_TMR_TnL_REG90        (JS_TX1_TMR_BASE + 4*0x100+8*0x5a)
#define JS_TX1_TMR_TnL_REG91        (JS_TX1_TMR_BASE + 4*0x100+8*0x5b)
#define JS_TX1_TMR_TnL_REG92        (JS_TX1_TMR_BASE + 4*0x100+8*0x5c)
#define JS_TX1_TMR_TnL_REG93        (JS_TX1_TMR_BASE + 4*0x100+8*0x5d)
#define JS_TX1_TMR_TnL_REG94        (JS_TX1_TMR_BASE + 4*0x100+8*0x5e)
#define JS_TX1_TMR_TnL_REG95        (JS_TX1_TMR_BASE + 4*0x100+8*0x5f)



#define JS_TX1_TMR_TnH_REG0     (JS_TX1_TMR_BASE + 4*0x100+8*0x0 + 0x4)
#define JS_TX1_TMR_TnH_REG1     (JS_TX1_TMR_BASE + 4*0x100+8*0x1 + 0x4)
#define JS_TX1_TMR_TnH_REG2     (JS_TX1_TMR_BASE + 4*0x100+8*0x2 + 0x4)
#define JS_TX1_TMR_TnH_REG3     (JS_TX1_TMR_BASE + 4*0x100+8*0x3 + 0x4)
#define JS_TX1_TMR_TnH_REG4     (JS_TX1_TMR_BASE + 4*0x100+8*0x4 + 0x4)
#define JS_TX1_TMR_TnH_REG5     (JS_TX1_TMR_BASE + 4*0x100+8*0x5 + 0x4)
#define JS_TX1_TMR_TnH_REG6     (JS_TX1_TMR_BASE + 4*0x100+8*0x6 + 0x4)
#define JS_TX1_TMR_TnH_REG7     (JS_TX1_TMR_BASE + 4*0x100+8*0x7 + 0x4)
#define JS_TX1_TMR_TnH_REG8     (JS_TX1_TMR_BASE + 4*0x100+8*0x8 + 0x4)
#define JS_TX1_TMR_TnH_REG9     (JS_TX1_TMR_BASE + 4*0x100+8*0x9 + 0x4)
#define JS_TX1_TMR_TnH_REG10     (JS_TX1_TMR_BASE + 4*0x100+8*0xa + 0x4)
#define JS_TX1_TMR_TnH_REG11     (JS_TX1_TMR_BASE + 4*0x100+8*0xb + 0x4)
#define JS_TX1_TMR_TnH_REG12     (JS_TX1_TMR_BASE + 4*0x100+8*0xc + 0x4)
#define JS_TX1_TMR_TnH_REG13     (JS_TX1_TMR_BASE + 4*0x100+8*0xd + 0x4)
#define JS_TX1_TMR_TnH_REG14     (JS_TX1_TMR_BASE + 4*0x100+8*0xe + 0x4)
#define JS_TX1_TMR_TnH_REG15     (JS_TX1_TMR_BASE + 4*0x100+8*0xf + 0x4)
#define JS_TX1_TMR_TnH_REG16     (JS_TX1_TMR_BASE + 4*0x100+8*0x10 + 0x4)
#define JS_TX1_TMR_TnH_REG17     (JS_TX1_TMR_BASE + 4*0x100+8*0x11 + 0x4)
#define JS_TX1_TMR_TnH_REG18     (JS_TX1_TMR_BASE + 4*0x100+8*0x12 + 0x4)
#define JS_TX1_TMR_TnH_REG19     (JS_TX1_TMR_BASE + 4*0x100+8*0x13 + 0x4)
#define JS_TX1_TMR_TnH_REG20     (JS_TX1_TMR_BASE + 4*0x100+8*0x14 + 0x4)
#define JS_TX1_TMR_TnH_REG21     (JS_TX1_TMR_BASE + 4*0x100+8*0x15 + 0x4)
#define JS_TX1_TMR_TnH_REG22     (JS_TX1_TMR_BASE + 4*0x100+8*0x16 + 0x4)
#define JS_TX1_TMR_TnH_REG23     (JS_TX1_TMR_BASE + 4*0x100+8*0x17 + 0x4)
#define JS_TX1_TMR_TnH_REG24     (JS_TX1_TMR_BASE + 4*0x100+8*0x18 + 0x4)
#define JS_TX1_TMR_TnH_REG25     (JS_TX1_TMR_BASE + 4*0x100+8*0x19 + 0x4)
#define JS_TX1_TMR_TnH_REG26     (JS_TX1_TMR_BASE + 4*0x100+8*0x1a + 0x4)
#define JS_TX1_TMR_TnH_REG27     (JS_TX1_TMR_BASE + 4*0x100+8*0x1b + 0x4)
#define JS_TX1_TMR_TnH_REG28     (JS_TX1_TMR_BASE + 4*0x100+8*0x1c + 0x4)
#define JS_TX1_TMR_TnH_REG29     (JS_TX1_TMR_BASE + 4*0x100+8*0x1d + 0x4)
#define JS_TX1_TMR_TnH_REG30     (JS_TX1_TMR_BASE + 4*0x100+8*0x1e + 0x4)
#define JS_TX1_TMR_TnH_REG31     (JS_TX1_TMR_BASE + 4*0x100+8*0x1f + 0x4)
#define JS_TX1_TMR_TnH_REG32     (JS_TX1_TMR_BASE + 4*0x100+8*0x20 + 0x4)
#define JS_TX1_TMR_TnH_REG33     (JS_TX1_TMR_BASE + 4*0x100+8*0x21 + 0x4)
#define JS_TX1_TMR_TnH_REG34     (JS_TX1_TMR_BASE + 4*0x100+8*0x22 + 0x4)
#define JS_TX1_TMR_TnH_REG35     (JS_TX1_TMR_BASE + 4*0x100+8*0x23 + 0x4)
#define JS_TX1_TMR_TnH_REG36     (JS_TX1_TMR_BASE + 4*0x100+8*0x24 + 0x4)
#define JS_TX1_TMR_TnH_REG37     (JS_TX1_TMR_BASE + 4*0x100+8*0x25 + 0x4)
#define JS_TX1_TMR_TnH_REG38     (JS_TX1_TMR_BASE + 4*0x100+8*0x26 + 0x4)
#define JS_TX1_TMR_TnH_REG39     (JS_TX1_TMR_BASE + 4*0x100+8*0x27 + 0x4)
#define JS_TX1_TMR_TnH_REG40     (JS_TX1_TMR_BASE + 4*0x100+8*0x28 + 0x4)
#define JS_TX1_TMR_TnH_REG41     (JS_TX1_TMR_BASE + 4*0x100+8*0x29 + 0x4)
#define JS_TX1_TMR_TnH_REG42     (JS_TX1_TMR_BASE + 4*0x100+8*0x2a + 0x4)
#define JS_TX1_TMR_TnH_REG43     (JS_TX1_TMR_BASE + 4*0x100+8*0x2b + 0x4)
#define JS_TX1_TMR_TnH_REG44     (JS_TX1_TMR_BASE + 4*0x100+8*0x2c + 0x4)
#define JS_TX1_TMR_TnH_REG45     (JS_TX1_TMR_BASE + 4*0x100+8*0x2d + 0x4)
#define JS_TX1_TMR_TnH_REG46     (JS_TX1_TMR_BASE + 4*0x100+8*0x2e + 0x4)
#define JS_TX1_TMR_TnH_REG47     (JS_TX1_TMR_BASE + 4*0x100+8*0x2f + 0x4)
#define JS_TX1_TMR_TnH_REG48     (JS_TX1_TMR_BASE + 4*0x100+8*0x30 + 0x4)
#define JS_TX1_TMR_TnH_REG49     (JS_TX1_TMR_BASE + 4*0x100+8*0x31 + 0x4)
#define JS_TX1_TMR_TnH_REG50     (JS_TX1_TMR_BASE + 4*0x100+8*0x32 + 0x4)
#define JS_TX1_TMR_TnH_REG51     (JS_TX1_TMR_BASE + 4*0x100+8*0x33 + 0x4)
#define JS_TX1_TMR_TnH_REG52     (JS_TX1_TMR_BASE + 4*0x100+8*0x34 + 0x4)
#define JS_TX1_TMR_TnH_REG53     (JS_TX1_TMR_BASE + 4*0x100+8*0x35 + 0x4)
#define JS_TX1_TMR_TnH_REG54     (JS_TX1_TMR_BASE + 4*0x100+8*0x36 + 0x4)
#define JS_TX1_TMR_TnH_REG55     (JS_TX1_TMR_BASE + 4*0x100+8*0x37 + 0x4)
#define JS_TX1_TMR_TnH_REG56     (JS_TX1_TMR_BASE + 4*0x100+8*0x38 + 0x4)
#define JS_TX1_TMR_TnH_REG57     (JS_TX1_TMR_BASE + 4*0x100+8*0x39 + 0x4)
#define JS_TX1_TMR_TnH_REG58     (JS_TX1_TMR_BASE + 4*0x100+8*0x3a + 0x4)
#define JS_TX1_TMR_TnH_REG59     (JS_TX1_TMR_BASE + 4*0x100+8*0x3b + 0x4)
#define JS_TX1_TMR_TnH_REG60     (JS_TX1_TMR_BASE + 4*0x100+8*0x3c + 0x4)
#define JS_TX1_TMR_TnH_REG61     (JS_TX1_TMR_BASE + 4*0x100+8*0x3d + 0x4)
#define JS_TX1_TMR_TnH_REG62     (JS_TX1_TMR_BASE + 4*0x100+8*0x3e + 0x4)
#define JS_TX1_TMR_TnH_REG63     (JS_TX1_TMR_BASE + 4*0x100+8*0x3f + 0x4)
#define JS_TX1_TMR_TnH_REG64     (JS_TX1_TMR_BASE + 4*0x100+8*0x40 + 0x4)
#define JS_TX1_TMR_TnH_REG65     (JS_TX1_TMR_BASE + 4*0x100+8*0x41 + 0x4)
#define JS_TX1_TMR_TnH_REG66     (JS_TX1_TMR_BASE + 4*0x100+8*0x42 + 0x4)
#define JS_TX1_TMR_TnH_REG67     (JS_TX1_TMR_BASE + 4*0x100+8*0x43 + 0x4)
#define JS_TX1_TMR_TnH_REG68     (JS_TX1_TMR_BASE + 4*0x100+8*0x44 + 0x4)
#define JS_TX1_TMR_TnH_REG69     (JS_TX1_TMR_BASE + 4*0x100+8*0x45 + 0x4)
#define JS_TX1_TMR_TnH_REG70     (JS_TX1_TMR_BASE + 4*0x100+8*0x46 + 0x4)
#define JS_TX1_TMR_TnH_REG71     (JS_TX1_TMR_BASE + 4*0x100+8*0x47 + 0x4)
#define JS_TX1_TMR_TnH_REG72     (JS_TX1_TMR_BASE + 4*0x100+8*0x48 + 0x4)
#define JS_TX1_TMR_TnH_REG73     (JS_TX1_TMR_BASE + 4*0x100+8*0x49 + 0x4)
#define JS_TX1_TMR_TnH_REG74     (JS_TX1_TMR_BASE + 4*0x100+8*0x4a + 0x4)
#define JS_TX1_TMR_TnH_REG75     (JS_TX1_TMR_BASE + 4*0x100+8*0x4b + 0x4)
#define JS_TX1_TMR_TnH_REG76     (JS_TX1_TMR_BASE + 4*0x100+8*0x4c + 0x4)
#define JS_TX1_TMR_TnH_REG77     (JS_TX1_TMR_BASE + 4*0x100+8*0x4d + 0x4)
#define JS_TX1_TMR_TnH_REG78     (JS_TX1_TMR_BASE + 4*0x100+8*0x4e + 0x4)
#define JS_TX1_TMR_TnH_REG79     (JS_TX1_TMR_BASE + 4*0x100+8*0x4f + 0x4)
#define JS_TX1_TMR_TnH_REG80     (JS_TX1_TMR_BASE + 4*0x100+8*0x50 + 0x4)
#define JS_TX1_TMR_TnH_REG81     (JS_TX1_TMR_BASE + 4*0x100+8*0x51 + 0x4)
#define JS_TX1_TMR_TnH_REG82     (JS_TX1_TMR_BASE + 4*0x100+8*0x52 + 0x4)
#define JS_TX1_TMR_TnH_REG83     (JS_TX1_TMR_BASE + 4*0x100+8*0x53 + 0x4)
#define JS_TX1_TMR_TnH_REG84     (JS_TX1_TMR_BASE + 4*0x100+8*0x54 + 0x4)
#define JS_TX1_TMR_TnH_REG85     (JS_TX1_TMR_BASE + 4*0x100+8*0x55 + 0x4)
#define JS_TX1_TMR_TnH_REG86     (JS_TX1_TMR_BASE + 4*0x100+8*0x56 + 0x4)
#define JS_TX1_TMR_TnH_REG87     (JS_TX1_TMR_BASE + 4*0x100+8*0x57 + 0x4)
#define JS_TX1_TMR_TnH_REG88     (JS_TX1_TMR_BASE + 4*0x100+8*0x58 + 0x4)
#define JS_TX1_TMR_TnH_REG89     (JS_TX1_TMR_BASE + 4*0x100+8*0x59 + 0x4)
#define JS_TX1_TMR_TnH_REG90     (JS_TX1_TMR_BASE + 4*0x100+8*0x5a + 0x4)
#define JS_TX1_TMR_TnH_REG91     (JS_TX1_TMR_BASE + 4*0x100+8*0x5b + 0x4)
#define JS_TX1_TMR_TnH_REG92     (JS_TX1_TMR_BASE + 4*0x100+8*0x5c + 0x4)
#define JS_TX1_TMR_TnH_REG93     (JS_TX1_TMR_BASE + 4*0x100+8*0x5d + 0x4)
#define JS_TX1_TMR_TnH_REG94     (JS_TX1_TMR_BASE + 4*0x100+8*0x5e + 0x4)
#define JS_TX1_TMR_TnH_REG95     (JS_TX1_TMR_BASE + 4*0x100+8*0x5f + 0x4)


#define JS_204B_RX0_SUBCTRL_SH_LOCK                         (JS_204B_RX0_SUBCTRL_BASE + 0x014)
#define JS_204B_RX0_SUBCTRL_EMB_LOCK                        (JS_204B_RX0_SUBCTRL_BASE + 0x018)
#define JS_204B_RX0_SUBCTRL_RX_CMD                          (JS_204B_RX0_SUBCTRL_BASE + 0x020)
#define JS_204B_RX0_SUBCTRL_CMD_ERR_CNT_0                   (JS_204B_RX0_SUBCTRL_BASE + 0x024)
#define JS_204B_RX0_SUBCTRL_CMD_ERR_CNT_1                   (JS_204B_RX0_SUBCTRL_BASE + 0x028)
#define JS_204B_RX0_SUBCTRL_CMD_VALID_APB_CNT               (JS_204B_RX0_SUBCTRL_BASE + 0x02C)
#define JS_204B_RX0_SUBCTRL_SYSREF_CNT                      (JS_204B_RX0_SUBCTRL_BASE + 0x030)
#define JS_204B_RX0_SUBCTRL_SAM_IF_RECORD                   (JS_204B_RX0_SUBCTRL_BASE + 0x034)
#define JS_204B_RX0_SUBCTRL_MAP_IF_RECORD                   (JS_204B_RX0_SUBCTRL_BASE + 0x038)
#define JS_204B_RX0_SUBCTRL_SERDES_IF_RECORD                (JS_204B_RX0_SUBCTRL_BASE + 0x03C)
#define JS_204B_RX0_SUBCTRL_SYSREF_RX_SEL                   (JS_204B_RX0_SUBCTRL_BASE + 0x040)
#define JS_204B_RX0_SUBCTRL_SYNC_B_SEL                      (JS_204B_RX0_SUBCTRL_BASE + 0x044)
#define JS_204B_RX0_SUBCTRL_INTR_MASK                       (JS_204B_RX0_SUBCTRL_BASE + 0x048)
#define JS_204B_RX0_SUBCTRL_INTR_TH_0                       (JS_204B_RX0_SUBCTRL_BASE + 0x04C)
#define JS_204B_RX0_SUBCTRL_INTR_TH_1                       (JS_204B_RX0_SUBCTRL_BASE + 0x050)
#define JS_204B_RX0_SUBCTRL_INTR_TH_2                       (JS_204B_RX0_SUBCTRL_BASE + 0x054)
#define JS_204B_RX0_SUBCTRL_INTR_TH_3                       (JS_204B_RX0_SUBCTRL_BASE + 0x058)
#define JS_204B_RX0_SUBCTRL_SYSREF                          (JS_204B_RX0_SUBCTRL_BASE + 0x05C)
#define JS_204B_RX0_SUBCTRL_INTR_FLAG                       (JS_204B_RX0_SUBCTRL_BASE + 0x060)
#define JS_204B_RX0_SUBCTRL_SAM_ERR_CNT                     (JS_204B_RX0_SUBCTRL_BASE + 0x064)
#define JS_204B_RX0_SUBCTRL_TL_TEST_MODE_CNT                (JS_204B_RX0_SUBCTRL_BASE + 0x068)
#define JS_204B_RX0_SUBCTRL_SAM_IF_RECORD_DATA              (JS_204B_RX0_SUBCTRL_BASE + 0x0800)
#define JS_204B_RX0_SUBCTRL_MAP_IF_RECORD_DATA              (JS_204B_RX0_SUBCTRL_BASE + 0x1000)
#define JS_204B_RX0_SUBCTRL_SERDES_IF_RECORD_DATA           (JS_204B_RX0_SUBCTRL_BASE + 0x1400)

#define JS_204B_RX1_SUBCTRL_SH_LOCK                         (JS_204B_RX1_SUBCTRL_BASE + 0x014)
#define JS_204B_RX1_SUBCTRL_EMB_LOCK                        (JS_204B_RX1_SUBCTRL_BASE + 0x018)
#define JS_204B_RX1_SUBCTRL_RX_CMD                          (JS_204B_RX1_SUBCTRL_BASE + 0x020)
#define JS_204B_RX1_SUBCTRL_CMD_ERR_CNT_0                   (JS_204B_RX1_SUBCTRL_BASE + 0x024)
#define JS_204B_RX1_SUBCTRL_CMD_ERR_CNT_1                   (JS_204B_RX1_SUBCTRL_BASE + 0x028)
#define JS_204B_RX1_SUBCTRL_CMD_VALID_APB_CNT               (JS_204B_RX1_SUBCTRL_BASE + 0x02C)
#define JS_204B_RX1_SUBCTRL_SYSREF_CNT                      (JS_204B_RX1_SUBCTRL_BASE + 0x030)
#define JS_204B_RX1_SUBCTRL_SAM_IF_RECORD                   (JS_204B_RX1_SUBCTRL_BASE + 0x034)
#define JS_204B_RX1_SUBCTRL_MAP_IF_RECORD                   (JS_204B_RX1_SUBCTRL_BASE + 0x038)
#define JS_204B_RX1_SUBCTRL_SERDES_IF_RECORD                (JS_204B_RX1_SUBCTRL_BASE + 0x03C)
#define JS_204B_RX1_SUBCTRL_SYSREF_RX_SEL                   (JS_204B_RX1_SUBCTRL_BASE + 0x040)
#define JS_204B_RX1_SUBCTRL_SYNC_B_SEL                      (JS_204B_RX1_SUBCTRL_BASE + 0x044)
#define JS_204B_RX1_SUBCTRL_INTR_MASK                       (JS_204B_RX1_SUBCTRL_BASE + 0x048)
#define JS_204B_RX1_SUBCTRL_INTR_TH_0                       (JS_204B_RX1_SUBCTRL_BASE + 0x04C)
#define JS_204B_RX1_SUBCTRL_INTR_TH_1                       (JS_204B_RX1_SUBCTRL_BASE + 0x050)
#define JS_204B_RX1_SUBCTRL_INTR_TH_2                       (JS_204B_RX1_SUBCTRL_BASE + 0x054)
#define JS_204B_RX1_SUBCTRL_INTR_TH_3                       (JS_204B_RX1_SUBCTRL_BASE + 0x058)
#define JS_204B_RX1_SUBCTRL_SYSREF                          (JS_204B_RX1_SUBCTRL_BASE + 0x05C)
#define JS_204B_RX1_SUBCTRL_INTR_FLAG                       (JS_204B_RX1_SUBCTRL_BASE + 0x060)
#define JS_204B_RX1_SUBCTRL_SAM_ERR_CNT                     (JS_204B_RX1_SUBCTRL_BASE + 0x064)
#define JS_204B_RX1_SUBCTRL_TL_TEST_MODE_CNT                (JS_204B_RX1_SUBCTRL_BASE + 0x068)
#define JS_204B_RX1_SUBCTRL_SAM_IF_RECORD_DATA              (JS_204B_RX1_SUBCTRL_BASE + 0x0800)
#define JS_204B_RX1_SUBCTRL_MAP_IF_RECORD_DATA              (JS_204B_RX1_SUBCTRL_BASE + 0x1000)
#define JS_204B_RX1_SUBCTRL_SERDES_IF_RECORD_DATA           (JS_204B_RX1_SUBCTRL_BASE + 0x1800)

#define JS_204B_TX_SUBCTRL_SAM_IF_RECORD_EN                 (JS_204B_TX_SUBCTRL_BASE + 0x014)
#define JS_204B_TX_SUBCTRL_SERDES_IF_RECORD_EN              (JS_204B_TX_SUBCTRL_BASE + 0x018)
#define JS_204B_TX_SUBCTRL_TRANS_TH                         (JS_204B_TX_SUBCTRL_BASE + 0x01C)
#define JS_204B_TX_SUBCTRL_SYSREF_TX_SEL                    (JS_204B_TX_SUBCTRL_BASE + 0x020)
#define JS_204B_TX_SUBCTRL_SYNC_B_SEL                       (JS_204B_TX_SUBCTRL_BASE + 0x024)
#define JS_204B_TX_SUBCTRL_TX_CMD                           (JS_204B_TX_SUBCTRL_BASE + 0x028)
#define JS_204B_TX_SUBCTRL_CMD_APB_VALID_CNT                (JS_204B_TX_SUBCTRL_BASE + 0x02C)
#define JS_204B_TX_SUBCTRL_CMD_SENT_CNT                     (JS_204B_TX_SUBCTRL_BASE + 0x030)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY0             (JS_204B_TX_SUBCTRL_BASE + 0x038)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY1             (JS_204B_TX_SUBCTRL_BASE + 0x03C)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY2             (JS_204B_TX_SUBCTRL_BASE + 0x040)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY3             (JS_204B_TX_SUBCTRL_BASE + 0x044)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY4             (JS_204B_TX_SUBCTRL_BASE + 0x048)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY5             (JS_204B_TX_SUBCTRL_BASE + 0x04C)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY6             (JS_204B_TX_SUBCTRL_BASE + 0x050)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY7             (JS_204B_TX_SUBCTRL_BASE + 0x054)
#define JS_204B_TX_SUBCTRL_SAM_DATA_IDLE_CNT                (JS_204B_TX_SUBCTRL_BASE + 0x058)
#define JS_204B_TX_SUBCTRL_SAM_IF_RECORD_DONE               (JS_204B_TX_SUBCTRL_BASE + 0x05C)
#define JS_204B_TX_SUBCTRL_SERDES_IF_RECORD_DONE            (JS_204B_TX_SUBCTRL_BASE + 0x060)
#define JS_204B_TX_SUBCTRL_SAM_IF_RECORD_DATA               (JS_204B_TX_SUBCTRL_BASE + 0x800)
#define JS_204B_TX_SUBCTRL_SERDES_IF_RECORD_DATA            (JS_204B_TX_SUBCTRL_BASE + 0x1000)

#define JS_204C_RX0_SUBCTRL_SH_LOCK                         (JS_204C_RX0_SUBCTRL_BASE + 0x014)
#define JS_204C_RX0_SUBCTRL_EMB_LOCK                        (JS_204C_RX0_SUBCTRL_BASE + 0x018)
#define JS_204C_RX0_SUBCTRL_RX_CMD                          (JS_204C_RX0_SUBCTRL_BASE + 0x020)
#define JS_204C_RX0_SUBCTRL_CMD_ERR_CNT_0                   (JS_204C_RX0_SUBCTRL_BASE + 0x024)
#define JS_204C_RX0_SUBCTRL_CMD_ERR_CNT_1                   (JS_204C_RX0_SUBCTRL_BASE + 0x028)
#define JS_204C_RX0_SUBCTRL_CMD_VALID_APB_CNT               (JS_204C_RX0_SUBCTRL_BASE + 0x02C)
#define JS_204C_RX0_SUBCTRL_SYSREF_CNT                      (JS_204C_RX0_SUBCTRL_BASE + 0x030)
#define JS_204C_RX0_SUBCTRL_SAM_IF_RECORD                   (JS_204C_RX0_SUBCTRL_BASE + 0x034)
#define JS_204C_RX0_SUBCTRL_MAP_IF_RECORD                   (JS_204C_RX0_SUBCTRL_BASE + 0x038)
#define JS_204C_RX0_SUBCTRL_SERDES_IF_RECORD                (JS_204C_RX0_SUBCTRL_BASE + 0x03C)
#define JS_204C_RX0_SUBCTRL_SYSREF_RX_SEL                   (JS_204C_RX0_SUBCTRL_BASE + 0x040)
#define JS_204C_RX0_SUBCTRL_SYNC_B_SEL                      (JS_204C_RX0_SUBCTRL_BASE + 0x044)
#define JS_204C_RX0_SUBCTRL_INTR_MASK                       (JS_204C_RX0_SUBCTRL_BASE + 0x048)
#define JS_204C_RX0_SUBCTRL_INTR_TH_0                       (JS_204C_RX0_SUBCTRL_BASE + 0x04C)
#define JS_204C_RX0_SUBCTRL_INTR_TH_1                       (JS_204C_RX0_SUBCTRL_BASE + 0x050)
#define JS_204C_RX0_SUBCTRL_INTR_TH_2                       (JS_204C_RX0_SUBCTRL_BASE + 0x054)
#define JS_204C_RX0_SUBCTRL_INTR_TH_3                       (JS_204C_RX0_SUBCTRL_BASE + 0x058)
#define JS_204C_RX0_SUBCTRL_SYSREF                          (JS_204C_RX0_SUBCTRL_BASE + 0x05C)
#define JS_204C_RX0_SUBCTRL_INTR_FLAG                       (JS_204C_RX0_SUBCTRL_BASE + 0x060)
#define JS_204C_RX0_SUBCTRL_SAM_ERR_CNT                     (JS_204C_RX0_SUBCTRL_BASE + 0x064)
#define JS_204C_RX0_SUBCTRL_TL_TEST_MODE_CNT                (JS_204C_RX0_SUBCTRL_BASE + 0x068)
#define JS_204C_RX0_SUBCTRL_SAM_IF_RECORD_DATA              (JS_204C_RX0_SUBCTRL_BASE + 0x0800)
#define JS_204C_RX0_SUBCTRL_MAP_IF_RECORD_DATA              (JS_204C_RX0_SUBCTRL_BASE + 0x1000)
#define JS_204C_RX0_SUBCTRL_SERDES_IF_RECORD_DATA           (JS_204C_RX0_SUBCTRL_BASE + 0x1400)

#define JS_204C_RX1_SUBCTRL_SH_LOCK                         (JS_204C_RX1_SUBCTRL_BASE + 0x014)
#define JS_204C_RX1_SUBCTRL_EMB_LOCK                        (JS_204C_RX1_SUBCTRL_BASE + 0x018)
#define JS_204C_RX1_SUBCTRL_RX_CMD                          (JS_204C_RX1_SUBCTRL_BASE + 0x020)
#define JS_204C_RX1_SUBCTRL_CMD_ERR_CNT_0                   (JS_204C_RX1_SUBCTRL_BASE + 0x024)
#define JS_204C_RX1_SUBCTRL_CMD_ERR_CNT_1                   (JS_204C_RX1_SUBCTRL_BASE + 0x028)
#define JS_204C_RX1_SUBCTRL_CMD_VALID_APB_CNT               (JS_204C_RX1_SUBCTRL_BASE + 0x02C)
#define JS_204C_RX1_SUBCTRL_SYSREF_CNT                      (JS_204C_RX1_SUBCTRL_BASE + 0x030)
#define JS_204C_RX1_SUBCTRL_SAM_IF_RECORD                   (JS_204C_RX1_SUBCTRL_BASE + 0x034)
#define JS_204C_RX1_SUBCTRL_MAP_IF_RECORD                   (JS_204C_RX1_SUBCTRL_BASE + 0x038)
#define JS_204C_RX1_SUBCTRL_SERDES_IF_RECORD                (JS_204C_RX1_SUBCTRL_BASE + 0x03C)
#define JS_204C_RX1_SUBCTRL_SYSREF_RX_SEL                   (JS_204C_RX1_SUBCTRL_BASE + 0x040)
#define JS_204C_RX1_SUBCTRL_SYNC_B_SEL                      (JS_204C_RX1_SUBCTRL_BASE + 0x044)
#define JS_204C_RX1_SUBCTRL_INTR_MASK                       (JS_204C_RX1_SUBCTRL_BASE + 0x048)
#define JS_204C_RX1_SUBCTRL_INTR_TH_0                       (JS_204C_RX1_SUBCTRL_BASE + 0x04C)
#define JS_204C_RX1_SUBCTRL_INTR_TH_1                       (JS_204C_RX1_SUBCTRL_BASE + 0x050)
#define JS_204C_RX1_SUBCTRL_INTR_TH_2                       (JS_204C_RX1_SUBCTRL_BASE + 0x054)
#define JS_204C_RX1_SUBCTRL_INTR_TH_3                       (JS_204C_RX1_SUBCTRL_BASE + 0x058)
#define JS_204C_RX1_SUBCTRL_SYSREF                          (JS_204C_RX1_SUBCTRL_BASE + 0x05C)
#define JS_204C_RX1_SUBCTRL_INTR_FLAG                       (JS_204C_RX1_SUBCTRL_BASE + 0x060)
#define JS_204C_RX1_SUBCTRL_SAM_ERR_CNT                     (JS_204C_RX1_SUBCTRL_BASE + 0x064)
#define JS_204C_RX1_SUBCTRL_TL_TEST_MODE_CNT                (JS_204C_RX1_SUBCTRL_BASE + 0x068)
#define JS_204C_RX1_SUBCTRL_SAM_IF_RECORD_DATA              (JS_204C_RX1_SUBCTRL_BASE + 0x0800)
#define JS_204C_RX1_SUBCTRL_MAP_IF_RECORD_DATA              (JS_204C_RX1_SUBCTRL_BASE + 0x1000)
#define JS_204C_RX1_SUBCTRL_SERDES_IF_RECORD_DATA           (JS_204C_RX1_SUBCTRL_BASE + 0x1800)

#define JS_204C_TX_SUBCTRL_SAM_IF_RECORD_EN                 (JS_204C_TX_SUBCTRL_BASE + 0x014)
#define JS_204C_TX_SUBCTRL_SERDES_IF_RECORD_EN              (JS_204C_TX_SUBCTRL_BASE + 0x018)
#define JS_204C_TX_SUBCTRL_TRANS_TH                         (JS_204C_TX_SUBCTRL_BASE + 0x01C)
#define JS_204C_TX_SUBCTRL_SYSREF_TX_SEL                    (JS_204C_TX_SUBCTRL_BASE + 0x020)
#define JS_204C_TX_SUBCTRL_SYNC_B_SEL                       (JS_204C_TX_SUBCTRL_BASE + 0x024)
#define JS_204C_TX_SUBCTRL_TX_CMD                           (JS_204C_TX_SUBCTRL_BASE + 0x028)
#define JS_204C_TX_SUBCTRL_CMD_APB_VALID_CNT                (JS_204C_TX_SUBCTRL_BASE + 0x02C)
#define JS_204C_TX_SUBCTRL_CMD_SENT_CNT                     (JS_204C_TX_SUBCTRL_BASE + 0x030)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY0             (JS_204C_TX_SUBCTRL_BASE + 0x038)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY1             (JS_204C_TX_SUBCTRL_BASE + 0x03C)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY2             (JS_204C_TX_SUBCTRL_BASE + 0x040)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY3             (JS_204C_TX_SUBCTRL_BASE + 0x044)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY4             (JS_204C_TX_SUBCTRL_BASE + 0x048)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY5             (JS_204C_TX_SUBCTRL_BASE + 0x04C)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY6             (JS_204C_TX_SUBCTRL_BASE + 0x050)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_ARRAY7             (JS_204C_TX_SUBCTRL_BASE + 0x054)
#define JS_204C_TX_SUBCTRL_SAM_DATA_IDLE_CNT                (JS_204C_TX_SUBCTRL_BASE + 0x058)
#define JS_204C_TX_SUBCTRL_SAM_IF_RECORD_DONE               (JS_204C_TX_SUBCTRL_BASE + 0x05C)
#define JS_204C_TX_SUBCTRL_SERDES_IF_RECORD_DONE            (JS_204C_TX_SUBCTRL_BASE + 0x060)
#define JS_204C_TX_SUBCTRL_SAM_IF_RECORD_DATA               (JS_204C_TX_SUBCTRL_BASE + 0x800)
#define JS_204C_TX_SUBCTRL_SERDES_IF_RECORD_DATA            (JS_204C_TX_SUBCTRL_BASE + 0x1000)


#endif // __JESD204_H__

